- November 2008
	- November 30
		- FriendFeed and level playing fields
			- I've always been a bit puzzled about how FriendFeed does RSS, but I've never (until now) taken the time to find the source of the puzzlement. I've always just fumbled my way around, sort of approximating what I wanted, and when I couldn't get it, falling back to the API. But now I've hit a wall, and taken the time to understand the nature of the wall. Let me explain.
			- Consider this screen (click on it to see the detail):
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/11/30/ffbigscreen.gif"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/30/ffscrfeen.gif" width="250" height="315" border="0" hspace="15" vspace="5" alt="A picture named ffscrfeen.gif"></a>
			- Suppose you used a photo site that wasn't one of the ones listed, but you had an RSS feed for your photos and favorites on that site. What are you supposed to do? I always assumed you should just add the feed under "Blog" but then your readers will start asking why your pictures don't do all the neat things that happen automatically with Flickr, Picasa, SmugMug or Zooomr sites. I have such a site, <i>and I don't want them to do anything special for it,</i> I just want to tell FF that it's a photo site and have all the cool special goodies they have for Flickr kick in automatically.
			- If you pop up a higher level, you'll see that this is actually contrary to the whole idea of feeds, which were supposed to create a level playing field for the big guys and ordinary people. That's why a guy like Mike Arrington was able to start TechCrunch and eventually be a competitor of CNET. The fact that RSS didn't favor the big guys made that possible. In fact the whole web is like that. You don't need a special client to read the NY Times and another to watch videos on YouTube. Any browser will do, for any site, no matter who's writing and who's reading. It's why many of us fell in love with the web, at first sight. In the software world before that, it mattered who you are or who you worked for. Kind of like FriendFeed. :-(
			- It's also against the level playing field idea to favor people, like me, who can program to the APIs. The point of feeds was to make the technology transparently understandable to people who just had brains, that you wouldn't need to understand anything deeply arcane to make RSS work. Since FF is about feeds, it seems to me that it ought to be consistent with the philosophic simplicity of feeds. Again, this is just another application of a principle of the web -- you could always View Source to see how a website worked, and if you were willing to do a little trial and error, and head-scratching, you could make your site work the same way as any site you could view in your browser. This was a good thing. 
			- Now, don't get me wrong, I like APIs, I even <i>love</i> APIs, but only when a feed won't do. There are cases where the API shows more power than the feeds, where feeds can and should have the same power. For example if I want a description to come along with a picture, I have no choice but to write a program to push the content to FriendFeed. That seems wrong to me. RSS and Atom both have description elements, why ignore them? Also, I can if I want make sure the content arrives in a timely manner, but only through the API. The functionality of a web app shouldn't unnecessarily favor programmers. That's unweblike imho.
			- Now I wouldn't make these criticisms if I didn't think FF was an excellent web app. But like all technology it can be better. That's why I make the suggestions. 
		- Tech developers and users
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/30/hebrewHunk.jpg" width="95" height="136" border="0" align="right" hspace="15" vspace="5" alt="A picture named hebrewHunk.jpg">It's impossible to tell how tech companies will take feedback or advice, I just give it as it occurs to me. I don't try to sugar-coat it, but then I don't think that there's anything wrong with providing an imperfect or incomplete product or service. 
			- I was the guy who <a href="http://www.scripting.com/davenet/1995/09/03/wemakeshittysoftware.html">said</a> "We make shitty software" to his developers as he passed them in the hall. To which the standard response, which always got a laugh, was: "With bugs!"
			- It's a joke, but not really. We know our software sucks. But watch, we'll make it suck less. 
			- Anyway, offering advice to most developers is a waste of time, and only makes them hate you. But what are you supposed to do if you want to build on their product and keep hitting the same brick wall, month after month. Is there a polite way to express frustration? If so, I'd like to know what it is. 
			- In <a href="http://www.scripting.com/stories/2008/11/27/itsAboutTheUsersDummy.html#p2">Thursday's piece</a> I said developers are every bit as insistent about ignoring users as news people are. I see it happen every damn day. It's just as bad no matter where it happens.
		- Medvedev and his Macbook
			- <a href="http://www.flickr.com/photos/scriptingnews/3070517699/" title="Medvedev and his Macbook by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3232/3070517699_62373459b1_m.jpg" width="240" height="165" border="0" alt="Medvedev and his Macbook" /></a>
			- Update: <a href="http://www.gunaxin.com/obama-apple-mac/2551">Obama</a> uses a Mac too. 
		- Fractional horsepower ImageMagick HTTP server?
			- <a href="http://www.imagemagick.org/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/30/imneeeerdo.gif" width="125" height="163" border="0" align="right" hspace="15" vspace="5" alt="A picture named imneeeerdo.gif"></a>I love <a href="http://www.imagemagick.org/">ImageMagick</a>, it's <a href="http://www.scripting.com/stories/2008/11/28/happyImagemagickUserHere.html">creating</a> thumbs for me, night and day, day in and day out. The feed that's using the thumbnails is up and working. 
			- But I'm still bugged that: 1. It seems slower than it should be. 2. A window flashes every time it creates a thumbnail. 
			- People have suggested that I use PHP to interface to ImageMagick, but no slight to PHP, I already know too many languages, I'm trying to forget some! ";->"
			- Then I got a message from Phil Pearson, a guy who helped a lot in the early days of XML-RPC, and that triggered a thought -- you know what I really want -- an HTTP interface right into the ImageMagick engine. I'd accept a REST interface, but I'd be ecstatic about an XML-RPC interface. Truly.
			- Then you could put the engine where ever you wanted and call it from anywhere. If it started consuming the whole CPU, then fork off another one. I know you can probably do this with PHP, but I'm picky. I want my XML-over-HTTP. That's my comfort zone. 
			- Update: I <a href="http://www.scripting.com/stories/2008/11/30/fractionalHorsepowerImagem.html#comment-4072674">hear</a> that <a href="http://www.graphicsmagick.org/">Graphicsmagick</a> is faster than Imagemagick.
	- November 29
		- If you never listen you never learn
			- I just re-read the <a href="http://friendfeed.com/e/7d5b88be-fa71-73c5-0363-a4dc258a870c/I-m-glad-Dave-Winer-got-to-hear-the-Berkeley-J/">Rosen thread</a> over on FriendFeed and another irony struck me. The argument is over things that I didn't say in the piece they're arguing about. 
			- The piece is about listening, and they didn't listen. ";->" 
			- Listening is hard. When you respond after listening make sure you aren't responding to something that came out of your head because you're having that argument with yourself, not the other person. And they're likely to get confused, or angry.
			- You never know what you'll learn if you listen. Maybe the people who want to say something to you might just make the difference between driving off the cliff and finding a new future. Maybe it'll help <i>you</i> find the great idea that cracks the nut. Or maybe what they want is something you can give them, maybe it's something you'll want to give them. Some users are pretty smart, I've found.
			- Knowing how other people see you can be disturbing, but it can also be eye-opening.
			- <a href="http://www.amazon.com/s/ref=nb_ss_gw?url=search-alias%3Daps&field-keywords=guy+kawasaki&x=0&y=0"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/29/rules.gif" width="125" height="184" border="0" align="right" hspace="15" vspace="5" alt="A picture named rules.gif"></a>In 1986, I had a meeting with Guy Kawasaki when he worked at Apple. I showed him an early version of one of our products, we had thrown the kitchen sink into it, every half-baked R&D idea, cause our company was failing and this was our last chance. One idea intrigued him. He said everyone at Apple was hand-designing foils to print on Laserwriters (they were new then). He took a piece of paper and drew a box around one of our pages, and asked if we could do that. Of course we could, and we did, and we immediately sold 1K copies of the product for Apple people, but more importantly, they were so excited by it, they in turn sold many more thousands to their customers, and our company went from being in the brink of shutting down to gushing cash. All because (drum roll) we listened to a user. Ask Guy if you don't believe me, <a href="http://twitter.com/guykawasaki">he's on Twitter</a>.
			- One more thing -- when did listening become "listening in the aggregate." If you know anything about me, you know that I don't think of users as couch potatoes, passive participants. At the same company, we designed regcards to solicit original thoughts, not just box-clicking. When a new batch of regcards came in I grabbed them and studied them for interesting comments. They told me how our new stuff was being received, what they liked and didn't like, what was missing that would make the difference for them. When I had a question, I called and asked. It's also good for business if people get that you care what they think, if you really do. They can smell it when you're being patronizing.
			- It really is long past the time for the news industry to listen to its users. We've been trying to start this conversation since the first blog post, but there's not been much listening. That may turn out to be the epitaph of the news industry, the users did care, but the industry never listened.
		- Why we don't listen to users, by journalists
			- <a href="http://friendfeed.com/e/7d5b88be-fa71-73c5-0363-a4dc258a870c/I-m-glad-Dave-Winer-got-to-hear-the-Berkeley-J/">Jay Rosen argues with journalists</a>, who explain why they shouldn't listen to users (sources and readers).  I'll probably write more about this later, but for now, read the thread, it's fascinating. Here's the <a href="http://www.scripting.com/stories/2008/11/27/itsAboutTheUsersDummy.html">piece</a> they're responding to.
	- November 28
		- House on a hilltop
			- <a href="http://www.flickr.com/photos/scriptingnews/3065634727/sizes/o/" title="Rambling hilltop home by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3178/3065634727_36f7901969_m.jpg" width="240" height="180" border="0" alt="Rambling hilltop home" /></a>
		- Happy ImageMagick user here
			- Everything is such a futz, but it's nice when these things have happy endings. I have my thumbnail creating app up, and while it's not linked into the RSS its going to be used in, that's the easy predictable stuff, the stuff that requires no futzing, at least not for me. 
			- Here's a <a href="http://scripting.com/flickrfan/afp/2008/11/28/">folder of thumbs</a> that <a href="http://www.imagemagick.org/script/index.php">ImageMagick</a> is adding to every five minutes.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/28/imneeeerdo.gif" width="125" height="163" border="0" align="right" hspace="15" vspace="5" alt="A picture named imneeeerdo.gif">I'm doing it by launching the ImageMagick <i>convert</i> app, once for each picture. The fixed width is 100 pixels, I compute the height to be proportional. My script makes sure not to start another conversion until the previous file exists, because the process is unfortunately asynchronous. However it is easily synchronized. I have a 15 second timeout. Then I wait 5 seconds between conversions to let the CPU catch up processing other tasks. Image processing, esp for very large images, is a very CPU-intensive thing, apparently.
			- I hooted out loud (HOL) when I got it working. This one has been on my to-do list for a very long time!
		- Netbooks are about the users too, dummy!
			- <a href="http://news.cnet.com/8301-13924_3-10108025-64.html">CNet</a>: "If you've ever used a Netbook and used a 10-inch screen size -- it's fine for an hour. It's not something you're going to use day in and day out."
			- To which I say -- well hmm. I think the first part is right. And you will use your netbook every day, for about an hour or so, sounds just right. Inbetween things. Kind of the way you use an iPhone, but for people who like more of a computer.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/28/sarahbook.jpg" width="125" height="100" border="0" align="right" hspace="15" vspace="5" alt="A picture named sarahbook.jpg">For real work, I use a full setup with lots of hard drive space, and two big screens and comfortable seating. 
			- A netbook is for the coffee shop or airplane or subway ride. For watching a movie, checking email, updating Twitter, fast, mobile stuff.
			- But it's good that Intel is checking in with the users. And eventually I think netbooks will evolve into market-expanding machines. We're still in the first year of netbooks. Give it a chance.
	- November 27
		- It's about the users, dummy!
			- <a href="http://www.farces.com/index.php/hasten/more/news_from_the_users_perspective/">Michael Fraase tries to explain</a> what I've tried <i>real hard</i> to explain for the last N years (where N might be as many as 15 believe it or not) that news, like any other business, is about the users.
			- I do this with programmers, with about as little success as with people in the news industry. People who write software invariably think the users' job is to give them "feedback" which they are free to do with as they please. Of course they are free to ignore the users, but eventually that results in the users (er ahem, drum roll please) ignoring them. If you want to keep their interest, you need to be interested in them.
			- I once went to a lunch at the University of California School of Journalism, where I mouthed off on this subject, more or less, and was greeted with a stunning idea -- it was largely considered unethical for a reporter or editor to know which sections of the paper were most read by users of the paper. If the reporter knew, the story goes, he or she might be influenced by peoples' interests in deciding what to write about. 
			- To which I said (and say) loudly -- OY!
			- Or another way --> THERE'S THE BUG.
			- Fraase says I think like a <a href="http://www.scripting.com/davenet/1997/05/07/Programmers.html">programmer</a>. I suppose. I didn't always. When I was younger I wasn't going to be a programmer. I became one out of necessity. I had ideas that expressed themselves in software, and I couldn't interest any "real" programmers in making the ideas real, so...
			- But all along I've been a glutton not just for feedback, but to know how the ideas I had would be used. I never create any software that I myself don't want or need, because I wouldn't know how to do it. My method of development depends on me being a user. So do I listen to the users? Yes. If I listen to myself, which I try to (it's harder than it might appear at first).
			- Listening is hard. But all people who create products for users must listen if they want to do well at making products. That includes doctors, bus drivers, mailmen, entrepreneurs, programmers, and yes, reporters and editors too. Because if you don't listen you might miss a corner-turn and end up going off a cliff, just like the news industry is doing. They see the cliff, they know they're headed for it, but they don't ask how to turn the car. They don't really want to know. I think sometimes what they want is to be missed when they lie dead in a crumpled car at the bottom of the cliff. But we don't want that to happen. Not because we love them, but because life without them is pretty hard to imagine. They should turn the corner, no matter how painful it is. But in order to do it, they're going to have to look out the front window and the mirrors and listen to the person in the passenger seat.
			- That's why it's not enough for the NY Times to have a Public Editor, they have to have the Public itself on the op-ed page. That should start on Monday. There's no reason to wait for that. The Times should have more branded blogs, given to people whose opinions they value. Want a list of 5000 such people? Make a list of the people the Times has quoted in the last year. I bet it's more like 50,000. At this point, the Times is still reputable enough and alive enough that they would want to be under the Times umbrella. Immediately you have a reason to survive for between 5000 or 50,000 people.
			- We can save one newspaper that way. One newspaper is infinitely better than zero. We can probably save a few magazines too. The key thing is to incentivize people to make them survive. Open the doors as wide as you can imagine, and let the world flood in. It should have happened slowly and carefully over a decade, I told you so back then but you didn't listen. Now you have to achieve what would have been accomplished in that period in the space of a few months. It isn't going to be easy or anything like pain free. But it <i>can</i> work. I'm sure of it.
			- <a href="http://sethgodin.typepad.com/seths_blog/2008/11/how-to-answer-t.html">Seth Godin</a>: "The only reason to answer the phone when a customer calls is to make the customer happy."
		- Thanksgiving stuffing
			- Either Thanksgiving is a mad dash to get 18 different dishes ready, all at the same time (never works, something's always cold, something burned) or, you sit around wasting time until it's time to go to a dinner where you eat someone else's labor of love. This year, for me, it's the latter. ";->"
			- <a href="http://www.nakedjen.com/">NakedJen</a> has a wonderful tradition for Christmas Day, to spend the day at the movies, watching the new releases. Christmas is always a big day for new movies. In Santa Cruz, where we did it last year, a surprising number of people did it too. We saw Sweeney Todd, the stupid Tom Hanks movie about the politician who supposedly saved Afghanistan, and The Savages, which was, imho, by far, the best of the three. Sweeney starred two of my favorite actors, <a href="http://www.youtube.com/watch?v=yetzCaZAoiY">Helena Bonham Carter</a> and <a href="http://www.youtube.com/watch?v=XdIIzD9s2Xg">Johnny Depp</a> (with a small <a href="http://www.youtube.com/watch?v=nlama_9caMg">part</a> for Sacha Baron Cohen!) and directed by Tim Burton -- it should have been great, but I could hardly stay awake during the movie. This year I'm going to Salt Lake City to join NakedJen in my second NakedJen Film Festival. 
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/nlama_9caMg&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/nlama_9caMg&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
			- BTW, when NJ writes about \"Dave" -- it's not <a href="http://dave.editthispage.com/myNameIsDaveWiner">me</a>. I want to be clear about that. It's some other guy named Dave, who wasn't very nice to her. 
			- <a href="http://www.nakedjen.com/nakedjen/2008/11/her-town-too.html">See this</a> is why NakedJen and I get on so well. She says everyone she knows hated <a href="http://www.google.com/movies/reviews?cid=b9fc81d227419375&hl=en&fq=burn+after+reading&sa=X&oi=showtimes&ct=reviews&cd=1">Burn After Reading</a> but she liked it. Well I have news for you -- I really liked it too. Yes it was stupid, but sometimes stupid is just the thing. The Coen Brothers rarely fail to entertain. I had a strong feeling about this movie, that it was the counterbalance to No Country For Old Men, which was very very very serious (and unprecedented for the Coens). The CIA Director and his report seemed to speak for us and for the Coens, asking WTF just happened? No one knows. (And you wouldn't believe it if I told you, and you wouldn't even care.) But as long as everyone who was involved is now dead, why <i>should we</i> care? Seems to me a perfect explanation for NCFOM. ";->"
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/N99kv6ojn48&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/N99kv6ojn48&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
		- IRC for Mumbai terrorism
			- In case there's an interest in IRC for news around the Mumbai terrorism: 
			- irc://irc.freenode.net/#mumbaiTerrorism 
			- I'm already there.
		- Is Twitter journalism?
			- What you see on Twitter, when:
			- 1. People witness events that others are interested in; and
			- 2. They're <a href="http://search.twitter.com/search?q=%23mumbai">posting about it</a> on Twitter; and
			- 3. The interested people are reading their posts...
			- It certainly is news. Whether it's journalism or not isn't a very interesting discussion, to me.
			- To the user, both extremes, Twitter and the most vetted pro news, require skepticism. The reader <a href="http://archive.scripting.com/2002/05/17#lc50fb08cc40cd93e5ade1b2c04ae42be">triangulates</a>. 
			- See also: <a href="http://www.techcrunch.com/2008/11/27/i-cant-believe-some-people-are-still-saying-twitter-isnt-a-news-source/">Mike Arrington</a>, <a href="http://www.mathewingram.com/work/2008/11/26/yes-twitter-is-a-source-of-journalism/">Mathew Ingram</a>.
	- November 26
		- Terrorism in Mumbai
			- <a href="http://flickr.com/photos/scriptingnews/3062203344/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/26/mumbai.jpg" width="125" height="117" border="0" align="right" hspace="15" vspace="5" alt="A picture named mumbai.jpg"></a><a href="http://www.reuters.com/article/topNews/idUSTRE4AP6PI20081126?feedType=RSS&feedName=topNews">A terrorist attack in Mumbai</a> <a href="http://news.sky.com/skynews/Home/World-News/Mumbai-Hotel-Beseiged-Reports-Of-At-Least-A-Dozen-Injured-In-Shooting/Article/200811415162454?lpos=World_News_Carousel_Region_0&lid=ARTICLE_15162454_Mumbai_Hotel_Beseiged:_Reports_Of_At_Least_A_Dozen_Injured_In_Shooting">is</a> on the <a href="http://maps.google.com/maps?f=q&hl=en&q=Mumbai,+Mumbai+suburban,+Maharashtra,+India&sll=37.0625,-95.677068&sspn=39.644047,60.117188&ie=UTF8&cd=1&geocode=FbgvIgEdcrJXBA&ll=19.373341,72.883301&spn=11.384219,15.029297&z=6&g=Mumbai,+Mumbai+suburban,+Maharashtra,+India&iwloc=addr">other side</a> of the world, but it's all surprisingly connected. India and Pakistan are constant bitter enemies. Both are nuclear powers. Pakistan may be on the verge of becoming a failed state. Their new PM is the widower of a recently assassinated leader and the Taliban, which is encamped in tribal areas near the Afghan border, are wielding more power in Pakistan. There's fear they might get control of one or more of Pakistan's nukes.
			- Also camped out in the tribal areas are Al Qaeda, and if he's still alive, almost for sure Osama bin Laden.
			- Meanwhile, the Taliban are patiently fighting the US and its allies to regain control of Afhanistan, and they're winning. Our puppet, Karzai wants to negotiate with them. I wonder why? (Perhaps he'd like to live to old age?)
			- On Afghanistan's western border is Iran. An oil giant, and for sure a country you need no introduction to. 
			- So it's not that many steps, chaotic ones, from an attack in Mumbai, which probably is somehow connected to Pakistan and the Taliban, to nukes in Pakistan, and oil in the Middle East.
			- Update: <a href="http://search.twitter.com/search?q=%23mumbai">Incredible flow from Mumbai</a> on Twitter this evening.
		- Repent ye sinners!
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/26/jesusChristIsComing.jpg" width="78" height="189" border="0" align="right" hspace="15" vspace="5" alt="A picture named jesusChristIsComing.jpg">The cause of the crumbling economy is the city of NY where all the banks are located, the ones that are crumbling. I know this may sound silly, but I believe that when a city destroys a baseball stadium, nothing but bad things happen. Look at Seattle's <a href="http://www.martinidesign.com/kingdome/implode.htm">Kingdome</a> for an example. I don't need to say any more. The meaning is obvious.
			- Well this year NY is destroying two stadiums. Two! And they are two very historic stadia. Okay one not quite as historic as the other. There were a few interesting games played at Yankee Stadium over the years, but that's nothing compared to the history of Shea Stadium, where the hapless Mets of the 60s played and the Miracle Mets of 1969 won it all. Mookie Wilson and the 1986 Mets beat Bill Buckner and his Red Sox.
			- Oh the humanity!
			- Now if you want the proof, the absolute incontrovertible proof, check out what the name of the new stadium is. 
			- That's right. <a href="http://www.ballparks.com/baseball/national/nymbpk.htm">Citi Field</a>. Appalling.
			- <a href="http://www.scripting.com/davenet/1995/04/24/thebaseballgod.html">God speaks</a> to us in <a href="http://www.flickr.com/photos/cathleenritt/3057804170/">mysterious</a> but clear ways.
			- Repent ye sinners!!
		- Can I buy a TLD?
			- <img src="http://www.scripting.com/images/turkey.gif" width="100" height="118" border="0" align="right" hspace="15" vspace="5" alt="A picture named turkey.gif">I have an idea for a business built around a new Top Level Domain or <a href="http://www.icann.org/en/tlds/">TLD</a>. It wouldn't matter what the name is, it could be .xyz or .x98 -- I'd just like to plunk down some money and create a little economy around domains all ending with the same three letters. I seem to remember reading somewhere that ICANN was going to open this up, that you'd have to make some kind of relatively large payment to them, and offer a business plan that indicated you were doing something honorable. 
			- Did I remember this correctly? 
			- Pointers would be most welcome...
			- Update: Thanks to <a href="http://friendfeed.com/ircubic">Daniel Bruce</a> for the pointer on <a href="http://friendfeed.com/e/fd53e0e6-f34e-1a11-6056-e4426f622f63/New-blog-post-Can-I-buy-a-TLD-http-bit-ly/">FF</a>.
			- The answer is yes. Next year.
			- <a href="http://www.circleid.com/posts/86269_icann_approves_overhaul_top_level_domains/">6/28/08</a>: "The new decision will allow companies to register their brands as generic TLDs. For instance, Microsoft could apply to have a TLD such as .msn and Apple apply for .mac."
		- Eee PC with built-in EVDO?
			- <a href="http://www.scripting.com/stories/2008/11/03/99Netbooks.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/26/asus.gif" width="125" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.gif"></a>Another thing I have a vague recollection of was an announcement in August or September that Asus was going to offer an Eee PC with a built-in EVDO modem and a service plan. This started the <a href="http://www.google.com/search?q=%2499+netbook">thread</a> about <a href="http://www.scripting.com/stories/2008/11/03/99Netbooks.html">$99 netbooks</a>. The product was supposed to ship in October but I can't find any evidence of it. Do you know what happened? Did they ship? If not, is it still planned?
	- November 25
		- News people must study their users
			- Yesterday I wrote a <a href="http://www.scripting.com/stories/2008/11/24/pointOfViewIsEverything.html">piece</a> saying that point of view is everything when thinking about the future of news. 
			- The newspapers always approach the question of their continued existence from their own point of view, which of course is understandable. But it doesn't yield an answer, because that point of view is what's disappearing. 
			- If they could consider other points of view, two in particular, they might get somewhere.The two points of view are:
			- 1. People with news.
			- 2. People who want news.
			- Source and destination. Reporters are distributors. And editors are facilitators of distribution. 
			- If the people with the news can publish it themselves, and they can; what's to stop the people who want the news from reading it directly.
			- When professional news people consider the Internet they think of it replacing them. Not so. It reduces their role to a bare minimum, makes them less necessary. I still want soundbites from the sources, but I want them to link to the full blog post behind the quote. Too often, in the past, reporters played funny games with partial quotes, or by quoting one person after another as if they were speaking in sequence, when in reality neither had any idea that the other was being quoted. I want the collection of wisdom, I'll draw my own conclusions, as a reader that's my right. (I'll do it anyway, even if the reporters try to mislead me, that's why we're all so suspicious of the news, we were trained to be.)
			- If reporters are to remain relevant they have to recast themselves, more humbly. Don't think about "deputizing" us to do what you do. Instead think of the value of your rolodex, your sources. Cultivate and develop that rolodex. To the extent that you know who to call when a bit of news breaks, that's the extent of your value in the new world, the one we live in now.
			- An example I often cite. When there's a fire in Santa Barbara, I know where to go. <a href="http://blogs.law.harvard.edu/doc/">Doc Searls</a> has staked out that turf in the blogosphere. When there's a breaking story on his beat, his blog has all the pointers you need to get quickly informed. <a href="http://blogs.law.harvard.edu/doc/2008/11/16/tea-fire-aftermath/">Pictures</a> too.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/25/accordion.gif" width="81" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named accordion.gif">Another example. <a href="http://krugman.blogs.nytimes.com/">Paul Krugman's blog</a>. When the economy is crumbling, as it is now, he reads a lot of other blogs and points to the ones I need to read to stay informed. Sharing this kind of stuff is a human impulse. I doubt if Dr. Krugman gets paid extra to do this, and I know Doc doesn't. This is the amateur spirit. And it's how we're going to route around the outage if the news industry collapses. (However it would be better if the news industry didn't, which is why I bother to write these missives, for <a href="http://www.scripting.com/davenet/1995/02/18/billionsofwebsites.html">over</a> a decade now.)
			- To the news industry, I suggest that instead of having another brainstorming session among news people, instead let's convene a conference where the people who speak are news users, the #1s and #2s, and the reporters, editors and owners do what they're supposed to do, sit in the audience and take notes. Later they can tell us what we said. Sounds boring perhaps? Well folks, that's what reporters do. 
			- The solution to the puzzle is in the minds and hearts of the people who want to tell a story and the people who want to listen. And of course some days we might be in one category and the next day in the other. Or I might have expertise in one area, and need to acquire it in another. 
			- So the first step in solving the problem is understanding what the users want from news. This is knowledge the news industry has carefully avoided attaining. Seriously. I'm not kidding. And it seems to me there's the problem. 
			- <a href="http://whydoeseverythingsuck.com/2008/11/are-newspapers-reaching-end-of-days.html">Hank Williams asks</a> if the papers are reaching The End Of Days?
		- Sending email to subscribers
			- <i>Update 8:40AM. I got <a href="http://www.hmailserver.com/documentation/?page=basic_configuration">hMailServer</a> to work on one of my Windows servers. I had tried it before but couldn't get it to work. <s>Seems perhaps as if</s> the problem is solved.</i>
			- I was over at <a href="http://www.avc.com/">Fred Wilson's blog</a> and <a href="http://images.scripting.com/archiveScriptingCom/2008/11/25/emailupdates.gif">saw something</a> interesting I hadn't thought of as an alternative to managing an email server. For background see <a href="http://www.scripting.com/stories/2008/11/24/technicalFollowup.html#p3">yesterday's post</a>.
			- Right now we're using Google Groups to send email to people who want to subscribe, but even that depends on us having a working mail server for us to send mail to from a script.
			- This is basically the only function I need a mail server for, so I was wondering if there's a web service somewhere I could use for this function? Fred uses <a href="http://www.feedblitz.com/">FeedBlitz</a>. I'm going to check it out, but I'm not sure if it'd work for me. They make users get an account. That sounds like too much of a committment. 
			- Do any of you have any recommendations? Barring that, does anyone have a mail server I could use? I know that sounds pathetic, but I'm so fed up with mail servers. It used to be so easy, but then the spammers ruined it.
	- November 24
		- Point of view is everything
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/24/icbm.gif" width="68" height="553" border="0" align="right" hspace="15" vspace="5" alt="A picture named icbm.gif">Okay we could bail out the newspaper business, I'm sure that's what the owners of the newspapers are thinking, but this can't happen -- not in the United States. The day the government owns the newspapers would be the exact moment there stopped being a news business. If it happens we will immediately be on our own.
			- Anyway, after all the perspective-altering news last week about the economy, reading <a href="http://www.buzzmachine.com/2008/11/24/a-scenario-for-news/">Jeff Jarvis's essay</a> on how to cure the ills of the news business was a bit of nostalgia for the good old days and showed me why Jeff has good attendance at his conferences among people who want to believe in <a href="http://www.scripting.com/stories/2007/02/19/hateTheAdLoveTheProduct.html#p4">The Long Tail</a>, and in the primacy of the 20th century model for news and entertainment, but it was very clear to me why that point of view is now completely irrelevant.
			- This is the point of view of news that's relevant: the point of view of the user of news.
			- A user wants to know how he or she is going to get news.
			- And when they see lies and BS in the news, they think about how they can get accurate information.
			- Watch the <a href="http://www.pbs.org/wgbh/pages/frontline/atwater/">Frontline episode</a> on the life of Lee Atwater for a reminder of the value of what we call news. In 1988, the Republicans figured it out -- the industry view of news is a story, the story need have nothing to do with reality. The news organizations don't care. When a series of "facts" about Michael Dukakis scrolled in front of a video of him riding in a tank wearing a funny helmet, the news guys made a note they should check out these facts, but they never did. They have a news reporter on the record saying that. They turned out to be nonsense, yet the news guys played the ad over and over for free cause they enjoyed making fun of Dukakis who they thought was pompous and they wanted to take him down a notch. Some way to choose a President, eh?
			- Think about news as its constituent components, not in the bizarro news world we live in, think about news in the actual world. The components are: sources, facts, ideas, opinions, readers.
			- The challenge of the news industry, to the extent that there is one, is to connect the first four items with the last item. I don't think you need a reporter and editor to do that. I don't think they were doing their jobs anyway, they were being very selective about what sources, facts, ideas and opinions we could have. 
			- I want it all, and I don't want anyone saying what I can and can't have.
			- That's why Jarvis's outline of the salvation of the news industry is a nightmare, an old nightmare, one that we're finally waking up from. 
			- And luckily, just at the moment the news industry is breathing its last breath, we have the tools to build our own. I hope we have the will to use them. They are the tools we call Web 2.0 -- blogs, Twitter, FriendFeed, Digg, Delicious, wikis, etc.
			- Now, I'm <b><i>not</i></b> glad to see the news industry go that way, I've been pleading with them to embrace the future, to stop fighting it, to accept the changes, to give up their point of view. I think it's still possible to do it, and save some of what they've built, but not so much anymore. But it's going to take some major shifting of point of view to get there. And us users don't really have much reason to care anymore.
		- $7.7 trillion
			- <a href="http://www.bloomberg.com/apps/news?pid=20601109&sid=aAnCCWp3ViSU&refer=home">Bloomberg says</a> the US bailout <i>so far</i> is costing us (the taxpayers) $7.7 trillion. 
			- <center><b>$7,700,000,000,000.00</b></center><br>I just had to type that number in it's so astonishing. Where are we going to get that much money? Are the Chinese really going to lend us that much? And when we come back to them in April looking for $77 trillion, what will they say? 
			- One plus to all this michegas, it makes the Iraq debacle seem like an absolute bargain! Good going Bushie and Cheney. Look at how much money you didn't waste. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/24/jesusChristIsComing.jpg" width="78" height="189" border="0" alt="A picture named jesusChristIsComing.jpg">
			- It's really hard to laugh about this. Oy.
		- Technical followup
			- Of all the techniques offered for <a href="http://www.scripting.com/stories/2008/11/22/aWindowsAppToShutDownApach.html">stopping and starting Apache on Windows</a>, the one that worked the best was using a batch command: <i>net stop apache2.2</i> to stop it and <i>net start apache2.2</i> to start it. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2005/05/20/ohYeahhhh.gif"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/24/yeah.gif" width="125" height="133" border="0" align="right" hspace="15" vspace="5" alt="A picture named yeah.gif"></a>It's not perfect, because the batch file runs asynchronously from my script call, so it's hard to know when it's okay to proceed, since the call to stop Apache returns long before Apache is stopped; same thing with restarting. But this approach is much better than all the other suggested approaches. Still wish there were a program I could send a message to, which waits until Apache is stopped before returning. And it, predictably, took hours to sort through all the options.
			- Another problem in switching servers to EC2 is getting a mail relay agent running, so NewsJunk can send emails to people following it via email. When spam became a big issue it became harder to set up mail servers as they tried to defend against people using them for spam. So I thought I had stumbled across something excellent, Godaddy, which is registrar for many of my domains, offers SMTP mail relays. So I set it up and tried a one-line script calling <a href="http://docserver.scripting.com/tcp/sendMail">tcp.sendmail</a> but I'm getting an error message that's hard to parse. 
			- <i>553 Sorry, that domain isn't in my list of allowed rcpthosts.</i>
			- I called their support line, but they have no clue what it means. They say I should use Outlook or Entourage or AppleMail. I said I'm doing it from a script inside my web app. They say they don't support that. Okay, but they're a registrar that doesn't serve people who run websites? They usually have smart, polite support people -- but this time they were trying to BS me. Not appreciated, Godaddy.
			- Anyway, I trawled around <a href="http://www.google.com/search?hl=en&q=godaddy+553+Sorry%2C+that+domain+isn%27t+in+my+list+of+allowed+rcpthosts&btnG=Search">looking</a> for a clue what that error means, and it's hard to parse. It could be that something hasn't propogated through DNS or it could mean their defenses think I'm a spammer (I'm not).
			- So I may be back to zero again. Can't run the IIS mail server because of a weirdness of EC2, life gets more complicated if you depend on configuring the OS and I want to keep it simple, using an off the shelf image of Windows rather than customizing one.
		- Once again with Twitter's BM
			- BM stands for Business Model, not what you think. ";->"
			- Steve Gillmor has the Gillmor Gang and he uses that pulpit to push a future of ideas and truths flying around the Internet, our ideas -- with all kinds of pipes and funnels to catch the stuff we want and let the other stuff flow by. We're going to need it now that the newspapers are evaporating at the same time as the banks. Unfortunate timing.
			- <a href="http://www.scripting.com/stories/2007/02/19/hateTheAdLoveTheProduct.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/24/headonad.gif" width="115" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named headonad.gif"></a>Steve wants Track. The FF guys say they'll give it to him, and I believe them. Their philosophy is to pass back everything they suck in. Good philosophy. So far they've stuck to it, more or less. Meanwhile, reading the tea leaves I'd guess that Twitter is going to sell track to consumer marketing companies, based on the model that we're eyeballs on couches and there's $$$ value in selling what we're talking about to BigCos. To me, this is very sad old thinking and doomed to fail, like people living off the rise in equity in their houses. Much better to go direct, get and give money to and from users. There are a lot more of us, and we've got better ideas.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/24/untied.gif" width="75" height="283" border="0" align="left" hspace="10" vspace="5" alt="A picture named untied.gif">Here's my recipe for Twitter's business...
			- 1. Acquire a couple of the add-on vendors, to send the signal to developers -- they're looking to buy.
			- 2. Open up the APIs fully, limited only by technical realities, don't hold anything in reserve. 
			- 3. Offer the add-ons to users at a price. The basic service remains free forever, but the add-ons cost. Kind of like wordrpess.com. It works for Apple with their app store. Amazon charges for their web services. We're in the period after the second Internet tech crash now, thinking must be adjusted. 
			- 4. Go to step 1, acquire more add-on developers. Then go to step 2, add more APIs, then step 3, offer more for-money features to users, who then can (likely) build businesses off the new features. 
			- This is Twitter as <a href="http://www.scripting.com/stories/2007/04/28/twitterAsCoralReef.html">coral reef</a>, an idea that held promise many months ago but has faded as things have more or less stagnated in TwitterLand. 
			- Observation -- everyone who has a website that survives will be in competition with Amazon. Start now, don't be thinking about competing with Google for ads, that model is disappearing, just like people who were paying credit card bills by taking out third, fourth and fifth mortgages, only to make their next down payment with a credit card! ";->"
			- Otherwise, I'd advise the S3 people to get a Twitter-like notification system ready asap. You know what -- I'm pretty sure they have one in the pipe.
			- Update: Steve also has a nice <a href="http://www.techcrunchit.com/2008/11/24/a-whale-of-an-opportunity/">pulpit at TechCrunchIT</a>. ";->"
	- November 22
		- Quick followup on the FreshAir bit
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/22/vietnam.gif" width="125" height="212" border="0" align="right" hspace="15" vspace="5" alt="A picture named vietnam.gif">BTW, while I'm mentioning flames, of all the comments I got, publicly and privately on my <a href="http://www.scripting.com/stories/2008/11/21/terryGrossBlewIt.html">bit</a> about FreshAir, the vast majority didn't respond to the substance of my piece, proving once again that the Internet has no subtlety. You're either for me or against me, seems to be the attitude of most commenters. Well, I could be for you in some ways and not for you in others. I thought Gross did a competent, even admirable interview. I just thought it was gutless to do it with Ayers who had already been lambasted by the Repoobs. 
			- I'd like to see her take a similar approach to one of the supposed heroes of Vietnam. I think Ayers was on the right side, even though his tactics were extreme. More to the point, I was on the same side as Ayers. Let's see her have the guts to get McCain on her show and question him the same way. Anything you care to apologize for about your role in Vietnam? Heh, it'll never happen. 
			- It pains me no end that the summation of the history of Vietnam is that it was a just war, and the people who opposed it were wrong, and the ones who opposed it violently were terrorists. That view is sad, and lacks balance, and imho is fairly dangerous. Ayers was a kid back then, that's why he did some kid-like things (like plan at first to fight in the war so he'd get material for a book). The history we're to believe is one-dimensional and dangerous cause it leads to more disasters, like the one in Iraq.
			- McCain can be forgiven for not learning all the lessons of Vietnam, he was in prison far away while the US was exploding. But then so can Ayers. Maybe that would be a good topic for Terry Gross to handle -- how do we forgive those who made mistakes in their opposition to an unjust war, if only for the pragmatic reason of not wanting to keep fighting the same war over and over for generation to generation.
			- One of the themes in the interview was that this last election was the last one where Vietnam will be an issue. At first I concurred, but on reflection I realized that because we didn't learn from the war, we'll keep going round in circles when we have to live with the wounds from Iraq. That hasn't come home yet, amazingly, but it will at some point be a big issue in our country, and we've already had elections that focused on it, and will continue to, probably, for a couple of generations. 
			- Vietnam, therefore, is still very much with us.
			- If you had a time machine and could go back to the 70s and ask those where alive then if we'd repeat the mistakes of Vietnam, a wise person would likely say, yes, eventually, but this generation surely won't make them. And that wise person would have been wrong.
		- A Windows app to shut down Apache?
			- I need an app I can launch from a script that reliably shuts down Apache. Pretty sure I can relaunch it without too much trouble. I don't care what language as long as its an exe I can just run. I can try to debug a pair of batch scripts but that approach always takes a few hours for me. 
			- I need to do it for a couple of reasons...
			- 1. I want to change some of Apache's conf files and have the changes reflected.
			- 2. I want to rollover the log files and have to do it when Apache is not running.
			- There may be some other reasons to want to temporarily shut down Apache under code control.
			- I posted a tweet about this and got back a ton of questions, so I realized that I'd better put up a blog post. With 13K-plus followers most of them can't see each other so my responses would make no sense to most of them, then I get questions asking me to explain what I'm responding to, and you can see this quickly cascades out of control (one of the reasons I say Twitter is no good for conversation, of course y'll all flame me for that one heh).
	- November 21
		- Terry Gross blew it
			- If you've been reading my blog you know I'm a big fan of the Fresh Air <a href="http://www.npr.org/rss/podcast.php?id=13">podcast</a>, have been for a long time, since before it was a podcast. I like the way the host <a href="http://en.wikipedia.org/wiki/Terry_Gross">Terry Gross</a> interviews people, and because the show is so good, and she's basically a fair interviewer, and a lot of people listen to it, she gets very good, very interesting guests. All around, a lot of positive flow around the show, and I'm a fan. Or I should say I was a fan until three days ago, since then I've not been able to listen to the show, I'm so disillusioned with Ms Gross. Let me explain.
			- First, what happened three days ago was she interviewed William Ayers, the man made famous by the McCain-Palin campaign as the supposed terrorist who President-elect Obama "palled-around" with. Here's an <a href="http://podcastdownload.npr.org/anon.npr-podcasts/podcast/13/97183824/npr_97183824.mp3">MP3 of the interview</a>. Before you judge my judgement, listen to the whole thing. It's necessary to get a full appreciation of what I'm going to say.
			- In this interview, she used the tough "gotcha" style interview, every question designed to evoke a confession. Ayers answered each question like a skilled politician, and walked a very fine line, and held back a lot of things I'm sure he would have liked to say.
			- In the end she asked Ayers if he wanted to apologize for what he did, if he would be willing to take the "unrepentent" part off the label "unrepentent terrorist," and he refused, and I'm glad he did.
			- These are complicated issues, and to deal with it in a balanced way would require probably a few books, written from different perspectives. We don't today have a balanced view of the struggle in the US over Vietnam. Not when one person is singled out this way, when so many others are responsible for so much more death and destruction.
			- The reason I like FreshAir is she doesn't normally do gotcha. Her style is to ask leading questions to get her subjects to tell their own stories. She may ask challenging questions, but only ones her subject wants to answer. Since the Ayers interview she's returned to her original style, interviewing a comedian and a book author. But I can't help but wonder if each of these people has something to answer for too, and she's not asking about any of that.
			- I definitely sympathize with Ayers, I probably wouldn't have minded if she probed John McCain this way about <i>his</i> involvement in Vietnam. I'm sure he killed a lot more people than Ayers did. And that led me to the other, larger reason I'm unhappy with the interview -- she might not want someday to have someone say she "palled around" with an unrepentent terrorist who attacked his own country. In other words, she may be using us to protect herself. If that's the reason she drove Ayers so hard, I would much rather she had skipped the interview altogether. 
			- After all we've heard about him that's bad, didn't he deserve one chance to tell his story without being presumed guilty? And didn't we deserve a chance to hear that? FreshAir is the place I would have thought we would have gotten that story, and I think there's a good chance that cowardice prevented it. It certainly appears that way, and in journalism, it's hard to respect someone who allows such an appearance to persist.
			- It's going to be real hard for her to keep me as a fan. Either she adopts the gotcha style and goes after everyone, from clowns to reporters, and I'll tune out for the same reasons I don't listen to other reporters who use that style; or she stays with the softball style I like, but I'll never be able to stop thinking of her as a hypocrite for being so gutless with Ayers.
		- NewsJunk -- Junkier than ever!
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/21/nick.gif" width="105" height="205" border="0" align="right" hspace="15" vspace="5" alt="A picture named nick.gif">There's something about taking a break that gets you ready for more. As the election wound down, the pace of the news rose to a crescendo, then dropped off precipitously. After letting a bit of time pass, my intuition that NJ had run its course was confirmed, so I announced it, and then a few days later, I noted a desire to get back into it, so here we go!
			- Dual themes, the continuing wind-down of the 2008 election, and the wind-up of the new theme: <i>Our Crumbling Economy,</i> with a hope that crumbling is all its doing! ";->"
			- As with the last incarnation there's a small team working here. We strive for neutrality, NewsJunk doesn't have a voice, it's just links to stories we feel an informed person would want to be aware of. We neither agree or disagree, or agree to disagree, or agree to be disagreeable. <i>Onward!</i>
			- About the financial calamity we're facing, Joshua Allen put it very well in a <a href="http://www.scripting.com/stories/2008/11/21/switzerlandMayGoBankrupt.html#comment-3942316">comment</a>: "The rest of the world has every right to be bitter. This was primarily caused by the US, and the US will feel less pain than any other nation, because of the reserve currency status of the dollar." 
		- Switzerland may go bankrupt
			- Now we're at the point where whole countries are going down.
			- This is turning into a bloody huge mess. <a href="http://crookedtimber.org/2008/11/21/end-of-the-beginning/">Citibank</a>, too big to fail, and too big to bail, is next. 
			- Read it and weep. Our way of life is on its way out. What does the world look like in its next incarnation? We're about to find out.
			- Oh my.
		- We're so studly
			- Well, the <a href="http://www.scripting.com/stories/2008/11/20/moreOnProxypassInApachewin.html">ProxyPass project</a> met its objective, but not without a few more brain teasers and knife fights along the way.
			- The goal was to get the OPML Editor running behind Apache, so Apache could serve the static stuff, and the OPML Editor could do the dynamic stuff. The OPML Editor is running only on port 5337 and Apache on port 80. And all this is running on an instance in Amazon's cloud, a.k.a. EC2. 
			- The first problem is that while Amazon is capable of linking a permanent IP address to an instance, so you can host publicly available websites in EC2, the machine doesn't know its public IP address, so when you tell Apache to route requests for the public IP address to OPML it says OK, but it never actually routes anything. I thought "Well this is silly, why does Apache care what its IP address is?" and it turns out it doesn't. Just put an asterisk where you'd put an IP address, and it routes everything. This must have been added after the first release because the docs don't mention it except parenthetically.
			- Then I had problems on the OPML side, cause now every request, even those that used to come in on port 80, now use port 5337. It turns out some code cares in some very bizarre ways that I never fully understood. Instead I wrote a hack that changes the port to 80 if it came from Apache, and bing everything works. I call this the Indian Jones method after the scene in the first Indiana Jones movie where the hero kills the terrifying giant sword-swinging Mullah by shooting him. It was funny the first time, after that you see it coming and it's not that funny. But sometimes I forget that you can solve programming problems that way. Who cares if your app invites you to a sword fight if you've got a gun?
			- I was so relieved when it worked that I left a <a href="http://images.scripting.com/archiveScriptingCom/2008/11/21/hackgackmack.gif">comment</a> with a lot of immature words in it.
			- Anyway, the headline on this post refers to you, dear Scripting News tech studs, who helped me sort out the arcania of Apache. You guys are the greatest. Thank you.
	- November 20
		- More on ProxyPass in Apache/Windows
			- I thought I had it <a href="http://www.scripting.com/stories/2008/11/19/checklistForReverseProxies.html">yesterday</a>, but there was a case I didn't test, and it didn't work, so there's still some more work to do.
			- What I want:
			- 1. http://apache.twitterland.org/ should be served from the static Apache folder, which is in its virgin state with the "It Works!" page. And it does work.
			- 2. The <a href="http://apache.twitterland.org/npr/">npr sub-folder</a> should be served by the OPML Editor, and it is.
			- 3. http://test5.twitterland.org/ should also be served by the OPML Editor, but it is not. Instead it's serving the static Apache folder.
			- Here's a copy of my <a href="http://apache.twitterland.org/httpd.conf.txt">httpd.conf file</a>. The VirtualHost stuff is at the end of the file.
			- This is a virgin Apache install, with the modifications made in yesterday's <a href="http://www.scripting.com/stories/2008/11/19/checklistForReverseProxies.html">checklist</a>, with one additional change, I've set the DocumentRoot to C:/www.
			- Update: With the addition of "NameVirtualHost 67.18.151.42" ==> it now works as needed.
			- "cheesecake"
		- More on Detroit
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/20/house.jpg" width="175" height="98" border="0" align="right" hspace="15" vspace="5" alt="A picture named house.jpg">Reading the news it's not clear if we're going to give <a href="http://www.scripting.com/stories/2008/11/18/isThePanicOverDetroitReal.html">Detroit</a> the money to keep them going for a while longer. Pretty sure we can't afford not to, and of course they'll be coming back for more next year, and that's probably a good thing, cause it's time to make some changes. We need to own them for a while so they start working for us not continuing to feed our oil habit and keeping their buddies at Exxon-Mobil's profits high. 
			- And they have to retire their fleet of <a href="http://abcnews.go.com/Blotter/WallStreet/story?id=6285739&page=1">corporate jets</a>. And all their execs take pay cuts down to less than $1 million per year. If they choose to quit, so be it and good riddance. And since we're going to own them, a new rule -- no more commuting from Seattle to work in Detroit for the CEOs. We're bailing them out not because we think they've done anything remotely like a good job, we're doing it so that we don't have to feed and house their remaining employees and bail out their suppliers when they go bankrupt. We're doing it to save our country, not to save the auto industry as its currently configured, which is rotten and dangerously short-sighted. 
			- I just got a briefing from <a href="http://www.pbs.org/wgbh/pages/frontline/heat/">Frontline</a>, a show that aired just before the election called Heat, about global warming. Lots of interesting stuff in there, all of which must be taken, of course, with a grain of salt. But if you believe them, Detroit had a Prius before Toyota, funded by the government, but it never went into production. The Prius was a response by Toyota to a US initiative to increase gas mileage. Detroit took our money but never shipped the damn car. Now they're rebooting their effort to produce a hybrid, and get this -- they're starting from scratch. The bastards threw away the R&D we paid for. So much for trusting them with our money. Can't do it. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/20/chalmers.gif" width="105" height="233" border="0" align="right" hspace="15" vspace="5" alt="A picture named chalmers.gif">But we also can't jump off the cliff. We'll have Hoovervilles in every shopping mall. When you go to the supermarket the shelves will be empty. It's already happening at some local retailers. When the economy fails, distributors go out of business, then the manufacturers the distributors stiffed, and all of a sudden even if you have money in the bank you can't find food to buy. You turn up the thermostat and there's no heat. Old people and children and people with chronic diseases <i>die</i> when we get there. Perhaps you have some people like that in your family. Perhaps you're one of those people?
			- If you've ever been to the Third World, or parts of the US that are the Third World like the South Bronx and New Orleans and (I'm told) parts of Detroit -- you owe it to yourself to find out what that's like. Because if you're stupid enough to think that letting Detroit fall off the cliff somehow won't take you and your family with it, you need to get educated, fast. 
			- I'd start with watching the Frontline episode about global warming and see if that doesn't get you thinking. Then, after we give them the $25 billion, when they come back in (say) February, we'll be ready with a plan for them to execute. And they won't be coming to Washington on their corporate jets next time. We need to cut our oil consumption, fast, and they need to cut the fat. Let's get going everyone.
			- PS: Some people say they should go into bankruptcy, and I'd be willing to make that a condition for the companies to receive government loans. If they can get by without the loan, fantastic. If they can get a bank to give them a loan without going bankrupt, even better. I might also add the requirement that while the companies are receiving our money, their CEOs take the pay cuts outlined above. You don't like it? Quit. We'll keep taking resignations until one of your execs is willing to roll up his or her sleeves for the cause. Taking government money should be a painful process. They've gotten accustomed to our bailouts and keeping their corporate jets -- it must be factored in their planning that we're soft touches. That's got to stop.
			- Update: <a href="http://globalguerrillas.typepad.com/johnrobb/2008/11/keep-detroit-wo.html">John Robb agrees</a> with my earlier piece.
			- Update: <a href="http://www.huffingtonpost.com/dave-winer/what-to-do-with-detroit_b_145186.html">Cross-posted</a> at Huffington.
	- November 19
		- Journalists who report the news
			- This is what I was talking about <a href="http://www.scripting.com/stories/2008/11/18/isThePanicOverDetroitReal.html">yesterday</a>.
			- "They should put their reporters in Detroit, Columbus, Indianapolis, where ever there are elements of the auto industry, and explain what will happen to these Americans when GM, Ford and Chrysler shut down, even if it's just for a few months. Really show us what the decision is. For once, scare us with the truth, instead of telling the usual bedtime story. That would be the honorable journalistic thing to do, but of course they're not doing it."
			- Well, <i>someone</i> is doing it. Here's an <a href="http://www.nytimes.com/2008/11/19/business/economy/19ports.html?_r=1&partner=rss&emc=rss">example</a>. 
			- <a href="http://www.nytimes.com/2008/11/19/business/economy/19ports.html?_r=1&partner=rss&emc=rss"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/19/longBeach.jpg" width="255" height="141" border="0" alt="A picture named longBeach.jpg"></a>
			- Instead of sitting in a studio and asking questions based on incorrect premises, that somehow the collapse of the auto industry is a United States thing not happening because the world economy has collapsed, the NY Times sent a reporter and a photographer to Long Beach to describe the scene at the point where imported cars enter the US market. 
			- "Gleaming new Mercedes cars roll one by one out of a huge container ship here and onto a pier. Ordinarily the cars would be loaded on trucks within hours, destined for dealerships around the country. But these are not ordinary times."
		- Reverse proxy with Apache on Windows?
			- Update: <a href="http://www.scripting.com/stories/2008/11/19/checklistForReverseProxies.html">It worked</a>, after a fresh install of Apache and a bit of fussing in the OPML Editor.
			- 0. I must use Windows, so please don't tell me I shouldn't use Windows. Thanks in advance. 
			- 1. I have at least two HTTP servers that I want to run on one box, one of them is Apache. The other is the OPML Editor. I may want to run Frontier as well (so I can serve Manila sites that are still in use). 
			- 2. If the colocation service allowed multiple IP addresses per machine, I would just use one for Apache and one for OPML and one for Frontier, and I'm done. Unfortunately the colo I'm using only allows a single IP address. So I must come up with a software solution.
			- 3. Apache has a <a href="http://httpd.apache.org/docs/2.0/mod/mod_proxy.html">module</a> that does a reverse proxy service, that allows you to route requests, by domain, to other servers. That's great, because I would just use Apache to do that. But last week I spent four hours farting around with it and couldn't get it working. It turns out there are undocumented switches somewhere, no one is exactly sure, and there are no docs (at least none that make any sense to me). 
			- Update: Whenever I include the ProxyPass directive in a my conf file, I get this <a href="http://images.scripting.com/archiveScriptingCom/2008/11/19/error.gif">cryptic error dialog</a>. Until I remove it, the server doesn't start up.
			- 4. Now I'm pretty sure it can be done. Someone must know how to do it. I promise if I figure it out I will leave behind a clear how-to. So if anyone has a clue, please let me know. Scripting News readers are famous for knowing arcania like this. So please show your stuff! ";->"
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/19/train.gif" width="113" height="123" border="0" align="right" hspace="15" vspace="5" alt="A picture named train.gif">Update: I'm willing to use other HTTP software if its easier to set up reverse proxies, but I am not willing to use IIS. Last time I set one of those up it got horribly hacked. I think it's a target for a lot of kids out there, and you always end up with gremlins hanging out on your servers supporting warez and other strange shit. Rather not mess around with that. 
			- By the way: I'm also looking for web app software I can run myself, hopefully simple to install, that takes a JPG and scales it down to 640-by-480 or even smaller. Ideally on Windows, again. Sigh. Even better would be someone else's service, but this is the kind of thing people usually don't want to do for you since it uses machine cycles.
		- Checklist for reverse proxies in Apache/Windows
			- Checklist of things to do with a fresh Apache install to get reverse proxies working (on Windows).
			- 1. Start with <a href="http://archive.apache.org/dist/httpd/binaries/win32/apache_2.2.9-win32-x86-no_ssl-r2.msi">apache_2.2.9-win32-x86.nossl.msi</a>, go through normal install. When it asks for domains I entered: twitterland.org, apache.twitterland.org (one of many unused domains I've bought over the years) and my Gmail address.
			- 2. Rebooted the system.
			- 3. Editing httpd.conf. In the default install the full path is:<br><code>C:\\Program Files\\Apache Software Foundation\\Apache2.2\conf\\http.conf</code>
			- 4. Uncomment two lines, to activate the proxy module, per <a href="http://www.scripting.com/stories/2008/11/19/reverseProxyWithApacheOnWi.html#comment-3899483">advice</a>.
			- 4a. Configure Apache to only listen on port 80 of 67.18.151.42.
			- 5. Restarted server. It works. http://apache.twitterland.org/ 
			- 6. Added code to map <a href="http://apache.twitterland.org/npr/">/npr</a> on this server to the OPML Editor (which is running on port 5337). Well, it didn't kill the server, but it's also not mapping to the right place. What you should see is exactly what you see at: http://npr2.twitterland.org:5337/ 
			- After a bit of fussing on the OPML Editor side of things, it worked. Thank you everyone for the help and encouragement.
			- Here's the code I added in step 6.
			- ProxyPreserveHost On<br>&lt;Location /npr/><br>&nbsp;&nbsp;&nbsp;ProxyPass http:\//npr2.twitterland.org:5337/<br>&nbsp;&nbsp;&nbsp;ProxyPassReverse http:\//npr2.twitterland.org:5337/<br>&lt;/Location>
			- I have a bit more work to do, later, to get virtual domains to pass through the proxy, but I've heard that's pretty easy (heh, I'll believe it when I see it).
			- Later...
			- It turned out to be very straightforward and easy. I set it up so that http://test5.twitterland.org/ points to the Apache server, and using VirtualHost I sent it over to the OPML Editor through a proxy. Worked the first time. ";->"
			- &lt;VirtualHost 67.18.151.42:80><br>&nbsp;&nbsp;&nbsp;ServerName test5.twitterland.org <br>&nbsp;&nbsp;&nbsp;ProxyPass / http:\//test5.twitterland.org:5337/ <br>&nbsp;&nbsp;&nbsp;ProxyPassReverse / http:\//test5.twitterland.org:5337/ <br>&lt;/VirtualHost>
	- November 18
		- Is the panic over Detroit real?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/18/escalade.jpg" width="145" height="71" border="0" align="right" hspace="15" vspace="5" alt="A picture named escalade.jpg">I'm not an economist, and while I'm not a casual investor (no one can be) -- I'm not a very active investor. I tend to park my assets in one place and just leave them there. The one major exception was January of this year, when I sold almost all my stock. Slowly, I bought back in -- index funds, but a very small amount of my holdings. Mostly I'm in US dollars and like everyone else, taking a bath and getting a haircut. It hasn't been a good year.
			- At the same time, I've been watching the AP and AFP photos flow through my screen saver, as always really excellent stuff, and the other day was struck by a photo in a Chinese unemployment office. The people don't look very different from us, and the office looked like it could be in Los Angeles, Phoenix, Denver, St Louis, Atlanta, DC, Philadelphia or Boston or any other American city. There were people gathered in front of a window, waiting in line. And there were computers, they looked exactly like ours (of course, our computers come from China) and they had wires on them, and I imagined those wires went to the Internet, the same Internet the wires on my computer go to.
			- The moral of that little story is that today in our crumbling economy, jobs in a random part of China are completely fungible with jobs in a random part of the US. Our workers compete with theirs and vice versa. If they can do a job for less money than our workers, they're going to get the work. Seeing Chinese workers in a scene that looked so familiar brought all this home in a new way. 
			- At the same time, I'm listening to the talk on cable TV and radio about the looming crisis in Detroit, and recognize that at least half of the talk is nonsense, and the other half is people saying that the first half is nonsense. As usual, they are trying to create a debate, they don't care if the debate is about the substance. On Face The Nation, I heard Bob Schieffer ask the same nonsense questions on Sunday that on Monday Chris Matthews asked on Hardball and Mika Brzezinski asked on Morning Joe. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/18/hummer.jpg" width="145" height="106" border="0" align="right" hspace="15" vspace="5" alt="A picture named hummer.jpg">The don't report that the problems at GM, Ford and Chrysler are part of the September meltdown, part of the fallout of the bankruptcy of Lehman Brothers. The economy is rapidly slowing down, maybe even grinding to a halt in some areas (esp autos) and companies like the Big 3 automakers can't get loans even if they have decent credit. I understand this because I was listening and reading during the initial reporting of the meltdown, and I heard what they were reporting, almost parenthetically during the rush of news, btw -- GM will run out of cash in a few weeks and might disappear -- but apparently these reporters weren't paying attention to their own reports. (Maybe understandable, because at the time the concern was over Bank of America disappearing.)
			- So instead of discussing what form our support will come in, we're discussing the <i>morality</i> of whether they should receive the support. It's the stupidest most dangerous discussion imaginable, because we're going to pay for this one way or the other. We can pay $25 billion now, or $200 billion in January to feed the out-of-work people. And of course, the comments on this post are just going to be rehashes of what Matthews, Schieffer and Brzezinski were saying on their respective TV shows. The Internet mostly parrots, reflects whatever nonsense is on TV. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/18/lincoln.jpg" width="165" height="67" border="0" align="right" hspace="15" vspace="5" alt="A picture named lincoln.jpg">The really scary part is that our government, still run by Republicans until January 20, seems to be willfully driving off the cliff. It would be one thing if it was just posturing, one party preparing to blame the other for whatever problems come from what they're calling a bailout, but it's much worse than that. They're going to let the companies fail. I don't think people appreciate just what that means. And the press should be reporting on that, not the morality. They should put their reporters in Detroit, Columbus, Indianapolis, where ever there are elements of the auto industry, and explain what will happen to these Americans when GM, Ford and Chrysler shut down, even if it's just for a few months. Really show us what the decision is. For once, scare us with the truth, instead of telling the usual bedtime story. That would be the honorable journalistic thing to do, but of course they're not doing it.
			- We daydreamed through the various crises of the last eight years, really the last forty or fifty. We won't be able to stay asleep through what's coming. 
			- On an NPR show yesterday they had people calling in from Michigan. They sounded very clear, not angry, not a lot of fear in their voices, but the things they were saying scared <i>me</i> -- towns where everyone is out of work, and no one is able to sell their house, nowhere to go, savings being depleted, wondering what happens when they're gone.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/18/house.jpg" width="175" height="98" border="0" align="right" hspace="15" vspace="5" alt="A picture named house.jpg">In online discussions people say we should let the companies fail -- they scare me even more, because they don't understand how much our lives depend on each others. That was clear in New Orleans after Katrina. They couldn't re-open the restaurants not because there was no demand for the services, there was, but because there was no place for the staff to live and no way to get the supplies they needed. And you can't bring in the workers to rebuild the city without places for them to eat. 
			- Civilizations take a long time to reboot after a crash, so you must do everything you can to avoid crashing, but this one seems to be willful, we have the means to prevent it, but for some reason we're too stupid, collectively, to stop it.
			- I feel this also because I live in earthquake country. People here say "New Orleans shouldn't be rebuilt cause there never should have been a city there in the first place." I lower my glasses down my nose and look at them and say (after a long pause) "Are you fucking out of your fucking mind? Don't you see where <i>you</i> live?" I usually don't even have to say a word, just pause and let them think. 
			- My mother, who lives in NY says the same thing, and I say sheez, it's not as if your city didn't need the rest of us to save you. She literally doesn't understand what I was saying. I ask if she remembers 9/11. 
			- Fact is, we all live in New Orleans and Detroit, and we're going to learn that in this country, but it's going to be a very very painful lesson, apparently.
	- November 17
		- Best moments from last night's interview
			- Last night's 60 Minutes interview with the Obamas was great. Sometimes our next President comes off wonky and tired, and other times, like last night -- human, warm, smart, even funny. 
			- <embed src='http://www.cbs.com/thunder/swf30can10cbsnews/rcpHolderCbs-3-4x3.swf' FlashVars='link=http%3A%2F%2Fwww%2Ecbsnews%2Ecom%2Fvideo%2Fwatch%2F%3Fid%3D4608198n&partner=news&vert=News&autoPlayVid=false&releaseURL=http://release.theplatform.com/content.select?pid=BNXr0JrnQThBYSfHRHXiiZYcUC2nQXqQ&name=cbsPlayer&allowScriptAccess=always&wmode=transparent&embedded=y&scale=noscale&rv=n&salign=tl' allowFullScreen='true' width='283' height='216' type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer'></embed>
			- There were a lot of memorable moments, and a great sense that this is an extrordinary person, who knows how special he is, but is also very humble. They talked about how his old car had holes in the floor (he called it the air conditioning) and it was how he knew his wife loved him (the holes were on her side of the car). They described his Washington apartment that the Secret Service wouldn't let him use at some point in the campaign, after the building caught fire. 
			- At one point the interviewer, Steve Croft, tried to get Obama to compare his mother-in-law to his dog, but Obama, with his wife sitting next to him, wasn't having any of it. But he let all of us in on the joke. The Obamas have a sense of humor about life, and while they feel happy, even euphoric about their new place in the world, they also are trying hard to stay true to who they are.
			- Probably the nicest moment of the interview, for me, was at the end when he was asked about his <a href="http://blogs.suntimes.com/sportsprose/2008/11/barack_obama_makes_a_push_for.html">plan</a> to add a round of playoffs to college football. The man's eyes lit up, he pulled his hand away from Michelle's and explained how he thought this was something fun he could do with the power of the Presidency. I hadn't heard about it, and while I'm not a college football fan, I say Go For It! Mr. President-Elect, but don't forget to fix the economy too. 
			- It was the <a href="http://www.hollywoodreporter.com/hr/content_display/television/news/e3i9a16846c2b15f4520335accf12b96a98">most-watched-ever</a> episode of 60 Minutes, and no doubt people were pleased by what they saw. I was. America <i>is</i> a great country that we have the collective vision to create such a person and to empower him. Good work.
		- High quality over-the-air TV
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/17/eyetv.jpg" width="103" height="245" border="0" align="right" hspace="15" vspace="5" alt="A picture named eyetv.jpg"><a href="http://www.scripting.com/stories/2008/11/15/comcastRevisited.html#p11">In a post about Comcast</a>: "I bought EyeTV devices for three of my computers so I could receive digital over-the-air broadcasts. It amazes people when they find out that such high quality transmissions are available for free over the public air waves."
			- I got a couple of questions wondering what I was talking about, and I promised to write about it here. So here goes.
			- A few years back a friend told me he had put an antenna on the roof of his house and was receiving digital versions of local TV stations. He showed me, but even though it was the familiar programming, I didn't understand what I was looking at.
			- Last night, when the Obamas were on 60 Minutes, I watched it in digital, using an antenna next to the computer, plugged into an <a href="http://www.elgato.com/">EyeTV</a> USB dongle thing. The picture quality was awesome. Every bit as good as if I were watching it over DirecTV, which I pay $100 a month for. I get KCBS, the local affiliate, over the air, for $0. It's totally legal. How could this be?
			- Well, it's really not that astonishing. When I lived in New Orleans in the 70s, I had a TV my grandmother gave me, a black and white tube set. I watched President Ford on TV, through an antenna next to the TV on the local NBC affiliate, <a href="http://www.wdsu.com/">WDSU</a>, which I got over the air for $0. Only the quality was nowhere near as good. If my grandmother were alive to see the show she would not only plotz because we had elected a <a href="http://www.urbandictionary.com/define.php?term=schvartze">schvartze</a> president (I'm sure she'd be happy about it), but the quality would probably astonish her as well. But the concept is exactly the same as over-the-air free TV in the 70s. 
			- If you've been watching commercial TV you've seen the announcements about how on February 17 next year, TV is switching over to <a href="http://www.dtv.gov/">all-digital broadcast</a>. This is what they're talking about. At that point, if you have an old analog set like the one I had in the 70s, all you'll get is static. Until then, believe it or not, that TV would still work. 
			- The cool thing is that, because the signal is digital, it doesn't take much hardware to make it possible for you to watch that signal on your computer. There are adapters available for both <a href="http://www.hauppauge.com/site/products/data_hvr950mac.html">PC</a> and Mac, they cost between $99 and $200, and they work very nicely. Anyone who reads this blog has all the technical skills needed to make it work. And it's worth it just for the mind-bender, and for the times like yesterday when they have must-see programming on commercial TV, they get you access where ever your laptop goes. You don't need a net connection, this stuff is going over the air. 
			- <a href="http://flickr.com/photos/scriptingnews/2751628155/sizes/l/">Here's a screen shot</a> I took of President Bush at the Olympics this summer in an EyeTV window on my desktop iMac.
		- What do you think of this ad?
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/-IZ9CL4phPk&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/-IZ9CL4phPk&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
			- You can comment here, or on <a href="http://friendfeed.com/e/8b3d7e35-17ea-4b1d-ba90-04c1b012c5d3/Poor-guy-Can-you-imagine-an-ad-with-the-gender/">FriendFeed</a>.
		- On the collapsing news industry
			- Steve Outing: <a href="http://steveouting.com/2008/11/15/do-newspapers-have-6-more-months/">Do newspapers have 6 more months?</a>
			- I posted a comment there...
			- And maybe at some point before they shut the whole news industry down they'll let independent bloggers into their process so we can get some ideas into their ecosystem. It's time to think about degrading gracefully, passing the baton to amateurs to do what the pros used to do, and not in a condescending way, do it as if our civilization depended on doing it well.
			- These people are only thinking about themselves, they need to start thinking about the function they perform. That's what I've been thinking about all the time blogging has been booting up. They think our contribution is over, that they've usurped blogging. This is wrong -- they're going down, and it's terrible, but we need to be left with a news system after the collapse.
	- November 16
		- I need a conference home
			- Stone, Camahort and Des Jardins have BlogHer.
			- Calacanis and Arrington have TechCrunch 50.
			- Steve Gillmor has The Gillmor Gang.
			- Loic has Le Web.
			- Klaus Schwab has Davos.
			- Tim O'Reilly has FOO Camp.
			- Tom Rielly has TED.
			- Etc etc.
			- There are a hundred tech, political and entertainment conferences each year, and people who speak every year at one or two of them (or more). It's good because you can hear what's on a person's mind, in their own words, with a chance to interact, once a year, like clockwork. Do that for five or ten years and you get somewhere, you hope.
			- These days I don't get many invites to speak. (Actually come to think of it I've never gotten a lot of invites to speak, I usually have to work at it. Basically I stopped working at it.) When I go to conferences I go as press, and I listen. I don't like talking from the audience. It may work for others, but it doesn't work for me. What works even better is <a href="http://www.scripting.com/stories/2008/11/13/conferencegoingInThe21stCe.html">watching</a> on video, where the temptation to speak out loud is diminished (and harmless, expressing my opinion at a computer screen is like a tree falling in the woods with no one there).
			- I think I could do my part to draw people to a conference. But I wouldn't want to take on the responsibility for the whole show. I know what that entails, I've done it four times. When you take it on, it consumes most of your time for a quarter of a year. I just don't think that's a good use of my time, though it might be for others.
			- What I'm looking for is seven or eight people who have a blog or podcast following, who might want to partner on such an event. It would be an annual thing. There would be seven or eight slots, and they would be the <i>same every year.</i> We might recruit journalists or bloggers to lead the discussions, but the topics for each session would be driven by the seven or eight people. You could bring other people on stage with you. Demos. Videos. It's up to each person. The audience would be encouraged to participate, something like a BloggerCon, but not exactly. Each session would very much be driven and designed by the person whose name is on the session.
			- Berkman does something like this -- almost every conference has a group of repeat speakers. If you want to get an update on what they're thinking about, sign up for the conference. They're good speakers, intelligent thoughtful people. Teachers mostly, so they're good at presenting their ideas verbally. It works. I'd like to do the same thing, but with people from technology, politics and entertainment. I think there's going to be enough happening at the intersection of those areas over the next decade to make a series of annual events interesting. Of course there would be ample opportunity for schmoozing, which is why people <i>really</i> come to conferences, as we all know. ";->"
			- I'm not interested in doing this to make a lot of money, rather as a way to start a thread into the future, and to partner with people whose ideas I find interesting.
		- I heart 30 Rock
			- I watched Saturday Night Live from its inception in the 70s, but over the years my attention went elsewhere. I have to admit that Dana Carvey and Eddie Murphy still seem like the new guys on SNL. So Tina Fey is absolutely foreign territory, and a bit intimidating. How dare the world move on! I was just getting used to Akroyd, Belushi, Newman, Radner, Chase, Murray and Curtin.
			- But like everyone else, I fell in love with Tina Fey for helping us laugh at the tragic comedy the election had turned into. We needed someone to help us deal with the possibility that the idiot woman would become the new vice-president. Someday we'll tell each other that there was a real possibility that we'd elect Palin, remember her? (One can hope.)
			- <a href="http://www.amazon.com/30-Rock-Season-Tina-Fey/dp/B000RBA6CO"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/16/rock.jpg" width="125" height="172" border="0" align="right" hspace="15" vspace="5" alt="A picture named rock.jpg"></a>Then I listened to the <a href="http://www.npr.org/templates/story/story.php?storyId=96494481">FreshAir interview</a> with Fey, and found out a lot, including that she isn't an impersonator, and that she had a show, 30 Rock, that was struggling -- but many people thought it was the best thing on TV. That's something I'm interested in, because Fey as Palin was riveting. I wanted more of that. Dave Davies, the FreshAir TV critic said he hoped that would happen, so I watched an episode from (the current) Season 3, and found it fairly uninteresting. Even so, I decided to try Season 1, at the beginning, and that's the nugget! It really <i>is</i> great TV. 
			- It's not often that you laugh out loud at a sitcom. So much so that I can't remember the last time I watched a 1/2 hour sitcom (except for Entourage, which I think is actually the best show on TV right now, and I don't think of it as a sitcom, but I'm not sure exactly what category it would fit in). But 30 Rock is everything a great sitcom is supposed to be. It's like Mary Tyler Moore. We love the heroine, Liz Lemon and come to love the grumpy boss Donaghy (played by Alec Baldwin), and the show is studded with celebrity guests from Seinfeld as himself, Paul Rubens as an Austrian prince, Robin Williams as a NY street bum and Carrie Fisher as a washed-up vision of the future Liz Lemon. You almost get the idea that all the great comics and actors love 30 Rock so much that they want to pitch in to help give it a future.
			- Now I gotta say that Season 1 is much better than Season 2. The show really had a spark in its first year, and it faded in the second year, which I'm not yet finished with. I hope it gets back on track, but it's still worth watching. And that its a struggling show says more about the state of broadcast TV these days than the quality of the writing and acting, which is as good as it gets. 
		- NewsJunk wind-down
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/16/ohRudy.jpg" width="107" height="79" border="0" align="right" hspace="15" vspace="5" alt="A picture named ohRudy.jpg">Now that the election was almost two weeks ago, we're winding down <a href="http://newsjunk.com/">newsjunk.com</a>. It was an interesting experiment, but it didn't achieve the biggest goal I had for it, not very many people used it. Not enough to justify continuing to do it. 
			- I felt there was a vacuum in the flow of political news, one site whose mission was to be a "briefing book" on a single topic for people who wanted to be more or less completely informed. I feel we accomplished that much for the election, and as one of the editors of the site (there were three others) -- just reading all the news also had tremendous value for me. On this one topic, I was pretty close to fully informed, or as fully informed as you could be through news and blogging. 
			- We tried doing a tech version of NewsJunk for a while, but my heart wasn't in it. I just don't care that much these days about tech news. It could just be a phase, but it's impossible to put in the time it takes to do a "junk" site right if you're not totally interested in the topic.
			- So for now we're going to post new items to the political NewsJunk feed only when they pertain to the 2008 election. There are still a few outstanding issues, the Senatorial races in Alaska, Minnesota and Georgia. There probably are still a few "think pieces" in the pipe with insights into the events of 2008. But news of the incoming administration, the economic crisis, world politics are not on-topic for NewsJunk, and we're not going to broaden its purview to include them.
			- However, I will probably write a few more pieces about NJ, including a list of who my favorite sources were. There are some great writers out there, and quite a few (who I <i>won't</i> name) who aren't doing very much for the big reputations they have. 
		- Three examples of great blogging
			- There's not enough great blogging, so when it happens, it's worth pointing out.
			- First what do I mean by great blogging?
			- 1. People talking about things they know about, not just expressing opinions about things they are not experts in (nothing wrong with that, of course).
			- 2. Asking hard questions that powerful people might not want to be asked.
			- 3. Saying things that few people have the courage to say.
			- Most blogging, like most journalism is pretty easy-going as you'll see in some of the responses to the three examples below. That makes it harder for people to do the right thing. 
			- So here are the three examples.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/16/coins.jpg" width="83" height="194" border="0" align="right" hspace="15" vspace="5" alt="A picture named coins.jpg">1. <a href="http://friendfeed.com/e/4b5c937c-81f0-f615-29b6-a5cd1826ca03/i-wonder-if-i-am-alone-when-i-say-that-i-hate/">Allen Stern asks</a> if others are uncomfortable that the President-elect is posting his videos to a commercial website, thereby favoring one company over another. (Most people answered no, some people put him down for asking the question. I said I support his concern.)
			- Update: <a href="http://news.cnet.com/8301-13953_3-10098174-80.html?tag=mncol">Dan Farber</a> addresses the issue head-on. As any reporter will tell you, the appearance of impropriety is every bit as bad as the impropriety. The incoming President can be forgiven (briefly) for favoring one company's product over another, but the dominance of that product is, imho, the <i>opposite</i> of an excuse. The President-elect should help create competition. I think competition is so important it should be written into the Constitution (it's not there unfortunately). The fact that the CEO of the company is on his board of economic advisers is a problem in its own right, and is compounded by Obama's favoring his product over competition. Yes, it matters. It really does.
			- 2. <a href="http://www.scripting.com/stories/2008/11/15/reminderThatGabesHeartIsIn.html#comment-3796337">Duncan Riley says</a>, despite my kind words for Gabe Rivera, his algorithms are hidden and not clonable, and that there's a difference between sharing the feeds of the most-quoted sites and the sources he scans. He's absolutely right about that, and it's a question that should be dealt with, one way or the other. Either Rivera should disclose his algorithm and sources, and keep it current, or people should stop considering his sites anything other than his personal opinion about what's important. And even if it were just his personal opinion, its disrespectful of his readers to not say what his criteria are. People are scared to question Rivera <i>because</i> the algorithm is hidden, so they fear that if they're critical they'll stop getting pointers from TechMeme or Memeorandum, and because of his close relationship with Mike Arrington, whose site has always dominated TechMeme. These are things that would never be tolerated in the MSM, and shouldn't be in blogging. Riley has the courage to say so and that's appreciated.
			- 3. <a href="http://blog.broadbandmechanics.com/2008/11/transition-team-notes">Marc Canter expresses</a> disappointment in the people who are being appointed to the Obama transition team related to tech policy. His points are all valid, I've had the same concerns. It makes it easier to express those concerns because Marc went first. 
			- We owe these people more than the gratitude for having the courage to say what's obvious. So many others would rather look away from because powerful people don't want their secrets revealed and have ways of punishing people they don't like. Once one person sticks their neck out, it's easier for the second person to. To me, <i>that's</i> what blogging is about. Saying what needs to be said.
			- Update: Already getting pushback about the MSM line. I was thinking how most newspapers endorsed a Presidential candidate. They didn't just say "You should vote for Obama" -- they explained why they were saying that. This helps the reader understand the bias of the organization behind the newspaper, and their reasoning process. If the editorial board supports one candidate, it might be hard for them to tell you bad news about that person, or good news about his or her opponent. People have a right to know how you arrived at your decision, and if you're not saying why, that should also be explained. As far as I know, Rivera has never said one way or the other. Even so, I find value in his sites.
	- November 15
		- Comcast revisited
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/15/remote.gif" width="125" height="424" border="0" align="right" hspace="15" vspace="5" alt="A picture named remote.gif">It occurred to me that with a new administration coming into office, it might be time to re-open the issue of how vendors like Comcast resell access to something that doesn't belong to them, the Internet. It seems there ought to be some rules about what they can and can't do, since they don't behave reasonably on their own. 
			- If all they were selling was access to other Comcast customers, it might make sense for them to be so awful with their customers, but this is a case where they have something close to a monopoly providing access to a public space, and a clear conflict of interest, a reason to want to cripple that public space. Seems like a time when the government should take an interest in regulating what they can and can't do. Imho.
			- I've had a few months for my own personal Comcast debacle to settle in, and have a few thoughts this morning to share.
			- A review of what happened...
			- 1. When I moved into the new house in Berkeley, I got Comcast for TV and AT&T DSL for Internet. I had had terrible experience with Comcast at the apartment I rented while house shopping, lots of outages, and lots of time spent on the phone with Comcast trying to convince them the problem was theirs and not mine, each time resulting in them fixing the problem on their end. I wanted to see if DSL would be any more reliable. I've found that it is quite reliable. (However in the end so was Comcast, at least at a technical level. The problems at the apartment were probably due to the newness of the building, high turnover of tenants and construction projects nearby.)
			- 2. At some point I saw a story on TechMeme saying that AT&T was playing funny games with their customers, so I decided to order Comcast Internet service as a backup, in case something went weird with my AT&T DSL service. The Comcast service was unused for many months, there was no need for me to use it, AT&T service was fine. If ain't broke don't fix it, an old belief of mine. ";->"
			- 3. Then the fateful moment -- I saw a tweet from Dave Sifry saying he had just done a perf test on his Comcast service and found it was delivering incredible throughput. I immediately did the test on my own, and was amazed that it was delivering a consistent 14 megabits up, 5 megabits down, sometimes with as high as 28 megabits up. That did it, a few days later I switched the roles of the two networks, using AT&T as the backup and Comcast as the primary.
			- 4. At roughly the same time I was starting active testing of the photo aggregator part of FlickrFan. I had five computers running the software, all downloading hundreds of high-rez pics every day from AP and AFP. I only needed one, but as I said I was burning in the software, and sheez, I had all that bandwidth, the net never got slow, and it was a source of pride at first that I could do it and then I forgot they were all running. Until one day...
			- 5. My Internet service was cut. I thought it was an outage, but when I called, I was told they had cut me off deliberately. I was current with my bill (if I recall correctly a total of about $180 per month for both services), but they said I was using too much bandwidth, though they wouldn't say how much I had used. I found it more than appalling that they cut me off just to get me to call them when they could have sent an email, or communicated through comcastcares on Twitter. There are so many better ways to communicate with customers. But I think they must have hired a psychiatrist who told them if you want customers to be compliant, treat them like overdue college-age billpayers, even when they're customers in good standing. You're more likely to get what you want.  I wrote up the <a href="http://www.scripting.com/stories/2008/04/16/aNewReasonToHateComcast.html">experience</a> on my <a href="http://www.google.com/search?q=site%3Ascripting.com+comcast">weblog</a>, as I am doing now. 
			- They told me that if I didn't reduce my Internet usage to what they considered a normal level, without specifying what that was or offering me any way to measure my usage, they would cut me off again, only next time the outage would be for 12 months. I know this must sound unreal, that I must be exaggerating, I wouldn't believe it myself if I were reading it on someone else's blog, but that's what they said.
			- 6. Having been threatened, I did two things. I reduced the use of the Internet on my LAN and I ordered DirecTV so, in case this happened again, I would just revert to AT&T and would have the redundant TV service. I also bought EyeTV devices for three of my computers so I could receive digital over-the-air broadcasts. It amazes people when they find out that such high quality transmissions are available for free over the public air waves.
			- 7. Of course, eventually they <a href="http://www.scripting.com/stories/2008/07/24/comcastShutMeDownAgain.html">cut me off again</a>. I think it was after I downloaded all the content off my server onto a local hard disk for backup (it was shortly after doing that that they cut me off, I'm saying it wasn't likely a coincidence). Rather than call them, I instructed comcastcares to cancel my service, giving me the slightest shred of pride and honor, having been treated so shabbily by a vendor, in the end it was I who cut them off, not vice versa. (Yeah sure, if you believe that...)
			- 8. No I <i>never</i> forget shit like this. Sorry. ";->"
			- <b>Updates...</b>
			- <a href="http://blog.wired.com/27bstroke6/2008/11/net-neutrality.html">Kevin Werbach</a>, who is well-known in the tech industry, has been appointed to the Obama transition team for the FCC.
			- <a href="http://blog.broadbandmechanics.com/2008/11/transition-team-notes">Marc Canter raises questions</a> about Werbach's relationship with AT&T, and by implication, other vendors in the communication industry.
		- Democrats and civil liberties
			- There were at least two things I learned from going to the DNC this year that I wouldn't have known if I hadn't gone.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/15/hillary.jpg" width="131" height="93" border="0" align="right" hspace="15" vspace="5" alt="A picture named hillary.jpg">1. There wasn't much disunity in the party between Clinton and Obama supporters. I knew this because, while the television networks were reporting a big division, you just didn't see it in Denver. When there were demonstrators, it was always the same group of about ten people. They looked like the people you see at street demos in Berkeley, who, sorry to say, no one takes seriously. There were far more abortion protestors present than Hillary protestors. Orders of magnitude more. You could also see it by talking to people who wore Hillary badges in the convention center, which I did. A few times I sat next to them, or was in a line with them, and we talked and everyone agreed that this was a Democratic year, and nothing would stand in the way of that. I think McCain's people listened too much to the TV people, and didn't bother to check with the people at the show and they overestimated division in the party.
			- 2. There are a number of perennial Democratic Party issues, they will always get applause from Democratic audiences. The teachers union, for example, has always been a big voting bloc among Dems, and Democratic speakers always get a big cheer when they advocate raising the pay of teachers. A number of other topics are pretty good too, but the best consistent applause line, the one that got people on their feet <i>every time</i> at the DNC was the destruction of civil liberties by the Republicans in the last 8 years. I'm sure the leaders of the Democratic Party weren't in the hall for all the speeches, so I hope they don't miss this. If they don't do something to reverse the mistakes of the last 8 years, even while dealing with the economic and security issues, they will quickly lose the support of the party. 
			- NYT: <a href="http://www.nytimes.com/2008/11/14/opinion/14fri4.html?ref=opinion">Democratic Pressure on Obama to Restore the Rule of Law</a>.
			- CQ: <a href="http://www.cqpolitics.com/wmspage.cfm?docid=news-000002986514">Hill Democrats Wait for Obama Stance on Interrogation Standards</a>.
		- Reminder that Gabe's heart is in the right place
			- There's often talk that <a href="http://www.crunchbase.com/person/gabe-rivera">Gabe Rivera</a> is in Mike Arrington's pocket, and some days even I believe that talk, but then I just stumbled on something that reminded me that of all the people who are involved in aggregating the web, he's the one guy who more often than not does the right thing, and shares his sources, opening the door for competitors. 
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/hG0WcM5FDRc&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/hG0WcM5FDRc&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
			- This is the philosophy that the web was founded on, but too often people draw from the well without giving back. I've been told, when criticizing people for doing that, that I'm naive -- maybe so, but I'm also a realist, knowing that if too many people do that, eventually there will be nothing left to build on.
			- Anyway, I just <a href="http://images.scripting.com/archiveScriptingCom/2008/11/15/link.gif">noticed</a> a link at the bottom of <a href="http://www.memeorandum.com/">Memeorandum</a>, the political version of <a href="http://techmeme.com/">TechMeme</a>, that has become a mainstay of mine through the 2008 election (and a secret for the few people in the political blogosphere who follow it), to the <a href="http://www.techmeme.com/lb">leaderboard</a>. I sent the link to my friend Nicco Mele, saying I don't know how I missed this, but I had, and that an aggregation of the list would make a good product. 
			- Then I noticed there was an OPML file with all the sources, and sure enough it links to the RSS feeds. So it would be no work at all to assemble the aggregation. 
			- http://www.memeorandum.com/lb.opml 
			- Is it in any way in Gabe's interest to share this info? Hard to see how. But he shared it anyway. And for that he gets my respect and appreciation and a virtual piece of cheescake. ";->"
			- "cheesecake"
	- November 14
		- Internet idiots
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/14/carafe.jpg" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named carafe.jpg">Ycombinator and Reddit loved my <a href="http://www.scripting.com/stories/2008/11/13/onlineAdvertisingIsNowDead.html">piece</a> about advertising being dead, most of the people thinking I was wrong (to paraphrase them with more respect than most of them had). I'm sure I was right. You had to click on the links and actually read the piece <i>and</i> have an IQ over 85 to understand what I was saying. I wasn't writing it for them, rather I was writing it for the small number of people who read this site regularly. It has been an evolving story. You don't have to believe me, or agree with me, but you could of course think about it and maybe get an idea or two of your own that isn't guttural. ";->"
			- However many people understood exactly what I was saying. 
			- The Internet is a wonderful commercial environment. It has trained me to expect the impossible from real-world retail. When I last visited Fry's I wished I could hide all the items on the shelf that don't match my search criteria. I was looking for a DVI to HDMI adapter. The perfect <a href="http://flickr.com/photos/scriptingnews/2992512130/">product</a> was sitting there right on the shelf, but it took me five minutes to find it, and I almost gave up. Had I been on Amazon, or even Fry's website, I would have found it much more quickly. 
			- A commenter named <a href="http://www.scripting.com/stories/2008/11/13/onlineAdvertisingIsNowDead.html#comment-3776085">Hartsock</a> put it perfectly: "I look forward to the day when I can search like this: "pants waist:38in inseam:32in cargo" and find a listing of cargo pants that fit me and places I can go and buy them."
			- However this is not advertising! It <i>is</i> commercial information. The former is in our way, the latter is what we seek. 
			- It's amazing that we're not there yet. But it would be unbelievable to think we're not going there. 
			- So dear Internet idiots, that's what I'm talking about. 
			- The death of advertising is on its way. The recesssion is going to slow down advertising (no not completely, of course) for the next few quarters at least. When the economy comes back there will have been enough progress in developing the commercial information side of things that marketers will not need to hitch a ride on other people's content, nor will there be any value in doing so, in order to be able to spread the memes, ideas, and info about their latest products. 
			- For another example, how many ads have you seen for netbooks? Yet it's the hottest <a href="http://www.google.com/search?q=site%3Ascripting.com+netbook">category</a> in computers. No need to advertise, nor would ads have helped. 
			- We're adept at influencing each other, we don't need to go through Madison Avenue for that anymore.
		- More evidence of US politics as world precedent
			- I loved this bit on <a href="http://thinkprogress.org/2008/11/14/bush-putin-sarkozy/">ThinkProgress</a>. 
			- French President Sarkozy talking to Russian Prime Minister Putin. "Do you want to end up like Bush?' Mr. Putin was briefly lost for words, then said: 'Ah -- you have scored a point there.'"
			- How well do Sarkozy and Putin understand that, unless they organize their people on the Internet first, Obama might do it for them. ";->"
			- One more thing -- what a missed opportunity had we not elected Obama.
			- Update: <a href="http://www.nytimes.com/2008/11/15/world/middleeast/15bibi.html?_r=1&oref=slogin">In Israel</a>, candidate Netanyahu's <a href="http://ru.netanyahu.org.il/">site</a> is a clone of Obama's. Of course. There will be many more, all over the world. 
		- What would be left for the Republicans?
			- What will be left of the Republican leadership if Obama offers McCain a job in his administration and McCain accepts.
			- It must be too juicy an option, how could Obama resist. I don't imagine McCain has a whole lot of love for his party at this point, esp if Obama gets his buddy Lieberman a pass for his excesses during the campaign and esp if Obama offers something interesting.
			- Who then would be the leader of the Republicans in Washington?
	- November 13
		- Beautiful autumn day
			- <a href="http://www.flickr.com/photos/scriptingnews/3028564900/" title="Bright autumn day by scriptingnews, on Flickr"><img src="http://farm4.static.flickr.com/3059/3028564900_fd0a5a6d1b_m.jpg" width="240" height="180" border="0" alt="Bright autumn day" /></a>
			- <a href="http://www.flickr.com/photos/scriptingnews/3028564900/">Some days</a> California is a spectacular place to be!
		- Online advertising is now dead
			- I've been saying it for as long as people have been building businesses on advertising on the web, it's not a longterm thing. Now we're at the <a href="http://www.alleyinsider.com/2008/11/google-collapses-analysts-get-bearish">end of the road</a>. 
			- Assuming the economy comes back from the recession-depression thing that it's in now, when it does, we will have completely moved on from advertising. 
			- The web will still be used for commercial purposes, people will still buy things from Amazon and Amazon-like sites, but they will find information for products as they do now, by searching for it, and finding out what other people think, not by clicking on ads and buying things on the pages they link to.
			- No one needs advertising, and there are much better ways to sell products. 
			- It's the first thing companies cut when business dries up, and it'll be completely forgotten when the economy comes back. Growth will come from putting your commercial information where people will find it when they're looking and that won't cost anything. 
			- <a href="http://www.scripting.com/stories/2007/11/06/whyGoogleLaunchedOpensocia.html#p5">Remember</a> that perfectly targeted advertising is just information. 
			- <a href="http://www.amazon.com/Cuisinart-DCC-1200PRC-Cup-Replacement-Carafe-Black/dp/B0000CFNE3/ref=pd_sim_k_3"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/13/carafe.jpg" width="125" height="125" border="0" align="right" hspace="15" vspace="5" alt="A picture named carafe.jpg"></a>I'll give you an example. 
			- The other day I broke the carafe on my Cuisinart coffee maker. Looked up the <a href="http://www.amazon.com/Cuisinart-DCC-1200-Central-Coffeemaker-Stainless/dp/B00005IBX9">model</a> on Amazon, found the <a href="http://images.scripting.com/archiveScriptingCom/2008/11/13/related.jpg">related entry</a> ("people who bought this also bought this") -- and there it is. Click the Buy Now <a href="http://images.scripting.com/archiveScriptingCom/2008/11/13/buynow.gif">button</a>, whole transaction from breakage of carafe to the order, about 5 minutes. No advertising involved.
			- When I bought the coffee maker originally I had no idea that Cuisinart even makes one. I was of course aware of the brand, did they advertise to make me aware of it? Not sure, I don't recall ever seeing one, but they probably did run an ad somewhere. That kind of advertising might have a future of some kind. But I chose this brand of coffee maker because people who had one really liked it, and the other brands, their users didn't like them so much. I wanted hot coffee that stayed fresh, and was willing to pay extra for it. I should have known they make fragile carafes and overcharge for <a href="http://www.amazon.com/Cuisinart-DCC-1200PRC-Cup-Replacement-Carafe-Black/dp/B0000CFNE3/ref=pd_sim_k_3">replacements</a>, but they got me. ";->"
		- Today's most interesting political story
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/13/doh.gif" width="115" height="179" border="0" align="right" hspace="15" vspace="5" alt="A picture named doh.gif"><a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/11/12/AR2008111203075.html">Washington Post</a>: "For Iran's leaders, the only state of affairs worse than poor relations with the United States may be improved relations."
			- Let this be a lesson to our hawkish friends. When you growl at your enemies, you might be helping them. If you say "Okay let's talk," all of a sudden it's hard for them to get the support of their people.
			- Around the world, everyone with Internet access watched our election, and much as we were fixed on it, so were they. The techniques Obama used in North Carolina, Indiana and Missouri will work just as well in Russia, China, Iran, Venezuela and with the citizens of our friends, India, Japan, France and Germany. 
			- That's why leaders of all those countries should be heeding the lessons of the 2008 election here in the US. This was not just a turning point for one country, it was a turning point for politics everywhere. 
		- Conference-going in the 21st century
			- <a href="http://friendfeed.com/e/6324326c-f4e4-44e2-8136-ce1dfefcac94/Facing-Obama-Iran-Suddenly-Hedges-on-Talks/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/13/rocket.jpg" width="43" height="124" border="0" align="right" hspace="15" vspace="5" alt="A picture named rocket.jpg"></a>A friend is at the <a href="http://live.newteevee.com/">NewTeeVee conference</a> in San Francisco, and I was thinking about going myself, I'm sure I could sneak in, but decided to stay in Berkeley when <a href="http://twitter.com/stevegarfield/status/1004054775">Steve Garfield</a> posted a link to the <a href="http://www.ustream.tv/channel/newteevee-live%3A-main-stage">video stream</a>, which I'm <a href="http://images.scripting.com/archiveScriptingCom/2008/11/13/ustream.jpg">watching</a> now. 
			- It's very good quality. And while the conference is going on, I'm doing the same thing I'd do if I was there -- browsing the web, posting items to Twitter and <a href="http://friendfeed.com/e/6324326c-f4e4-44e2-8136-ce1dfefcac94/Facing-Obama-Iran-Suddenly-Hedges-on-Talks/">FriendFeed</a>, and listening with about 1/12th of my mind.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/13/entepenoor.jpg" width="65" height="89" border="0" alt="A picture named entepenoor.jpg">
			- It's all the same. Life is good! ";->"
	- November 12
		- Text On Rails
			- You could fill an outline... with what some people don't grok about outlines! ";->"
			- <a href="http://www.wordyard.com/2008/11/11/knight-challenge-link/">Via Scott Rosenberg</a>, a post from a <a href="http://takingnotenow.blogspot.com/2008/09/outlines-and-meshes.html">guy</a> who loves outlines, worrying about a guy who doesn't.
			- Truth is this: Outliners don't force you to do anything, and they are the opposite of rigid, and people who say they are, probably have only written outlines on paper and have never used an outliner on a computer.
			- I know a lot about this -- there probably are just a handful of people on the planet who have invested any effort in convincing people to use outliners, and I'm one of them. 
			- I still use an <a href="http://www.outliners.com/">outliner</a>, I'm using one right now to write this. I never do any serious writing in anything else. The ability to move stuff around with the mouse is very important to me. It frees me from worrying about order because I can edit it. It has the opposite effect of imposing rigidness on my work, it makes it fluid.
			- After years of selling RSS, I came up with this phrase to explain it -- Automated Web Surfing.
			- In the same way, after years of talking about outlines, really <i>decades</i> -- this is what I came up with -- Text on Rails.
		- Why I care what the Republicans do
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/12/maynardGKrebs.gif" width="95" height="263" border="0" align="right" hspace="15" vspace="5" alt="A picture named maynardGKrebs.gif">In technology and government, really everything, I like two-party systems. It keeps everyone on their toes, and keeps the customer front and center (or voter, same thing). That's why I care.
			- In a comment on an <a href="http://www.scripting.com/stories/2008/11/12/whatShouldTheRepublicansDo.html">earlier post</a>, a reader asks if the Republicans really deserve to survive or if I have had any Republican heroes. The answer is who cares whether they deserve to survive, that isn't for me to decide. Or looked at another way, if the Republicans don't deserve to survive, neither do the Democrats. Neither party has been any good, not in my lifetime, probably never. 
			- If you doubt me, read <a href="http://www.salon.com/opinion/greenwald/2008/11/12/lieberman/">Glenn Greenwald's latest</a> in Salon. That should scare the shit out of you if you think the Democrats, even with President Obama, are so great. They aren't. They might be pigs every bit as corrupt as the Republicans have been. We're going to watch this very carefully with a skeptical eye.
			- Truth is -- like many people, if not everyone -- until Obama, my vote has always gone to the lesser of two evils. Someday I look forward maybe to choosing between two honorable, competent, adult, intelligent candidates. Can't do that without a second party, and right now the Republicans are what we got.
			- I'm not going to work for them, and I didn't work for the Democrats. I was tempted to go out and canvas for Obama, but I just gave money and wrote what I think here on my blog and on Twitter and FriendFeed and anywhere else people would listen. But I kept my record clean. I am not part of a party, even though I am political.
		- What should the Republicans do?
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/12/lincoln.jpg" width="65" height="205" border="0" align="right" hspace="15" vspace="5" alt="A picture named lincoln.jpg">As the Democrats take power and the Republicans move out, it's pretty obvious that the Republicans must decentralize and build and do it using the Internet.
			- And please emphasize self-respect and respect of others, to attract people with good intentions and brains. The kind of mindless arguing that Republicans have become famous for has chased away all the people who know how to find creative solutions to problems. You need to attract the people with ideas in order to get their ideas.
			- I said it over and over during the campaign, but I don't know how many people believed me, now maybe you will -- I am not a Democrat. I don't care which party wins, what I care about is that we, as Americans, act intelligently and make the best of the opportunities we have. I think there are a lot of people like me. 
			- I'd like to see the parties compete for our support. We've done pretty well with the Democrats, now it's time to help the Republicans, if they want it. The first thing: you're going to have to give up and disavow the loutishness. No way anyone with self-respect is going to associate with that. 
			- Here's another clue, I was able to get into the DNC twice in the last two cycles, and wasn't able to get into the RNC either time. Maybe you need to take a look at how you've set up your gates and who you're keeping out and why.
		- Obama's shit sandwich
			- On the other hand...
			- There's this great scene in The Wire, I'm going to have to look it up and at least get the audio online, where <a href="http://en.wikipedia.org/wiki/Tommy_Carcetti">Carcetti</a>, the newly elected mayor, is having breakfast with a long-retired former mayor. 
			- He explains that on his first day in office he was kicking back in the beautiful mayor's office thinking how great it was to finally be here when his aides came in with a lovely plate and on it was a shit sandwich. They handed it to him saying "This is for you."
			- Basically the story is that for the guy on top, every day is a series of eating shit sandwiches in a beautiful office. 
			- I thought of this when I read this <a href="http://online.wsj.com/article/SB122645159441719325.html">WSJ article</a> about the first crisis waiting for the new President, and how the current President said "no deal" when Obama asked him to have a taste. Bush basically was saying: "Obama man that's <i>your</i> shit not mine."
			- Now, it <i>is</i> a beautiful <a href="http://www.whitehouse.gov/president/oval-office.html">office</a>. ";->"
		- Is Obama truly world-wide?
			- Part of the appeal of Obama, at least to this voter, is what our choice said to the rest of the world about us. But there was more to it, and now it's time to talk about that.
			- Ryan Lizza wrote a fantastic piece in the New Yorker, like all of his campaign pieces for the 2008 election. The closing paragraph sums up something really important about Obama. 
			- After one of the Clinton debates he said: "'I am not a great candidate now, but I am going to figure out how to be a great candidate.' One of Obama's achievements as a politician is that he somehow managed to emerge intact, after navigating two years of a modern and occasionally absurd Presidential race, while also becoming a great candidate. On Election Night, as he once again invoked the words of Lincoln, he seemed to be saying that he was going to figure out how to be a great President."
			- Lizza was also on <a href="http://www.npr.org/templates/story/story.php?storyId=96810759">FreshAir</a> yesterday. Highly recommended.
			- So now the question is of course how does Obama become a great President.
			- The two crises he has to deal with are: 1. The huge financial bubble that just burst and 2. Overpopulation, energy, global warming (all of which are really a single problem). 
			- Neither of these problems have an American solution. Even if he were absolute dictator of the United States, he wouldn't be able to solve them. He could prop up American institutions and home owners, nationalize all the industries, we'd work on infrastructure, education and health care, but he'd still have to make deals with other countries to buy our debt to finance those efforts. 
			- He can and absolutely should take steps to cut our use of oil, of course it makes no difference whether the oil comes from Alaska or Venezuela, that was an outright lie by the Republicans during the election. But, again, it's a world wide thing, in order for our planet to continue to sustain life, we must cut carbon emissions, and ultimately to do that, we must get population under control. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/12/fonda.jpg" width="125" height="92" border="0" align="right" hspace="15" vspace="5" alt="A picture named fonda.jpg">So how can President Obama be a great President, given this scenario? It's pretty obvious that he's going to have to keep campaigning, on a world wide level, and doing it the same way he did it in the US, with everyone, in their own way, pulling together toward a common goal. Sell the people of the world on the idea of a sustainable planet and a fair, distributed economy that serves the people, and then show them how <i>they can play a role in solving the problem.</i> 
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/zSBHtk8Lj2Y&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/zSBHtk8Lj2Y&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
			- That last phrase is the most important part. In the last century people may or may not have wanted to be couch potatoes and eyeballs, I don't care to debate that -- but it's not true in this century. Its fascinating to watch so many pundits flail around trying to understand what just happened, when it's obvious. Government became active and inclusive, at least for the moment.
			- Now the challenge for Obama, that will determine whether or not he's great, is two-fold: 1. Will he get absorbed by the internal momentum of Washington and lose his connection with the people; and 2. Will he extend the momentum of the campaign to the world that's reachable through the Internet, and organize it in the same way he organized the US electorate toward a shared purpose of making life on the planet sustainable. If he can do both, he will not only have been a great President, but will have become the greatest political leader in history. And the amazing thing about our times is that its conceivable, because of our new distributed communication tools, it's possible.
	- November 11
		- Getting this on the record
			- Sometimes I just make predictions to friends verbally and forget to put them on the blog, to get them on the record. So...
			- I stand by my prediction that Bush, if he doesn't end up in jail, will be a very happy ex-president. 
			- Check out this <a href="http://www.cnn.com/2008/POLITICS/11/11/bush.post.presidency/">CNN piece</a> about his regrets. There will be more like that.
			- <a href="http://www.cnn.com/2008/POLITICS/11/11/bush.post.presidency/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/11/howyadoinheckuvajob.jpg" width="85" height="102" border="0" align="right" hspace="15" vspace="5" alt="A picture named howyadoinheckuvajob.jpg"></a>I think Bush never really wanted to be President, I think he wanted to run for President. He was a very good campaigner, you really could see this during the 2004 campaign. On the stump, his timing was perfect, he was a fantastic speaker. I wonder if McC didn't make a big mistake by not having Bush go out for him this year (glad he didn't!). Anyway, once the campaign was over and he had to be President again, he was stumbling and bumbling and tripping over his words, as usual.
			- This point is emphasized in the Oliver Stone movie. He's the dog who caught the car. Now what? That's the part Bush wasn't so good at.
			- But as an ex-President life will be one big Texas BBQ with non-alchoholic beer. He can read a book every once in a while, watch a game, have some of his friends over, tell everyone they're doing a heckuva a job, and not have to worry about the shit he had to worry about.
			- You could see it clearly when he was <a href="http://flickr.com/photos/scriptingnews/2752467760/">hanging out at the Olympics</a> this summer. Man, he was having a great time, he looked fantastic, confident, tan, relaxed. Until Putin reared his head and brought him back to <a href="http://www.timesonline.co.uk/tol/news/world/europe/article4499726.ece">reality</a> and then a few weeks later so did the economy.
			- Now he just has to make a deal with Obama for a pardon (heh wonder how that's going) and in a couple of years he can go on a book tour to sell his memoir and I bet everyone will be nostalgic for the guy, amazing as that might seem now. Things kind of work out that way.
		- If only ads were so direct
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/11/ad.jpg" width="235" height="125" border="0" alt="A picture named ad.jpg">
			- From the <a href="http://www.youtube.com/watch?v=r3Yiiphkrqw">excellent</a> Bushian farce <a href="http://www.netflix.com/Movie/Idiocracy/70028899?trkid=222336&lnkctr=srchrd-sr&strkid=680274060_0_0">Idiocracy</a>.
		- unsummits and more
			- <a href="http://www.scripting.com/stories/2008/11/09/newConferenceFormatTheUnsu.html#comment-3682745">Don Ball reports</a> that there was an unsummit in Minneapolis in October, along the lines of what was discussed in my <a href="http://www.scripting.com/stories/2008/11/09/newConferenceFormatTheUnsu.html">Sunday post</a>. They even <a href="http://unsummit.org/">grabbed</a> the .org version of the domain. I think there's a movement here to create a parallel universe that focuses on getting things done. 
			- <a href="http://news.cnet.com/8301-13953_3-10092053-80.html?part=rss">Dan Farber</a> on the search for the national CTO.
			- I wasted two hours this morning not getting ProxyPass to work in Apache on Windows. Kept getting an error as Apache was starting up. As always with Apache, the docs don't tell you everything you need to know. You know what we need? A version of Apache with the GUI configurator, like the one WebStar had on the Mac. Man, that was an easy server to set up. Just launch the app and plop some files in the folder and you're off and running.
			- Speaking of easy configurators -- you know what <a href="http://aws.amazon.com/ec2/">EC2</a> needs? Well it's interesting, but most of the settings you need to fuss with are exactly those you need to set up a <a href="http://www.amazon.com/D-Link-DIR-625-RangeBooster-Wireless-Antennas/dp/B000GG5LUW/ref=pd_bbs_sr_2?ie=UTF8&s=electronics&qid=1226441329&sr=8-2">router</a>. It's spooky the problems are so close. I would do a deal with D-Link, that as far as I know has the nicest <a href="http://images.scripting.com/archiveScriptingCom/2008/10/22/dlinkui.gif">browser-based UI</a> to make a version of their software for EC2, or just copy the UI. Amazon understands mass market products, and EC2 is a mass-market product just waiting to be productized. I think there's a <i>lot</i> of money being left on the table here. 
			- And while we're talking deals for EC2, how about rounding out the offering and do a deal with Apple to get a Mac version of EC2 running in the Amazon cloud. Wouldn't <i>that</i> be cool?
	- November 9
		- New conference format: The unsummit
			- <a href="http://images.scripting.com/archiveScriptingCom/2008/06/04/menwalk.gif"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/09/menwalk.jpg" width="125" height="186" border="0" align="right" hspace="15" vspace="5" alt="A picture named menwalk.jpg"></a>I've never liked the idea of conferences calling themselves "summits." Too often they are self-parodies. Too self-important. And often anything but summits, excluding people who would be at a summit if there ever were one. 
			- Even with nations it isn't always obvious who belongs at a summit. If you want to have a summit of the most powerful nations on earth, you'd have to include Russia, China, the US. But what about India? They have more people than either Russia or the US, and they have nukes now, and a fast-growing economy (at least before Sept). But if you have India don't you have to have Pakistan? You see where this is headed. Maybe they should just call them meetings and be done with summitry even at the world level.
			- If they call something a summit it probably isn't one.
			- It's esp ironic to have pseudo-summitry in the world of Web 2.0, where the whole point of the technology is to decentralize and distribute power. 
			- The other day at lunch a friend was talking about "the blogosphere" as if it were centered in San Francisco. I know other people who think it's centered in Washington. I wonder how many centers "the blogosphere" has.
			- I'm tempted, every time I hear a summit coming up, to have a parallel <i>un</i>summit nearby. I thought I could reserve the <a href="http://unsummit.com/">domain</a>, but someone else (smart!) had the same idea in a completely different industry. 
			- When people have a summit they're assuming for themselves the right to say whose opinion matters and whose doesn't. As my mother used to say, if they have to do that to feel good about themselves, it's probably not worth it to be part of their little group. Okay mom, you were right about that one. ";->"
			- I tend to mis-spell summits as su<b>b</b>mits, as if when saying it you had a cold. Submission, now there's something worth having an <i>un</i>summit about! ";->"
			- There's actually a lot to say about submission. It's one of those cool things you don't think is cool at first. I wrote a piece about <a href="http://www.scripting.com/davenet/1999/03/27/submission.html">submission</a> in 1999. Young people tend to struggle against submission, but you're born to submit. You submit to gravity from day one. It's possible, with enough energy, to <a href="http://www.youtube.com/watch?v=3mt9znatmyQ&feature=related">escape</a> it, but in normal times we're quite happy to submit to gravity and have all our friends and belongings submit to it as well. 
			- <a href="http://images.scripting.com/archiveScriptingCom/2006/02/22/timeExpired.gif"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/09/expired.jpg" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named expired.jpg"></a>And of course that's just the beginning of submission. In the end we all submit to the grim reaper. That's just how it is. And I think the folk who have summits are fighting the inevitable as well, sooner or later no one cares what any of us thought, the world goes on. As a great French <a href="http://www.quoteworld.org/quotes/3496">philosopher</a> once said, "The graveyards are full of indispensable men." In much the same way, so are summits.
			- So the <i>un</i>summit would begin with a word of thanks for the bounty of ideas and experience before us, and the doors would be open to all who wish to contribute. 
		- Links for the day
			- <a href="http://www.washingtonpost.com/wp-dyn/content/article/2008/11/06/AR2008110602570.html?hpid%3Dopinionsbox1&sub=AR">Charles Krauthammer on Obama</a>: "A president with the political intelligence of a Bill Clinton harnessed to the steely self-discipline of a Vladimir Putin. (I say this admiringly.) With these qualities, Obama will now bestride the political stage as largely as did Reagan."
			- <a href="http://developer.yahoo.com/yui/">Yahoo user interface library</a>. I must learn how to use some of these tools. They look very interesting.
			- PJ O'Rourke, a conservative, <a href="http://www.weeklystandard.com/Content/Public/Articles/000/000/015/791jsebl.asp">explains</a> how "We Blew It." He's still blowing. Try self-deprecating humor, make fun of your own clothes. Explain why we shouldn't care about natural resources. You guys have some debugging to do, you've realized it, and that's a good first step. Now it's time to join the 21st century and start concerning yourself with some of the issues of today, not the version of today that Reagan envisioned. Turns out his vision wasn't all that accurate, imho.
			- China unveiled a <a href="http://www.nytimes.com/2008/11/10/world/asia/10china.html">$586 billion economic stimulus plan</a>. Until now they had been stimulating our economy more than theirs. This is a big change. 
			- <a href="http://www.kallasoft.com/using-apache-virtual-hosts-and-proxypass-together/">Apache can</a> act as a front-end for machines with a single IP address and multiple apps serving over HTTP. I knew it could do this, but I didn't know how. 
	- November 8
		- Amazon EC2/Windows update
			- A few observations after a <a href="http://www.scripting.com/stories/2008/10/30/backToWorkOnEc2.html">full week</a> of using for real deployed applications.
			- 1. It works. No problems, absolutely reliable.
			- 2. The docs could be vastly improved. They should take a "Hello World" approach, and tell you the minimum you need to know to get a Notepad window up. Since it runs Windows and so many people use Windows, this could be a mass-market product. The idea of having a virtual computer running "up there" is really powerful and it shouldn't just be for programmers.
			- 3. In the end, the cost isn't prohibitive. I'm paying $300 a month for two colocated servers. I expect to pay about $200 a month for the same service at Amazon. I probably wouldn't switch just for the cost savings, but for the extra reliability, I'll take it.
			- 4. They make a big deal about how the servers can disappear, but in the week it's been running, it hasn't gone down once. 
			- 5. One bother is that you only get one IP address per machine. I really could use three or four. On my colo service I get five. Yes, I know I can set things up so that addresses are delegated, but it's a PITA.
	- November 7
		- Obama's decency
			- <a href="http://flickr.com/photos/scriptingnews/3010806849/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/07/ww.jpg" width="125" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named ww.jpg"></a>Conservative blogger and lawyer <a href="http://patterico.com/2008/11/07/examples-of-obamas-decency/">Patterico</a> makes the case for Obama's decency. He admits that all the evidence could be dismissed as tactics to win an election, but then so could anything anyone does be so dismissed. I went through the same process in deciding about Obama, saw the same evidence, while looking for the slightest crack -- never saw it. He's a tough politician, but he doesn't cut corners.
			- There are a lot of good people in the world, I know quite a few, but what's remarkable about Obama: 
			- 1. He's risen so high. When asked today what Presidents he's turned to for advice since winning the election, he offered, with a smile -- Lincoln. As the therapist in The West Wing observed to the fictional President Jed Bartlet, "This is a hell of a curve you get graded on now." But even that's not the most impressive thing. 
			- Update: I had to find the scene. <a href="http://mp3.newsjunk.com/2008/11/westWing.mp3">Here's the MP3</a>. Great stuff. Season 3, Episode 13 at minute 37 approx.
			- 2. There are a lot of good decent people in the world, but few of them get credit for it. Obama gets credit. Now, what kind of example will this provide, and how will it change things? Are we looking at an antidote to cynicism? It's clear to me that unless we can create a strain of idealism, we're not going to come through the challenges ahead. 
			- <a href="http://www.scripting.com/stories/2008/11/07/changingTheWayWeDoNews.html">In a piece</a> I wrote earlier today, talking about volunteerism replacing professionalism in journalism, I don't think many people reading it believed that people will work to make our world better without being paid. This has always frustrated me, because the evidence is <i>everywhere</i> that people do. We just elected a President through millions of selfless acts on the part of millions, yet people still doubt that selflessness exists and is so powerful. 
			- I don't know why but today has been a rough day for me. Haven't been this aimless in a long time. Something needs to be processed and I'm not sure what it is. Coming to grips with what's next is not easy, I guess. 
			- Time for a walk! ";->"
			- PS: <a href="http://www.economist.com/business/displaystory.cfm?story_id=12566826">The Economist</a> doesn't know the first thing about blogging.
			- PPS: StumbleUpon discovered <a href="http://mockcain.com/">MockCain.com</a> today. 
		- New moderator for Meet the Press?
			- If you recall, Tom Brokaw signed on to moderate MTP through the election. I thought he did mostly a good job, an improvement over the previous management. A couple of times I thought he crossed the line into advocacy, but on the whole, well done. 
			- Now the big question -- who's next?
			- People I hope it's not: Andrea Mitchell (boring, petty, insidery, bird-like). David Gregory (just boring). 
			- Someone I could live with: Chuck Todd, would bring excellent guests on the show, he has everyone's respect. But he's a numbers guy and numbers aren't the game now that the election is over. You need someone who's better at political nuance. He's better as a sidekick than the main act.
			- Someone else I could live with: Mika Brzezinski, co-host of Morning Joe, starting to step out on her own, subbing for Gregory (whose show has a new name indicating he's probably not the choice for MTP). She is intelligent, experienced, and has been in the background too much for all the talent she has. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/07/brown.jpg" width="125" height="94" border="0" align="right" hspace="15" vspace="5" alt="A picture named brown.jpg">Now the person I <i>really</i> want who they'll never pick: Aaron Brown. I can't say enough about his interviewing style, intelligent, humorous, disarming, he's the kind of guy you'd like to spill the beans to and then realize you just screwed yourself. My benchmark for this job is who would Lindsay Graham have a hard time bullshitting. Only one answer there -- Aaron Brown.
			- Like I said, it'll never happen. :-(
		- Changing the way we do news
			- What didn't change in the 2008 election is the way news flowed. This is a big disappointment to me and something that causes great concern. I see the newspapers dying, and the broacast media failing to do news, and I want to evolve to the next thing, but it doesn't seem that's the way it'll go. Instead we're likely to see a sudden collapse, and a void, much like the financial collapse in September. This would be tragic, unneccesary, a very bad for us.
			- The next thing, btw, involves the same spirit of volunteerism that drove the Obama campaign. It should be possible for a citizen like you or me to take a one month leave of absence, just like doing jury duty, and go to a news story and camp out and cover it. It's not so hard to do. If a citizen can be trained to render a life and death decision (sometimes) fairly and carefully, we can also learn to get "Just the facts ma'am" and report the news alongside the pros. In case the pros should either disappear or fail to be professional.
			- In order to do this we're going to need the cooperation of the people who the press covers, for example, a new administration taking office. But unless they get this big idea real soon, it can't happen. 
			- People are thinking too small, imho. Bloggers in the White House briefing room? Of course. But if the same gatekeeping applies, you're just going to have people who get through the gates. There's really no difference betw a columnist that works for the Washington Post and one who writes for Talking Point Memo. Yet some how we should feel that we're being better represented by the latter? I don't. They're still gatekeepers, and people like you and me are on the outside looking in, getting the news they want to give us, through their lens, from their perspective, and missing a lot of what's going on and what matters. The only way to turn the system upside down is to just do it, and have a system whereby fresh blood comes in, systematically. 
			- It's been flattering when people have said I should be the country's CTO. First of all, it isn't going to happen, and second, I'm not a good candidate. Most of the technology you'd need to be a good CTO is stuff I just use, and am not an expert at. (That said, one of the first things our new CTO should do is uncover and expose the games Comcast and other big Internet vendors are playing with public access to the net. We paid for the development of the net through tax dollars, they can use it, like everyone else but it's not their place to throttle or control it.)
			- The job I really want is designing and implementing an open platform for news for our government, and of course that would quickly become the way of doing news in all walks of life. We need something fast here, even the strongest news organizations are seriously undermined and could disappear within months. Just having a blogger inside the new administration is not nearly enough.
			- Anyway, I'm thinking that a flash conference in NY, DC or Cambridge, like the one we did after the 2004 election at Stanford, might be a good idea. Last night I asked Jay Rosen at NYU what he thought of this, and he was positive. We might do it. I'm thinking about new non-BloggerCon formats, that get people talking about specific ideas as opposed to having wide-ranging discussions. I think we've now learned enough about blogging and public media to work on the next level of change. 
		- Postpartem blues
			- What a rush the last few days have been. 
			- Geez, never mind the last few days -- it's been going on since January, since the Iowa Caucus. A continuing stream of "Wait For This" spans of time. First it was New Hampshire, then Super Tuesday, then Texas and Ohio. Then a month of downtime, followed by Pennsylvania and the early May primaries (can't remember what states they were) finally Indiana and North Carolina, and Tim Russert proclaiming we now know who the Democratic nominee will be. Whew. 
			- I think at that time we really knew who the next President would be, but who cares. There were ways to pretend at least that the stuff between then and now mattered. 
			- Now it's all over and I know what has to come next. No matter what the expectation, built up over so much time, can't be matched by reality. Like many others, I imagine, it's time now to look elsewhere for meaning. We will have an African-American president, a Democrat, a smart man with big ambition. It'll be interesting to watch him, but not all-consuming as it was.
			- What comes next? I honestly don't know.
	- November 6
		- A new way to use the Internet
			- After years of intense opinionating...
			- <object id="utv_o_721367" height="320" width="400"  classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"><param value="http://www.ustream.tv/flash/live/317016" name="movie" /><param value="true" name="allowFullScreen" /><param value="always" name="allowScriptAccess" /><param value="transparent" name="wmode" /><param value="viewcount=false&amp;autoplay=false&amp;brand=embed&amp;" name="flashvars" /><embed name="utv_e_921844" id="utv_e_43074" flashvars="viewcount=false&amp;autoplay=false&amp;brand=embed&amp;" height="320" width="400" allowfullscreen="true" allowscriptaccess="always" wmode="transparent" src="http://www.ustream.tv/flash/live/317016" type="application/x-shockwave-flash" /></object>
			- Watching some newborn puppies sleep. 
			- <img src="http://scripting.com/images/smilingdoggie.jpg">
	- November 5
		- Prop 8
			- <a href="http://www.nytimes.com/2008/11/06/us/politics/06ballot.html?_r=1&partner=rssnyt&emc=rss&oref=slogin">NY Times</a>: "California voters have adopted a constitutional amendment banning same-sex marriage, The Associated Press reported Wednesday, joining voters in two other states who went to the polls Tuesday to overturn such unions."
			- I voted against Prop 8. 
			- My thoughts on marriage are -- if you have kids you probably should be married, but if you don't who cares what you call your relationship. That's between you and your partner. You want to call it marriage, no problem as far as I'm concerned. I'm a libertarian in that regard. Stay focused on the big stuff and what happens between two consenting adults is none of my business.
			- And I think married heteros generally are assholes about this. If their marriages are so weak that they need to make it exclusive then maybe they ought to take a look inward instead of focusing their fear on people they don't know or understand (which is what their opposition to gay marriage really is saying, imho).
			- On the other hand... (And I'm going to catch hell for this.)
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/05/california.gif" width="125" height="81" border="0" align="right" hspace="15" vspace="5" alt="A picture named california.gif">I have a friend who I didn't know was gay until he told me he was married and I thought that meant he had a wife (the female kind), but it turns out it was another guy. Truthfully -- I found this shocking, and a bit uncomfortable, and being a Californian, I said "I find this shocking and it makes me a bit uncomfortable" and my friend, also being Californian said he understood, which I'm sure he did. 
			- I remember in 1980, the first time I went to Jamaica to visit my uncle. I was on the beach by myself and I realized I was the only white person. I freaked (not visibly of course) -- not wholly unlike the reaction I had to my friend's gay marriage, above. I remember why I was scared, but I don't understand it. Where I grew up, in NYC, we thought it was dangerous to be alone among so many blacks. I'm sure we were over-reacting, but it seemed real. Here it is not too much later, and the change we're talking about is inside me. Slowly, I've come to see black people differently. <i>Very</i> differently.
			- The obvious point -- eventually the shock will dissipate, and there will be a time when people don't understand why something like Prop 8 would pass. Transitions like this take time. There's no other way. But this change is coming, for sure. 
		- My first post about Barack Obama
			- On 7/26/04, at the blogger's breakfast at the DNC, this weird guy who people said great things about came to talk to us. His name was Barack Obama. Here's the <a href="http://archive.scripting.com/2004/07/26#When:1:49:41PM">whole post</a>: <blockquote>Barack Obama, who's running for the Senate in Illinois, spoke briefly at the Blogger's Breakfast. He's an up and coming star of the Democratic Party, according to David Weinberger, he'll be President in 12 years.</blockquote>Dr Dave was off by 8 years. ";->"
			- Bonus: Here's a <a href="http://images.scripting.com/archiveScriptingCom/2004/07/26/barack.jpg">teeny picture</a> of Obama that day.
		- Today's song
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/iL0Qt7IF8Q4&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/iL0Qt7IF8Q4&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
		- Sarah we hardly knew ye
			- When she was announced as a candidate I was virtually alone in believing the choice <a href="http://www.scripting.com/stories/2008/08/29/initialThoughtsOnThePalinN.html#p6">wouldn't age well</a>. When I turned out to be correct, I didn't want to gloat, because the election wasn't over, and there was no way to be absolutely sure. Now we are. 
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/05/byeDubya.jpg" width="95" height="219" border="0" align="right" hspace="15" vspace="5" alt="A picture named byeDubya.jpg">I don't think she killed the McCain candidacy, but had the economy not soured, I think she would have brought him down. It was such a bonehead decision, it was all the proof anyone needed that a McCain presidency would be as filled with disaster as the Bush presidency. Obama was absolutely right in saying that voting for McCain was signing up for another four years of Republican lunacy.
			- Now I hear people saying something equally wrong about Palin -- that she has a shot at leading the Republican Party in 2012. It isn't going to happen. That's not how American politics works. 
			- We don't give losers a second chance in this country. (Yes, of course there are exceptions, but she isn't one of them, read on.)
			- Kerry thought he could run for President in 2008 after losing in a squeaker in 2004. It took a month or so before he realized that the Republicans would throw the exact same book at him they developed four years earlier, and while it wasn't fair then, it did work and it would work again. 
			- Same with Palin. What little we really know about her is more than we wanted to know. When she shows up, if she's dumb enough to show up, as a candidate for President in 2010 or 2011, all we'll think of is the Katie Couric interview, and Charlie this and Charlie that, thanks but no thanks to the bridge to nowhere, the hypocrisy of a hockey mom who loves expensive clothes, and the pit bull with lipstick mavericky maverick reformer who fired a commissioner who wouldn't fire her ex-brother-in-law. 
			- Palin is no longer a candidate, she's a punchline.
		- Election aftermath -- Obama's mandate
			- Cleaning up some loose ends.
			- Obama won Pennsylvania and New Hampshire, two states that were on McCain's slim path to a win. Once those were decided, it was over. I felt the networks could have called the election then, but they didn't.
			- When Obama won Ohio, it was even more certain. In order to win McCain would have had to win California, Oregon and Washington, and that structurally just couldn't happen. I told my friends who were gathered around the TV, in my opinion, it was over. I <a href="http://twitter.com/davewiner/status/990748557">twittered</a> it. If McCain were to win at this point, it would be the biggest bit of history in 100 years, including 9/11, the use of the atom bomb, World War II itself, the Mets winning the World Series in 1969. You get the idea. Things of that nature are so improbable they just don't happen.
			- Missouri went to McCain by the slimmest margin, thereby losing its bellwether status. It no longer always goes with the winner. Even the Boston Red Sox had to eventually beat out the Yankees for the championship.
			- I've <a href="http://www.npr.org/templates/story/story.php?storyId=96628889&ft=1&f=1102">read</a> that Obama doesn't have a mandate, but I don't know what planet you have to come from to draw that conclusion. He has the strongest mandate in so many ways, it's likely he doesn't want that much mandate, and will disappoint in some or many ways. Can he really get us out of Iraq quickly enough to please all who want a quick exit? The public works projects that are going to be needed to keep us out of a depression give us a chance to fix the problems we so desperately want to fix, energy, health care, education, infrastructure. Those are the four biggies. 
			- <a href="http://www.newsobserver.com/politics/story/1281670.html">North Carolina</a> still isn't decided, and I understand that Georgia wasn't decided until very late. Our guy almost won that state too. The whole Red State thing is now questionable. Yes there are still some, Wyoming, Oklahoma, Kansas, Texas, the Dakotas. But the south with all its newly energized African-American voters and the <a href="http://www.chicagotribune.com/news/local/wire/chi-ap-in-lakecounty-electi,0,6613896.story">midwest</a> are now all in play. A new political reality is shaping up, beyond the last four elections -- and that's the stuff of mandates.
			- We can bail out the auto industry, but in return they have to use the public money to underwrite new products that get the mileage that European cars get. If you've ever been to a European capital you know how oversized American cars are. There, in a nutshell, is the problem with Detroit -- it's really a problem with America. That's one reason we use so much energy. We can make some huge cuts there without having to invent anything, just copy the Europeans.
			- The good thing about Obama is that, armed with a mandate, he will know what to do with it. 
		- What's next?
			- Now the next question is -- what comes next?
			- Probably some writing. But not yet. My to-do list is very long. I need to get my car serviced. Pay some bills and call some friends. After that, I don't know. Hey at least there's one thing that isn't on my list -- I get to stay in the USA. ";->"
			- I wonder what our election looks like to people outside the U.S. 
			- Curious -- there was so much angst, now that Obama is our President-elect, what changed -- what comes next for you?
		- We won!
			- <a href="http://www.scripting.com/indexwewonobama.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/05/wewon.gif" width="250" height="356" border="0" alt="A picture named wewon.gif"></a>
	- November 4
		- <html>
			- <head>
				- <title>We Won!</title>
				- </head>
			- <body>
				- <center>
					- <br><br><br>
					- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/04/wewon.gif" width="574" height="816" border="0" alt="A picture named wewon.gif">
					- </center>
				- </body>
			- </html>
	- November 3
		- IRC for Election Day
			- We've had IRC for every major event of the 2008 election dating back to the first caucuses and primaries, and through the presidential and vice-presidential debates.
			- So it seems fitting that we have one final IRC chat for this season, as we share information, points of view, scandals and touching moments of the last day of this election -- hopefully with a happy ending, for as many of us as possible. 
			- irc://irc.freenode.net/#electionDay 
			- See you in the chatroom! ";->"
			- "cheesecake"
		- $99 netbooks
			- Watch out iPhone, here come the netbooks.
			- For some people, even today's relatively bulky <a href="http://www.scripting.com/stories/2008/10/22/whyILikeNetbooks.html">netbook</a> computers are replacements for iPhones. That's what happened for me. The day I got my Eee PC 901 in July was when I more or less stopped using my iPhone as a computer. 
			- But a netbook with Skype and a <a href="http://news.idg.no/cw/art.cfm?id=5447CDC2-17A4-0F78-31A2B390211954E8">service plan</a> is a lot like a cell phone, but unlike Apple's offering, it runs an OS with a wealth of software and developer know-how that is wide open. There's no gatekeeper who gets to say who can and can't put whatever software they want on a netbook. 
			- And watch out Google, it beats Android too -- again so many more people know how to program Windows, it runs everything. For that reason I'm not running out to buy an Android phone, but I already own two netbooks.
			- <img src="http://images.scripting.com/archiveScriptingCom/2008/11/03/asus.gif" width="125" height="69" border="0" align="right" hspace="15" vspace="5" alt="A picture named asus.gif">Another bet I'd make -- the netbooks are going to shrink to phone size. You can see the space being made in the Asus product line. They're <a href="http://www.thetechherald.com/article.php/200845/2377/ASUS-promises-to-deliver-Eee-PC-for-200-USD">dropping</a> the 7-inch screens in favor of the 10-inch ones, the keyboards on the 7-inch models aren't very usable, but they'll surely have a netbook form factor the size of a cell phone that plugs into a USB port on my laptop-like netbook. And each will cost $99 with a service plan, and they've lovely computers.
			- <a href="http://www.google.com/search?q=%2499+netbooks">This</a> is the future.
		- Heard on MSNBC
			- "The first 16 presidents could have owned Barack Obama as property." -- Jonathan Alter, on MSNBC this morning.
			- Never thought of it that way, but it's true. 
		- Opting-out of political smears
			- I don't think reporters should pass on misleading stories. It would be better to act as a firewall, a defense against obvious campaign lies. It should be especially easy when they charges are aimed at the media itself.
			- Example. Sarah Palin, in the last days of the campaign, is saying that the SF Chronicle withheld comments from Obama saying he would "bankrupt the coal industry."
			- CNN: <a href="http://politicalticker.blogs.cnn.com/2008/11/02/palin-knocks-obama-over-months-old-coal-comments/">Palin knocks Obama over months-old coal comments</a>.
			- <a href="http://www.scripting.com/stories/2008/09/16/theWholeWorldIsWatching.html"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/03/republican.jpg" width="85" height="138" border="0" align="right" hspace="15" vspace="5" alt="A picture named republican.jpg"></a>The statement she's referring to was made in January, when Obama was still pretty green, and spoke perhaps a little too directly, with too much of truth. I don't think he said he would or wanted to bankrupt the coal industry, rather that he wanted to do something to reverse global warming. Almost anything we do to keep this planet habitable by our species will make it harder for the coal industry, which by definition pumps carbon to the atmosphere. Coal is carbon, pure and simple, and when you burn it, it goes into the atmosphere. That <i>should</i> be expensive. We should encourage development of technology that generates electricity without doing that.
			- Anyway, the Chronicle says it published the comments in print and as full video. I think MSNBC should check that out before passing through the Palin charge without comment. You don't have to call her a liar, you could just ignore the statement. 
			- SF Chronicle: <a href="http://www.sfgate.com/cgi-bin/article.cgi?f=/c/a/2008/11/02/MNTL13SU6S.DTL">Palin suggests Chronicle withheld Obama remarks</a>.
			- In any case, it's gratifying in the final days of the campaign to see the media not getting totally obsessed with other obvious smears. It's just the extremes in the blogosphere that are focusing on the crazy stuff. Maybe that could be the norm in political coverage.
		- Olbermann on SNL
			- <object type="application/x-shockwave-flash" data="http://widgets.nbc.com/o/4727a250e66f9723/490eebbfe1a5757f/490e52861e82e163/144893f6/-cpid/56640fdade330b82/clipID/805561/video_title/Saturday+Night+Live+-+Countdown+with+Keith+Olbermann/video_imgurl/http%3a%2f%2fvideo.nbc.com%2fplayer%2fmezzanine%2fimage.php%3fw%3d350%26h%3d196%26path%3dnbc2%2f5ccffa58032c042101c755b691589357_mezzn.jpg%26hash%3dc5e9cce2b97ea417ae3eda377e2dac6c/video_url/http%3a%2f%2fwww.nbc.com%2fChuck%2fvideo%2f%23mea%3d157082/video_description/Keith+Olbermann+is+indignant+and+his+cat+is+innocent.?storeInPid=true" id="W4727a250e66f9723490eebbfe1a5757f" width="384" height="283"><param name="movie" value="http://widgets.nbc.com/o/4727a250e66f9723/490eebbfe1a5757f/490e52861e82e163/144893f6/-cpid/56640fdade330b82/clipID/805561/video_title/Saturday+Night+Live+-+Countdown+with+Keith+Olbermann/video_imgurl/http%3a%2f%2fvideo.nbc.com%2fplayer%2fmezzanine%2fimage.php%3fw%3d350%26h%3d196%26path%3dnbc2%2f5ccffa58032c042101c755b691589357_mezzn.jpg%26hash%3dc5e9cce2b97ea417ae3eda377e2dac6c/video_url/http%3a%2f%2fwww.nbc.com%2fChuck%2fvideo%2f%23mea%3d157082/video_description/Keith+Olbermann+is+indignant+and+his+cat+is+innocent.?storeInPid=true" /><param name="wmode" value="transparent" /><param name="allowNetworking" value="all" /><param name="allowScriptAccess" value="always" /></object>
	- November 2
		- American Tune
			- <object width="318" height="258"><param name="movie" value="http://www.youtube.com/v/hbuLchsauKs&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/hbuLchsauKs&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="318" height="258"></embed></object>
			- This ad was produced by <a href="http://www.progressivefuture.org/about-us/staff">Progressive Future</a>. 
		- NewsJunk for the final push
			- <a href="http://flickr.com/photos/scriptingnews/2544447858/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/02/harry.jpg" width="150" height="113" border="0" align="right" hspace="15" vspace="5" alt="A picture named harry.jpg"></a>The pollsters and news organizations are publishing their final polls; the pundits are making their predictions. 
			- Election Day is the day after tomorrow and as early as 3PM on Tuesday we will have returns, and possibly some states in the east will be called. As go Virginia, Pennsylvania and Indiana, among the first states to close, may well go the election.
			- Our news headline service, <a href="http://newsjunk.com/">NewsJunk</a>, will have all the good stuff as we find it. You can subscribe via <a href="http://politics.newsjunk.com/rss.xml">RSS</a>, watch it on your <a href="http://m.politics.newsjunk.com/">mobile</a> device, through the <a href="http://politics.newsjunk.com/">web</a>, <a href="http://friendfeed.com/newsjunk">FriendFeed</a>, <a href="http://twitter.com/newsjunkies">Twitter</a> or <a href="http://identi.ca/newsjunk">Identi.ca</a>. There's even a <a href="http://groups.google.com/group/newsjunk">Google Group</a> you can subscribe to. I hear all the time from people who just discovered it and wished they had found it sooner. We'll keep pushing links about the election as long as there's news. But we're reaching the end! ";->"
	- November 1
		- Dick Cheney campaigns for John McCain
			- <object width="283" height="229"><param name="movie" value="http://www.youtube.com/v/YGcM6MPqVM0&hl=en&fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/YGcM6MPqVM0&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="283" height="229"></embed></object>
		- 866-OUR-VOTE
			- <a href="http://www.866ourvote.org/"><img src="http://images.scripting.com/archiveScriptingCom/2008/11/01/ourvote.gif" width="325" height="209" border="0" alt="A picture named ourvote.gif"></a>
		- Macs to HDTV via HDMI?
			- Getting ready for election night when I'm going to have a few friends over to watch the returns, and either celebrate or...
			- I have two Macs hooked up to HDTVs, one a Samsung the other a Sony Bravia, and until recently they had been connected via VGA. I was barely aware you could do it any other way. I thought the picture was great until I hooked up a Toshiba HDTV to the second video display on my G5 tower and the picture so much better! Much more color. The Toshiba is a smaller, cheaper and older TV than the Sony that's connected into the other video output, but it looks much better. So, of course, I wanted to do the same with the Sony.
			- I tried connecting the HDMI output to the Sony, but the picture looked terrible. I don't know how to describe it, but the colors were all washed out, text was blurry. I might try to take a picture so y'all can see what the deal is.
			- I tried hooking up a Mac Mini in the living room to the Samsung TV via HDMI, and got the same lousy picture. 
			- I unhooked the Mac Mini and connected my MacBook Pro to the Samsung, and got the same lousy picture. 
			- I've fiddled with the Displays section of the Preferences in every way I could and it makes no difference. I've turned everything off and on, still no difference. 
			- I can get more data. I might try to take a picture of the crummy image to post. 
			- Any advice would be much appreciated.
			- PS: I'm using <a href="http://flickr.com/photos/scriptingnews/2992512130/">Belkin DVI to HDMI</a> adapters.
