- 4/1/2017
	- Is Feedburner being hacked?
		- Over the last few days I've noticed feeds coming through Feedburner that appear to have been hijacked.&nbsp;
		- For example, here's a <a href="http://feeds.feedburner.com/nymag/intel">feed</a> that used to carry content from New York Magazine. Here's a <a href="http://scripting.com/2017/04/01/hackedNYMagFeed.png">screen shot</a> of what shows up from that feed in my river. The <a href="http://ztgee.restauranteatico.es/">home page</a> of the site it's pointing to follows the pattern of all the hijackings in the last few days. &nbsp;A bunch of essays or student papers.&nbsp;
		- I haven't been keeping the URLs of the hijacked feeds, because until now I assumed they were being hacked at the users' end. But they're all Feedburner sites. So it seems that's likely where the problem is.
		- If anyone knows anyone at Feedburner, please let them know -- I think they have a problem, and of course because so many people used Feedburner in the early days of RSS, we have a problem too.
		- PS: The <a href="http://nymag.com/daily/intelligencer/">Daily Intel</a> page on the site points to <a href="http://feeds.feedburner.com/nymag/intelligencer">this</a> RSS feed, also on Feedburner, which does not appear to have been hijacked.&nbsp;
	- A parser-blocking cross-origin script...
		- <i>Update: I worked around the problem. See <a href="http://scripting.com/2017/04/01/aParserblockingCrossoriginScript.html#comment-3236332243">below</a>.&nbsp;</i>
		- Sometime in the last few weeks Chrome started giving an error message in the JavaScript console, in various apps, of this form: "A Parser-blocking, cross-origin script, &lt;url&gt;, is invoked via document.write. This may be blocked by the browser if the device has poor network connectivity. See &lt;<a href="https://www.chromestatus.com/feature/5718547946799104">page</a>&gt;&nbsp;for more details."
		- Until the last couple of days it's been for unimportant stuff that probably is never getting called in the apps it was showing up in, but then it showed up in a test version of an app inside Electron, running on Ubuntu, and it was a deal-stopper, it prevented the app from working. The same app running in the Mac Electron environment runs without problem. This only happens on Ubuntu. (Ubuntu is running inside VMware Fusion.)
		- The <a href="https://www.chromestatus.com/feature/5718547946799104">docs</a> on the Chrome site say that the error has to do with bad performance on mobile devices with a slow connection. They say that it only happens if a certain set of conditions prevail. We're on a hard connection, running on a desktop computer. According to speedtest.net, I have 45 megabit connection down. Fast enough to load a few small JavaScript files without delay.
		- Note: They say it's enabled only on mobile platforms, but I'm getting the error in Chrome/Mac as well as in Electron. Something isn't adding up here. ;-)
		- I'm trying to figure out how to work around this. No matter what it's going to require serious surgery on the app, and significant potential for breakage. I'd like to know what's really going on before embarking on a lot of development work. Maybe it's not necessary?
		- Any help much appreciated. :balloon:
- 4/3/2017
	- Our political system has been hacked
		- Have you ever had a server that was owned by hackers? I have. All the way back to the beginning, to my <a href="http://scripting.com/dwiner/outlinersProgramming.html">LBBS</a> server running on an Apple II in my <a href="https://en.wikipedia.org/wiki/Menlo_Park,_California">Menlo Park</a> living room.&nbsp;
		- Here's how it goes. You see some odd things, you investigate, find suspicious stuff, &nbsp;delete it, but it comes right back. Dig a little more, delete it again, it comes back. So you decide to re-install everything and the problem goes away. Or it doesn't. The hack knows how to survive a re-install.&nbsp;
		- Well, that's what it's like having a Russia-tainted president in the White House. The hack is in there, doing god-knows-what, but one thing you can be sure of, they're figuring out how not to be removed.&nbsp;
		- We've been <a href="https://t.co/MFPc1shyrW">told</a> it'll be hard if not impossible to get this virus out of there. But we can prevent it from installing more hacks, potentially ones that last longer and are even harder to remove. Like a <a href="https://en.wikipedia.org/wiki/Neil_Gorsuch">young</a> Supreme Court justice.&nbsp;
		- The Repubs are either compromised themselves, all of them, or they're too blinded by partisanship to see their responsibility. Let's hold back on any appointments by Trump until we get to the bottom of the scandal that's unfolding now. The Supreme Court is too much of a <a href="http://www.newyorker.com/news/daily-comment/what-makes-sheldon-whitehouse-angry">price</a> to pay.&nbsp;
- 4/4/2017
	- Making a home for news on the open web
		- Once upon a time, I was 30 or so years younger, and had just sold my angel-backed tech company to a VC-backed company, stayed six months, and then left to start something new. I was young, successful, a minor tech god in Silicon Valley, the whole world at my fingertips. And I wanted a job at Apple.&nbsp;
		- My success had come from being one of the first to ship a product for the Mac in 1984, and then having the ability and courage to stick with it through a couple of bad years. This had endeared me to people at Apple. I knew a lot of the top execs there. They all used my software. It seemed natural to me that I'd continue my career at Apple, instead of as an outside developer.
		- I knew the reality that the world didn't, that being independent was a precarious existence. It was either feast or famine, but mostly famine. I wanted the security of a regular paycheck, health plan, an office, a boss even. And I wanted the benefit of shipping my software to all those people who used Macs. Instead of reaching a small fraction of the users, my software would reach them all, I reasoned. I envied the people who worked at Apple. (I would find out much later that they envied me too.)
		- One of my Apple friends, a top exec named <a href="https://en.wikipedia.org/wiki/Jean-Louis_Gass%C3%A9e">Jean-Louis Gassée</a>, said I should not work at Apple. A witty Frenchman, he explained I would not like to see how the sausage was made. He said it in a funnier way. It would be better for everyone he said if I continued to be independent. But I persisted. And nothing good came from that persistence. As convinced as I was that I should be "inside," the big company culture at Apple, contrary to the hype, prevented individuals from being powerful. Even if people were brilliant and driven, there was only so much a person could do.
		- A few years later, after developing a product that should have been system software, and being copied by Apple, my small team of three people met with the team at Apple that was doing what we did. We sat in a corner of a supersized conference room. The Apple people filled the room. There must have been 30 people there who did <i>less</i> than what we did. No matter, we eventually had to give up. There was no way to co-exist. They didn't want us there, even though they said they did. And when the platform vendor doesn't want you there, you won't be.&nbsp;
		- I tell this story now, as I'm getting ready to go to a journalism conference in Italy, six timezones away. I see journalism making the same mistake I made in the early 90s. They look at the advantages what they call the "platforms" have over trying to make a go of it independently. They want those advantages. But also like me in the 80s, they want to keep their independence. They want to be mavericks, Woodwards and Bernsteins, and, at the same time, be paid by the people and companies they will have to challenge.&nbsp;
		- I know tech culture now in a way I didn't then. Gassée probably thought I'd have to learn the lesson myself back in 1988, but he shared the learning anyway. There was no way to bring independence into a large company. It just doesn't work that way. If you want to be independent, you have to make your own way. Independence means the same thing no matter what direction you approach it from.&nbsp;
		- I know I can't convince journalism to give up on getting the tech industry to make it easy for them, so I'm pitching a different idea. Have a <a href="http://www.journalismfestival.com/programme/2017/plan-b-making-a-home-for-news-on-the-open-web">backup plan</a>, in case it doesn't work out with Facebook. The open web is here for you to use as an alternate distribution system. It's nice to have Disneyland <i>and</i> Yellowstone. Time-Warner Center <i>and</i> Central Park. Corporate-owned spaces&nbsp;<i>and</i> open spaces. They need each other. And journalism, done right, belongs more to the open spaces than the corporate spaces.&nbsp;
		- Facebook <i>and</i> the open web.&nbsp;
		- The web can't give journalism the money Facebook can, if that's what Facebook did. But we can find a way to make journalism work in the open context, one that supports independence, and imho is much closer to the way journalism, when it's done right, works.&nbsp;
		- Dave
		- PS: In hindsight, I couldn't have developed blogging, RSS and podcasting inside Apple. Unthinkable. Apple came at the web from the opposite direction, viewing the world as elite creators providing vision and products to a mass of consumers. My philosophy, more in line with the original Apple view, and the original vision of the web, was to view everyone as both a creator and a consumer. I think this is the struggle inside journalism as well, long-term. And the reason Facebook has all the money, imho, is that they embraced the non-elite view, that the technology enables.&nbsp;
		- PPS: In 1995, one of my first blog posts attempted to define the word <a href="http://scripting.com/davenet/1995/08/22/whatisaplatform.html">platform</a>. Mostly people had been using the word intuitively. Powerful idea. Worth understanding.&nbsp;
		- PPPS: A couple of years after that I came to <a href="http://scripting.com/davenet/1998/07/14/xmlRpcForNewbies.html">see</a> the Internet as the platform without a platform vendor. It's the only place the platform vendor can't screw with developers, because there is no platform vendor. I went ahead and did all the things I wanted to do at Apple, for the web. In the end it worked out.&nbsp;
		- PPPPS: But there's still more work to do.
	- My demo river
		- For an upcoming demo, I'm going to show a river running on my desktop, accessible through the web, using Dropbox to do the bridge.
		- Actually the river will be running on my <i>laptop.</i> Using <a href="http://rss2.io/electric/">Electric River</a>.
		- And to show that all rivers don't always look the same, I made a river in the theme of the <a href="https://www.youtube.com/watch?v=Q6TzAQXVpB8">Dancing Hamsters</a> of the Old Days of the web.
		- <a href="http://scripting.com/misc/demoriver.html"><span data-auto-link="true" data-href="http://scripting.com/misc/demoriver.html">http://scripting.com/misc/demoriver.html</span></a>
		- Personally, I think it is quite "innovative."
		- Of course when my laptop is offline the data in that page will not update. But you will still be able to read the page. And as soon as my laptop is online again, you'll start to see updates.
		- I just had to change one <a href="http://scripting.com/2017/04/04/config.png">configuration</a> setting. I changed the folder the river.js files are written to. I put it in the Public subfolder of my Dropbox. Right-click on the file in the Finder to get the <a href="https://dl.dropboxusercontent.com/u/36518280/river5/mysubs.js">public URL</a>.&nbsp;
		- I created the home page by downloading the <a href="https://gist.github.com/scripting/87903653a0f5f6df13b4">Hello River</a> demo page, and modified it to point to the public URL. I added the hamsters, and saved it to <a href="http://scripting.com"><span data-auto-link="true" data-href="http://scripting.com">scripting.com</span></a>&nbsp;which is an S3 bucket.
		- We can make this even easier, and plan to.
- 4/6/2017
	- Interop matters
		- Checking in from Italy.
		- Every so often I hear from a developer who thinks <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> should be redesigned from scratch. I listen to what they think needs to be fixed and am reminded why it's better to improve the existing format through a namespace rather than starting over. Here's a story to illustrate.&nbsp;
		- Every trip I forget to bring something and this trip is no exception. I didn't bring a power adapter that converts the format accepted by Italian wall sockets and converts it to the format accepted by an American wall socket. Of course all my devices, my iPhone, Android phone, Mac laptop, even my watch, are designed to work in America.&nbsp;
		- So last night I was running off energy stored in my batteries in America.&nbsp;
		- Why? Some tech guy in Italy or America decided their way was "better." And they never imagined that I would be trying to plug my American iPhone into an Italian wall socket. Or they didn't care.&nbsp;
		- At the same time I was able to email back to the US, in an instant, because wifi is a standard that's supported everywhere. And I was able to post to my linkblog because RSS is well-supported everywhere. And I was able to read the item I posted to my linkblog because my iPad has an HTML browser that communicates over HTTP even though the designers at Apple didn't particularly like the web. They supported it anyway. And now ten years after the introduction of iOS I am able to use the web from Italy, or anywhere that has a wifi connection.
		- So when I hear &nbsp;some programmer doesn't like XML, my answer will always be to offer to help them find a library that hides that detail from their software, and in doing so, help some traveler in some unknown space 100 years in the future. I think that's the duty of every engineer, everywhere, always.
- 4/9/2017
	- Five days in Perugia
		- It's been interesting in <a href="https://www.google.it/maps/place/Perugia/@43.0951224,12.3102843,12z/data=!3m1!4b1!4m5!3m4!1s0x132ea08cea51c34f:0xce39eb2a884fc7f4!8m2!3d43.1107168!4d12.3908279?hl=en">Perugia</a> with me being the designated rep of the open web.
		- Many many interesting conversations.
		- Facebook, Google and Amazon were everywhere. They paid for a lot of the <a href="https://www.youtube.com/user/festivalgiornalismo">conference</a>.
		- I had a rollicking session. A real come to Jesus revival for the open web. We started two new rivers at the show. One by a very popular <a href="https://decorrespondent.nl/home">startup</a> in the Netherlands that's coming to the US (the startup&nbsp;<a href="https://twitter.com/jayrosen_nyu/status/321262723595898880">Jay Rosen</a> was singing the praises of, rightfully) and one from a journalism class at an Italian university. I'll share more info when I have URLs to share. 
		- At one session, I wondered if Twitter had ever considered buying a major news org. I know the party line on that was no, but I think with Twitter sort of stuck in the mud, if that might not be an interesting way to get unstuck. Consider that the valuation of Twitter is over three times that of the NYT, Twitter is still a much more efficient attractor of value than the news industry, even with it being in the <a href="http://thesaurus.land/?word=doldrums">doldrums</a>, as it is (disclaimer I am a Twitter shareholder).
		- I met a lot of interesting people, and spent major time with some people I already knew. I saw <a href="https://en.wikipedia.org/wiki/Hossein_Derakhshan">Hossein Derakhshan</a> for the first time since he spent six years in prison in Iran. Lots to say about that. He's an amazing guy. 
		- And many others. Just starting to sort it out in my mind.
		- Basically, I achieved my goal and much more. I wanted to get new rivers going in journalism. One in publishing and one in J-school. Perfect. With a few more, I'll have the beginnings of a <a href="http://www.pbs.org/marktwain/learnmore/writings_tom.html">Tom Sawyer</a> evangelism strategy going. And I have some excellent ideas on how to take <a href="http://rss2.io/electric/">Electric River</a> to the next level.&nbsp;
		- At next year's <a href="https://www.youtube.com/user/festivalgiornalismo">#ijf</a> the goal is to have reps of the open web on every panel that Facebook and Google people are on. I think that's a reasonable goal. And yes, also to bring some of what we've learned to journalism conferences in the US.
- 4/11/2017
	- State of the podcast
		- I'm doing a keynote at a podcasting <a href="http://heymancenter.org/events/the-unplugged-soul-a-conference-on-the-podcast/">symposium</a> at <a href="http://www.columbia.edu/">Columbia</a> on Friday. 
		- Starting to think about what I want to do there.&nbsp;
		- We're lucky that podcasting is not dominated by tech companies. Not that they haven't tried (thinking of Apple). Still to this day when people say at the beginning or end of their podcasts how to subscribe, it's a confused jumble. At some point some tech company is going to fill this void. I want to see the open web fill it first.&nbsp;
		- Perhaps if there were a community site, a non-profit, that acted as a clearinghouse for podcast subscriptions? Technically totally doable. But is there a will to take advantage of the fact that podcasting is still mostly silo-free?
		- Contrast this to the <a href="http://scripting.com/2017/04/04/hopingForTechToSaveUs.html">talk</a> I had to give at Perugia, where I urged people to not give up on the open web. That the path to our freedom was not closed by Facebook and Google, as it might appear, because they still do an inadequate job of news distribution.&nbsp;
		- Podcasting is not so-controlled by tech, at least not yet.&nbsp;
		- That's the theme for the State of the Podcast for 2017, according to me! :balloon:
- 4/13/2017
	- Fever dreams about getting rid of Trump
		- I came home from <a href="http://scripting.com/2017/04/09/fiveDaysInPerugia.html">Italy</a> with a cold. The first one in a few years. I thought I had come back with all these ideas to write about, but even though I feel well enough to write, unusually for me, I find I have nothing to say.&nbsp;
		- One thing that's nice about going away from the US for a week is I feel removed from the Trump madness. I was unable to keep up my steady diet of <a href="https://en.wikipedia.org/wiki/Rachel_Maddow">Maddow</a>. I got home on Monday night just as she was coming on. I couldn't get into it. Same thing has happened each night since.
		- So much of what people report seems to be showing that Trump is inconsistent and ill-informed, and irresponsible. But this is already factored in. The guy is a shameless kleptocrat. He's almost certainly maneuvering the country to make himself richer. He probably already is much richer than he was when he took office. Before long he will pass Putin as the richest person in the world.&nbsp;
		- As with the <a href="https://en.wikipedia.org/wiki/Kleptocracy">kleptocrats</a> who ran the Bush II government, Cheney and the defense contractors, this is a very inefficient way to transfer wealth. Too much waste. Someone should try to make a deal with Trump and the Repubs. Resign, you get to keep all you stole plus a premium. Surrender your Twitter account and finish your days playing golf all around the world with other rich folk. They can even teach you how things work, how exciting for you, now that you <a href="http://www.vox.com/2017/4/12/15279654/trump-north-korea-xi-10-minutes">seem</a> to care!&nbsp;
		- I guess I had something to say after all. :balloon:
		- PS: Another idea. Since Putin <a href="http://www.theguardian.com/uk-news/2017/apr/13/british-spies-first-to-spot-trump-team-links-russia">gave</a> us Trump maybe he should <a href="https://en.wikipedia.org/wiki/Pottery_Barn_rule">have</a> to take possession of him after he leaves? Or maybe he and his hackers can figure out how to get him to leave sooner? We can make it worth his while. I bet by now Putin has <a href="https://en.wikipedia.org/wiki/Buyer%27s_remorse">buyer's remorse</a>. If POTUS blows up the world, Putin and Russia are blown up too. There's no magic shield that protects him from Trumpocalypse.
		- PPS: I was going to point to an article on a news website about Putin being the richest guy in the world, and while the major sites are much faster than they used to be, they are all still too offensive to point to. Time, for example, starts playing music almost as soon as the page loads, and then starts playing video. What if you're working in an office or reading in a library? Can't point to that. And US News pops up a Subscribe dialog before it lets you read anything. Now that's just insulting. So I left out the pointers. Trust me. A lot of news orgs think he's the richest guy. You can do the <a href="https://www.google.com/webhp?sourceid=chrome-instant&amp;rlz=1C5CHFA_enUS732US732&amp;ion=1&amp;espv=2&amp;ie=UTF-8#q=putin+richest+person+in+the+world">search</a> yourself.&nbsp;
		- PPPS: The <a href="http://sports.yahoo.com/news/2017-nba-playoffs-full-schedule-8-first-round-matchups-053026525.html">NBA playoffs</a> start on Saturday. I'll make a guess for the first time on this blog. Boston vs Golden State, with GS winning in five.&nbsp;
		- PPPPS: If only the old Mission Impossible <a href="https://en.wikipedia.org/wiki/Mission:_Impossible#IMF_agents">team</a> were still around, in a dark corner of the CIA or KGB. They could give Trump a drug to convince him that he won. Martin Landau and Barbara Bain would play the role of Kushner and Ivanka. It doesn't matter <i>what</i> he won, just <i>that</i> he won. Yes yes, you won, you really won, you were tremendous, you are the greatest, now goodbye!&nbsp;
		- PPPPPS: One more thing then I really have to go. This was my first trip to Europe, ever, where I had good connectivity all the time, thanks to <a href="https://fi.google.com/about/">Google Fi</a>. It worked everywhere, reasonably well, all things considered. My last trip to Italy, even though I had T-Mobile, which was supposed to be good in Europe, I never got online at all.&nbsp;
- 4/14/2017
	- Journalism and the braintrust
		- I had a brief Skype chat with <a href="https://www.google.com/url?sa=t&amp;rct=j&amp;q=&amp;esrc=s&amp;source=web&amp;cd=8&amp;cad=rja&amp;uact=8&amp;ved=0ahUKEwjg7uHs_6PTAhVK7iYKHR22DT8QFghHMAc&amp;url=https%3A%2F%2Fen.wikipedia.org%2Fwiki%2FChristopher_Lydon&amp;usg=AFQjCNGCyc17JzTJoM_ZsZLaiZkv72nvIQ&amp;sig2=kClMrJv3yxSa2phxJmn0-A&amp;bvm=bv.152479541,d.eWE">Chris Lydon</a> and Mary McGrath earlier this week. We talked about the usual thing tech people and journalists talk about when we get together. What's the future of journalism on the Internet? I have some strong ideas about that, all based on the <a href="http://scripting.com/2015/10/12/itsStillSourcesGoDirect.html">Sources Go Direct</a> philosophy, but I was surprised to find that Chris and Mary were totally on board.&nbsp;
		- Here's the idea.
		- Chris and Mary do a weekly <a href="https://www.bostonglobe.com/lifestyle/style/2013/11/20/radio-talk-host-christopher-lydon-returns-wbur-after-year-absence/jLC042johF7aRALtnvWlNK/story.html">NPR show</a> that's also a <a href="http://radioopensource.org/category/podcast/">podcast</a>. (Chris is the host, Mary the producer.) Since the election they've been talking with scholars and political insiders about the state of government in the US.&nbsp;
		- I wasn't listening to it, sad to say, until a friend told me I should, that it's the best thing out there on politics in the US. I started listening, and enthusiastically concur. It's the adult stuff, reality-based, not the mush you get on the cable networks, or the investigative details you get from the Washington Post and the NY Times (these are valuable but they don't provide a big picture that Chris's collaborators do).&nbsp;
		- Okay, so if you were trying to figure out where the value is in Chris's program, you'd have to put the Chris/Mary combo at the top of the pyramid. It's their rolodex that makes it work. It's the extensive reading and listening they've done, over twenty &nbsp;years, that means they know who to call and can ask the right questions.&nbsp;
		- Next level down the pyramid are the people in their rolodex. They know their shit because they've spent a lifetime studying the history of kleptocracies, the Soviet Union, Russia, fascist movements around the world and in the US. Or they've been inside politics for a long time and have memory of Nixon and perhaps even McCarthy. Watergate and Iran-Contra. The buildup to the war in Iraq. People who knew the people with the levers of power.&nbsp;
		- One more level down the pyramid, where the greatest value is, by sheer volume, are the people who are smart enough to be listening to Chris's show. Probably a very large number of them are in Boston, because his show is broadcast on <a href="http://www.wbur.org/programs">WBUR</a>. But because it's 2017 and his show is distributed as a podcast, his <i>braintrust, </i>as I call it, is distributed around the world.&nbsp;
		- To summarize, Chris/Mary orchestrate, the people in the rolodex opine, and the braintrust listens.&nbsp;
		- Let's imagine a number that represents the quality of the Chris Lydon braintrust. That number would be very high. And another number that represents the size of the braintrust. That number would be low because most of the smart people in the world don't know about it. (And of course it's their goal to change that.)
		- Now let's take the Washington Post and NY Times. They probably have relatively high quality numbers, and large size numbers, compared to Radio Open Source. The product of these values is large. Another publication that I think of in these terms is The Economist. Their readership is really powerful, intelligent, educated. Their quotient would be high.&nbsp;
		- So here's the question this thinking raises, given the new distribution medium. How can a podcast like Chris's or a pub like the NYT, WP or Economist, take advantage of the breadth and depth of their braintrust to improve the product, make it more relevant and more profitable? I have some ideas about that. We'll discuss it at the <a href="http://heymancenter.org/events/the-unplugged-soul-a-conference-on-the-podcast/">Unplugged Soul</a> conference, where Chris and I are doing the keynote interview tonight. :balloon:
		- PS: Last night on Maddow for the first time I heard her use the term "open source" to refer to reporting about the Trump/Russia scandal. Fascinating. She used it many times, so it was deliberate. I wonder if I missed something in the week I was traveling and if she's explained how she's using the term. Clearly it's not the way we use it in the <a href="https://en.wikipedia.org/wiki/Open-source_software">tech</a> world. I must ask Chris how they arrived at that as the name for his podcast.&nbsp;
		- PPS: I've noticed that the NY Times is accepting the <a href="http://thesaurus.land/?word=bombastic">bombasticity</a> of the Trump personna, even encouraging it. It came out in an&nbsp;<a href="http://podcatch.com/pages/14444.html">interview</a> with Trump, when they pressed for details about whether or not Susan Rice had committed a crime. There's no question the reporters knew this was bogus, yet they accepted what the president said as legit. When they do that, I as a seeker of truth, and believer in the values of the US, am betrayed.&nbsp;
- 4/16/2017
	- Priorities for podcasting
		- Some takeaways from this weekend's podcasting <a href="http://heymancenter.org/events/the-unplugged-soul-a-conference-on-the-podcast/">conference</a> at Columbia.<ul><li>Primarily this conference was by and for producers of podcasts. I was the only developer who spoke, and not in any detail about how podcasting works, other than to say it's open and not dominated by silos and that's where the freedom comes from.&nbsp;</li><li>As far as I can tell there is not much awareness of the technology of podcasting among producers.&nbsp;</li><li>I had a podcast-listening glitch earlier today, walking around town. I thought I had Chapter VI of <a href="https://stownpodcast.org/">Shit-town</a> on my iPhone, but I didn't. It took me five minutes of navigating through confusing sites, the app store, iTunes, who knows what, to get to a place where I could just click a link to listen. The state of the UX for podcasting is awful. Unacceptable for a technology that's 14 years old.</li><li>The lack of improvement imho is due to a <a href="http://www.sonyclassics.com/fogofwar/">fog</a> of companies and developers who think they dominate or expect/plan to, and won't talk with others.&nbsp;</li><li>Podcasting should be a pleasure. Finding new great stuff to listen to should be easy and instant. And you should be able to get that without giving up the freedom.&nbsp;</li><li>I have to figure out how to cut through the fog and plot a course and ignore the people who refuse to talk, and just fucking go.</li><li>There are always silos trying to start up. I really doubt any of them will gain traction.&nbsp;</li><li>I'm going to keep building with Electric-River as the base. Next up I want to teach it to download podcasts to a user-accessible folder on a desktop. If you have MP3s on your disk, you can control where the shows are and don't have to have so many connectivity surprises when you're out and about.&nbsp;</li><li>Shit-town is great. Here's the <a href="http://scripting.com/2017/04/15/mrPutinShowSomeMercy.mp3">star</a> of the show on where we're at in America and what Putin can do to help us out of our misery. I'm writing this post in the style of John B, if you're wondering why I sound so pissy and uppity.</li><li>Tim Berners-Lee is on the <a href="https://www.wired.com/2017/04/tim-berners-lee-inventor-web-plots-radical-overhaul-creation/">right track</a>, preaching that users should control their own data. I'm concerned that this is going to come with another prescription that we all use RDF. We get a lot of interop from OPML and RSS, both of which are variants of XML, a format developed by his W3C.&nbsp;</li><li>I wrote an <a href="https://medium.com/i-m-h-o/we-could-make-history-349109119cee">open letter</a> to Evan Williams in 2012 suggesting that we make history by helping to undo the siloisity that was creeping into the blogosphere. No response.&nbsp;</li><li>It's very likely there would be no podcasting today if we had not gotten early and steady support from NPR. That's because in 2003, Tony Kahn at WGBH listened, and thought podcasting was a good idea, and spread the gospel throughout NPR land. We got lucky, we found the guy at NPR that everyone there listened to, and he believed. Tech should have more people like Tony.&nbsp;</li><li>BTW, Martin Nisenholtz at the NYT played the same role for <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a>. Without the support of the NYT, it's likely that the RSS community would have melted down into many competing incompatible standards, neither reaching critical mass.&nbsp;</li></ul>
		- Moral of the story: Don't ever doubt that technology users can have enormous power. And as a technologist, don't be shy about searching for these people and listening to them and trying to help them win. Be careful about the first impulse to dismiss. Great things can result from these collaborations. The myth of the lone inventor dreaming up the future ensconced in a lab isn't how it works.&nbsp;
- 4/18/2017
	- Quick quirky podcast
		- A quick look into the metaverse of Your Constant Developer working on a new podcast client.&nbsp;
		- Developers need a test podcast to work with. The <a href="http://scripting.com/davenet/2001/01/11/payloadsForRss.html">first time</a> around it was the Grateful Dead. This time I'm using a beautiful poem by John B. McLemore from the Shit-Town podcast. I thought it was appropriate.&nbsp;
		- And there's a reward, I get to enjoy his spirit every time I do a test. It makes me LOL, every damn time. Especially when I think he could have been a character in my uncle's Florida menagerie, when we were listening to <a href="http://www.cbsrmt.com/synopsis.html">CBS Radio</a> serial dramas in the dark drinking sweet ice tea in canning jars and smoking sensimilla.&nbsp;
		- Here's the <a href="http://scripting.com/2017/04/18/quickQuirkyPodcast.m4a">podcast</a>. 11 minutes.
- 4/19/2017
	- Electric River v0.41b
		- There's a new version of <a href="http://rss2.io/electric/">Electric River</a>.&nbsp;
		- Here's a list of the features in the new release.
		- <b>Podcasts</b>. As it reads feeds if it encounters any items that have audio enclosures, it downloads the file into a new <i>podcasts</i> folder in the River5 folder. There's one subfolder for each feed, so the podcasts are grouped by feed. There are new config.json <a href="https://github.com/scripting/river5/blob/master/docs/CONFIG.md#podcastsfolder-podcasts">settings</a> that allow you to turn podcast downloads off or to control where the podcasts are stored.&nbsp;
		- <b>Read all feeds now</b>. A new command in the Main menu. If you choose it, River5 will start reading feeds immediately, and will read all the feeds you're subscribed to, one at a time. The only feedback are new items added to the river display. (If you want to watch the progress, you can choose the Dashboard command in the Main menu.)
		- <b>config.json in the River5 folder</b>. We automatically create a config.json file in the main folder, with a few of the more common values with their default settings. This makes it easier for people to find this important file, if you want to customize the app and provides examples for how JSON format works. You should of course only edit this file if you know what you're doing. If you screw things up, just delete the file and restart the Electric River app and it will recreate the file.&nbsp;
- 4/20/2017
	- What we know about Trump and Russia
		- I keep watching MSNBC, but last night my heart just wasn't in it. I made it through the first fifteen minutes of <a href="https://en.wikipedia.org/wiki/Rachel_Maddow">Maddow</a> and then switched over to the NBA playoff game between the Oklahoma City Thunder and the Houston Rockets. At least there the <a href="http://www.oregonlive.com/nba/index.ssf/2017/04/nba_playoffs_houston_rockets_v.html">outcome</a> was somewhat in doubt. Watching Maddow I came to a conclusion. And by conclusion I mean, an end.&nbsp;
		- We know that the Trump campaign worked closely with the Russian government to influence the election. It isn't in doubt at this point. So many of their campaign officials met with Russians during the campaign, with people who laundered Russian oligarch money, even. The list <a href="http://www.npr.org/sections/thetwo-way/2017/02/10/514514117/trumps-national-security-adviser-reportedly-discussed-sanctions-with-russia">includes</a> the National Security Adviser and the <a href="https://www.nytimes.com/2017/03/27/us/politics/senate-jared-kushner-russia.html">son-in-law</a> of the president. His campaign <a href="https://www.theguardian.com/us-news/2017/apr/12/paul-manafort-foreign-agent-trump-russia">manager</a> was a Russian agent for crying out loud. And he lied about it, openly.
		- At this point we can rest until the Republicans in Congress decide it's time to do their jobs and get him out of the White House. He does not belong there. I don't think Pence would be much better, he's a smarmy former Limbaugh-alike <a href="http://www.politico.com/story/2016/07/mike-pence-talk-radio-225855">radio</a> "conservative." Whatever he is, however bad or corrupt, we can't survive much more of Trump's mad incompetence. We're on the brink of nuclear war, we knew that would come, and now it's here. We still have the power to turn this around. But the hour is getting late.&nbsp;
		- What more can watching Maddow accomplish? We know what we know. More evidence will come, that's for sure. It's like taking the temperature in August in NYC. Yes, it's hot and humid. I didn't need to watch the news to know that.&nbsp;
		- Bottom line: We know he's in debt to Russia. They have the goods on him, the only question is how bad it is and I'd bet it's very bad. Impeachable? Of course. The guy is guilty and is driving the US and the rest of the world over a cliff.&nbsp;
- 4/21/2017
	- What I am
		- I realized something this morning, and I don't know why it escaped me for so long, it's one of those things that's just plain obvious, maybe everyone else can see it, but it's about me, so I couldn't.
		- Here's the thing I realized.
		- <i>No one knows what I do.</i>
		- Maybe with one exception, possibly <i>I</i> know what I do. Or perhaps I know what I'm <i>trying</i> to do. What I'm trying to do looks more and more hopeless, I guess. Because a big part of what I do involves other people using what I create. There really need to be a lot of them for it to work.
		- Here's what I think I am.
		- <i>I am a software developer.</i>
		- I don't work for a company. I make software because it pleases me to do that, the way a potter makes pots, or a gardener tends a garden, or a cook prepares meals, or an architect designs buildings.&nbsp;
		- That's it. That's what I do.
		- It's not my imagination. There's real software out there that I created that people use. But I think even the people who use it don't know. I think they think there's a company here, when there's just me.
		- PS: Of course I also <a href="http://scripting.com/">blog</a>, but that's part of being a software developer and a human being.
		- PPS: And I <a href="http://scripting.com/stories/2011/08/02/whoIAm.html#p8514">hack</a> media. I'm always trying to imagine new ways to use media to help us evolve, because we need to do a lot of that quickly. Because our media <i>isn't</i> evolving we're actually spinning backwards, at a time when we can <a href="https://www.nytimes.com/2017/04/21/opinion/the-planet-cant-stand-this-presidency.html?partner=rss&amp;emc=rss">ill-afford</a> to do that.
		- PPPS: Don't <a href="https://www.youtube.com/watch?v=J2HJFFOzU_c">cry</a> for me Argentina. I have had it pretty good. I share my observations here. This is just one more.
	- Reality TV that's really reality
		- A new TV show format. Tours of neighborhoods in various parts of the US. Show people in different parts how we live, and vice versa.
		- Walk through a typical supermarket and show what you can buy and what the prices are.
		- The nearest airport.
		- An average commute.
		- See it as a person living there would see it.
		- Confront perceptions with reality.
		- Reality TV that is real reality.
		- PS: This Trump <a href="http://talkingpointsmemo.com/edblog/feel-the-propaganda-feel-the-hate?utm_source=feedburner&amp;utm_medium=feed&amp;utm_campaign=Feed%3A+Talking-Points-Memo+%28Talking+Points+Memo%3A+by+Joshua+Micah+Marshall%29">press release</a> should give you an idea why this is needed.
- 4/22/2017
	- Remember your users
		- At the Perugia journalism <a href="http://www.journalismfestival.com/">conference</a> they had a <a href="http://www.journalismfestival.com/programme/2017/communicating-the-news-to-young-people">panel</a> with a 10-year-old boy and several adult journalists. The goal, I guess, was to find out what the boy thought about the news. It was a noble idea, but imho it didn't work. Kids in the midst of adults will act more or less as they think the adults want them to act. I remember what it was like being a kid myself. Perhaps a panel of kids, with the adults in the audience, might have worked better. But I suspect they wouldn't have stuck to the topic.
		- It occurred to me much later that this is typical of developer conferences. They might have a panel where developers are on stage and the platform vendor employees are in the audience, but only heavily supervised developers, and ones not likely to rock the boat too much. Thus depriving everyone of what could potentially be a lively and useful discussion.
		- What if instead they had a panel with <i>adult</i> users of news, telling the professional journalists, in the audience, what frustrated them about the way the news was covered. There's a lot of potential in that. But news people, like the people who run big platform companies, seem reluctant to take the risk of letting their users speak freely in their presence.&nbsp;
		- When I did my session at the Perugia conference I spoke as a technology developer who wanted to work with journalists. I saved my criticism in that session for other developers, so the journalists seem to enjoy it. I could just as easily have led a discussion about how journalism led us off a cliff in the 2016 elections, and how if we want to save what's left of democracy, it's going to a require radical transformation in how news works. I suspect if I had done that, the journalists would have walked out of the room.
		- I am experiencing this frustration watching some of the same people who were at Perugia, who I spoke with over meals and in the hallways about the dire state of news, tweeting about a journalism conference they're at in the US this weekend. As in Perugia, they talk about users of news the same way platform vendors talk about users of their platforms. In aggregate. Theoretical terms. And missing the point, imho.&nbsp;
		- Bottom-line: Have the guts, if you're going to have a professional conference, of giving &nbsp;substantial time to the users of your profession's products. It's a perspective that's often missing, a very important one. If you want quick productive change, it could be the most direct path.&nbsp;
- 4/23/2017
	- No silos for podcasting
		- When we were booting up podcasting, at the first BloggerCons at Harvard and Stanford, one of the core values, if not <i>the</i> core value, was no silos.
		- If you collected information from users, such as subscription lists, you had to share that information with the users and your competitors. If you're about making money you had to do it some other way than locking users in.
		- Of course not all subsequent vendors bought into that. But I did. We followed that guide in sharing the OPML source of the podcasting directory that Adam and others maintained, for example.
		- I'm concerned that the newest podcasting companies want to create that kind of lock-in, are in the business of creating silos.
	- The creation story of podcasting
		- An addendum to the creation story of podcasting.
		- At the end of 2004 the creation story was MTV star creates podcasting. Of course that was wrong, it was a partnership. And many others contributed. It wasn't an act of invention or a single person's accomplishment. Lots of people contributed.
		- Lately Chris Lydon has been getting much-deserved credit for his role in the bootstrap. For a good year he was the leading edge of podcasting. A lot of today's most popular podcasts owe Chris for his inspiring early work.
		- Steve Gillmor and Doug Kaye also did their part.
		- And don't discount Adam Curry's contribution (the MTV star). Once he got his podcast going a whole community of podcasters followed. Many of today's podcasters follow the form he pioneered too, which is vastly different from Lydon's.
		- Me? I was the geek and the showrunner for the first few years. I held the conferences and twisted the arms and wrote the code. If you don't think there's a lot of that in bootstrapping a new medium, well you don't know how it works.<h4>Part II</h4>
		- One of the reasons the story of podcasting is so scrambled is that no one has done a thorough and patient reporting of it. 
		- Reporters sell a story, and have a fixed amount of time to report it, so they interview one or two people, read the Wikipedia article about podcasting, and repeat the same mistakes the previous reporters made. I've seen this happen in other areas, mistakes in Wikipedia become an alternate truth, long before Kellyanne Conway and DJ Trump
		- Until recently the standard podcasting story left a whole year out, and Chris Lydon's contribution. It's as if there were a blank unfilled spot in time when nothing happened in podcasting, yet the opposite is true. 
		- i've just been casually looking for stuff in various archives, including the BloggerCon websites, and came across a gorgeous <a href="http://bloggercon.scripting.com/2004/09/27.html">description</a> of podcasting by Adam Curry written in Sept 2004, in advance of BloggerCon III in November. I asked all discussion leaders to do this. He told the story in a very clear way from his point of view, as a Dutch guy (you can totally hear that), a radio pirate, and somewhat bitter visionary (as all visionaries become, given enough time).
		- BTW, it's signed Ron Bloom, but I'm pretty sure it's Adam who wrote it. It sounds like him. And as far as I know this document has never been cited in a story of the development of podcasting.&nbsp;
- 4/24/2017
	- The question podcasting asks
		- The next a continuing series of stories about podcasting.
		- If an angel tapped me on the shoulder and asked what is the one thing podcasting needs more than anything, I would have an answer.&nbsp;
		- What podcasting needs more than anything is a quick easy answer to the following question --
		- <i>Find me something good to listen to now.</i><ol><li>It's personal. Note I didn't say find anyone a good podcast to listen to now, I said find <i>me</i> one. It should be a podcast that I, an individual person, will find good to listen to.&nbsp;</li><li>It's immediate. I don't want to subscribe to a podcast that will someday yield something good to listen to, I want it now.</li></ol>
		- For the last 17 years podcasting has been answering the wrong question: <i>I want to subscribe to this.</i>&nbsp;That question doesn't come up often, if ever. And podcasting doesn't even answer it very well.
		- Think about it. Where are you when you decide you want to subscribe to a podcast. That's a trick question. How about nowhere. How about it never happens. I'm never looking at something on the web or elsewhere and think oh that's something I want to subscribe to.&nbsp;
		- There are shows that I like so much that it's almost certain that I want to listen to whatever they have available right now. Planet Money, Fresh Air, West Wing Weekly, Radio Open Source are examples. But it's never guaranteed that their latest thing is something I want to listen to now. It might be a rerun. Or maybe I find the subject distasteful or disturbing or the person they're talking with or about is of no interest.&nbsp;
		- Okay so if the question is <i>Find me something good to listen to now, </i>then how do you do that? What information do you need to be able to get that done?&nbsp;
		- It's collaborative. You need to know what I've listened to that I liked. And you need to know what my friends have listened to that they liked. So we can serve as recommenders for each other.
		- Facebook's social graph is good enough to get this started. I know because I tried it manually a couple of years ago. I posted a <a href="https://www.facebook.com/dave.winer.12/posts/337761226431289?pnref=story">message</a> asking my friends to recommend podcasts. I then made that into a subscription list and fed it into <a href="https://github.com/scripting/river5">River5</a> and the <a href="http://scripting.com/2015/04/17/introducingPodcatchcom.html">result</a> is <a href="http://podcatch.com/">Podcatch.com</a>. It's highly personalized. It works well enough that I get an answer to FMSGTOLTN pretty much 100 percent of the time.&nbsp;
		- To do this for other people we just need to systematize it. Make it so that it works for anyone's friends, and it's dynamic, it's kept up to date. When my friends' interests change, then the recommendations change.&nbsp;
		- Also to really work, Facebook isn't the right place to accumulate the data because amazingly you can't listen to a podcast in Facebook. They're too busy reinventing human senses I guess.
		- &nbsp;A podcast listening client would be able to accumulate the data. But here's the catch, I don't want to be locked into any one client. So if they aren't giving the user access to their own listening data, and they aren't making it easy to share with others, then I'm not going to use it. It's possible that such clients exist, and if they do I want to know about them.&nbsp;
		- How important is this? Very. A similar problem was there for <a href="http://cyber.law.harvard.edu/rss/rss.html">RSS</a> in the early days and it was never solved because the reader vendors were unwilling to accept leadership. They all assumed they were going to dominate, or their investors wouldn't let them share the data. Then along came a silo that didn't use RSS, Twitter, and it solved the problem. RSS languished with no love from the dominant vendor, who eventually left (Google Reader). Today RSS still works, amazingly, but it's not a happy ecosystem. It serves as a cautionary tale for podcasting, in how it can go very wrong.&nbsp;
		- I'd say this is the big challenge for podcasting in 2017. It's why I'm worried about it getting siloized. The practical problem is that then there will be a gatekeeper, who behaves like Facebook and controls an opaque algorithm and the medium is closed off to non-Facebook developers, and we lose the freedom that has made podcasting such a wonderful thing.&nbsp;
