- December 2017
	- December 31
		- Source of a frustrating bug. Properly use <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/try...catch">try/catch</a> to catch all errors, even in brand-new code. Fail to report an error in one branch. Forget to <a href="https://nodejs.org/api/modules.html#modules_require">require</a> the <a href="https://nodejs.org/api/fs.html">fs</a> package. But the error is inside the try, so the runtime doesn't trip an error either. Have the debugger not go into the code that has the error for some reason I won't try to determine. 1 hour later, unwind the mess. :boom:
		- From a thread on Facebook. "Boulder is great, but Denver can't be bad, it's Just that Boulder is relatively small, easy to grasp, like one of the towns on the peninsula in the Bay Area. I also like Santa Fe and Taos. Beautiful houses, low cost. Skiing right there. And New Hampshire and the Berkshires. I like places that have legal cannabis, says something about the voters even if you don't partake. But I couldn't live in Calif again, feels soulless to me. Not homey."
		- I venture to say no one has more experience with platforms than I have. Over the years I've never seen a vendor <i>really</i> try to tap into the power of independent developers. Everyone makes a first try, hit the same wall and bounce off it in predictable ways, usually giving up on getting much power from developers. So many examples. There's an art for compensating developers and choosing the ones you're going to work with. Yes you will piss people off. I imagine in Hollywood when they cast a movie the people who aren't chosen are pissed. But that doesn't stop them from making movies. There's a way to do it, and the vendor that gets it right will enjoy longevity and huge PE ratio. 
		- Developers, here's how I suggest you think about the Twitter API. Pretend that up until 2018, Twitter didn't have an API. On January 1, there's an announcement. Twitter now has an API. Forget about the history. It's a fucking gift I tell you. Really works. I love building on it. 
		- Silent data loss
			- The Repubs use a trolling technique that was pioneered as far as I know by the proponents of a certain format that was intending to replace RSS. 
			- They would say: RSS has "silent data loss."
			- This sounds terrible. Right? Well, it's just like Shariah Law or "chain-immigration." It sounds like a technical thing, but in reality it's a problem they made up. In practice nothing really is lost. XML sometimes garbles stuff if it isn't properly encoded. The solution is to properly encode it. ;-)
			- By pointing at this and saying Oooooh silent data loss. Oooh RSS is bad, people who didn't understand would think, oh I need to change to use this new thing. Or so the proponents hope.
			- Just like Shariah Law is not a problem in America, and chain-immigration simply means letting families come to the US (a good thing, most people would think, so why not say it that way, hah), the tech trolls were saying basically that "RSS is XML," which their format was too. If everything is done right (a big assumption) you could possibly avoid "data loss" by using their format, or you could stick with RSS and properly encode the text. The latter approach is MUCH cheaper.
			- Anyway, by the time you explained it the people listening were tuning out because it truly is boring, and thinking you're being pretty defensive, there must be something here.
		- A feature request for Twitter
			- A request for a simple addition to the Twitter API.
				- A way to get all the replies to a tweet, or if that's considered too much (some tweets have thousands of replies), all the replies to a tweet from the author of the original tweet. 
			- It would enable more beautiful and readable displays of Twitter threads. 
	- December 30
		- The <a href="https://twitter.com/dabeard/status/947251274000621569">kind</a> of day that makes you feel good to be alive!
		- Remember the <a href="https://en.wikipedia.org/wiki/Doomsday_Clock">doomsday clock</a> that shows how close to nuclear annihilation we are? We need a clock like that for the authoritarian state in the US. 
		- This is a really important <a href="https://twitter.com/fmbutt/status/946916197693472769">thread</a> on Twitter. None of us could reinvent the technology we need today to sustain life. If it crumbled, we'd be lost. Think about that when you advocate tearing things down in the name of making things better.
		- Permalinks in titled item subs
			- On GitHub, a <a href="https://github.com/scripting/Scripting-News/issues/56">report</a> of errors in permalinks in sub-items of titled items. 
				- First, thanks for posting an issue there. I can see that the system is working. That was exactly the right thing to do. (It also would have been cool to use the Discuss tab.)
				- This wasn't a case of a programming error, more a case of a distracted programmer, who forgot there are permalinks at lower levels to consider.
				- So now, when it's generating the text subordinate to a titled item, it uses the permalink pointing to the title to form the permalink for subs. 
				- I have the new code running and will now try my first real build with the new code (already tested locally). 
				- It seems to work. Now the <a href="http://scripting.com/2017/12/30/152920.html#a164101">permalink</a> to this paragraph points to the individual page for the titled item. 
	- December 29
		- A small technical change in the way "Scripting News" is generated. There are two kinds of posts, singular items, and titled items. This post is a singular item. Both kinds appear on the home page and on the archive pages. But now titled items also appear on their own pages. For example, here's a <a href="http://scripting.com/2017/12/29/160005.html">titled item</a> from earlier today on its own page. And here's the <a href="http://scripting.com/2017/12/29.html">archive page</a> for today. You may, in some RSS readers, see all the titled items from the month of December repeated, because their permalinks have changed. 
		- I started watching the Netflix series <a href="https://en.wikipedia.org/wiki/Travelers_(TV_series)">Travelers</a> and I liked the first couple of episodes, but now four episodes into season 1 they seem to have run out of ideas. I'm looking for bingeable entertainment. I think I've watched all the good stuff.
		- It's disgusting the way Repubs attacked NY and Calif with their tax plan. An idea for a counter-attack: tax all income over $1 million at 100 percent, and accompany it with a statement. We will restore the tax to what it was when the Repubs undo their attack. That would get a conversation going between the rich folk who own the rest of us. What would NY/Calif do with the money? Pay its citizens to move to Wyoming, Montana, Alaska, etc. And vote. It wouldn't take many expat NYers to turn those states blue. I know it's a hardship, that's why they have to be paid, well, for their sacrifice. Like the bonus people get for giving up their seats on overbooked flights.
		- <a href="https://duckduckgo.com/?q=site%3Ascripting.com+napster&t=hf&ia=web">Napster</a>, one of the most culturally significant inventions, doesn't get enough credit imho. It's when the <a href="http://scripting.com/2014/12/17/whatIfTheRiaaHadEmbracedNapster.html">dam</a> broke, when music programming became something we can do for ourselves. It's hard to remember how it used to work, we were so controlled by the scarcity of music. After Napster, we assume we can listen to anything we want.
		- Horse race politics
			- I'm not big on horse races, but I just realized that Trump forces the Repubs to be less radical, less insane, esp after the Roy Moore experience in Alabama. Let me explain.
				- First, Roy Moore is a crazy candidate. A total looney bird. Would only be worse if he wore a Gestapo outfit while he rode his horse to the polls. His insanity would appeal to a very small group of people, normally, but Alabama is not normal. You could nominate <a href="https://en.wikipedia.org/wiki/Jeffrey_Dahmer">Jeffrey Dahmer</a> or <a href="https://en.wikipedia.org/wiki/Charles_Manson">Charles Manson</a> and they'd probably get elected as a Repub in Alabama, any time except now. 
				- Trump has shown us where crazy gets us. People are tired of it. Even solid Republican voters. Exhausted, and it's only getting worse. Enough that <i>Roy Moore lost to a Democrat. </i>Mitch McConnell <a href="https://www.apnews.com/cfe1852e997043e3b4d41c08e296e1ea">noted</a> that this was in the reddest of red states. That's a signal to every other state. Nominate a lunatic and no matter if you're Mississippi or Texas or Wyoming or Alaska, the Democrat is going to win. 
				- So... some red states will nominate moderate Repubs instead of the normal Tea Party asshole. And others will go ahead and nominate someone who's as crazy as Trump or Moore. Either way, politics won't scare us as much in the next cycle. 
				- However, that's not to say that the Repubs who are nominated, crazy or moderate, won't take their orders from the same billionaire assholes, the Kochs, Adelsons, Mercers, etc. Their form of lunacy won't go away any time soon.
	- December 28
		- <a href="https://www.change.org/p/americans-support-the-fbi?recruiter=33525126&utm_source=share_petition&utm_medium=twitter&utm_campaign=share_twitter_responsive">Petition</a> to demand that the president stop interfering in the Mueller investigation. Please sign and RT and pass it along.
		- <a href="https://twitter.com/JorgenVeisdal/status/946397006083313665">Jørgen Veisdal</a>: "How are science and news different in terms of their overarching goals? Why is one publicly funded and the other not (in the US)?" My <a href="https://twitter.com/davewiner/status/946422125841342465">response</a>. 
		- <a href="http://www.nakedjen.com/nakedjen/2017/06/noisy.html">NakedJen in NYC</a> with a little philosophy about noisy people. 
		- <a href="https://github.com/scripting/open-source-writing/issues/1">Comments</a> on change.org  petition. There have been some good comments, resulting in an improved <a href="https://github.com/scripting/open-source-writing/blob/master/2017/12/petition.md">statement</a>. Feedback is welcome, until the petition is public, then it can't be changed.
		- Pay for your sins, <i>before</i> the users figure it out
			- <a href="https://www.apple.com/iphone-battery-and-performance/">Apple</a> <a href="https://www.techmeme.com/171228/p11#a171228p11">was</a> in a tight spot, probably. Had they explained what they were doing, proactively, people probably wouldn't have understood. It seems likely they were driven by engineering, not greed. But what if they had been caught doing evil? There would have been hell to pay. 
			- But other tech companies <i>are</i> doing evil stuff and getting away with it because users are confused or their attention is focused elsewhere or they naïvely trust them. For now. But at some point that might not be true. 
			- Google is a prime example, spoiling the environment, and temporarily getting away with it. Unlike Apple with the battery software, there won't be a good engineering reason for what they're doing. Strictly greed. 
			- Good advice: clean up your <a href="http://scripting.com/2013/07/23/whyGoogleReaderDied">oil</a> <a href="https://duckduckgo.com/?q=site%3Ascripting.com+google+https&t=hf&ia=web">spills</a> before people figure out what you've been doing. 
		- About patriarchy and gender
			- If there is a patriarchy, no one gave me the password (or the URL for that matter). In my experience, men are pretty shitty to other men. On the other hand, women are pretty shitty to men too. I suppose it's simply that people are shitty to other people, and (possibly) gender matters only in how they express their shit? I don't think people have studied this objectively, so I think my own opinion is as good as anyone's.  
			- That said, unequivocally, my best friends are women. They listen better, care more, share more of who they are, are less guarded than my men friends. The exceptions among men are people who have had their armor removed by life. Having a serious illness or divorce, some kind of crisis that woke them up. And this may be true of women as well. If you haven't had to deal with a personal existential crisis, at some level you feel like life is infinite. People who have evaded death, for the moment, tend to be better friends. 
			- And before you blame men for having the armor in the first place, it was our families and society that forced us to have it. <a href="https://www.youtube.com/watch?v=hc45-ptHMxo">Be a man</a>, man up, etc. In my experience that was a response to growing into a man's body when I was still a kid and had no idea why people were now scared of me. I was still a boy. I'm sure girls go through something similar (though opposite perhaps) when their bodies mature when they are still children. 
			- I think our gender problems trace to the dissolution of the extended family. We are a social species, but many of us are told we have to be self-sufficient. This is impossible. But we cope with it somehow. If we could find ways to have more lifelong friendships, we'd probably be better to each other. 
	- December 27
		- This is a <a href="https://github.com/scripting/open-source-writing/blob/master/2017/12/petition.md">draft</a> of a petition I want to run on change.org. Comments and suggestions are welcome.
		- Announce: <a href="https://github.com/scripting/electricPork">Electric Pork as open source</a>. I like to start developer projects at this time of year, when people have time to poke around and think and try ideas out. This year, I'd like to <a href="https://github.com/scripting/Scripting-News/issues/55">introduce a shell</a> that I've created for Electron apps called electronLand. It hooks into "nodeStorage" and Twitter for identity and storage. I use this framework in "Public Folder", "Instant Dave" and "Electric Pork". I also have some unreleased projects that use electronLand. When it's ported all the projects should port as well. And the framework could prove useful to others, I hope. :boom:
		- If you have questions or comments about the open source release of Electric Pork, please post a note <a href="https://github.com/scripting/Scripting-News/issues/55">here</a>. 
		- My dear departed uncle started a mythical union called The Amalgamated Bums and Drifters of America. I realize now that I qualify for a union card. ;-)
		- <a href="http://scripting.com/stories/2012/07/20/moreOnLocAndTwitter.html">In 2012</a>, I argued that libraries should first support the open web before partnering with private companies. The moment was defined by the Library of Congress hooking up with Twitter. Blogs desperately needed preservation at the time.
		- You know how NRA supporters say "it's too soon" to politicize gun violence. In the same way, even more so, it's too soon to politicize the Mueller investigation. Wait until there's an outcome, then if you object let your concerns be known. In the meantime be quiet. 
		- Ask yourself, seriously, what are the chances that one of the superstars of TrumpLand has tried on a Nazi uniform, just to see how it looks.
		- Hint to political parties and news orgs. Come up with ways for citizens to help, to belong, to participate. I take pride in <a href="https://bikeangels.citibikenyc.com/">helping Citi Bike</a> in NYC, even though it's a private corp. People <i>want</i> to help good causes.  
	- December 26
		- Saying "we both know" is the kind of thing the bully used to say when we were kids. Don't say it. It's super disrespectful. Let everyone speak for themselves.
		- You know that story where <a href="https://en.wikipedia.org/wiki/First_they_came_...">the guy said</a> first they came for the socialists, and I did not speak out because I was not a socialist, etc. Well we're living in that world now. And the chances to speak out are passing us by. 
		- <a href="https://twitter.com/davewiner/status/945693468378181633">Who's in the White House?</a> Tony Soprano, Mr Burns, King Joffrey or Boris & Natasha.
		- Holding the line with the FBI is a better situation than last year with the  Electoral College. Then we were pushing for a function of government to assume more than the normal power. With the FBI, we're demanding they be allowed to do what they always do, investigate and indict. 
		- Some people, esp in tech and journalism, think if you're nice to them, or help them, that you must want something from them. I have to admit that <i>sometimes</i> I do want something, but I try to keep that decoupled from what I'm doing at the moment. No need for a quid pro quo. But I don't mind reciprocation. It's a subtle distinction. Anyway, I don't think I've ever posted this. I really actually like helping people. It makes me feel good. Esp when they do something powerful with the help. :boom:
		- I feel this very strongly
			- We have to find ways to tell the FBI that the majority of the American people want the Mueller investigation to go to completion, regardless of what the Republicans do to interfere.
			- If the FBI should fall, we'll be in a terrible position. The president and his cronies will feel there is no reason at all to obey the law. They are concerned now, after defeating the FBI, there will be no reason to be concerned.
			- I can imagine a set of steps, but the first step is to decide, now, to make your opinion heard.
	- December 25
		- When you watch <a href="http://scripting.com/2017/12/24.html#a182431">The Post</a>, remember that the line they were trying not to cross has since been crossed, with Gawker. Spielberg should do a movie about Peter Thiel and Nick Denton. And don't make it a <a href="https://en.wikipedia.org/wiki/Mr._Smith_Goes_to_Washington">Mr Smith Goes to Washington</a> (which was the feeling of The Post) movie. A little more <a href="https://en.wikipedia.org/wiki/Oskar_Schindler">Schindler</a>.
		- The moving line
			- The electoral college didn't stop the advance of authoritarian government in the US. Congress didn't check  the power of the executive. Now the line is Mueller and the FBI. If we lose them we'll be down to the courts and the military. Let's hold the line here.
		- Interesting Google Maps game
			- A game you can play with a computer and a mouse.
				- Pick any spot in the world where <a href="https://www.google.com/streetview/understand/">Street View</a> has been.
				- Zoom out to a level where the streets are a blur of blue.
				- Drag the little guy into the middle of the blur.
				- Let up the mouse at a random spot.
				- See where you landed. 
				- Repeat.
			- PS: Hidden benefit. It'll drive the Google algorithm crazy. :rocket:
	- December 24
		- When you hear Repubs in Congress trash the FBI, that simply reflects the preference of the Koch Brothers, who thanks to Citizens United have bought the US govt. They want to keep control over the EPA, Interior and Justice, and don't mind if the FBI knows who they work for (them).
		- I loved <a href="https://en.wikipedia.org/wiki/Alias_Grace_(miniseries)">Alias Grace</a>, a recent Netflix miniseries. Beautifully acted, great story, beautifully presented. Gave it a <a href="http://bingeworthy.io/tv/?id=00366">smiling cat</a>. 
		- NakedJen Film Festival 2017
			- It's an annual tradition, started by NakedJen, to cram in as much movie watching on Christmas Day as possible. I joined the <a href="https://duckduckgo.com/?q=site%3Ascripting.com+njff&t=hf&ia=web">NJFF</a> revolution in 2007 or so, and every year since have been partaking. Sometimes even in person with NJ herself who lives in a remote part of America, out west <a href="https://en.wikipedia.org/wiki/Western_United_States">somewhere</a>. This year, I will be in NYC.
			- The pre-festival festivities have already commenced with The Post (see review below, spoiler -- I do not recommend).
			- Here are some of the movies I'm thinking of for tomorrow...
				- Molly's Game
					- Written and directed by Aaron Sorkin, lots of stars. How bad could it be?
				- I, Tonya
					- Tonya Harding.
				- Lady Bird
					- Gets great reivews.
				- Phantom Thread
					- <a href="https://en.wikipedia.org/wiki/Paul_Thomas_Anderson">Paul Thomas Anderson</a> film, starring Daniel Day-Lewis.
					- These two brought us one of the best films ever -- There Will Be Blood.
					- I rate this a must-see.
				- The Shape of Water
					- Guillermo del Toro, what more is there to say?
				- Bright (on Netflix)
					- The reviewers hate it but viewers love it. 
					- Just for that, I'm in favor of it. :boom:
				- All the Money in the World
					- Ridley Scott. About the Getty kidnapping. They removed Kevin Spacey at the last minute. 
				- Bombshell: The Hedy Lamarr Story
					- I always want to know more about the great Hedy Lamarr. 
			- If you have comments or suggestions, please use the <a href="http://scripting.com/?tab=discuss">Discuss tab</a>.
		- A Scripting News app
			- I'm thinking about ways to bring collaboration and community back into my blogging here on Scripting News. Toward that end, I've been thinking about doing an app, for Mac at first, designed to make it easy to write publicly and link it to stuff on my blog. Of course, the only way to do that that makes sense is with an outliner. That's the tool for relative writing, and that's what community writing is all about. 
			- At first such an app would only run on the Mac. But I would release the electron shell I use as open source (MIT license), so others could port it to Linux and Windows, and where ever else <a href="https://electronjs.org/">Electron</a> gets us. Theoretically porting the shell is enough to pull it off. 
		- The Post
			- I snuck out to see <a href="https://en.wikipedia.org/wiki/The_Post_(film)">The Post</a> this morning, early show. Awful movie. I gave it a turd on <a href="http://bingeworthy.io/movies/?id=00094">bingeworthy</a>. No suspension of disbelief. Lots of famous TV actors, and Tom Hanks and Meryl Streep. Of course Streep was great, but the plot was ugh and the movie was filled with cliché, nothing to chew on, nothing to think about. A few moments where you cheered, but always aware how manipulated you had been to get there. 
			- The bad guys are super bad, every last one of them, except for a POC woman clerk who works for the Justice Dept who tells Streep how much she admires her, and then gets chewed out by her boss, a skinny white man. There were some funny casting decisions. Like <a href="https://en.wikipedia.org/wiki/Bob_Odenkirk">Saul Goodman</a> plays a heroic role, but he's still in character (and inexplicably has a different name). The tall skinny <a href="https://en.wikipedia.org/wiki/Zach_Woods">lawyer</a> from Silicon Valley plays a tall skinny lawyer who works at The Post. And Daniel Ellsberg is played by the <a href="https://en.wikipedia.org/wiki/Matthew_Rhys">male lead</a> in The Americans. There were many many more, all the leading TV actors of the day seem to have a role in this movie. 
			- Hanks was right not to want to show this at the White House. The president would not like it. And as much as I hate the president, I also hate the arrogance of Hollywood and journalism. This movie basically says "Thank god for journalists, we can always depend on them to save our ass." I'd love to see a movie that for once takes a contrary position to that idea. 
		- Be a man
			- This video is a must-watch. It's how we've been torturing ourselves. You can't blame men for what men do because we, as a culture, force men to adhere to an inhuman standard.
			- <iframe width="560" height="315" src="https://www.youtube.com/embed/hc45-ptHMxo" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen></iframe>
			- <i>Be a man</i> are the three most destructive words you can say to a boy or a man. Because it really means: Die inside. Or Betray yourself. Or Fuck off.
			- This has been one of the consistent themes of my blogging going all the way back to the beginning. The <a href="http://scripting.com/davenet/1998/01/01/menStaySilent.html">Men Stay Silent</a> piece in 1997 was all about this idea. 
			- Please watch this. It's the #1 most important thing you can do to heal all of us.
	- December 23
		- Two levels of obstruction
			- It's sad to watch the Republican leaders of Congress obstructing justice to cover up the president's crimes. This was the lesson of Watergate, repeating now at two levels. 
				- First, we don't know what the president is covering up, but we have a pretty good idea. In his case it might make sense to try to obstruct, because the crimes were so incredibly damaging to the country. 
				- But why would the Republican congresspeople risk going to jail, unless they were also implicated? It's hard to imagine. They are members of a co-equal branch of government. They are supposed to watch the executive, be ready to impeach if the Mueller investigation shows the president committed a crime. They know this, very well, but chose to go the other way, to abandon their country. Why? Why would they do this?
			- The lesson of Watergate was this. The crime of obstruction was greater than the crime they were covering up. Nixon and his aides would have been better off to come clean as soon as the burglars were caught. As I said that may not be the case for Trump, but it almost certainly is true for the Senators and congresspeople. 
	- December 22
		- I've <a href="http://scripting.com/2017/04/09/fiveDaysInPerugia.html">been</a> to a <a href="https://duckduckgo.com/?q=site%3Ascripting.com+newsgeist&t=hg&ia=web">couple</a> of future-of-news conferences this year, first in a long time. In both cases I stayed from beginning to end, went to lots of sessions, talked with lots of people, was treated well. My takeaway: they need their own independent developer community that shares their interests, which are in conflict with the big tech companies, Amazon, Google, Facebook et al, who are the sponsors of these conferences. That's how they pay for them. So I guess it would be impolite to try to build a developer community through these conferences? Or impossible.
		- When Apple bought NeXT in 1997, few people realized that it was really NeXT buying Apple. And when we won the war in Iraq, perhaps it was the other way around too. 
		- Twitter <a href="https://twitter.com/mrdonut/status/943965304257880064">asks</a> what is the most important thing you want to see improved in 2018. My <a href="https://twitter.com/davewiner/status/943968987599261699">suggestion</a>:  In addition to images and movies, add a text type with simple styles and links, possibly using <a href="https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet">markdown</a> syntax.
		- End of year blogging
			- Re <a href="https://duckduckgo.com/?q=site%3Ascripting.com+blogger+of+the+year&t=hg&ia=web">Blogger of the Year</a>. I have of course been thinking about my annual <a href="http://thesaurus.land/?word=rite">rite</a>, choosing a person to honor as the standout BOTY. I do this almost every year, and there's still a couple of weeks left in 2017, so I might still do it this year, if inspiration hits me. But this has not, for me, been an inspiring year for blogging of others. So for now at least this will be a BOTY-less year. 
			- My own blogging? Yes, I'm happy with the way that's going. I stood my ground this year, and dug in against the deluge of silos. No more trying to accomodate the limitations of Facebook, Google Reader (astonishing even though it's 5-years defunct it's still having a negative effect on blogging), and Medium. I went <a href="https://duckduckgo.com/?q=site%3Ascripting.com+%22old+school%22&t=hg&ia=web">old school</a>, and am happy with this way of doing things. 
			- And I'm happy to say that Twitter became much less of a problem this year, just by going to 280 chars, more of my blog posts fit in tweets. Which means there's more fidelity between my platform and theirs. I hope they go all the way, and let posts like this be readable in Twitter, without threads, and without a link-click.
			- Right now, if I were <i>forced</i> to choose a BOTY, it would be <a href="https://om.co/">Om Malik</a>. One of the very early bloggers, and close to my heart because he started on my platform way back then, and close to my heart just because he's so open with his thoughts and strong in his beliefs. But his blogging rebirth is still a new thing. Let's check back in 2018 and see how it's going.  
	- December 21
		- If you have a comment about something I've written on <a href="http://scripting.com/">this blog</a>, you can use the <a href="http://scripting.com/?tab=discuss">Discuss tab</a> to add a note. I'm using Disqus, because it's so easy, but am considering other approaches, even replacing it with a simple chat app. The comment <a href="http://guidelines.scripting.com/">guidelines</a> still apply. 
		- Apparently there's a march to impeach Trump in Washington on January 20 and elsewhere. Looking for a simple fast website to point to for this event. Not on Facebook. Any pointers?
		- Nieman Lab runs a <a href="http://www.niemanlab.org/collection/predictions-2018/">year-end series</a> of essays by experts on the future of news. If I had a say --> In the future news will include perspectives from voters and taxpayers, people who are governed, the ideas and questions they have, without experts getting in the middle. Also "public editors" will be members of the public, not professional journalists. 
		- Really the greatest disease of journalism is its closed <a href="https://en.wikipedia.org/wiki/Topology">topology</a>. No ideas can enter. It runs off its own fumes, only. Nothing can take it off course. Same assumptions apply, always, even when discredited. Allowing non-journalists access to the flow would change that in an instant. Which is why journalists are so totally opposed to it. They do not want change. 
		- I've found that when someone asks your opinion what they usually mean is they want you to agree with them.
	- December 20
		- The <a href="http://nymag.com/daily/intelligencer/2017/12/all-the-sycophantic-compliments-republicans-gave-trump-today.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+nymag/intelligencer+(Daily+Intelligencer+-+New+York+Magazine)">speeches</a> Repubs made today about Trump remind me of the speeches Iraqi members of the Ba'ath Party made <a href="https://youtu.be/lfJ1Lw5-W9Y?t=26m15s">about Saddam Hussein</a> in <a href="http://scripting.com/2016/10/10/saddams1979Purge.html">1979</a>. He was having delegates taken out for execution. They were basically pleading for their own lives, with praise for Saddam. We may all be asked to make speeches like that in the near future.
		- I wanted to be a media hacker since I was a teenager. Seeing blogging and RSS explode in the last decade, and podcasting in this decade, is an enormous source of pride for me. A feeling that money can't buy. 
		- I see #metoo as a civil rights movement. As is #blacklivesmatter. I'm neither a woman nor black, but I care because I believe in America, and equal protection is one of the basic principles of this country.
		- I'm trying out another pair of (for me at least) high-end headphones, <a href="https://www.amazon.com/Sony-Noise-Cancelling-Headphones-WH1000XM2/dp/B074KDJVS2">Sony WH100XM2</a>. I really like these, esp the app that configures the set. I'm charging it up now, then I'll go out and try them in the real world. One thing -- they're lighter on the head than the <a href="http://scripting.com/2017/12/04.html#a213202">Bowers & Wilkins PX</a>, which I decided to keep. The sound was the reason. Really rich and deep and powerful. I've never owned headphones that can do this. Consistent with my motto, if the world is going to end, I might as well have some nice headphones. 
		- Update: They're <a href="https://twitter.com/davewiner/status/943591330965487616">very nice</a>. Worth the price. 
		- Sony's instructions are <a href="http://scripting.com/images/2017/12/20/sonyInstructions.png">wordless</a>. At first glance I thought I'll never figure this out, but they are instantly understandable. This is even better than well-written docs. Good work.
		- What's going on in Puerto Rico is also a pretty good clue about how much responsibility there is in the current government. 
		- The new Republican <a href="http://www.memeorandum.com/171220/p10#a171220p10">tax law</a> is simple <a href="https://www.vox.com/policy-and-politics/2017/12/19/16786006/looting-of-america">looting</a> of the US Treasury. Openly corrupt. Self-dealing. Perhaps a few of them care what people think, a reflex, but on the whole they don't care because there's more to come. New election laws and executive orders. Starting in 2018. With controls on speech on the net, so we won't be able to tell each other what's happening. It's all pretty easy to do, if they have the will, and what we're finding out now is that they do. Still, so much dreaming about the rule of law still applying. We won't know if it does until we need it, really need it. I suspect it won't be there. 
	- December 19
		- The Democrats need more evil. Learn to enjoy Republican suffering. They need to see McConnell lose his shit. To have Shelly Adelson tip over in his wheelchair he gets so pissed. No more bipartisan bullshit. Democrats will not be done until the Republican Party is no more. 
		- If we followed politics with the same attention we do for series like Game of Thrones, Godless or The Crown, we'd figure stuff out with a lot less information a lot faster. And if we used the probabilities that sports teaches us, we'd be another 100 percent smarter.
		- New feature: <a href="http://scripting.com/?tab=discuss">The Discuss tab</a>. If you go there, you'll see a box with a Disqus thread. As I write this there's one comment, a test, that says "Welcome back my friends to the show that never ends. We're so glad you could attend. Come inside come inside." There is a link to the <a href="http://guidelines.scripting.com/">comment guidelines</a> at the top of the page, from previous discussion features on this blog. From time to time I will reset the thread, starting fresh. Between resets comments will accumulate. Not sure where this is going. In the past it has gotten to be too much work to moderate the comments. Maybe this is the time we find a happy equilibrium. :rocket:
		- Caught a bit of the <a href="https://en.wikipedia.org/wiki/Brian_Lehrer">Brian Lehrer</a> show on <a href="http://www.wnyc.org/">WNYC</a>. Heard a common idea, that the Trump thing is a replay of Watergate. "At this point in Watergate..." his <a href="https://en.wikipedia.org/wiki/Elizabeth_Holtzman">guest</a> was heard to say. Dear people. <i>This is not Watergate. </i>There <a href="https://en.wikipedia.org/wiki/Stephen_Miller_(political_advisor)">were</a> <a href="https://en.wikipedia.org/wiki/Steve_Bannon">no</a> <a href="https://en.wikipedia.org/wiki/Sebastian_Gorka">Nazis</a> <a href="http://www.nydailynews.com/news/national/charlottesville-suspect-james-alex-fields-indicted-10-counts-article-1.3708991?utm_content=buffera8300&utm_medium=social&utm_source=twitter.com&utm_campaign=NYDailyNewsTw">in</a> Watergate. The most offensive American at the time was <a href="https://www.youtube.com/watch?v=sOnTZipv03M">Archie Bunker</a>, who, like <a href="https://twitter.com/seanodotcom/status/943148418855157760">Trump</a>, was a TV character. The Mets had <a href="https://en.wikipedia.org/wiki/1969_World_Series">won</a> the World Series. The Internet had <a href="https://www.wired.com/2011/12/1219altair-8800-computer-kit-goes-on-sale/">barely</a> gotten started. The <a href="https://www.nasa.gov/mission_pages/apollo/apollo11.html">moon</a> landing. <a href="https://www.youtube.com/watch?v=Wyx053CNMag">Woodstock</a> had just happened. The <a href="https://en.wikipedia.org/wiki/The_Beatles">Beatles</a> <a href="https://www.youtube.com/watch?v=uyAAHpkJMc4">were</a> <a href="https://en.wikipedia.org/wiki/Break-up_of_the_Beatles">all</a> still <a href="http://scripting.com/images/2017/12/19/beatles.png">alive</a>. It was a different time. Trump is not Nixon. Nixon could be shamed. He resigned rather than put the country (and himself) through impeachment. Trump seems to revel in his own degradation and humiliation. He thrives off it. This won't go the way of Watergate. I'd give you odds. I think there will be a lot of dumbfounded people when Trump doesn't play the script the way we wish he would.
		- If your precious ideas can't stand dissent then your ideas are your problem.
		- Poll: <a href="https://twitter.com/davewiner/status/943145770106130432">Who is Trump?</a>
	- December 18
		- I keep forgetting this is Monday. Feels totally like a Sunday.
		- Sci fi <a href="https://twitter.com/davewiner/status/942622236795592704">plot</a> -- one day you check in on Twitter and you're the only one posting. People <i>like</i> your tweets, and RT them. But they can't post. You are the only person who can tweet. 
		- I wrote this <a href="https://github.com/scripting/pagepark">simple HTTP server</a> to park domains I've bought but not yet used. But I kept going and added all the features I want to help me manage my own websites, far beyond just parking them.
		- One of the new functions of my blog is as a place to save off noteworthy tweets. More true now that tweets can be long enough to express an idea in enough detail so people can actually understand it if they're willing to read. 
		- I've had a <a href="https://en.wikipedia.org/wiki/Roku">Roku</a> for a couple of weeks. I can watch my cable TV through a website, in Chrome, on my desktop. Works in any browser. Why can't I access my Roku from my desktop? We're on the same LAN. Hmmm. ;-)
		- I keep forgetting this is Monday. Feels totally like a Sunday.
		- I know we're not supposed to like Woody Allen, but the <a href="https://youtu.be/69W3-zV3gFE?t=2m5s">very last part</a> of Annie Hall is a beautiful expression of human hope, of why, against all we learn, we still strive for love. 
		- Some time ago, I forget when, I stopped caring if other people use the software I create. It's not because I don't want them to, but no matter how much I try they don't come. So I started building things to amuse myself. And I am amused. 
		- <a href="http://screen2.io/">Screen2</a> is one of the things. Even though there aren't any users, it still needs to be cared for. The chatlog had grown enormous. Luckily there's an easy maintenence procedure to roll it over, which also creates a backup of the previous chatlog. Nothing is lost. And things get faster. 
		- What shows up in Screen2? All the flows that I could get to go through "RSS", and the flow of Scripting News, which has special hooks in it for WebSockets-based updating. The same flow is presented in "Instant Dave" which is an Electron rendering of the same idea.
		- BTW, I read a couple of pieces over the last week that dissed RSS as being too old. Please. The sign of a good basic technology, tech you can build on, is that it has survived many attempts to replace it. Its longevity tells you it's safe to build on.  For example, I never understood the point of Atom, why they felt there needed to be a new name for all the things that were already defined in RSS? Just giving things new names doesn't make it better. Analogously, Google can change its name to Alphabet, but in the end you learn that when you hear the new name they're really talking about the other thing, the one that used to be the #1 brand name in the world before they made it confusing. 
	- December 17
		- Have you noticed that Google is making it much harder to find the Wikipedia page on a topic. I'm now <a href="https://www.google.com/search?q=the+crown+season+2&rlz=1C5CHFA_enUS743US747&oq=the+crown+season+2&aqs=chrome..69i57j0j69i60l2j69i59l2.5043j1j3&sourceid=chrome&ie=UTF-8">looking</a> for the <a href="https://en.wikipedia.org/wiki/The_Crown_(TV_series)">page</a> for The Crown Season 2 on Google. It isn't even on the first page of results. That can't be an accident. It isn't as if Wikipedia doesn't <a href="http://scripting.com/images/2017/12/17/wikipediaUsesHttps.png">use HTTPS</a>. They must have violated some other strategy tax of Google's? They are becoming less and less trustworthy over time. 
		- <a href="https://twitter.com/NYTNational/status/942550745697652741">Matt Damon</a> got mostly sharp criticism because people who are not sharply critical of him are sharply criticized. There's a toxic atmosphere around this topic. People mistakenly see other points of view as abuse. They're just ideas! If you disagree, disagree. It's cool. But don't make people shut up. You can't show them they're wrong if they don't speak, and you might find you're wrong about some things too. You don't solve problems that require cooperation by making people scared to speak. 
		- The Melo Era is now officially over
			- Last night's Knicks game vs OKC was confusing. I am so accustomed to Melo being a Knick, I really did at times have trouble remembering which team was mine. 
			- Amazingly, the <a href="https://nypost.com/2017/12/16/carmelo-homecoming-wrecked-by-dominant-knicks-victory/">Thunder lost</a> the way the Knicks always lose, and the actual Knicks won the way teams always beat the Knicks. It seems we did a karma swap with the Thunder. We gave them our superstar, and the Knicks became an NBA team. 
			- In all the years Melo was with the Knicks, he never had a sidekick. Never had a Scottie Pippen or Dwyane Wade. The closest he came was (sorry Melo) with Jeremy Lin, and for some reason he couldn't handle it. Both the coach and Lin had to go. And the Knicks settled into a run of mediocre years. 
			- It was telling that in the Melo remembrance video played at the Garden last night, the main thing we remember about Melo are his personal accomplishments. There was no glory for the team, for the city, for the legacy. 
			- Last night the door finally closed on the Melo Era of Knicks basketball. The transfer is complete. Oklahoma now owns the Melo Way. Yes, we do love him. We'll still follow and root for him. He is a sweet person, with a nice smile and a good friend to the superstars of the NBA. But he's an individual and basketball is a team sport. Teams win, not players. Greatness in baskeball is in the team's spirit, not the accomplishments of an individual.
		- Jackie and Elizabeth
			- As I mentioned <a href="http://scripting.com/2017/12/16.html#a173431">yesterday</a>, the funniest thing happened with my watching of The Crown. Due to an operator error or software glitch, I had missed two full episodes in the middle of season 2. One of the episodes was worth noting, <a href="http://www.vulture.com/2017/12/the-crown-recap-season-2-episode-8.html">episode 8</a>, where Queen Elizabeth meets Jackie Kennedy. The episode stands alone, you can watch it without watching any of the others, and it really is extraordinary. 
			- It's a story about human beings of enormous grace and self-awareness, and courage, are also frail and vain. Nothing is as it appears to be. Even the person you think has everything, actually is under the surface is as much on the edge of falling apart as every other human. 
			- The story made me realize that more than ever that the thing that moves me the most is people caring for and working with each other.
	- December 16
		- Here's a <a href="http://scripting.com/images/2017/12/16/ComputerLibDreamMachines1stEdition.pdf">PDF</a> of <a href="https://en.wikipedia.org/wiki/Computer_Lib/Dream_Machines">Computer Lib/Dream Machines</a>.  In the late 70s and early 80s, we were all reading this book, and its ideas are reflected in the software we made. I want to make sure this treasure can be found in the future. Even if only in an archive.org backup. 
		- The funniest thing happened. I realized that there are two episodes in the middle of <a href="https://www.youtube.com/watch?v=ME2umFQ_xBA">season 2</a> of The Crown that I hadn't seen. Some kind of glitch in the new Roku? Whatever, it's kind of embarassing, but actually cool. I hadn't seen the episode with the great Elizabeth <a href="https://youtu.be/ME2umFQ_xBA?t=1m45s">line</a>. "There is no possibility of my forgiving you. The question is how on earth can you can forgive yourself." The thing that alerted me was reading a story about the actress who played Jackie Kennedy. What? And the quote from her is amazing, I never would have forgotten it. So now I get to watch two great episodes I hadn't seen. No wonder in my <a href="http://scripting.com/2017/12/14.html#a171842">review</a> of the series I said "It's a little confusing as new characters are introduced without explanation." That was actually a bug report, though I didn't know.
		- Let's run ads on Fox News
			- Sometimes I watch the news just to pass the time. I'm reading stuff on my iPad, playing a game, thinking, making dinner, whatever, and I have the news on in the background. Usually it's MSNBC, but sometimes they're too loud or repetitive, so I switch, looking for a Law & Order rerun, or if I get really desperate, I might turn on Fox News, just to see what the Trump Propoganda Machine is selling. It's always the same. <i>They're</i> out to get us. <i>They're</i> stealing our shit. <i>We</i> work hard and <i>they</i> collect welfare. They vs We. We are good, they suck.
			- So I was surprised to see <a href="https://www.youtube.com/watch?v=IbJQsbrwos0">an ad</a> for "the Y" on Fox News -- showing people of all races, genders, abilities, ages and religions, getting along, doing things together, hanging out, laughing, being friends. The message is this: The Y is where we all come together. 
			- Obviously the ad is an editorial, trying to say to the Fox viewers, hey you know everyone else is just like you and we should try to get along. As I said, I was surprised. But on second thought, why not? Fox is there to make money and they make money from ads, and presumably the Y pays for their ads, so go for it.
			- It works the same on MSNBC. I see ads for all kinds of strange things, confirming Judge Gorsuch, for example. A young woman says she worked in The Obama Administration (whatever that means) and she thought Gorsuch was a good guy. He could be trusted. Maybe he's not such a Scalia or Thomas. Or they say the deficit is bad, that's why we have to cut spending, or the middle class deserves a tax cut, even though we were just told (on MSNBC) that the tax cut isn't for the middle class. They must pay for these ads because they're worth it. They must sow some doubt in liberal news-watchers. 
			- I'm tired of waiting for the Democratic Party to get its shit together. Let's start a PAC and run this message, before it's too late:
				- Fact: Donald Trump, president of the United States has a weird as yet undetermined relationship with Russia. He probably owes them a lot of money. We need to know about this. Since the president hasn't been forthcoming, we're using the FBI.
			- I envision George Clooney saying this behind a desk in an office with an American flag on the wall. Sipping a cup of coffee. I am not fake news. I'm not a Democrat or Republican, just an American. I want to know where Trump's loyalties lie, who's paying him, that's why I support the FBI. 
			- Supporting the FBI should be an easy idea to sell on Fox. 
			- We need the skills to create the ad, and the money to run it. I think we can get the money. I'd kick in $100 for sure, maybe even $1000. If the ad were good enough, you would too. And I think so would a fair number of people who voted for Trump. All we want to know is what he won't tell us. Where does his money come from?
			- That's the idea. 
	- December 15
		- Did you see The Last Jedi? Tell <a href="http://bingeworthy.io/movies/?id=00101">BingeWorthy</a> what you thought. :rocket:
		- One thing people might not realize is that when you have a tech company in California you end up on a lot of redeyes to the east coast. Even though we thought we were the center of the world in Silicon Valley, the rest of the world hadn't quite caught up yet. 
		- I got a coffee at Dunkin Donuts. I was so impressed with how fast and efficient the people were. I was in and out in less than a minute. And the place was full of people. New York is amazing that way. People do what they do with the minimum of fuss. Not always, but often. 
		- We paid for the net, not Comcast
			- Something I've not heard said in the #netneutrality debate. 
			- The Internet was created by the US government, the Department of Defense, and built out by universities. 
			- Taxpayers paid for it. Not Comcast, Verizon, AT&T, etc.
		- "Reported out" vs "reported"
			- Rachel Maddow has what I think of as a verbal tick. Instead of saying <i>reported</i> she says <i>reported out. </i>I think the extra word is not needed, it doesn't do anything. Maybe once a month it would be okay for emphasis, sort of like "she reported the heck out of that" meaning a sort of extreme reporting like scuba diving or <a href="https://www.nytimes.com/2017/12/14/world/asia/china-daredevil-skyscraper.html?_r=0">rooftopping</a>. But when you always say it, it would seem to lose all meaning. Unless it means something that I just am not aware of. I wouldn't say anything if other people on MSNBC weren't starting to say it. They are.
		- "Let me intrude" vs "I know what I want"
			- Google had the best movie showtimes page, but they shut it down for some reason. I've been searching for a replacement, just found the Rotten Tomatoes <a href="https://www.rottentomatoes.com/showtimes/">showtimes page</a> -- it's pretty good. Its main problem is it's slow to load. The Google movies page was plain and simple, took no time to load. And it did the most important thing, that Rotten Tomatoes also does -- you can view by movie or by theater. So if you feel like going uptown, you can see what's playing, or if you're looking for a showtime for <a href="https://en.wikipedia.org/wiki/Lady_Bird_(film)">Lady Bird</a>, you can do that too, across all the theaters it's playing in.
			- I guess Google thought what you needed is movie showtimes mixed in with all your other searches. This is the <i>Let Me Intrude</i> school of advertising. But sometimes you are actually seeking commercial information. You know what you want, it's not an intrusion. Google had exactly the <i>I Know What I Want</i> movies page, and didn't think there was value in it. I guess because they couldn't sell clicks? Maybe they could have gotten a reward like <a href="https://thewirecutter.com/">WireCutter's</a>.
	- December 14
		- I've wanted what <a href="http://bingeworthy.io/movies/">BingeWorthy for Movies</a> does for a long time, and especially for this time of year, when the Oscar-worthy movies come out, all at once, in December, with a final flourish with the ones the studios think are best on Christmas Day. Each year we have what's called the <a href="https://duckduckgo.com/?q=NakedJen+Film+Festival&t=hg&ia=images">NakedJen Film Festival</a>, to see how many movies we can watch on the big day. This idea was of course originated by NakedJen, in Santa Cruz, many years ago. I am a relatively recent convert. So we have to know which ones are the best. We've gone by very loose word of mouth, and reviewers' opinions. I always wanted to find a way to involve my blogging community. Hence BingeWorthy for Movies. :rocket:
		- I finished <a href="http://www.vulture.com/2017/12/the-crown-season-2-watch-the-real-historical-footage.html">The Crown season 2</a> last night. Very nice. It's a little confusing as new characters are introduced without explanation. Feels like it's just getting started. So many characters to develop yet. And the Queen herself. Her majesty <a href="https://en.wikipedia.org/wiki/Claire_Foy">Claire Foy</a> is just amazing, and the queen's husband, played by Matt Smith, is revealed to be complex as well. I love this show. Almost ready to <a href="http://bingeworthy.io/tv/?id=00352">give</a> it a 5. 
		- Does Fox News tell their viewers that the Repubs lost the Alabama senate seat?
		- There might be a silver lining to the end of net neutrality. A hacker culture might emerge, as it did in the early days of the PC. the Mac and the web. We are stagnant now in tech. BigCo's control everything. More limits on the official net might force new channels to develop. 
		- I'm always looking for people I can work with on news projects. Like <a href="https://twitter.com/dabeard/status/941342320989036546">David Beard</a>. He's leading a <a href="http://scripting.com/misc/beardriver/">project</a> to make a news river for news people. I'm just providing the technical assistance, as needed. It's running pretty smoothly, I'm happy to report. :balloon:
		- A notepad for me to write <a href="https://github.com/scripting/notes">little stuff in GitHub</a> as I do in other writing environments. Key is that it's super easy for me to post and edit notes from my desktop. Just write and Save. Here's a <a href="http://scripting.com/images/2017/12/14/notepad.png">screen shot</a>.
	- December 13
		- Welcome to <a href="http://bingeworthy.io/movies/">BingeWorthy for Movies</a>! :rocket:
		- There's a <a href="http://this.how/bingeworthy/#1513006310000">section</a> in the BingeWorthy howto for the movies. 
		- Overview: the movies in BingeWorthy are the ones currently in theaters. New movies will be added over the coming weeks. The big day of release of course is Christmas Day. Not sure how it will evolve after that. The immediate goal is to find out what people think of movies in almost realtime, as they roll out through the theaters. Also included are new releases on Netflix and other streaming services as well as featured releases from previous years. I wanted to be sure people had something to rate on their first visit. 
		- With this release, the first site is now repositioned as <a href="http://bingeworthy.io/tv/">BingeWorthy for TV</a>. It has been moved to a sub-folder. The home page still is the TV version, but I plan to redirect from there to one of the sub-sites. Not doing that immediately. 
		- There are a bunch of changes and new features. There's a <a href="http://scripting.com/images/2017/12/13/permaLinkIcon.png">link icon</a> in the upper left corner of the program box. This is the permalink to the page for that program. Previously there was no easy way to get a permalink. Also there's a menu bar at the top of the screen. The links below the program box have been moved there. I expect there will be more things to link to over time, and we needed an approach that would have some ability to extend. 
		- If you have questions or problems to report, please post a <a href="http://this.how/bingeworthy/#1510670870000">comment</a> on the howto page.
		- <a href="https://www.youtube.com/watch?v=sRd17GEt7b8&feature=youtu.be">Demo</a> of new thread-writing feature in Twitter.
		- I have these <a href="https://www.amazon.com/Bowers-Wilkins-Cancelling-Headphones-Performance/dp/B07574TYWW/ref=sr_ph_1?ie=UTF8&qid=1513177553&sr=sr-1&keywords=bowers+%26+wilkins+px">sexy new headphones</a>. Great sound. But I keep accidentally hitting the controls, which are not labeled. I have no idea what they do, other than they turn the music off, and I can't figure out how to turn it back on. This gets inconvenient when I'm out and about and it's <i>fucking cold</i> outside. They should user-test these things in the conditions people really use them in. 
		- Another thing. The Music app on the iPhone doesn't let you search your own library. You can only search <i>their</i> library, the one that costs money or shares all your prefs who god-knows-who. 
		- Fact: Donald Trump, president of the United States has a weird as yet undetermined relationship with Russia. He probably owes them a lot of money. We need to know about this. Since the president hasn't been forthcoming, we're using the FBI.
		- BuzzFeed imho should have become a <a href="http://scripting.com/stories/2010/02/07/hypercampRevisited.html">venue</a> for news the way the cable channels are. But with lots of studios distributed around the world. That would have guaranteed them a seat at the table going forward. 
	- December 12
		- <a href="https://github.com/scripting/Scripting-News/issues/53">Braintrust query</a>: Help me test BingeWorthy for Movies. :rocket:
		- There's been a change in criteria for inclusion. We now also include movies featured on Netflix. Still getting a feel for what works here. 
		- Here's my <a href="http://bingeworthy.io/users/movies/davewiner/">ratings</a> for currently playing or featured movies on Netflix.
		- Storify is <a href="https://storify.com/faq-eol">shutting down</a>. I wanted to learn about the export formats so I started <a href="https://github.com/scripting/Scripting-News/issues/54">this thread</a>, and linked to an exported story in XML and JSON. 
		- Every generation must <a href="https://twitter.com/davewiner/status/940623082703777794">learn</a> about NIH for itself. 
		- It's <a href="https://www.vanityfair.com/news/2017/12/how-trumps-legal-team-is-trying-to-bury-robert-mueller">Mueller</a> vs <a href="http://www.cnn.com/2017/12/11/politics/kayla-moore-roy-rally-alabama-senate/index.html">Moore</a> for the heart of the Republican Party. That's the choice should Moore win today.
		- Dems are more <a href="https://twitter.com/davewiner/status/940635449969860608">likely</a> imho to become a majority in Congress when the Republican Party splits in two because Mueller and Moore can't fit in the same party, Repubs will have to choose. If they all go with Moore, then the election will probably be meaningless, sadly.
		- Let's run a hologram of FDR for president in 2020. FDR gave the best campaign speeches. We need someone who can fire up a crowd like he could. If there aren't any living Democrats who are up to it, we can fall back to technology, need-be.
		- If Moore loses then Repubs may feel encouraged that there is a bottom below which they won't sink.
		- <a href="https://twitter.com/davewiner/status/940690097787342848">Survey</a>: What did Trump mean when he said Gillibrand would do anything for a donation?
	- December 11
		- I expect to have BingeWorthy for Movies ready to go tomorrow. It's the same codebase as the <a href="http://bingeworthy.io/">TV version</a>, but there are differences. I only include movies currently playing in theaters, and new movies on the streaming services. So if a movie opens on Dec 25, it's not in the initial database, but will be there as soon as it's in theaters. I don't know if movies will age-out of the list. We'll see how it goes. I'm using Google for search because they include showtimes in their listing and DuckDuckGo does not. Utility wins out. No strategy tax. And there are a bunch of tweaks and little improvements of course. :rocket:
		- We need a Democrat who can sell <a href="https://en.wikipedia.org/wiki/New_Deal">The New Deal</a>. Here's a <a href="https://youtu.be/SgVE7GV6EFs?t=30s">demo</a>.
		- Be sure to swallow any coffee in your mouth and take a deep breath before watching <a href="https://twitter.com/skolanach/status/930905375926206464?lang=en">this video</a>. Trust me. You're going to be laughing, hard, for quite some time. :boom:
		- Idea. When the president attacks a reporter we all follow that reporter. So <a href="https://twitter.com/daveweigel">@daveweigel</a> would have as many followers as @barackobama for example. Double what El Presidentè Trump has. It's like the <a href="https://en.wikipedia.org/wiki/Streisand_effect">Streisand Effect</a> applied to ranting authoritarian politicians on Twitter.
		- Another idea. An outliner you use to gather all the tweets you don't want to lose.
		- Highly recommended: This <a href="https://www.politico.com/magazine/story/2017/12/10/yoffe-sexual-harassment-college-franken-216057">Politico survey</a> re the #metoo moment by <a href="https://en.wikipedia.org/wiki/Emily_Yoffe">Emily Yoffee</a>. I learned a lot reading it.  
	- December 10
		- New <a href="http://scripting.com/2017/12/10.html">header graphic</a> for the change in season.
		- Hillary's mistake was thinking all she had to do is remind voters how awful Trump is. I saw the ads as evidence she had nothing to offer, no passion. Over and over. I wouldn't bother pointing this out now if the Dems weren't repeating this approach. 
		- Reporters and pundits seem to think we're reliving Watergate. I don't think so. In Watergate you didn't have ex-presidents warning that if we don't do something, we're going to wind up in Nazi Germany. I wonder how many times we'll hear that warning, or if you only get it once, and if the next thing is that the ex-president goes into hiding. How much are the Repubs in Congress backing Trump because they like the politics or they fear for their lives? There probably won't be a point where you get a choice, go this way for salvation and the other way for hell. It may be that by the time you realize there was a choice, there no longer is a choice. A year ago we were trying to convince electors to do the sane thing and not vote for Trump. Now look where we are. If Roy Moore makes it into Congress, how many Roy Moores will follow? 
		- I'm working my way through <a href="https://en.wikipedia.org/wiki/The_Crown_(TV_series)">The Crown</a>, season 2. It's every bit as good as the first season. No <a href="https://en.wikipedia.org/wiki/John_Lithgow">John Lithgow</a>, unfortunately. But still plenty of politics and intrigue and British mannerisms to keep you entertained. Stiff upper lip. Cheerio. Quite right.
	- December 9
		- It's ridiculous we don't have <a href="https://twitter.com/attn/status/939514740161703938">parking lots</a> for bikes in NYC.
		- Rectify is a <a href="http://bingeworthy.io/?id=00233">favorite</a> of the BingeWorthy crowd, although with not a lot of votes, so I gave it a try. I watched two seasons. It had some good moments. And the premise is fascinating. A man on death row is given a reprieve and sent back to the town where he supposedly committed his crime. But the show drags on and on. It's a soap opera. Lots of meetings between characters where they sigh and struggle, in soap operaish ways. I guess most shows are just that, even The Wire or The Sopranos. But they have variety and surprises and humor. I'm not sure what makes a great binge, but for me, Rectify is not it. 
		- After getting lots of advice from the <a href="http://scripting.com/2017/12/03.html#a193255">braintrust</a>, the consensus was get a Roku. So I did. It hasn't arrived yet. It was supposed to be here yesterday, ordered from Amazon, but it's late. Can't wait to try it. I was going to use it to watch season 2 of <a href="http://bingeworthy.io/?id=00352">The Crown</a>, but I'm going to go ahead with my ancient Apple TV. 
		- Have you seen the Netflix show "Godless"?
			- If so, please rate it at <a href="http://bingeworthy.io/?id=00353">BingeWorthy</a>.
			- It should probably be in the top 10, but hasn't received enough ratings yet to qualify.
			- Thanks! :rocket:
		- I'm tired of all the bashing
			- Last year's election was a real drain. I remember as we were coming up to Election Day thinking maybe this will all be over soon. In my heart I kind of knew that it wouldn't. Though I wished it would. I'm a programmer, so I'm pretty fatalistic about <a href="http://scripting.com/2016/07/28/dontFeedDjTrump.html">bugs</a> like Trump. You can't wish them away. You have to roll up your sleeves, address the problem, fix it. That's the school of <a href="http://scripting.com/davenet/1997/05/07/Programmers.html#5">programming</a> I belong to. There is no moving forward until you fully understand the problem. 
			- The biggest drain was the utter stupidity of all the anger on the social nets, when people should have been pulling together, to avoid the catastrophe that is Trump. People bashing Hillary or Bernie, or each other. So much hate. Even bashing Trump is pointless. We need to see each other as real people just like ourselves. The media was pushing us apart, not bringing us together.
			- Well it didn't get better. My Facebook world gets smaller and smaller because I have a rule to not engage with people practicing hate. I don't try to talk them out of it. I have a simple gentle way of dealing with it. Instead of objecting I silently unfriend and unfollow the person. It keeps conflict to a minimum, and I get to preserve my self-respect. Watching friends rant about how this group or that group is responsible, often a group I belong to, takes its toll. People I couldn't stand to say goodbye to got second and third chances. But ultimately once we lost them to hate they really are gone. They don't seem to come back.
			- So rather than fight I withdraw. The circle gets smaller. Eventually Facebook might just disappear, at least my version of it. I think about where I can move to withdraw from all of it. I dream of somewhere in the Rockies. Where the mornings are cold and the air is clear. Maybe start skiing again. But then I realize there really is no escape. That's America too. The hate follows you everywhere.
			- Last year when the music stars were dying, Prince and Bowie, and this year -- Tom Petty and Walter Becker, I would joke, well at least they don't have to live through Trump. Like all jokes it was funny because it was true. I keep wondering when the suicides will start, as people give up hope. I think that is the logical conclusion of my thought process. The way to make the world disappear is to make <i>yourself</i> disappear.
			- Don't worry dear reader, I have no intention of doing away with myself. That'll happen soon enough through the natural progression of things. But if I were a young person today I'd be angry and in the streets, shaking every person saying what the fuck are you doing to put a stop to this lunacy?
		- People who show up
			- There's a nice <a href="https://twitter.com/anildash/status/939137973240696832">thread</a> on Twitter, started by @anildash. He asks you to name people who opened doors for you and made new things possible. I got a few very sweet testimonials from old <a href="https://twitter.com/om/status/939204436961792001">friends</a>. It's nice to have your good work appreciated. Opening doors for other people is a big deal for me. 
			- Brent Simmons <a href="https://twitter.com/brentsimmons/status/939215623023759360">said</a> it was simple. I gave him a chance as a programmer working with me, on projects in the 90s that had pretty great results. So obviously I made the right call. I want to say why I chose Brent over more experienced educated people. It's simple. He showed up. 
			- You can learn how to program, and your help might be very helpful, but if you aren't there, you aren't willing to take a chance, don't have the innate skills, the foundation, the whatever-it-is that made you show up, if you aren't all those things which amount to showing up, then well I'm going to go with the person who showed up. It's a decent algorithm. Empirically, it works. (Not a joke, though it might sound like it is.)
			- Same with Chris Lydon. Many if not most things about Chris infuriate me. I have to get that out of the way. I love him, but most of the time, in the ways I care about, he does not show up. But I worked with him, and the work, like the projects I did with Brent, proved to be significant. It produced results that could be built on. I know this because things <i>were</i> built on it. Because in the end, for whatever reason, he showed up.
			- When I made my <a href="https://twitter.com/davewiner/status/939236760055410690">list</a> of people who opened doors for me, that's the criteria I used. People who worked with me, trusted me, took a chance on me, because flipped around that's exactly what Brent and Chris did. There are <s>probably</s> certainly things about me that infuriate them. But I showed up, they showed up, and something happened.
		- Give her a show! ;-)
			- Yesterday I <a href="https://twitter.com/davewiner/status/939261439105224706">tweeted</a> that Yamiche Alcindor, a reporter at the NY Times, should get her own show. Here's why I said that. 
				- At the moment I wrote that tweet she was a guest on MTP Daily on MSNBC. They were talking about Al Franken. There were three reporters on a panel moderated by Chuck Todd, the host. 
				- She was the only one who said what actually happened. Franken did not admit guilt, did not apologize, and there was a rush to get him out of the Senate, no process was used. So we don't know anything more than Franken was accused of something that he denies. 
				- I had heard her earlier on Friday as a guest on the <a href="http://podcatch.com/archive/2017/12/08/628337.html">Daily podcast</a>, where she said the same thing, in more detail without interruption, so I knew what she was trying to say on MTP.
				- With one exception, Masha Gessen <a href="https://www.newyorker.com/news/our-columnists/al-franken-resignation-and-the-selective-force-of-metoo">writing</a> in the New Yorker, every other report seems to have missed this very basic point. Franken could have, guilty or innocent, helped establish a process for a #metoo case, at least for politicians. The process is going to be different in private corporations. But the senators that forced Franken out had no authority to do so. He isn't anyone's employee. He represents the people of Minnesota, and as was pointed out in the New Yorker piece, they were not consulted. 
				- I have <a href="http://scripting.com/2017/12/08.html#a174523">written</a> about this twice. I expressed the same ideas Alcindor was expressing. I added that I didn't see what the rush was. A thorough and deliberative process would say that we're trying to be fair. A rush to judgment is exactly the kind of thing the Democratic Party was against, as far as I know. It's against the basic values of our country. If we want to maintain the rule of law (we do!) how does it help to circumvent it? I think it's great that a reporter thinks the facts are more important than an insider's view of optics, which is what the other panelists focused on. 
	- December 8
		- For the movie version of BingeWorthy, <i>coming soon,</i> I want to start with movies that are in theaters now, and add new movies as they come out. I want to know about shows you've already seen or want to see. Also interested in movies as they show up in rentals and on DVD (or Apple TV or Netflix, etc).  Post a note <a href="https://github.com/scripting/Scripting-News/issues/51">here</a>, or on <a href="https://www.facebook.com/dave.winer.12/posts/657744381099637">Facebook</a>, or in response to <a href="https://twitter.com/davewiner/status/939180433329344513">this post</a> on Twitter. Let's have fun! :rocket: 
		- Follow-up to Franken resignation
			- This is a very lightly edited version of a <a href="https://twitter.com/davewiner/status/938858303282728960">series of tweets</a> I posted yesterday after the Franken resignation, and after there had been some time to absorb its implications.
				- Earlier today I <a href="http://scripting.com/2017/12/07.html#a135018">wrote</a> that Al Franken should not resign. My concern is we'd be without a process should any other senators be accused of abuse. It should have taken time to decide Franken's fate. Now we have a very flawed process. Not a good place to be.
				- People who say the Dems took the high ground are wrong. The high ground would have been to resist the impulse to act quickly, and let the ethics probe proceed. Franken promised to cooperate. This would have been the constructive example for the country, imho the high ground.
				- The Sam Seder <a href="https://theintercept.com/2017/12/07/sam-seder-msnbc-reverses-decision-to-fire-contributor-sam-seder/">situation</a> was a warning. <i>There are trolls at work here. </i>Have we already forgotten the debacle of the 2016 election? How easily we can be manipulated. This truth goes along with all the other truths being exposed now.
				- His judges, his Democratic colleagues in the Senate, were angry, involved, not dispassionate. Franken maintains that the stories don't add up to what the senators implied (but didn't say). When they write the history, all anyone will be able to say was that Franken was accused.
				- It wasn't deliberative. It didn't reach a conclusion. His speech was defiant. Maybe there's truth there. This isn't the way it should be in the United States.
				- My main point is there are trolls among us. I'm not just thinking about Franken, but where we go from here. How easily lives will be destroyed (have been destroyed). We are too vulnerable, and the senate could have taken that into account too.
				- The key word is deliberate. Which means slow and careful. The way Mueller is pursuing the president. Why were we in such a rush to get rid of Franken and Conyers. We should have been careful. That's the mistake.
				- So if you go back to the beginning of the thread. All I claimed was the Dems did not take the high ground. I think they should have.
	- December 7
		- The server behind the English app is <a href="https://github.com/scripting/english">released</a>. MIT license. It's good to have a simple example of an editor that uses the GitHub API. 
		- <a href="https://github.com/scripting/Scripting-News/issues/50">Braintrust query</a>: I'm looking for a good website with ski area weather forecasts for the Rockies. Lots of sites have conditions at the ski areas. I want to know where the weather is. Mainly just a question of the storm track and what's coming. I suppose I could look at weather forecasts for each ski area, but that's pretty labor intensive. What I want is the overview. Any suggestions?
		- <a href="https://github.com/scripting/Scripting-News/issues/49">Braintrust query</a>: A list of all movies currently playing in NYC theaters. 
		- I am beginning to think we're seeing people exiting the dollar as the reserve currency. Wondering when the panic is going to start, or if it already has.
		- Unfortunately we're going to have to watch <a href="https://twitter.com/bloatedlesbian/status/938847520976986113">Trump dentures</a> at war with Trump brain many more times, bigly, but it's necessary to make America great again.
		- Jonathan Chait <a href="http://nymag.com/daily/intelligencer/2017/12/the-steele-dossier-on-trump-is-looking-more-and-more-real.html">points out</a> that the press has never considered the claims of the <a href="https://en.wikipedia.org/wiki/Donald_Trump%E2%80%93Russia_dossier">Steele dossier</a> credible. I have the opposite take. I think they're obviously true, are the <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">simplest</a> explanation of Trump's behavior. Trump goes to Moscow, flattered and bribed, gets in bed with Russians, it fits his lifestyle. I don't see why people don't believe it. 
		- An old joke. Human goes into doctor's office. Doctor says I have good news and bad news. Give me bad news first. You have cancer, you'll be dead in 2 weeks. Geez what's the good news? I just won the lottery! :boom:
		- Al Franken should not resign
			- I understand why other Democratic senators want <a href="https://en.wikipedia.org/wiki/Al_Franken">Franken</a> to resign, but they aren't the whole universe. They may believe the women, always, 100 percent, but the world isn't that simple. Remember all the fake trolls who threw the 2016 election and the aftermath we're dealing with now. Let the dust settle. Develop a process for dealing with this kind of situation, so next time there won't be a precedent of the man just leaving in disgrace. Franken may be guilty, or not. We have principles in this country to uphold. Just walking away makes it that much more of a problem for the next man who is accused. Don't make a cliché out of <i>the presumption of innocence. </i>It's an important <a href="https://en.wikipedia.org/wiki/Presumption_of_innocence">principle</a>. The Democratic senators have said their piece. Now let's have a process, and let's examine the facts. 
			- Update: Franken <a href="https://twitter.com/TheLeadCNN/status/938816096404164609">resigned</a>. 
	- December 6
		- I have a new <a href="http://scripting.com/english/">app</a> for you to try out. It's called <a href="http://this.how/english/">English</a>. It's an editor that runs in the browser that can create and edit a Markdown document in a GitHub repository. It's designed for editing docs and readmes, and to make it possible for less-technical writers to participate in GitHub-hosted open source projects. 
		- Update: I am now using <a href="http://scripting.com/english/">English</a> to edit the <a href="https://github.com/scripting/Scripting-News/blob/master/README.md">Readme</a> file of the Scripting-News repo.
		- Disclaimer: I know it is missing most of the features you'd want in an editor. I explained that in <a href="http://this.how/english/#1512575572000">the readme</a>. 
		- The point of <a href="https://www.zillow.com/homedetails/142-Hopewell-Rd-Alton-NH-03809/86705433_zpid/?utm_content=tid-14d909b7-e1a7-4d7a-b824-47a3e87e7a5d&utm_campaign=zpd_fb_rtg_shdw_NH_14D&utm_source=facebook&utm_medium=social-paid">real estate porn</a>, if there is one, is to get all the enjoyment there is to be got from fantastic homes without having to pay for them, or live in them. 
		- A jaw-dropping <a href="https://twitter.com/WLV_investor/status/938410022538682368">tweet</a> unlike any other I've ever seen.
		- New technology is adopted bottom-up, never top-down. And of course the big mucky-mucks can't admit that. Which creates problems.
		- This kind of <a href="https://medium.com/oversightdems/flynn-text-to-business-colleague-during-trump-inauguration-adc558e7291">document</a> should be on a publicly-owned server.
		- Try to pull people off Facebook? Wrong idea
			- The other day, I got an email from a friend suggesting that we try to get people to stop using Facebook. This idea comes up a lot. I don't support the idea, for a variety of reasons.
				- I like Facebook. I use it to keep in touch with friends. I have made new friends there. I would miss it. I don't want to quit. 
				- It's hopeless. Facebook is an addiction. Try telling a smoker to stop smoking. It's bad for you! Yes yes I know. But people have to want to quit, a lot, to overcome the addiction. A well-intentioned friend is not helping by insisting they stop. (An aside, much better, when they decide it's time to quit, tell them it makes you happy. Offer to help, to go for a walk with them when the urge is overwhelming.)
				- And there's something more direct that will do much more good. See the next section.
			- Here's the better idea..
				- Instead of getting people to quit Facebook, let's get proactive in rescuing great writing from Facebook. 
				- There should be a process. I see something great on Facebook. I then open a page on some alt-Facebook, or bizarro-Facebook, or whatever you want to call it, and create a copy outside the silo. A place where search engines will find it. Where it can have a life on the open web.
				- Yes yes I know people might not like it. You can ask first if you want, but until the rescue site gets famous people won't know wtf you're talking about. Better to make it a guerilla thing at first. Ask for forgiveness instead of permission. ;-)
				- That's what I think. You could even write a bookmarklet to automate much of it. 
	- December 5
		- Here's a <a href="http://scripting.com/images/2017/12/05/englishEditorScreenShot.png">screen shot</a> of the editor as it exists today.
		- I'm using the new editor to edit the <a href="https://github.com/scripting/Scripting-News/blob/master/READMEx.md">readme file</a> for the repo. It's really more of a todo list right now for this project. But when it's done, probably tomorrow or the day after, it'll be for the actual readme. 
		- Speaking of convolution. I'm trying out the idea of a wizzy editor for GitHub readmes. A simple editor, based on <a href="https://github.com/yabwe/medium-editor">Medium-Editor</a>, so you get styling, lists, heads. I found a <a href="https://github.com/IonicaBizau/medium-editor-markdown">plug-in</a> that generates Markdown code. So what I push up to GitHub is Markdown, which is the only style that GH renders as HTML as far as I know. It works. Now the question is how to save the text locally between edits. Ideally it would be in Markdown, but the plug-in can't turn Markdown into HTML to initialize the editor. There was a <a href="https://github.com/IonicaBizau/medium-editor-markdown/issues/14">thread</a> on the repo for the project where people asked for this but it appears not to have happened. I tried a hack. Use another MD processor to do the initial conversion, and go from there. Hey Markdown is enough of a standard that it appears to work. I love it. PS: I started a <a href="https://github.com/scripting/Scripting-News/issues/48">thread</a> on my repo for this project if you have questions or opinions. 
		- My eyes are playing weird tricks on me. I have to wear reading glasses for computer work, because of the weird arrangement of lenses in my eyes. Long story, have been told before. I've been trying out different prescriptions, but today I'm back to the lens I've been using for a year. But my eyesight on the computer has reverted to where it was two years ago. Virtually impossible for me to read. I make typing mistakes because I literally can't see what the characters are on the screen. Then I thought, let's just take off the glasses and see what happens. Amazingly I can read the screen without them. A little double vision, but that's nothing compared to what I was dealing with before. 
		- This <a href="https://www.nytimes.com/2017/12/05/well/family/gender-men-touch.html?partner=rss&emc=rss">piece</a> gives you a very small idea of the hell that men live with, now that we're getting educated on the hell women deal with. You know the grass always looks greener on the other side. I don't think most women would like to be in a man's body in this world. We are human too, believe it or not, and when you carry on about how we're all evil or <a href="https://www.thedailybeast.com/women-are-getting-banned-from-facebook-for-calling-men-scum">scum</a>, you're not being fair, kind or even in the ballpark of truth. We all need love and support. Men too. Thanks for listening. 
	- December 4
		- If the world is going to end I might as well have some <a href="https://www.amazon.com/Bowers-Wilkins-Cancelling-Headphones-Performance/dp/B07574TYWW/ref=sr_ph_1?ie=UTF8&qid=1512423107&sr=sr-1&keywords=bowers+wilkins+px">nice headphones</a>.  Bowers & Wilkins PX. They sound pretty good. But I haven't found music (yet) that sounds that much better than the much <a href="https://www.amazon.com/gp/product/B00MR8Z28S/ref=oh_aui_search_detailpage?ie=UTF8&psc=1">cheaper</a> and lighter and less confining wireless headphones I was using previously. I may still return the new ones. 
		- <a href="https://twitter.com/davewiner/status/937325726629588992">My poll</a> about 280 character tweets got exactly 280 votes. 33 percent said it was bad, the rest said good, some good some bad, or not sure.
		- I stopped going to tech conferences when I realized there was no way to win as a voice in the "audience." Then I started a <a href="http://bloggercon.scripting.com/iv/format.html">conference</a> that didn't have the concept of an audience. Our goal was to draw the crowd in the hallway back into the conference room. It worked. People loved BloggerCon. I saw some of this at Newsgeist in November. The quality of the session depends on how committed the discussion leader is to hearing from everyone, and following through on interesting and different ideas. I found that teachers and reporters often made excellent discussion leaders. A conference about news <i>should</i> be great. If the reporters are committed to getting the story. But reporters sometimes have a narrow field of vision. And teachers sometimes aren't interested in dialog with students.
		- Oddly, I found I could be more influential at conferences, if I wasn't there, and just blogged on the topic of the conference from home. So many people in tech read my blog that this turned out to be effective. The only problem was I didn't get the benefit of their thinking. The best balance is to give everyone an equal voice, to the extent that's possible. To really be fierce about not allowing some people to be <a href="http://scripting.com/2017/12/02.html#a030533">better</a> than others. 
		- At the second BloggerCon I was invited to an elite dinner the night before. Just the good people. I smashed it. Threatened to out them. I said you guys don't understand this conference. You are not better than anyone else. We had a great inclusive dinner that night at the <a href="https://en.wikipedia.org/wiki/Durgin-Park">Durgin Park</a> restaurant in Faneuil Hall in Boston. Open to everyone. Lots of food and drink and lack of civility. 
		- I wrote this <a href="http://scripting.com/davenet/1996/10/24/QueSeraSera.html">piece</a> in 1996 after going to Stewart Alsop's conference in Phoenix. So much fear from the podium. Larry Ellison and Scott McNeally said they will crush us, in different ways. Ellison more honestly. McNealy with cute metaphors. They were both full of shit. But people in the room might not have realized that. "The future's not ours to see," one might have said to Larry and Scott. Even if you're worth a hundred million billion. 
		- White hat journalism, superfeeds and courage to change
			- I got an invite this morning to attend a panel discussion in NYC about how to combat fake news with technology. The panelists all have excellent job titles. No one could be fired for choosing them. The solution is obvious, imho, but it requires them to change. First you have to commit to competing with Facebook and Twitter in news distribution. Which means joining feeds into one superfeed (a term I just coined for what FB/TW do), and only including news orgs that try to write accurately and informatively and respond to feedback that they got it wrong. 
			- Think of that as white hat journalism, a <a href="https://en.wikipedia.org/wiki/White_hat_(computer_security)">term</a> borrowed from tech. I proposed this at one of the first sessions at <a href="https://duckduckgo.com/?q=site%3Ascripting.com+newsgeist&t=hf&ia=web">Newsgeist</a> in November. All kinds of well-titled people there. I was asked if Breitbart would be included the superfeed. No, of course not, I said. But, there would be no single superfeed. There would be competiton, so no one has the power to exclude. <i>There was no discussion. </i>I brought it up a couple more times at this future-of-news conference and no one was willing to discuss. 
			- The news industry solution is for Facebook to give them money. I see these two approaches as diametrically opposed. Either compete, or be subservient. 
			- Anyway, that's why I'm pretty sure there will be no attempt to solve the problem at this panel. How could I go and support this, when they don't have the courage to change? 
	- December 3
		- The Mueller investigation, esp when it's working, works in Trump's favor, in a perverse way. It lulls us into believing it's all going to be over maybe soon -- but we don't know what happens if Mueller presents an airtight case. It could be nothing happens.
		- I keep saying <a href="https://twitter.com/MMFlint/status/937468504441311232">this</a> too: "It is utter denial is to keep repeating that Trump has been able to get little or nothing done. His Fed agencies have decimated this country."
		- I'm tired of my AppleTV. What to get in its place? Amazon, Google, Roku, or a new AppleTV? The one I have is over five years old. And it's pretty sucky. What do you like?
		- Based on ratings on "BingeWorthy" I started watching <a href="http://bingeworthy.io/?id=00233">Rectify</a>. It's the story of a man who is released from death row into a small Georgia town, and all the shit that happens. I liked the first season, but now I'm getting into the middle of the second, and it's more <i>cringe </i>worthy than binge worthy. What gives? Does it get better?? Also it's got one of the worst names ever. I figured by now I might know what it means, but noooo.
		- Update: I've now finished season 2. It gets better. It's still fairly cringe worthy. But it's also a little thought provoking, pitiful and a teeny bit sexy. I'm going to start season 3. 
		- Like a lot of subscribers to the NY Times I got <a href="http://scripting.com/images/2017/12/03/kristofEmail.png">an</a> <a href="http://x.e.newyorktimesinfo.com/ats/msg.aspx?sg1=5c84bf10cddbe6f611dec47f84f3aa94">email</a> from Nicholas Kristof thanking me for giving them money. Just like the politicians. Someday they'll figure out that we have much <a href="https://duckduckgo.com/?q=define+expertise&t=hg&ia=definition">more</a> to contribute than money, but not yet.
	- December 2
		- 43 percent of the people were represented in last night's Republican <a href="https://www.nytimes.com/2017/12/02/opinion/editorials/a-historic-tax-heist.html">tax vote</a> in the Senate. Here's the <a href="https://docs.google.com/spreadsheets/d/18NJ44KniS5-IgKWUeehOvQ7WJ4G_iWXhaKQmlkq1Dlw/edit#gid=0">spreadsheet</a>. 
		- Number one thing that pisses me off, no joke, are people who think they're better than other people.
		- Trump tweets racist video to his 43 million followers. I now see why some want his Twitter account suspended. Twitter's official excuses ring hollow. <a href="https://twitter.com/jack/status/936679380817973253">Where</a> is the line? 
		- As you may know, I write "Scripting News" using an outliner. I've been archiving the JSON and HTML versions. Today I started <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml/">archiving</a> the OPML version too. This one I do by hand, on a monthly basis. I have the archive for <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2017/05.opml">May</a>-<a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2017/11.opml">November</a> of this year in the GitHub repo. 
	- December 1
		- The <a href="http://abcnews.go.com/Politics/michael-flynn-charged-making-false-statements-fbi-documents/story?id=50849354">news</a> about Flynn is great. But <a href="https://twitter.com/davewiner/status/936657890110328833">are</a> the Repubs passing their tax law anyway?
		- Bernie Sanders had the best campaign song ever. <a href="https://www.youtube.com/watch?v=2nwRiuh1Cug">Watch it</a>. See if it doesn't make your heart swell with love for America. All that love is transferred to the most unlikely character. It works. Best commercial ever. Here's another song that should be the theme of a <i>new</i> political party, that originates with regular everyday Americans. We learned in 2017 how much we depend on each other. Let's connect on that level. <a href="https://www.youtube.com/watch?v=cNcjWdHD6GQ">People like us</a>. 
		- <a href="https://twitter.com/DanRather/status/936597142017159168">Dan Rather</a>: "I've seen kids spill out their piggy banks and plan their allowance budget with more care than the Republicans in Congress are planning for the future of the U.S economy."
		- I don't think the Repub tax cut will feed growth. It probably will cause a recession because of cuts to programs like Medicare, Social Security. Money from those programs goes into the economy where tax cuts for the wealthy go into their bank accounts.
