- December 2018
	- December 31
		- <a href="http://scripting.com/2018/12/31/whyTheNewCommentsAreSoGood.m4a">18-minute podcast</a> about why the new comments are so good. Two main reasons. 1. It's inverted from a spam point of view. You comment in your Twitter flow. I get to read your comment because I follow the <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/comments/rss.xml">RSS feed</a> and the #scriptingnews tag. If I think what you said is valuable I can <i>like</i> it, or RT it or follow you. So there's a way for me to amplify your flow, but it's my choice. 2. Twitter's new 280-char limit works really well, as <a href="http://scripting.com/2018/12/31/155551.html">noted</a> earlier. It's enough to express an idea, but not enough to write a blog post. Perfect. 
		- iTunes has been acting like an asshole today, refusing to copy files onto my iPhone. Had an idea. Can Dropbox on my iPhone play MP3s? It can. It's a way to avoid using iTunes to put podcasts on my iPhone. And they end up on all my devices. 
		- Comments on comments
			- Reminder to myself and others who read this blog. Use the <i class="fa fa-retweet"></i> feature here on Scripting News more. It's a way to comment on what's going on here, without using Disqus (which in its latest iterations has become really offensive).
			- Twitter, with its 280 character limit is now a good commenting system wrt my <a href="http://guidelines.scripting.com/">Comment Guidelines</a>. Keep it short, provide a link, don't use comments to write blog posts.  
			- It's funny, I didn't write much about the comments feature when it came out on <a href="http://scripting.com/2018/12/16.html">12/16</a> and <a href="http://scripting.com/2018/12/17.html">subsequent</a> <a href="http://scripting.com/2018/12/18.html">days</a>. I did start a <a href="https://github.com/scripting/Scripting-News/issues/106">thread</a> on the repo, but there isn't much there. 
			- Comments are <a href="https://duckduckgo.com/?q=site%3Ascripting.com+comments&t=h_&ia=web">much-discussed</a> over the years on <a href="http://scripting.com/">this blog</a>.
			- Also there's an <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/comments/rss.xml">RSS feed</a> for comments. 
	- December 30
		- Why is knowledge spelled with a D between the E and G, but privilege isn't?
		- Kernelizing
			- Yesterday I <a href="http://scripting.com/2018/12/29.html#a175206">mentioned</a> that Frontier's object database has a unique feature that makes programming persistent data easier than in other environments. This is because the database and interpreter are integrated, they were built at the same time to be part of the same environment. I reasoned that if data persisted automatically it would make programming easier.     
			- This is the same insight that made blogging possible. Prior to <a href="http://scripting.com/davenet/1999/05/24/editThisPage.html">Edit This Page</a>, websites had a content model where the pages you authored existed in two places, where you edit them and where they are published. By forcing there to be only one view, editing became vastly simpler. Same with data inside an app. If the data exists in one form outside the app and has to be "brought in" you then have to manage the movement, and keep a model for both places in your head at the same time. If you could push the movement down into the OS, it could of course store the data in a different form from the internal represenation, but that's hidden from the programmer. It's a virtual machine concept or as Ted Nelson calls it a "virtuality." 
			- This idea comes up all over the place. If you can push a function down into the lower level of the stack, abstracting it, you can simplify programming and create more reliable systems that require fewer programmers to build and maintain them. We called this process "kernelizing" at UserLand. 
			- When I mentioned all this on Twitter, of course it was pointed out that it sounds like something else someone else once did. I always wonder when I hear this if it's true. We don't have a simple enough language for explaining our innovations so that people who speak different languages can understand them. In music, everyone plays the piano, in science everyone speaks English and the language of math is standardized and universal. But there is no such standardization in software technology, though there could. I hoped that JavaScript would turn out to be that standard, but it's changing so much now that I have trouble understanding other people's code. 
			- I think we did a lot of things in Frontier that people can benefit from, but not if we fail to communicate how they work. People who worked in Frontier know, but the problem is how to explain the ideas to people who don't. Wes Felter suggested that I do videos to explain this. I'd like to. But I hardly know where to start. If you are a Frontier-knowledgeable person, please feel free to go first. :boom:
	- December 29
		- 7-minute <a href="http://scripting.com/2018/12/29/aStoryAboutPresidentsBartletAndGassee.m4a">podcast</a> story about two presidents, <a href="https://en.wikipedia.org/wiki/Josiah_Bartlet">Bartlet</a> and <a href="https://en.wikipedia.org/wiki/Jean-Louis_Gass%C3%A9e">Gassée</a>, and <a href="https://en.wikipedia.org/wiki/Guy_Kawasaki">Guy Kawasaki</a>, and how deveopers benefit from stories about how real people use their products. 
		- As I get deeper into SQL databases, I can explain the innovations of <a href="http://scripting.com/frontier/manual/chapter06.html">Frontier's object database</a> in new ways. For example, with SQL, the way you access structures in memory is dramatically different from how you access structures in the database. In Frontier, there is no difference. You use the same operators no matter where the data resides. The system manages the caching of data transparently. As far as I know, no other enviroment does this.
		- An interesting idea? A community project to build a social graph of people who knew/worked with each other in the early days of tech. It could be an interesting way to get the gangs back together "one more time." I wonder what the people who were at Personal Software would do with this idea. 1980s Apple people and developers. People who wrote for Wired in the early days. People who were at the first O'Reilly open source conference. The Silicon Valley Asshole Society. The first 100 bloggers, first 100 podcasters. People who worked at General Magic, Macromind and Marimba. People who went to Fred and Sylvia's cybersalons. Original subscribers of DaveNet. People who know NakedJen. People who were at the various BloggerCons. People who demo'd at the first Demo. Berkman Center alumni. Initial sponsors of the EFF.  I would <i>love</i> to participate in this project. 
		- Developers who won't use Facebook are like the Dylan fans who stopped listening when <a href="https://en.wikipedia.org/wiki/Electric_Dylan_controversy">he went electric</a>. They eventually caved, of course, or they missed some great music.
		- You may hate Facebook but at least they publish whatever I write. I've only once had an item banned from FB and it was comedic, not tragic. Contrast this to the NYT that offers very little opportunity for me to get an idea through to other users of the NYT. Yes I do think this is a valid comparison. 
		- We're all bonkers inside. The most bonkers thing is to pretend that you're not.
		- This came up in a discussion on Facebook
			- Do you ever wonder, while watching a nature documentary, what it must feel like to be the <a href="https://twitter.com/koopa_kinte/status/1078875929437450241">prey</a> who's being eaten while they're still alive? Do you think they feel pain? Perhaps they feel an overwhelming sense of purpose, well-being. To know that they're being of use? It's hard to know. But I think that's where <a href="https://www.washingtonpost.com/crime-law/2018/12/22/hes-jailed-life-after-murdering-his-wife-kids-so-why-do-women-send-him-love-letters/?fbclid=IwAR3mLXP66MoEtDCX_YuU3ocToF2bqWE0KhJHPNHGyoxMtftf_28Eng3uO1c&utm_term=.2782a0c79042">this impulse</a> originates. We all know at some point we will be overwhelmed and dragged under, we'll die. And I'm guessing it isn't an entirely unpleasant experience.
	- December 27
		- Now that the hype about <a href="http://scripting.com/2018/12/11/131151.html">The Correspondent</a> has died down, thankfully, re-focus on the problem that Medium presents for the news industry. This morning I almost pointed to two on-topic (for me) pieces on Medium. I didn't do it, because every time I do, it creates a burden for all of us to overcome down the road. Think about the irony that TheC, a publishing company, posted their corporate statements during the rollout on Medium. What happens when they open their service for real? Will they publish their stories there too? Medium has something other news orgs don't (and they are a news org, by any reasonable definition) -- deep pockets. Evan Williams has billions he can keep it floating with. He has a long time to figure out how to make it work economically. TheC has $2.5 million. Every news org and blogger has a problem with Medium, whether they realize it or not. The more it is assumed that significant writing appears there, the harder it will be to publish elsewhere. 
		- If you accept the premise that Medium is a news org, consider that they're the only one who creates a somewhat level playing field for paid and non-paid writers. In other words, imho, they're doing exactly what TheC (and many others) should be doing and aren't. They probably don't see Medium as competition. If so, that is wrong, they very much are. The economics of news doesn't follow the same rules it did in the print era. We need to lower the gates and let more people in. The challenge then becomes deciding who are following ethical guidelines required to be considered news, or the different rules that apply to op-ed writers. There's a lot of brainpower that's going to waste. Our <a href="https://climate.nasa.gov/">problems</a> are <a href="https://www.amazon.com/Tyranny-Twenty-Lessons-Twentieth-Century/dp/0804190119">so big</a>, and the capabilities of the professionals so limited, that it's suicide to not try to tap the big resource that's out there, ready to be used. Medium is the only one who's doing it.
		- The danger of Medium is two-fold. Without competition, and right now they don't have any, we're right back where we were before the web, only it's worse. And they haven't made any comittment to keeping their archive accessible, nor do they give people the ability to move their content off Medium without breaking links. Even though they have deep pockets, they could fail to find a business model, and shut down, leaving a huge hole in the web, over many years. You could see we crossed a dangerous line when our political leaders, including the president, were putting things on the record on Medium. Centralization is not good, esp centralization without a long-term economic model. And the cost of hosting text documents is so low that it's ridiculous for the rest of us to cede so much power to one company, yet we're doing it. It's a case study in why it's wrong to blame Facebook for what's wrong with their system, we're doing it again with Medium. 
		- I saw a thing on the news that <a href="https://www.foxnews.com/science/saturns-rings-are-disappearing-nasa-warns">Saturn's rings</a> might be gone soon and I automatically thought "climate change I don't know" and then..
		- Today is my "little" brother Peter's 60th birthday. Here he is <a href="http://scripting.com/images/2018/12/27/proudMamaEveWithInfantPeterAndUncleDaveyExpressingConcern.png">pictured</a> shortly after birth on this day in 1958. I'm the little dude on his right who's freaking out. I've had that look on my face pretty much ever since. We're all that's left of the clan <a href="http://scripting.com/images/2018/12/27/evesFamilyInRockaway.png">pictured here</a>, taken in 1961 or 1962. Time is a funny thing. <a href="https://www.youtube.com/watch?v=nFxjnUPRwx4">As they say</a> it all seems like yesterday. It goes by in a flash.
		- Testing date equality in JS
			- Today I <a href="https://jsfiddle.net/ha9g2w5j/">learned</a> that testing two dates for equality in JavaScript does not work as a reasonable person might expect. 
				- var d1 = new Date ("March 12, 1994");
				- var d2 = new Date ("March 12, 1994");
				- alert (d1 == d2);
			- The answer in the alert is false.
	- December 26
		- I realized a few days ago I have not been thinking about <a href="https://duckduckgo.com/?q=site%3Ascripting.com+boty&t=h_&ia=web">BOTY</a> for 2018. This might be one of those years that I don't have one. Let's see what happens, go with the flow. 
		- Speaking of flow, I was up in the Catskills over the break, and took a <a href="https://www.youtube.com/watch?v=2ycaLGbA44k">movie of a creek</a> I came across. The video demonstrates the Doppler Effect. 
		- Interesting post on <a href="http://www.niemanlab.org/2018/12/journalism-as-a-technology-service/">journalism</a> as a technology service. 
		- When everyone agrees on something, and users benefit from the agreement, then seriously consider maintaining the standard, even if your product would be, in some ways, nicer if you broke with the standard. Apple could have continued to have a <a href="https://techcrunch.com/2018/12/25/i-still-miss-the-headphone-port/">headphone jack</a> on their phones, and all the other phone makers would have kept theirs. I'd still use my Bluetooth headphones (I was a wireless fan long before the headphone jack disappeared). It's the same reason we should all support <a href="http://this.how/googleAndHttp/">HTTP</a> for as long as humanly possible (i.e. forever). This is a big philosophical question for all tech developers. I'm a continuity absolutist, to me the most awful word in tech is <a href="https://en.wikipedia.org/wiki/Deprecation">deprecate</a>.  
		- I wish Netflix would link to <a href="https://www.metacritic.com/">Metacritic</a> from each show. I wish they would all do this. And I wish <a href="http://hbogo.com">HBO Go</a> let you download shows. I'd watch more HBO if they did. Anyway, next up is <a href="https://www.metacritic.com/tv/happy-valley">Happy Valley</a>.
		- I had no way of knowing how well the two shows I've been bingeing fit together. They are <a href="https://www.netflix.com/title/70260350">River</a>, which is the story of a crazy grieving brilliant cop who learns to accept his insanity, and <a href="https://www.sho.com/kidding">Kidding</a>, a crazy grieving Mr Rogers type TV actor. They're both struggling with pretty much the same issue. What were the chances. And both are quite good, if you're looking for a time-consuming holiday binge. 
		- Trump and his <a href="https://www.nytimes.com/2018/12/25/us/politics/trump-border-wall-shutdown.html">wall</a> is beginning to sound like <a href="http://scripting.com/images/2018/12/26/queeg.png">Captain Queeg</a> and his strawberries, or <a href="http://scripting.com/images/2018/12/26/gollum.png">Gollum</a> and My Precious.
	- December 24
		- <a href="https://www.youtube.com/watch?v=pb5hk7jDvvs">War is over</a> if you want it. 
		- I finished <a href="https://en.wikipedia.org/wiki/River_(TV_series)">River</a>, loved it. Almost finished <a href="https://en.wikipedia.org/wiki/Kidding">Kidding</a>, also good. 
		- If life's for <a href="https://www.youtube.com/watch?v=hQcf6qRMZMo">living</a>, what's living for?
		- It’s disgusting how the big companies, <a href="https://twitter.com/aral/status/1077197506033975296">not just Apple</a>, have treated "RSS". And for some reason journalism lets them do it.
	- December 23
		- After four years of running Node apps on Linux servers, I have concluded that it could use an OS just for Node. A layer on top of Linux that watched the resources the apps were using and helped you better manage them. It's just a thought at this point.
		- Now that I can monitor disk space usage in my ServerMonitor app, I'm getting a better idea of where the problems are. One of the big ones I just discovered is the Dropbox cache. On one of my servers 1/2 of the disk space was used by the cache! The <a href="https://www.dropbox.com/help/desktop-web/cache-folder">docs</a> say the cache is cleared every three days, but this clearly isn't working on at least one of my systems. According to the docs you can just remove the contents of the <i>~/Dropbox/.dropbox.cache/</i> folder. 
		- BTW the <a href="https://en.wikipedia.org/wiki/Ncdu">ncdu app</a> is a life-saver.  
		- How I got a bad rep with AWS?
			- A long time ago, in 2010, I was selling my house in Berkeley while living in NYC. On the weekend I had to move out, I had two days to get everything done and then drive back to NY, my main server on EC2 went down. Just died. So I quickly (the movers were arriving) redirected to another server and wrote a post asking if anyone reading my blog had a clue what the problem might be. It never occurred to me that it would be escalated to a problem inside Amazon, that they would treat my post as an urgent request for support. I was asking readers of my blog, many of whom use AWS, if they had any ideas that I could quickly look at that might help me find the problem. This is something I have always done here, today I call them <a href="https://duckduckgo.com/?q=site%3Ascripting.com+braintrust+query&t=h_&ia=web">braintrust queries</a>. My readers are smart, generous, know their stuff, and love to show off. I take advantage of that, and am always sure to publicly post the results so it becomes part of the knowledge base of the open web.  
			- Anyway, I got a call from an engineer at Amazon as a dozen people were working in the house I was turning over in a few hours, loading up stuff, asking for help, etc. The call couldn't have come at a worse time. I explained I couldn't talk, and said goodbye. The guy at the other end sounded surprised and miffed. I imagine in his mind he was doing me a huge favor (he was) and somehow I couldn't stop everything to get the (unexpected) help. At the same time I felt unworthy of the support, yet unable to accept it. 
			- To make matters worse, when I finally did find the problem, it was a server log overflowing, getting so large the software just thrashed, it couldn't complete a request. It wasn't Amazon software. As soon as I emptied the log, the server returned to normal.
			- Anyway, I'm often working on stuff that makes their system better. If this is the reason we don't communicate, what a misunderstanding and what a missed opportunity. 
	- December 22
		- Re how journalism is covering tech. "The whole thing is a huge mess. One of the big journalism schools should have a conference with tech people and journalists and we should put our heads together and figure out how this stuff should be covered."
		- <a href="https://twitter.com/peterrojas/status/1076488125977812993">Peter Rojas</a> was pleasantly surprised to see a primer on RSS on the Apple iOS app store. 
	- December 21
		- I just re-read the recent NYT <a href="https://www.nytimes.com/2018/12/18/technology/facebook-privacy.html">article</a> about Facebook and I couldn't find anything in the piece that wasn't a conclusion and stated in a way that left it unclear what actual permissions were given to Facebook's partner companies. They need to hire experts at the Times to at least provide parallel reporting so their claims can be evaluated by neutral experts at the same time they make the allegations. Someone must watch over the NYT the way they watch over Trump and Facebook. 
	- December 20
		- The NYT is fucked up. Don't delete Facebook. They are as wrong as they were when they made an issue of Hillary's emails. That got us President Fucking Trump. Thank you very much NY Times. Instead let's <i>slowly</i> figure out ways to do stuff on the open web that doesn't depend on huge tech companies. Facebook is <a href="https://twitter.com/davewiner/status/1075732207317196800">far</a> from our only problem. Change won't happen overnight and deleting Facebook is not the answer any more than we can solve climate change by deleting our cars. And btw, the NYT's mortal enemy is Facebook. At some point they should disclaim that, their readers should be made aware that they are scared shitless of what Facebook is doing to the journalism industry. That's a fear you and I, their reader, might not share with them. 
		- Here's a question for you. Suppose you want to start a private Facebook group, but you don't want to use Facebook. What to do? 
		- How to get videos off an iPhone
			- Use the <a href="https://en.wikipedia.org/wiki/Image_Capture">Image Capture</a> app. 
				- Plug your iPhone into the Mac using the USB cable.
				- Unlock the phone if necessary.
				- The photos and videos should appear in a window.
				- Select the ones you want.
				- Click the Import button.
				- Open the Pictures folder.
				- The videos are in the folder. 
				- Move them where ever you like.
			- Do not use the Photos app. They store the videos you download in a database. You can find them if you persist but they're in a database and you can't just copy them out. This is pointless if you want to share them with other people or publish them via YouTube or whatever.  
		- Car for a big guy?
			- Yesterday on <a href="https://twitter.com/davewiner/status/1075541500027650048">Twitter</a> and <a href="https://www.facebook.com/dave.winer.12/posts/862996047241135?notif_id=1545264878217485&notif_t=feedback_reaction_generic">Facebook</a> I asked for advice about cars.
				- <i>I am quite tall. Esp in the torso. So it’s hard for me to find a car I fit into. My head is usually crammed against the roof. Poor me. Okay I’m going to buy a car soon, and would like it to have ample headroom. Any ideas?</i>
			- Lots of great advice came back which I will summarize here. 
				- Subaru, specifically the Forrester. 
				- Toyota Rav4.
				- VW Golf and Jetta.
				- Kia Soul (I rented one of these a few months ago, loved it. Lots of room and it's fun to drive.)
				- Honda Pilot.
				- Mazda CX-5.
				- Honda Element, but they no longer make them.
				- Hyundai Sonata.
				- Chevy Impala.
				- Toyota Highlander.
				- Ford C-MAX.
				- Honda Accord.
				- Denali.
				- BMW i3.
				- Scion XB.
				- Kia Niro.
				- Tesla 3.
				- Chrysler 300.
				- VW Beetle.
				- Nissan Maxima.
				- Dodge RAM 1500.
				- Volvo XC90.
			- And two great stories I got links to.
				- <a href="https://blog.turo.com/insights/cars-fit-for-nba-players?fbclid=IwAR3W2OGgZygigckC_SoP41yAv6DIpvr67UiP7OlVKFoo0o1PkXDVl3O03vo">Cars fit for NBA players</a>.
				- <a href="http://archive.fortune.com/2010/12/10/autos/honda_element_rip.fortune/index.htm?fbclid=IwAR0yTYSDGmoJhA06VLq48slyG4qMaXiiTzLXQ1S1HVVDupzb1FG3FUDGY1k">Say goodbye to the Honda Element</a>.
	- December 19
		- Uncle Davey's remedy for all your end-of-year Facebook woes. New rule requires Facebook to peer with the open web so people who are not on Facebook can communicate with people who are. All or nothing is the real problem. Lots of precedent. AT&T had a monopoly over phones for a long time. If you wanted to make phone calls you had to use one of their devices. That rule changed and the rest is history. The technology is easy. There are plenty of people at Facebook who want to do it. 
		- <a href="https://twitter.com/jason_pontin/status/1075383209356091393">Jason Pontin asks</a> how journalism is self-dealing and corrupt. Not all corruption is about money. Journalism exterts control and influence. Gatekeeping. They keep lots of ideas out of the news, esp ones they find uncomfortable. Show me an op-ed in the NYT about the future of journalism that says they should compete with Facebook. Or a public editor who is a member of the public? Also any industry that feels they should be above examination, and has been exempt for so long, must be <i>filled</i> with corruption. And of course if there's no corruption, there's no harm in looking, right? 
		- I met <a href="https://twitter.com/dabeard">David Beard</a> at a future-of-journalism <a href="https://www.newsgeist.org/exploring-future-news/">conference</a> in Phoenix last year, and spent a couple of hours talking with him at the Phoenix airport waiting for planes home to Boston and NYC, respectively. Since then I've been watching what he does on Twitter with awe and interest. He posts links to stories with comments that are very widely circulated. Some of his tweets get thousands of RTs. You might think he has a million followers, but he doesn't, just 47K, though it seems to be increasing quickly. I always wonder what his secret is, and what his goal is. By asking the question on my blog, I hope to provoke a public response. :boom:
		- My prediction for 2019: Everything you care about is dead. Everything I care about <i>rules.</i>
		- Facebook offers ordinary people something they've never had before -- a place to publish their ideas for anyone to read. For all its flaws they have done something remarkable, something the news industry could have but did not do. 
		- How I provision a new server
			- Create a new server running Ubuntu. 
			- Log on via the Terminal app on the Mac.
			- Install Node, Git and Forever per the instructions on the 1999-project <a href="https://github.com/scripting/1999-project/blob/master/docs/setup.md">setup page</a>. 
				- Update: The version of Node that's installed using the instructions on the setup page won't accept "let", "const" etc. I use those in some of my packages. The instructions on <a href="https://github.com/nodesource/distributions#debinstall">this page</a> show you how to get the latest version. 
			- Install Dropbox and the CLI app following these <a href="https://linoxide.com/linux-how-to/install-dropbox-ubuntu/">instructions</a>. 
			- Create a folder in Dropbox for this server. Exclude all other folders:
				- dropbox exclude add folder1 folder2
			- Add apps to the folder for this server and run them in Forever.
	- December 18
		- There's now an <a href="http://xmlviewer.scripting.com/?url=http://scripting.com/comments/rss.xml">RSS feed</a> for comments. 
		- A <a href="https://github.com/scripting/xml-rpc/issues/8">question</a> on the XML-RPC site about servers. How should they handle booleans. After almost 20 years since it first deployed, I have a practical answer. I also have a new <a href="https://github.com/scripting/xml-rpc/blob/master/xmlrpc.js">implementation</a>, in JavaScript, that can still be changed. 
		- New <a href="http://scripting.com/images/2018/12/18/wonderfulLife.png">header image</a>, focuses on <a href="https://en.wikipedia.org/wiki/Donna_Reed">Donna Reed</a> from <a href="https://en.wikipedia.org/wiki/It%27s_a_Wonderful_Life">It's a Wonderful Life</a>, replaces a <a href="http://scripting.com/images/2018/11/26/fireplace.png">picture</a> of a burning log in a fireplace. 
		- The thing that I like about Facebook is that it theoretically gives me equal voice to Walt Mossberg. And to his credit, he often read things I wrote on Facebook. OTOH, when he quits FB it merits an <a href="https://www.nytimes.com/2018/12/18/technology/walt-mossberg-quit-facebook.html">article</a> in the NYT. So he lives in a different media world than the rest of us.
		- The Russians took advantage of the idiocy of the American electorate. So did Facebook and CNN, Fox and MSNBC. The NYT, the WP and Vanity Fair. All are making a fortune off it, but they aren't to blame, actually. They're just parasites. The disease is the idiocy. 
		- In a courtroom, the pros play an important role. But the jury and the defendant are the principals. Never forget that. If journalism is a civic act, it <i>must</i> involve the people in a similar way. As the principals.
		- I thought this <a href="https://www.hackerfactor.com/blog/index.php?/archives/825-8-Reasons-Python-Sucks.html">piece</a> about why Python sucks was interesting. I clicked on it because I always thought Python was a good language. Algol-like. And it had an idea similar to the one in Frontier that program structure doesn't require curly braces and semicolons. It's an insight that seems to have escaped most other language designers. Well, it turns out the #1 reason Python sucks for this guy is breakage. I never understood the idea that breakage was okay in "point versions." In practical terms, breakage is never okay. Never. With a little more thought and work, you can move forward compatibly, adding new features in a continuous fashion. I wasn't aware of how bad this was in Python. This is an idea that should be discussed at tech conferences. I even have a motto for it. Discontinuities suck. Disclaimer: Everything I've ever done <a href="http://scripting.com/davenet/1995/09/03/wemakeshittysoftware.html">sucks</a>. The only software that's perfect is the software in your mind. 
		- Dear Facebook quitters who are in VC or who are writing books about tech... What happens when Facebook does something good or bad that you need to understand either for business or art? I’m a software dev and tech blogger, and I need my account because they are huge and going to be around for a while and I have to understand what they’re doing because like it or not they’re not going away.
		- If the US govt were Facebook
			- If the US govt were a software company we'd all be quitting them. 
			- Imagine this. I signed up for Obamacare in 2012. It was great. 
			- Call that version 1.0. 
			- Now six years later, I'm still alive, I've paid in many tens of thousands into it, and drawn out much less, even though I have a pre-existing condition or two. 
			- What have they done?
			- They're removing features not adding them. And threatening to deprecate the whole thing. Every damn year there's some government-made crisis that threatens to put me at risk of needing some urgent and super-expensive health care <i>without insurance. </i>I'm happy to pay, it's worth it, but this really sucks! 
			- I'd quit, except it's the only health insurance I can get. 
			- So I can't.
	- December 17
		- I watched a bit of political news this evening. They say people are overloaded with news about Trump. I don't think that's what's really going on. Instead, Trump being a mobster is "priced-into" his public image. You all are just reporting the same story over and over. That gets boring. It is significant that he's a mob boss. The tragedy is that we can't seem to do anything about it. 
		- I was looking forward to <a href="https://en.wikipedia.org/wiki/Vice_(2018_film)">Vice</a>, but now that the <a href="https://www.metacritic.com/movie/vice-2018">reviews</a> are in, maybe not. 
		- When I was a grad student, <a href="https://www.nytimes.com/2018/12/17/science/donald-knuth-computers-algorithms-programming.html">Knuth's</a> book on <a href="https://en.wikipedia.org/wiki/The_Art_of_Computer_Programming">algorithms</a> was our handbook. His "boundary tag method" was the design I used for Frontier's object database. 
		- <a href="https://www.remove.bg/">This is a tool</a> I will use a lot for the right margin images. Removing backgrounds is tricky, sometimes impossible, by hand. 
		- To see the latest comments, view #scriptingnews on Twitter.
		- Do you think you're going to use the new Twitter connection on Scripting News? Let me know in this <a href="https://github.com/scripting/Scripting-News/issues/106">braintrust thread</a>.
	- December 16
		- Feeling courageous? Click the <i class="fa fa-retweet"></i> symbol next to <a href="http://scripting.com/2018/12/16.html#a215317">this post</a>. 
		- Doing a bit more work on The Feature today. Also watching <a href="https://en.wikipedia.org/wiki/Sharp_Objects_(miniseries)">Sharp Objects</a> on HBO. Very weird. But it got high ratings, and I generally like HBO stuff better than Netflix. More cerebral, intellectually challenging, surprising. Most of what's on Netflix is drek. 
		- Lots of writing about the 50th anniversary of Engelbart's <a href="https://duckduckgo.com/?q=50th+anniversary+of+Engelbart%27s+Demo&t=h_&ia=web">MOAD</a>. I wasn't there, but I knew Engelbart, at first through Ted Nelson's <a href="https://www.goodreads.com/book/show/722414.Computer_Lib_Dream_Machines">writing</a>, and then in face to face. The reporters misunderstand what he meant by <a href="http://dougengelbart.org/content/view/138/000/">augmentation</a>. It's the same thing we called idea processing with <a href="http://davewiner.userland.com/outlinersProgramming">ThinkTank</a> and its <a href="https://duckduckgo.com/?q=%22living+videotext%22+outliners&t=h_&ia=web">successors</a>. Computers, using outlining software, are incredible surfaces for recording your thoughts, seeing them visually, and then manipulate them in ways you couldn't on physical surfaces like paper and whiteboards. Index cards spread out all over the floor kind of approximates it. On a computer screen ideas are on rollerskates and rails. They move fast and precisely and then move again. There are so many more places to move them. This frees the mind up to try out new ideas without losing the train of thought. All the stories about Engelbart miss this. Yes the mouse was incredible. I was not aware he invented the web (did he?). But the thing he was most interested in, the biggest idea he had, apparently has been forgotten, but not by me. 
		- Augmentation or idea processing sounds grandiose, but it's fairly mundane. Here's a <a href="http://scripting.com/images/2018/12/16/projectOutline.png">snapshot</a> of my planning outline for the project I'm working on now. It changes as the project moves forward. The outline structure makes it easy for me to organize my work. My time is better used, I'm more confident that important things are not slipping through the cracks. 
		- Minding my dream
			- My subconscious had me dream something really odd last night. Not something I’d mind sharing publicly, but there is no place. I suppose it’s the kind of thing everyone who has lost both parents goes through. Probably something that goes back to before we were even human. But we are not so evolved that there is a proper online place for it. If I wrote a memoir, I could put the story in there. Nothing I’m even remotely ashamed of.
			- So I'm going to tuck it away here in a corner of my blog. 
			- Here's the dream...
			- I'm lost and going back home. My glasses are broken. I'm trying to put them back together. (Note in the real world I don't need glasses any longer.) I'm walking along 32nd Ave a block away from my parents' house thinking about getting comfort from my father. Then I realize he's dead. No matter I'll have a nice talk with mom. Then boom, it hits me. She's dead too.
			- It's a terrible feeling. I get back to the house, but it's all different. There's a swimming pool out back, and a big guest house. It's dark. I can't see well. The glasses have seemingly repaired on their own, but it's a new design. My father's brother, my uncle Sam, is puttering about. He can't hear me. I can hear him but it's mumbling. I feel okay but lost. 
			- I wake up.
			- I seem to remember doing something like this before. Perhaps it takes a few tries before the knowledge permeates some deeper level? 
	- December 15
		- I was looking through an old backup disk and came across a few audio clips from movies I had recorded. I thought maybe it'd be fun to make them podcasts. So here's the first, <a href="http://scripting.com/2018/12/15/neoMeetsTheOracle.mp3">Neo meets the Oracle</a> in <a href="https://en.wikipedia.org/wiki/The_Matrix">The Matrix</a>. My favorite line is when the Oracle says "I can see why she likes you," and what follows. Sorry the volume is a bit low. 
		- Okay I'm going to reveal a little about the new feature. You can get a glimpse of the output by watching #scriptingnews on Twitter. And an upfront caveat, I don't know the final configuration of this feature. I'm just trying ideas out right now. You may see features here that are never released.
		- A new feature is in the works for "Scripting News" readers. I'm already using it, smoothing off rough edges, thinking about how I want to present it. As far as I know it's a feature that has not been part of a blog yet. 
		- Podcasts <a href="http://www.niemanlab.org/2018/12/podcasts-keep-getting-better/">do</a> keep getting better. 
	- December 14
		- Wondering about journalists
			- I wonder if any journalists out there agree it's worth a shot to train a million people in basic journalism in hope that: 
				- They will become better news users. The theory that people who understand how news is created become better news users is analogous to thinking that people who know how to ski get more out of watching ski races. 
				- Some of them will become volunteer news writers, filling in gaps created by the retreating journalism industry.
			- I made a similar proposal to the Dukakis campaign in 1988. I suggested a national email policy, to introduce email to students at all levels. Email had made me a much better writer. I reasoned it would do the same for young Americans. 
			- Update: <a href="https://twitter.com/Rosental/status/1073629550570024961">Rosental Alves</a>, a professor at the University of Texas reports <a href="https://knightcenter.utexas.edu/00-20382-six-years-164000-people-200-countries-participated-knight-centers-online-courses-journalism">that</a> the Knight Center has been teaching free courses for journalists, but open to anyone. In 6 years they have reached 164K people from 200 countries, according to Alves. 
	- December 13
		- iOS 12 problem. On a phone call, after a few minutes the volume drops until I can't hear the other party. When I call back the volume goes back to normal.  Happens with several numbers, so it's on my end not theirs. New iPhone XS. Any <a href="https://twitter.com/davewiner/status/1073238178910359555">help</a> appreciated.
		- Yesterday I <a href="http://scripting.com/2018/12/12.html#a151840">asked</a> the braintrust of this blog to <a href="https://github.com/scripting/Scripting-News/issues/105">help me understand Kubernetes</a>. Turns out I did not understand it. You all are the smartest most generous people I know. Thanks! :boom:
		- Baratunde <a href="https://twitter.com/baratunde/status/1072932980123938818">says</a> that a movement is a “group of people working together to advance their shared political, social, or artistic ideas.” That's a good definition. When I think of a movement I think of the <a href="https://en.wikipedia.org/wiki/Civil_rights_movement">civil rights movement</a> of the 1960s, or the <a href="https://en.wikipedia.org/wiki/Anti-war_movement#Vietnam_War">anti-war movement</a> that protested the Vietnam war. I do not think The Correspondent which is a for-profit business deserves to use that term. I certainly do not like them saying that I am a member of such a "movement." As I said in my <a href="http://scripting.com/2018/12/11/131151.html">writeup</a>, "the only movement I would be part of is one that doesn't distinguish between reporters and members, that has a level playing field. I think that's the only way journalism can scale to meet our needs and avoid the kinds of disasters journalism has led us to." 
	- December 12
		- What a thrill to <a href="http://scripting.com/images/2018/12/12/seeNakedJen.png">see</a> NakedJen in the "Likes" here. :boom:
		- I just got an <a href="http://scripting.com/images/2018/12/12/baratundeEmail.png">email</a> from <a href="https://twitter.com/baratunde">@baratunde</a> about The Correspondent once again saying I'm part of a movement. No. They haven't done anything to justify that. They are a for-profit company. They make it sound like a charity. Tone it down.
		- <a href="https://twitter.com/baratunde/status/1072932980123938818">Response</a> from Baratunde on Twitter.
		- The tech industry used to have rollouts like the one <a href="http://scripting.com/2018/12/11/131151.html">The Correspondent</a> is doing. A new company wants to enter a market with a few well-known products. So they claim, on rollout, to have some new feature, usually hard to explain or obscured, that made their product revolutionary. The old products are old. Legacy. Roadkill. Since the press didn't care much for facts, and wanted to report on wars, they would run with the hype. A few years later the new technology is known not to be revolutionary. And the new company either gained entry or didn't. The incumbent products are still there. An example was "object oriented" in the early 90s. We now fully grok what it is, it's another way of factoring. Useful for sure, sometimes. But not game-changing. 
		- So if Michael Cohen committed crimes that result in a <a href="https://www.axios.com/michael-cohen-prison-sentence-mueller-investigation-8a283541-870a-4334-af6e-6ca21d4c906d.html">3 year sentence</a>, I guess Trump should go to jail for 3 years too.
		- Trump's hands are truly offensive. I hate the way he puts his hand in the face of people to hold the floor so he can repeat the same horseshit over and over. You could see it as he tried to <a href="https://www.youtube.com/watch?v=AZtCfBR8ZZQ">talk over</a> Nancy Pelosi. He did it with Hillary Clinton. He does it when an interview isn't going the way he likes. It's nasty. Second point. When he threatens a <a href="https://www.politico.com/story/2018/12/11/trump-impeachment-white-house-1058779">revolt</a> if he's impeached, that itself is cause to be removed from office. The president swears an oath to uphold the Constitution. Impeachment and removal are in the Constitution. Really it has to be the most impeachable offense there is. 
		- <a href="https://github.com/scripting/Scripting-News/issues/105">Braintrust query</a>: I keep reading about Kubernetes and how it's taking over the world, but every piece also says it's very complicated. Why? Heroku set the initial prior art in this area. It's easy to get started with. Here we are many years later, it seems we are going the wrong way. Or am I missing the point. Isn't Kubernetes trying to solve the same problem as Heroku? In any case an open source user-deployable Heroku would be very welcome.  Update: Digital Ocean <a href="https://blog.digitalocean.com/digitalocean-releases-k8s-as-a-service/">introduced</a> a simplified Kubernetes <a href="https://www.digitalocean.com/products/kubernetes/">service</a> yesterday. I had no idea. Also, <a href="http://dokku.viewdocs.io/dokku/">Dokku</a> was <a href="https://github.com/scripting/Scripting-News/issues/105#issuecomment-446627116">recommended</a>. 
		- I'm making a purchase that requires a credit check, and in the process, the lender said I needed to unfreeze my records at the three credit rating services. At first I didn't remember freezing them, but then on a bit of investigation I recalled that when Experian had their breach they offered to do the <a href="https://duckduckgo.com/?q=experian+credit+freeze&t=h_&ia=web">freeze</a> and also monitor my credit for free. So now I had to figure out how to unfreeze the accounts. The bank gave me phone numbers. But all they can do is send you a credit report. Some are pretty humiliating about it. After much navigation, searching and puzzling I figured out how to turn off two of the three, but Experian, in trying to validate me, asked "security questions" that I answered correctly but they rejected. In the process I learned that apparently I had taken out an auto loan in 2017, a year that I didn't even own a car and most certainly didn't purchase one. So now I have another problem. But I guess it's their system that's fucked up, because if someone used my credit to buy a car, apparently they are making the payments, so wtf. This system is so broken, it's amazing we haven't yet had a total meltdown. Or maybe we have and we're living in its aftermath. 
		- I noted early this morning tweets from <a href="https://twitter.com/windley/status/1072783216858271744">Phil Windley</a> and <a href="https://twitter.com/ChristopherA">Chris Allen</a> about a conference in Switzerland where they have an easy way of explaining a new "self-sovereign" identity system. At some point I want to ask the question about how we can adapt the code we have working with Twitter as an identity system with this new system. It's important that for application developers it be as easy or easier than the currently available systems. 
	- December 11
		- President Covfefe <a href="https://twitter.com/davewiner/status/1072622376356077568">hits</a> the wall.
		- Followup on The Correspondent
			- I asked a bunch of <a href="https://twitter.com/davewiner/status/1072106500674465792">questions</a> about The Correspondent yesterday and got answers from the anonymous account of the company, and from one of the founders, <a href="https://twitter.com/ejpfauth">Ernst Pfauth</a>, on Twitter. He posted a link to a Medium <a href="https://medium.com/de-correspondent/reinventing-the-rolodex-why-were-asking-our-60-000-members-what-they-know-9be6a857c340">piece</a> about how their rolodex feature works. Below are the questions and answers. 
				- Is the rolodex up and running yet?
					- Yes.
				- Is it a benefit of membership?
					- Yes
				- Do you have to pay to be in the rolodex?
					- You have to be a member to be in there. But when we invite people to join a discussion, we give them a one month membership.
				- What if a "reader" gets an idea for a story?
					- All our correspondent's email addresses are visible on the site.
				- Can readers enlist the expertise of other members?
					- Not Yet. We really want to introduce this asap.
				- Is it a non-profit?
					- No. But it is limited-profit. [What this means isn't clear. They have said it means that the partners will not draw out more than 5 percent of the revenue for themselves, putting all the remaining profit back into the company. At least one <a href="https://twitter.com/Trumpnado2016/status/1072248834057781248">commenter</a> in the thread thinks this is not straight.]
				- Will you have a public editor? If so, will be it be a member of the public or a journalist?
					- As far as I can see this one was not answered.
			- Since being in the rolodex requires membership, I signed up, giving $25. The next page after signing up offered ways to give more money or help them promote membership. They really sell hard. There was a huge iconic <a href="http://scripting.com/images/2018/12/11/theCorrespondentDonationPage.png">image</a> of Jay Rosen on the page. I found this very disturbing. I actually edited the DOM tree to make his image invisible. Then I gave them the money. 
			- I asked a bunch of other questions, trying to understand where their reporters will come from and how they will assure that these reporters care about members more than most American reporters. I got a vague answer about that, from which I concluded their reporters will be like every other reporter, and the idea that they will be engaged with readers is either hype or snake oil, or good intentions, but they don't have any magic that turns reporters into community-minded people. 
			- I am not part of their "movement," even though they accuse me of that in all their communication. I don't like this company. I like them less than the typical journalistic venture that doesn't pretend to give a shit about readers, because they're using our good nature, and desire to believe in something to get money out of us. The limited role of members is, to me, unacceptable. We certainly don't get a chance to participate at the same level as the paid journalists. Consider the answer to the question as to whether members can start new investigations -- you can pitch an idea to a reporter via email. That is a <i>terrible</i> answer. 
			- The only movement I would be part of is one that doesn't distinguish between reporters and members, that has a level playing field. I think that's the only way journalism can scale to meet our needs and avoid the kinds of disasters journalism has led us to. 
			- Since the rolodex is online, I thought I should try to find it, and enter my information. I tried a <a href="https://duckduckgo.com/?q=%22the+correspondent%22+rolodex&t=h_&ia=web">search</a>, but it led me to the home page, and a pitch to give money. I went to their <a href="https://thecorrespondent.com/faq">FAQ</a> page and searched for the word "rolodex" -- there were no matches. I looked for a Members link on their website, if it was there I didn't see it. The rolodex may be online, but apparently it's not available to members yet.
				- Update: The rolodex <a href="https://twitter.com/ejpfauth/status/1072520167068983297">exists</a> in Dutch but hasn't been localized yet. 
			- Observation: The rolodex is a good idea, but why shouldn't there be a global index available to all reporters and sources, not just those who give money to Pfauf and company? Why would I want to limit my usefulness to just their reporters? 
			- Net-net: They're doing a great job of raising money. They promise to start a very different journalistic enterprise. When I asked Scripting News readers in the Netherlands what they thought of their Dutch effort there was a generally positive response. That's where we are now. 
			- PS: I forgot to ask if there will be RSS feeds. 
			- PPS: I also forgot to ask if there's a paywall. 
	- December 10
		- I had a short podcast here earlier, but decided to take it down. I didn't like how it told <a href="http://scripting.com/2018/11/13/181952.html">the story</a>. Not focused enough. Sorry. Will try again. :boom:
		- Another academic journalist who I respect <a href="https://twitter.com/pilhofer/status/1071856693720571904">endorsed</a> The Correspondent this morning, urging others to contribute money to the cause. I don't understand why. I can see studying them, learning from their mistakes, which they are sure to make, but an up front unconditional endorsement? Maybe they know a lot more than the rest of us? I <a href="https://twitter.com/davewiner/status/1072106500674465792">asked</a> a bunch of questions of TheC. To their credit they are trying to answer them. Still I haven't seen any reporting on this effort that isn't a rewrite of their press release. There are serious questions to ask about this. Who else is asking them? 
		- <a href="https://duckduckgo.com/?q=Civil+blockchain+journalism&t=h_&ia=web">Civil</a> was a recent <a href="https://www.nytimes.com/2018/11/01/style/blockchain-journalism-civil.html">example</a> of an effort to launch a new model for journalism that received a lot of hype and unconditional endorsements. But the journalists who were supposed to be paid say they aren't being paid. And the investors who were hoping to support journalism and were motivated by greed (investor greed is perfectly appropriate) aren't happy either. Tech is never a panacea. If people are hyping a technology as one, they're selling <a href="http://scripting.com/davenet/1996/06/03/ofmiceandmenus.html">snake oil</a>, and you should keep your hand on your wallet.
		- As more journalism companies launch tech products, they're starting to behave more like tech companies, and that's not good. The transparency is gone. If you're creating a silo, you have an obligation to say so, esp if your product is primarily journalism. I'm not talking about The Correspondent here, it's too early to say how much lock-in there is in their product. But all of them have the same basic defect imho. The paid professionals are over here and the members of the community are over there. There's a clear line of separation. I understand why this is in the interest of the reporters, but I strongly believe it is against the interest of news. And if the mission of a news org isn't news, what is it?
		- I see the danger we're in, politically and physically (climate change) are a result of the corruption of our news system. Really nothing short of corruption. They see fascism as a good business model. Trump is great click-bait. Some of them even have the honesty to say so directly. So if we're going to dig out of the mess, we're going to have to take control of the news. Not simply be bystanders. And any new journalism venture that isn't structured around that idea is not only not the answer, it's in the way of us formulating the answer. That's why I am not an enthusiastic supporter of The Correspondent. If their intentions are good, and I see no reason to assume they're not, they are not moving fast enough to embrace the change we need to happen merely to survive. Good ideas are not what's needed. Change is what's needed. Radical change. 
	- December 9
		- Just got home. Amazing connections on arriving. New concourse at Penn Station, very confusing. Followed one of the paths, was hoping to get on the 1 train uptown, but the concourse took me right to the platform for the A train. WTF. So I went upstairs, and as I was reaching the platform an uptown A pulls in. I get on. A seat is waiting for me. I get off the train, walk to my building and an elevator opens, I get in and it takes me right up to my apartment. From the Acela to my living room, about 10 minutes. Couldn't possibly have happened any faster. Sometimes, rarely, NYC "just works" as we say in the software biz. 
		- I saw <a href="https://www.metacritic.com/movie/can-you-ever-forgive-me">Can You Ever Forgive Me?</a> last night. It was as reviewed, excellent. Melissa McCarthy is a phenomenal actress, you get total suspension of disbelief, except for a few instants scattered throughout where they remind you she is one of the best comics of our day. The theme is self-knowledge. Running away from yourself until you can't, and that's when life begins. Must-see. 
	- December 7
		- Following up on yesterday's project. I now have a <a href="https://github.com/scripting/freeDiskSpace">new app</a> running on each of my servers. Every minute, they find out how much space is free on the system disk, and the result is written to a file on S3. There's a file for each server. A central app, <a href="https://github.com/scripting/serverMonitor">serverMonitor</a>, reads those files and stores the data in a file it generates that's then displayed by a JS app running in the browser. The net result, now I see an up to date report on disk space on all my servers any time I want. So the <a href="http://scripting.com/2018/12/05/184016.html">problem</a> we had with "LO2" earlier this week, hopefully should not happen again. In the process I found out that people are using features I had basically forgotten were in the product. Yikes. :boom:
		- <a href="https://en.wikipedia.org/wiki/Chris_Beard_(executive)">Chris Beard</a> at Mozilla wrote a <a href="https://blog.mozilla.org/blog/2018/12/06/goodbye-edge/">piece</a> that I totally agree with about the problem of Google dominance of the open web. I could have written that piece myself. In fact in a way I <a href="http://this.how/googleAndHttp/">did</a>. But Mozilla hasn't listened any better than Google. Maybe if we want to keep the thread of a free web alive, we should listen better, and <i>help each other. </i>That was the original spirit of the web, not the dominance of big companies who don't feel obligated to listen to and work with individuals. To me, Mozilla looks as big as Google looks to them. 
		- I think this is the problem everywhere you look, in politics, journalism, tech, education, business -- organizations dominating individuals. That's why <a href="https://en.wikipedia.org/wiki/Alexandria_Ocasio-Cortez">AOC</a> is so refreshing. One of us crashed the party. We hope that opens to door for more party-crashing. That, btw, was the great thing about the web when it came along. The tech industry was just as mired in bigco dominance as it is today. But the web paid no respect to their dominance. In come the people. I remember, I was there. I took advantage of the new opportunities.
		- BTW, one of the reasons I find it so easy to remember <a href="https://en.wikipedia.org/wiki/Alexandria_Ocasio-Cortez">AOC's</a> initials because it is also the name of a nice <a href="http://aocnyc.com/">French restaurant</a> I like to go to in the West Village. 
	- December 6
		- In the great <a href="https://duckduckgo.com/?q=spaces+vs+tabs+debate&t=h_&ia=web">spaces vs tabs debate</a>, as a programmer for over 40 years, I use neither. I program in an <a href="https://duckduckgo.com/?q=what+is+an+outliner+site%3Ascripting.com&t=h_&ia=web">outliner</a>, a kind of editor that understands structure. The display of the structure is something the editor does for me. It doesn't use spaces or tabs.
		- You know how Obama <a href="https://www.youtube.com/watch?v=qeuZvGhwLiM">says</a> "Don't boo, vote!" Now with what the Repubs are <a href="https://www.chicagotribune.com/news/opinion/zorn/ct-perspec-zorn-wisconsin-michigan-power-grab-lame-duck-kill-1207-20181206-story.html">doing</a> in <a href="https://www.nytimes.com/2018/12/06/us/politics/michigan-republicans-power.html">Michigan</a> and <a href="https://www.cnn.com/2018/12/04/politics/wisconsin-michigan-republican-post-election-power-grabs/index.html">Wisconsin</a>, I guess that needs updating. What do we have to do? This requires a new think.
		- People are so critical about how Facebook makes them feel. But that's just one part of it. If you work in a place by yourself, having FB or Twitter around is like having a water cooler to go take a break at. You reach a stopping point, you want to clear your head, so you go do something chatty for a bit. They work. If they didn't exist you'd have to invent them (which of course we did).
		- BTW, back in the old days we'd need a break (using a BBS or CompuServe, then and later AppleLink) because compilations took so long. It could be as much as ten minutes. Then builds got fast, then instantaneous. And of course now we have Dropbox which is sometimes as slow at syncing servers as the old compilers were at building an executable. Same as it ever was.
		- Today I'm going to build a Node app that finds out how much space is available on the system disk and writes the result to a location on S3. This will allow my <a href="https://github.com/scripting/serverMonitor">serverMonitor</a> app to periodically read those files and present them in a tabular form. I have to have an easy way to see if one of my servers has run out of space. Not sure exactly how I'm going to approach it. Update: Here's the <a href="https://github.com/scripting/freeDiskSpace/blob/master/freediskspace.js">code</a>. It only works on Unix. I send a command to the shell asking it to run the DF command, get the result, and write the stats to S3. serverMonitor has been updated to look for the files for the server, and it shows me a table with the percentage free space. Problem solved. 
	- December 5
		- Server outage report
			- 1:42PM Eastern: I've received several notes from users of "LO2" that the app isn't responding. I looked into it and found that the server it's running on has a full disk. Log files overflowing. Still haven't got a systematic way to deal with that. I just removed all the old log files and now the server has a lot of free space. It'll take a few minutes for everything to come back online, hopefully. Will report here. 
			- 2:45PM: I think I have the server put back together after the outage. If you have any trouble running "LO2" please <a href="https://github.com/scripting/Scripting-News/issues/104">report it here</a>. If you can, open the JavaScript console and look for error messages in red and include what you see. 
	- December 4
		- I hear good things about <a href="https://www.srware.net/en/software_srware_iron.php">SRWare Iron</a>.
		- It's interesting to me, as an observer, to see Automattic go through the <a href="https://davisshaver.com/2018/12/04/why-last-nights-surprise-announcement-of-wordpress-5-0-was-a-concerning-decision-by-matt-mullenweg/">kinds of pains</a> we went through years ago when releasing major versions of Frontier. It happened in 1998 when we released the first version that ran on Windows in addition to the Mac. And again when we shipped Radio UserLand with integrated blogging and RSS. These should have been times of celebration, and in earlier efforts before we did all our work on the net, they would have. I am impressed with the way the users express their concerns, because (I'm guessing) they have businesses with customers who are going  to be confused. And the angst is probably amplified because the leader of the WordPress community is so accessible. That was the conclusion I came to about the trouble we got for shipping. There's always a reaction among users and developers on new platform releases. Imagine if Steve Jobs had been as accessible as Matt Mullenweg when Apple shipped a version of Mac OS that breaks apps. But he wasn't. In general the leaders of these efforts are insulated through layers and layers. It takes guts for Matt to put himself out there. And at the same time, the <a href="https://twitter.com/jdevalk/status/1069930276829179904">concerns</a> of his users are legit. 
		- I'm spending the day in <a href="https://en.wikipedia.org/wiki/Woodstock,_New_York">Woodstock, NY</a> today. I spent a lot of time in the area when I was young. It's cold, but lovely. 
	- December 3
		- <a href="https://twitter.com/davewiner/status/1069723536602869760">Unique</a> knife holder/art. :boom:
	- December 2
		- They were playing <a href="https://en.wikipedia.org/wiki/Grateful_Dead">Dead</a> music in the local Whole Foods today.
		- Netflix should link to the Metacritic page for a show from the show. One click to find out what the reviewers think. Also, Metacritic should have an API that returns the aggregate score for a title.
		- Spend <a href="https://www.smh.com.au/national/why-i-m-spending-100-million-on-the-pursuit-of-truth-20181202-p50jnv.html">$100 million</a> teaching 100K people the basics of journalism.
		- <a href="https://github.com/scripting/Scripting-News/blob/master/blog/days/2018/12/02.json">This link</a> will take you to the JSON version of the posts for today once the nightly backup is done at 12PM Eastern.
		- Reminder to self. I should invest time in keeping <a href="http://bingeworthy.io/tv/">Bingeworthy for TV</a> up to date. I'm stuck now looking for something to binge on an upcoming trip. Coming up blank. Might re-watch something I loved. 
		- In <a href="https://www.freep.com/story/news/politics/2018/11/29/michigan-bill-limit-democratic-power/2156549002/">Michigan</a> and <a href="https://www.jsonline.com/story/news/politics/2018/12/01/lawsuit-looms-over-proposed-limit-early-voting-wisconsin/2174110002/">Wisconsin</a>, Republican legislatures are <a href="https://twitter.com/EricHolder/status/1069128623582601216">voting</a> to disempower the newly elected governors and attorney generals, a repeat of a trick the <a href="https://slate.com/human-interest/2016/12/north-carolina-legislative-coup-an-attack-on-democracy.html">NC legislature</a> played in 2016. The Repubs are playing tricks to disempower the people of their states who voted for a change of government. They may succeed but the light should shine brightly on them, and people should not be allowed to forget. This is a party you can't elect without them turning on you. They <i>truly</i> are enemies of the people. 
		- Amidst all the glowing eulogies of <a href="https://en.wikipedia.org/wiki/George_H._W._Bush">Bush41</a>, and he deserves a lot of praise, remember his campaign started the era of <a href="https://www.seattletimes.com/entertainment/movies/he-put-the-dirt-in-dirty-politics/">deplorable</a> Republican politics. His presidential biography must include that legacy too.
		- Week 2. Now at Trump Tower, more self-deprecating jokes, disowns his children, has Al Franken and Doris Kearns Goodwin over for dinner, takes off his fat-suit. "Glad to finally be the real me," he says. Goes out ice skating with son Barron at the Trump rink in Central Park.
		- New stuff to Like
			- Changes to Likes
				- A new <a href="http://weblikes.org/">home page</a> to tie all this stuff together and a new domain, weblikes.org.
				- The first <a href="http://scripting.com/code/nodelikes/client/">demo app</a> is nice, but it was complex. We needed a <a href="http://scripting.com/code/nodelikes/helloworld/">Hello World app</a>, so now there is one. <a href="https://github.com/scripting/likes/tree/master/examples/helloWorld">Source</a> provided, of course. 
				- Now that there are two example apps, the repository needed a new organization. There's now an <a href="https://github.com/scripting/likes/tree/master/examples">examples folder</a> at the top level, and the <a href="https://github.com/scripting/likes/tree/master/api">JavaScript API</a> is in its own folder. Code to include it must change as well. This is exemplified in the <a href="https://github.com/scripting/likes/tree/master/examples">examples</a>.
				- New options for the JavaScript API: 1. You can omit the word "likes," as we do on "Scripting News", and 2. Have the Like bits appended instead of prepended. Check out <a href="https://github.com/scripting/likes/blob/master/examples/helloWorld/code.js">code</a> in the Hello World app to see how they're set.
				- Various CSS edits that allow the environment defaults to rule the rendering of Likes as opposed to having the values hard-coded in the CSS for likes. 
			- There were breaking changes in this release. if you've already deployed, sorry. I haven't heard from anyone who has. If you're depending on this toolkit, great. (No sarcasm.) Please provide <a href="https://github.com/scripting/likes/issues/1">feedback</a> on the changes and make suggestions or just say hi. 
	- December 1
		- Lots of small <a href="https://github.com/scripting/likes/blob/master/worknotes/notes.md">changes</a> to the "Likes" browser API and a new Hello World demo app. More on this tomorrow. Also bought a nice domain for this project. :rocket:
		- Inventors have to embrace every creative thought that comes our way, because it could be on the path to the really great discovery, the one that makes the world a much happier place.
		- Idea for a SNL skit. Trump, played by Alec Baldwin, sits behind the desk in the Oval Office. Aides around him. He cracks self-deprecating jokes. Praises Barack Obama and Hillary Clinton. Calls Melania and tells her he loves her. Fires his children. Signs resignation letter.
