- February 2023
	- February 28
		- I've been using Facebook for many years. Even so, I've never figured out how to navigate the basic structure. I want to see all the comments I've posted in reverse chronologic order. Where is that command? Then it hit me, they need "ChatGPT" as the UI of their product. Let's give it a try. "In Facebook, how do I see a reverse chronologic list of all the comments I've left on other people's posts?" <a href="http://scripting.com/images/2023/02/28/chatgptguide.png">Here's the result</a>. I tried it, got the list, edited a message. This solves a huge design problem in software. How to simplify complex software so people can feel more in control. 
		- <a href="https://chat.openai.com/chat/ff02a810-08ff-49b5-87ae-f7b72308920f">ChatGPT</a>: Ten news orgs with no paywall on their website?
		- A few days ago I <a href="http://scripting.com/2023/02/06.html#a153119">asked Brent Simmons</a> where we go to talk about ideas for making our products work together in interesting new ways. Where do we go to congregate? I just watched a <a href="http://scripting.com/2023/02/19.html#a160614">fantastic</a> <a href="https://www.amazon.com/Laurel-Canyon-Season-1/dp/B0882JGTTV">documentary</a> about Laurel Canyon in Hollywood in the 60s and 70s, near <a href="https://en.wikipedia.org/wiki/Sunset_Strip">Sunset Strip</a>, which had lots of bars, for all kinds of music and the musicians who made the music. Lots of famous names. People who created a generation of pop music, with lots of collaboration. This is a necessary component for tech. When I first arrived in Silicon Valley in 1979, I kept looking for the pulse of the place. Where do people meet up. And within hours I found <a href="https://www.almanacnews.com/square/2007/05/09/what-are-your-memories-of-kens-house-of-pancakes-in-menlo-park">Ken's House of Pancakes</a> on <a href="https://www.google.com/maps/place/888+El+Camino+Real,+Menlo+Park,+CA+94025/@37.4524062,-122.1802984,17z/data=!4m6!3m5!1s0x808fa4b21d83e8ef:0xd20e5a3bace86209!8m2!3d37.4525122!4d-122.1802369!16s%2Fg%2F11b8v7w2wj">El Camino</a> in Menlo Park <a href="https://www.almanacnews.com/morgue/1999/1999_03_17.kens.html">was</a> a good place. There was <a href="https://www.yelp.com/biz/siam-garden-menlo-park">Siam Garden</a> also in Menlo Park. <a href="http://www.chefchu.com/">Chef Chu's</a> in Los Altos. <a href="https://www.alpineinnpv.com/">Rossotti's</a> in Portola Valley and of course <a href="https://en.wikipedia.org/wiki/Buck%27s_of_Woodside">Buck's</a> if you like VC. For a few years, my yard in Woodside was a frequent party place. I am amazed by all the people who came to <a href="https://www.google.com/search?q=bloggercon">BloggerCons</a>. Okay so now we're on the web, we've been here for 30 freaking years. Where do you go if you have an idea you want to share ideas with other developers, who may not develop for the same platform, or work for a large company. This is missing. At one point the <a href="http://static.userland.com/userLandDiscussArchive/msg000001.html">discussion group</a> on this blog served that purpose, but it was taken over by trolls, of course. But nowadays we have less crazy ideas about "free speech" and know how to ruthlessly dispose of trolls. I'd like to figure this out. 
		- I'm always looking out for good clip art for my blog. <a href="http://scripting.com/images/2023/02/28/clipart.png">An example</a>: Sarah Sherman <a href="https://sports.yahoo.com/roller-coaster-accident-043500161.html">playing</a> a TV host caught on a roller coaster for 19 hours. Sally Field on Letterman, and a cartoon image of President Carter. 
		- Leonardo da Vinci
			- <a href="https://en.wikipedia.org/wiki/Saint_John_the_Baptist_(Leonardo)">St John the Baptist</a>, 1515.
	- February 27
		- I don't believe in <a href="https://www.manton.org/2023/02/27/rounding-up-to.html">character limits</a> in blog posts. I hope in a few years all these discussions about what's the optimal number of characters for a post will be seen as farce, like the scene in <a href="https://en.wikipedia.org/wiki/Amadeus_(film)">Amadeus</a> where the Emperor says Mozart's opera has <a href="https://www.youtube.com/watch?v=hMWy3EpEo_o&t=29s">too many notes</a>. I don't think it's up to Emperors or software developers to have opinions on what's the right number of characters in my writing. What if in turn, as a writer, I said your code couldn't have more 500 characters per file. What's the likelihood that this edict would make any sense? Hopefully that puts it in perspective. There's a simple solution available to everyone, a <i>More</i> link at some arbitrary breakpoint, that does enough to encourage short posts if that's what you're after. And it also makes sense to writers.  
		- In Jamaica when they say someone “dirty shirted” you that means they disrespected you. I was looking for a reference to it on the web and can’t find it. Did I imagine it?
		- I keep finding legit tasks for "ChatGPT". For example, I have a new <a href="https://github.com/scripting/opmlCloud/blob/main/desktop/iobridge.js">utility</a> that hooks <a href="https://github.com/paulmillr/chokidar">Chokidar</a> up to websockets. If a file is modified, a message goes to a <a href="https://github.com/scripting/opmlCloud/tree/main/server">server</a>, which in turn forwards the message to N listeners. Chokidar is a very nice utility with lots of configuration options, but sparse docs. I wanted to know if there was anything I could do to improve latency, ie the time it takes for a change to a file to be noticed and acted on. The docs provide some vague clues, but when I asked ChatGPT if I could adjust the latency, it gave me a <a href="http://scripting.com/images/2023/02/27/reducelatencychokidar.png">clear yes</a>, and showed me how to do it. Also suggested there might be lesser-known toolkits that would be better for this kind of application. 
		- It’s that time of year where you think winter must be nearly over but this is just the beginning of the torture.
	- February 26
		- I mentioned <a href="http://scripting.com/2023/02/24.html#a150333">the other day</a> that I was having trouble building "Electric Drummer" after many months of being focused on FeedLand. It appeared as if I wasn't able to get it to build. Problem solved. My written build instructions were missing a step. I couldn't move on until I solved this problem. Electric Drummer is essential software to my daily work. I do all my for-work writing here. That's a very basic thing, and something I might take on, starting from scratch with an online world that assumes the writers are <i>always</i> able to write in their favorite apps. If an online system can't accomodate this, we don't write for them. 
		- Anyway -- now that Electric Drummer is building, there are lots of things to fix now that the lower-level code that it uses has been fixed to accomodate HTTPS. When they say supporting HTTPS is a breeze, only if you don't already have a codebase. Those GoogleHoles are <i>sooo</i> sneaky. Just like Russian propagandists. It's okay this is the relatively easy stuff. Of course fixing these problems will break other things. Sigh.
		- Spoiler: Heaven Can Wait
			- Another favorite movie, <a href="https://www.metacritic.com/movie/heaven-can-wait">Heaven Can Wait</a>, starring Warren Beatty and Julie Christie. He plays a football star named Joe Pendleton who is accidentally killed but when he gets to heaven they realize the error and send him back to earth in the body of Leo Farnsworth, a rich capitalist who is among other things is screwing a town where Julie Christie's family lives and she has come to protest. But Joe is a sweetheart hippie type, and a really a nice guy but he's in the body of an asshole. They fall in love anyway, but then the angel (played by James Mason) says Joe has to give up the body of the asshole, it's his turn to die for real, but he can have the body of another football player, so he tells Julie to watch out for a stranger who has a twinkle in his eye, and she has no idea wtf he's talking about. But then Farnsworth dies, and she's somehow at the big football game and meets the quarterback (who is really Joe but doesn't realize it) and they go off for coffee and you can tell they're going to fall in love and all is good. 
			- The point of course is you fall in love with the soul of a person, not their outward appearance.
	- February 25
		- <a href="https://twitter.com/azeem/status/1629404877536239617">Azeem Azhar</a>: "ChatGPT has organised much of the world’s information and made it easily accessible."
		- <a href="https://chat.openai.com/chat">ChatGPT</a> is basically a user interface for search, and it's a breakthrough. We can't and shouldn't go back. It's too good not to use.
		- Fixed a <a href="https://github.com/scripting/drummerSupport/issues/179#issuecomment-1445203627">problem</a> in "Drummer". The <i>About</i> tab was missing in user blogs. A bit of breakage in the transition to the new identity system, fixed. 
		- The devolution of the web
			- God bless our silos and screenshots of text, the only way our online systems can peer with each other.
	- February 24
		- The vexing problem I explained <a href="http://scripting.com/2023/02/23.html#a163621">yesterday</a> is solved. But not the way I expected it to go. I kept banging my head on the Electric Drummer codebase, and I couldn't get it to build. Of course I have a process for that, but it had been months since I did one, and somewhere in there something stopped working, silently. I gave up in frustration after a few hours of slogging, getting nowhere, and on my way out, cleaning up after my failed adventure, I realized I could do it without changing E/D at all. It's a long story, no space for it here -- but I wanted to close the loop. I am now able to edit my <a onclick="alert ('Instant Outline')">I/O</a> in <a onclick="alert ('Electric Drummer')">E/D</a> and I'm a <a onclick="alert ('Happy Camper')">H/C</a>.
		- I've been thinking about how memos work in highly structured organizations. When you're cc'd on a memo as CEO you like to see up front if there are no action items for you below, that this is just an FYI thing. When I was a CEO, a long time ago, I never had the time to read every sentence in every memo I was cc'd on, nor would it be appropriate. Everyone had to learn to be clear about the presence of action items before starting their narrative. Just putting an FYI at the top with a short list of people who have to act. Most memos, I found were totally informational, ie contained no action items for anyone. 
		- I used to live in <a href="https://en.wikipedia.org/wiki/Woodside,_California">Woodside CA</a>, where snow on the ground was unheard of. <a href="https://www.reddit.com/r/bayarea/comments/11a3c2p/snow_in_woodside/">Until today</a>. Wow. And now I live in Wood<i>stock</i> NY where snow this time of year is the norm, yet this year there has been almost none. 
	- February 23
		- First, it's good that people are working on new features for RSS for podcasts. Why not. But you should choose a modest name for your effort. By calling it Podcasting 2.0 you're basically forcing anyone else who wants to do something here to call theirs 3.0 or 4.0. Just come up with a random name, like <i>The Oslo Project.</i> How did I come up with that name? I asked <a href="https://chat.openai.com/chat">ChatGPT</a> to do it : "Please give me 10 random names of European cities with less than 4 syllables in their names." Here's <a href="http://scripting.com/images/2023/02/23/randomCityNames.png">what</a> it came up with. Or you can ask for <a href="http://scripting.com/images/2023/02/23/names.png">children's names</a>. Or <a href="http://scripting.com/images/2023/02/23/colornames.png">color</a> names. Or <a href="http://scripting.com/images/2023/02/23/yiddishwords.png">Yiddish</a> words. And then please, look at what the other guys are doing and instead of implementing something slightly different with a different name, just do it their way. The only goal here should be upgrading the user experience and interop, so there's no freaking lockin. Keep the bullshit to a minimum. "Available where you get your podcasts."
		- I'm still trying to figure out how to retrofit Instant Outlining in <a href="http://docserver.scripting.com/drummer/electricDrummer.opml">Electric Drummer</a> without having to implement support for the new email-based identity system. It's especially hard to do that for an Electron app, it took a huge effort to get Twitter identity in there. E/D stores files locally, and combined with <a href="https://github.com/scripting/publicfolder">Public Folder</a>, means it doesn't need any help storing stuff where it's public accessible. The hard part, I'm finding, is to figure out where I need to stop it from overwriting one of the head-level attributes. I wrote all this code, but it's so freaking complicated. Having cleared that up, I'm now ready to take another approach. I'll let you know how it goes. 
		- It's only me
			- I’ve been <a href="http://scripting.com/2023/02/16.html#a160316">searching</a> for this quote from John Lennon, and found it <a href="https://thecoleopterawithana.tumblr.com/post/182351610145/one-of-my-great-memories-of-john-is-from-when-we">via</a> Paul McCartney: “It’s only me.”  Here's the full quote.
				- One of my great memories of John is from when we were having some argument. I was disagreeing and we were calling each other names. We let it settle for a second and then he lowered his glasses and he said: “It’s only me.” And then he put his glasses back on again. To me, that was John. Those were the moments when I actually saw him without the facade, the armour, which I loved as well, like anyone else. It was a beautiful suit of armour. But it was wonderful when he let the visor down and you’d just see the John Lennon that he was frightened to reveal to the world. 
			- When you’ve lost your way in a long friendship, hopefully there’s an <i>only me</i> place you can get back to.
	- February 22
		- <a href="https://github.com/scripting/drummerSupport/issues/179">Drummer blogging is now restored</a> on the new system. Things had to move around, of course, because of HTTPS. And the addresses of the blogs have changed too. Sorry, but we did a big migration there, you can see the role identity plays in online work. We were depending on a private company that became <a href="https://www.google.com/search?q=elon+musk+on+the+twitter+api">wobbly</a>, so that's what caused the breakage. The foundations we build on on the 2023 web basically suck. Sorry I wish it weren't so.
		- Even if a <a href="https://www.yahoo.com/now/mtg-tells-sean-hannity-divorce-060637697.html">national divorce</a> were possible constitutionally, it would leave minorities in the new <a href="https://en.wikipedia.org/wiki/Confederate_States_of_America">Confederacy</a> subject to all the abuses of fascist dictatorships like slavery and genocide. The United States guarantees rights to all, not just white Christians.
		- I never ask personal friends to subscribe to my <a href="http://scripting.com/email/">nightly email</a>. I also never look to see who's subscribed. Not a guarantee I never will, but in practice, I don't want to know who's tuned in and who isn't. I don't ask personal friends to subscribe because they might choose not to, and that's not something I want to try to parse. Everyone's free to do as they want, and to not know what the choice was, unless the other party wants to make it known. Complicated? Yes, and still evolving. 
		- BTW, I've been meaning to ask if there's anyone from <a href="https://en.wikipedia.org/wiki/Automattic">Automattic</a> who is a regular reader? There's an interesting project being contemplated, and if you're in this loop you might be able to help. Contact me via email (on the <a href="http://scripting.com/?tab=about">About page</a>). 
		- Jean Metzinger
			- <a href="https://www.wikiart.org/en/jean-metzinger/les-baigneuses-1913">Les Baigneuses</a>, 1913.
	- February 21
		- The other day I <a href="http://scripting.com/2023/02/19.html#a154408">wrote</a> about the problems that will appear unexpectedly because of the new rules imposed by HTTPS now that "Drummer" is running as an HTTPS app. One of the problems -- it totally broke <a href="http://docserver.scripting.com/drummer/instantOutlines.opml">Instant Outlines</a>. If the user subscribes to an outline that's served under HTTP, the browser won't let us read it, because (I guess) they think we're loading code or private data. Neither is true. By definition the outline is public. There will be a workaround, we can call a server to read the file. I could be spending the time inventing new stuff, instead I'm mopping up after the EFF and Google. 
		- I chimed in on a <a href="https://mastodon.social/@davew/109902923171500510">Masto thread</a> about whether the standard is <a href="https://mastodon.social/@davew/109904059935718937">Mastodon</a> or ActivityPub. I was also asked for my advice which I <a href="https://mastodon.social/@davew/109903212060834214">freely gave</a>. 
		- How do you know?
			- I went through my midlife crisis in the 90s. Till then, my life was directed toward success. Something I wanted ever since I was a small child. I wanted to do something great and creative. Maybe invent something. I wanted my life to have meaning. I wanted to make a difference. And I wanted to be recognized for my accomplishments.
			- I arrived in the 90s with most of the boxes checked. Then I waited for the feeling of satisfaction. I waited for everyone whose approval I yearned for to approve of me. Nothing. Emptyness. All the approval felt conditional, hollow, not based on any understanding of who I am. 
			- So, did I approve of myself? No, not in any way. I was living a lie. Trying to design myself to fit into everyone else's idea of a worthwhile man. I wasn't listening to myself. I was letting other people define me. 
			- I still had another hill to climb, to learn how to listen to the internal chatter always going on inside me. All the voices, who were they and what did they want? Which were the powerful ones, and which were just nagging critics. 
			- I started writing publicly frequently, and then every day. I took risks, and told stories that didn't used to make it to journalism. I was offered a writing job at Wired. And I developed software to support this new activity, and in the process created something new, and this time wasn't aimed at fame and fortune, checking the boxes. It was simply something I wanted to have. Not saying the software I did before was just for checking boxes, that was never the case. Just that this was the first software I made that had nothing to do with checking the boxes. 
			- Another thing I did was start therapy in 1994. Eight years on the couch. Talking about myself. Being heard by someone whose job it was to listen. 
			- The first big discovery came a couple of years in. 
			- I was frustrated with something a relative did. I said "I know what he's doing right now." I was sure of it. 
			- The therapist asked: "How do you know?"
			- That stopped me. I said: "I don't know."
			- Then I asked: "Why didn't you ask that before?"
			- Therapist: "I've been asking all along, this is the first time you responded."
			- The big lesson was, as you dream your way through life, before you make a decision, check with your senses to see if the perception was right. 
			- Always ask yourself how you know what the other person is doing.  
			- PS: Here's a <a href="http://scripting.com/davenet/1997/05/07/Programmers.html">post</a> from 1997 that goes into much more detail on this idea. "I know this sounds geekish, but it pays to use the scientific method in relationships with other people." 
		- Edward Hopper
			- <a href="https://www.hallmarkartcollection.com/artwork/california-hills/">California Hills</a>, 1957.
	- February 20
		- I want to be AI'd
			- <b>The archive</b>
				- I’ve been writing on web 28+ years and all of it is archived in machine-readable form, no scraping needed.
				- I’m fascinated by the idea of a ChatGPT type app digesting all my writing so I can ask "myself" various questions.
				- Some writers are scared of having their archive turned into the learning material for an AI chatter, but not me. 
				- I'd love to be a guinea pig.  
				- If you need a license I will provide.
				- Let me know. 
			- <b>The idea</b>
				- The bot would appear to be me. 
				- So you'd say -- how old are you?
				- And it would answer -- 67.
				- What do you think of microsoft?
				- And then it would come up with the answer i would come up with.
	- February 19
		- If you're interested how the music of my generation (born 1955, Boomer) came about, I can't more highly recommend the two-part documentary <a href="https://www.metacritic.com/tv/laurel-canyon/season-1">Laurel Canyon</a>, currently streaming on <a href="https://www.amazon.com/Laurel-Canyon-Season-1/dp/B0882JGTTV">Amazon Prime</a>. I got real interested in the music of <a href="https://www.google.com/maps/place/Laurel+Canyon,+Los+Angeles,+CA+90046/@34.1173412,-118.3928177,14z/">Laurel Canyon</a> when I was exploring the story of CSNY and all the members individually after David Crosby died. I wish I had been part of a creative community like that. That was what I was dreaming of for my life back then, and it was right there and until now I didn't know it existed. Learning a lot about my own life these days, by studying what was going on around it. I don't think any of this could have happened without Wikipedia, YouTube and podcasting. It's amazing how well our media cover history now. This could be the golden age of history. Weird idea, I know. 
		- BTW, I've now been through switching two HTTP apps to HTTPS, and what they say about it being easy to retrofit is just marketing, ie nah, it's no more true than Node is single-threaded. In some cases, for a simple static website, it can be totally automatic. Check out <a href="https://caddyserver.com/docs/">Caddy</a>. It's a miracle, if you think HTTPS is a requirement. But if you're talking about an app like "Drummer" or "FeedLand", it's a pretty large undertaking, with cascading problems, and fraught with opportunities for breakage that could be hard to find (I'll let you know in a year or two, knock wood). Using HTTPS means you have to use it in everything the app comes in contact with. Google and EFF as bright as they are haven't anticipated every way of building software on the net. This was a lesson I had learned before. We thought converting <a href="https://www.nytimes.com/1983/05/17/science/personal-computers-software-first-idea-processor.html">ThinkTank</a> from the IBM PC and Apple II to the Mac would be easy. Ultimately we had to write a new product from scratch. The assumptions were different. But in that case <i>I</i> made the choice, not Google and the EFF. 
		- I need an outliner to manage my email drafts. In a perfect world I'd be able to plug one in. But we are very far from that. We were closer in the late 80s and early 90s. That was my goal then, to turn the apps of a GUI into toolkits for people who wrote scripts to connect them to create their own applications. Why should I have to write a whole word processor to have a new feature that no one else knows they need. If I could hook my emailer up to my outliner, I would get better use of the drafts I wrote. The ultimate goal is to do all my writing in my favorite writing app, and send <i>pointers</i> to the writing to the other apps, emailers, chat apps, CMSes, there would be only one original, and if I made a change to the original the updates would flow to all the places I sent pointers. Again we were much closer to this 30 years ago than we are now. But I think we have a chance to start fresh now with these goals. That's when you want to do this kind of integration for interop, at the beginning, before there are any apps. It's very hard to retrofit later, I can't say I've ever seen it work.  
	- February 18
		- Busy day today offline, see you with yummy updates tomorrow. ;-)
	- February 17
		- Basically the people who run the country don't care how many Americans are murdered by gun violence. Pretty sure a fair number of those sacrificed watch Fox News.
		- If you're using the <a href="https://drummer.land/">new Drummer</a> and you have files you want transferred from the old Drummer, see <a href="https://github.com/scripting/drummerSupport/issues/177">the instructions</a> for how to request.  
	- February 16
		- Yesterday I posted a <a href="https://twitter.com/davewiner/status/1625954031800619027">series of tweets</a> outlining where I want to go next. It's about reviving the blogger developer community, to give them the tools we didn't have in the 90s and 00s that are now very practical. And start to grow, slowly at first, the way blogging and podcasting grew, with a clear foundation of what a <a href="http://textcasting.org/">document</a> is, so <a href="http://scripting.com/2021/12/16/153331.html?title=myProductIsInterop">interop</a> is really simple and we're not so vulnerable to Silicon Valley adventures. To give programmers the means to easily deploy their apps with the minimum fuss, and for users to be able to take responsibility for keeping their own work safe. Then, having achieved this I will retire to Albania where I will throw pottery and sew afghans. 
		- I was looking for a simple list of ingredients for a nice pot roast and made the mistake of looking on Google first, and was bewildered by all the bullshit. Then I thought, <a href="http://scripting.com/images/2023/02/16/potroast.png">this is a job for ChatGPT</a>. All the business model bullshit prevents the web from being able to answer a simple question. ChatGPT filters out the bullshit and gets right to the point. What is so complicated about that. I don't see any <a href="http://scripting.com/images/2023/02/16/misinformation.png">misinformation</a>, btw. 
		- I heard from a troll that ChatGPT couldn't come up with a recipe for <a href="http://scripting.com/images/2023/02/16/latkes.png">nice potato latkes</a>. More bullshit. I would only add that you can use chicken fat in place of the vegetable oil if you want the full experience.
		- There's this great scene in <a href="https://en.wikipedia.org/wiki/The_Beatles:_Get_Back">Get Back</a>. McCartney and Lennon are disagreeing, it's getting personal, or heavy in some way. Lennon looks at McCartney, big pause, and says "It's just me." The founders of the Beatles. The biggest rock stars. The whole franchise. On the other hand, they were nobodies together. Now everyone thinks we're so important, but come on, it's just me. Funny thing is, when you're a nobody you're desperate to be somebody. And when you're the biggest somebody there is, you yearn to be a nobody again.  Nothing ironic about it, it's almost mathematical. BTW, if you find this clip on YouTube, I'd love to include it with this post. 
		- I got <a href="http://scripting.com/images/2023/02/16/whippedCreamCheese.png">whipped cream cheese</a> by mistake. I don't like it. 
	- February 15
		- I just redirected from <a href="http://drummer.scripting.com/">drummer.scripting.com</a> to <a href="https://drummer.land/">drummer.land</a>. So you can use Drummer once again. It's been down <a href="http://scripting.com/2023/02/04.html#a162658">since Feb 4</a>, while it was retooled for email-based identity and HTTPS. It all appears to work as well as it did when we previously did identity with Twitter. It has been a really <a href="http://scripting.com/2023/02/10/023900.html">stressful</a> couple of weeks, while working with developers on getting FeedLand open source release out, I had to also rip up Drummer and put in a new identity system. All the code was written but it still was an ugly transition, one you hope to never have to do. <a href="https://github.com/scripting/drummerSupport/issues/178">Report problems here</a>. Remember to give us steps to reproduce. If we don't understand what the problem it'll be hard to fix it.
		- <a href="https://twitter.com/davewiner/status/1625954031800619027">Thread</a>: I want a personal size lightly-federated chat system  for me and say 50 of my friends. Kind of like a Facebook group but not on Facebook obviously. 
		- When I was in college we had an honor system. They didn't watch us that carefully because we swore we wouldn't cheat. I took that pledge seriously. 
		- What I’d like to say to <a href="https://www.google.com/search?q=site%3Ascripting.com+kyrie+irving">Kyrie Irving</a>. I know you don’t come from the US so you might not know that here Blacks and Jews are equal, in theory. We’re all fighting for that to be recognized. Legally we have the same rights and deserve the same respect. That’s why your behavior was both bewildering and unacceptable, and why you feel you were chased out of NYC, which is an especially tolerant part of he US because it is a cultural melting pot. We all have to get along, and accept and even celebrate our differences. Your view of the world just doesn’t fit in here. Maybe they’ll like you better in Dallas, but I’d be surprised if they do.  
	- February 14
		- Drummer users, we're almost ready to switch over to the new Drummer. If you want your files moved to the new server, you have to register your Twitter address and email address a new utility app. Read the <a href="https://github.com/scripting/drummerSupport/issues/177">instructions</a> carefully. It takes less than a minute. All you need is access to the Twitter account you used for Drummer and to know what email address you want to use for your Drummer identity. 
		- What if friends treated their friends as nicely as they treat dogs. When you sensed they needed a little support, you'd look them in the eye and say "Who's the good girl?" Rub behind the ears and when they sit give them a treat. Inside of us, everyone, including you, is a little pup who just wants to know they're in the right place doing the right thing.  
		- I had an odd feeling last night watching the Knicks-Nets game last night. The revulsion was gone. These were two New York teams, roughly comparable, and there weren't any carpetbaggers or Nazis on the floor, at least none that I knew of. The weird feeling was pride. This is NY basketball. I like it. Both teams have a good foundation to build on, and lots of first round draft picks in the bank, so there's hope for more talent. But don't import people who already have their championship rings who expect us to root for them. We want a unique experience, suitable for our great city. I'm still a Knicks fan, but I could see myself rooting for the Nets. BTW, the <a href="https://www.si.com/nba/heat/miami-news/nba-top-performers-of-the-day-feb-13-jalen-brunson-has-big-game-to-lead-knicks-past-nets">Knicks won in a blowout</a>, that also contributed to the good vibe. :smile:
		- If I were giving advice to NBA team owners, don't sign players who were <a href="https://en.wikipedia.org/wiki/Kevin_Durant">stars</a> on <a href="https://en.wikipedia.org/wiki/Kyrie_Irving">championship</a> <a href="https://en.wikipedia.org/wiki/LeBron_James">teams</a>. No one wants to see a team win just because they bought famous players with no hunger, and no link to the hometown. I love where the Knicks and Nets are now. I think NY is the best basketball city in the NBA. 
		- It's Melotime!
			- It'd be cool if the Knicks or Nets bring <a href="https://en.wikipedia.org/wiki/Carmelo_Anthony">Melo</a> in for the rest of the season. For the fans! For history. Or just fun. 
			- Have the announcer say this when he scores... 
				- <i>Carrrrmmmmellllllllllo</i> <i>Anthony!</i>
			- If you have to, only put him in in <a href="https://en.wikipedia.org/wiki/Garbage_time">garbage time</a>. 
			- It's Melo! It's a good move. :boom:
			- Carmelo Anthony
	- February 13
		- It's kind of screwed up when fellow independent developers who have little or no investment in Twitter as a platform gloat over its apparent collapse. Imagine if you had built on Apple and they were screwing around with their developer platform and in the process making their developers spin their wheels, or maybe go out of business. I've been in that place, with Apple, a number of times. It would be really poor form for a Windows developer to gloat. I hope friends who have invested in other platforms remember the Golden Rule. Today we're moving as fast as we can and burning out, to get out of the way of Twitter's careening dumpster fire. Next year it could be your turn. :boom:
		- ChatGPT clearly has a place
			- This <a href="https://twitter.com/svpino/status/1624392828154712064">thread</a> is worth money. I've given <a href="https://www.google.com/search?q=site%3Ascripting.com+chatgpt">ChatGPT</a> programming jobs like the ones the author descibes, and it's saved me huge amounts of time. Last one was asking how to do something with the Twitter API. I could have spent fifteen minutes trying to find it in the docs, or on Stack Exchange, but I got the answer instead in a few seconds, and there was no bullshit, no preambles, just the answer to the question I asked. 
			- Another example. Last summer I had a medical problem, and the local clinic that I go to is having problems keeping people on staff. My normal primary care physician, who I loved, had just retired (in her 40s) so I had to see three different doctors, and they all guessed wrong about what was afflicting me. Finally I got a new doctor and after two visits and one visit to a specialist, we had it nailed down, I got treatment and it's getting better. That's a full year of dealing with a problem because no one doctor could focus on the problem long enough to see what the problem was. As an experiment I tried entering the symptoms  to  ChatGPT and it warned me I should see a doctor, but then proceeded to get the diagnosis correct. This is the kind of thing that will save lives, improve overall health, and help our awful health system in the US cope with the fact that doctors are retiring because they have burnout jobs. It might even help the doctors cope with that reality and maybe not burn out in the first place. 
			- The fact is that most of medicine is doing what ChatGPT does so well. Getting some data and then applying best practices. We all get the same treatment for the ailments we have and most of them are ordinary, <a href="https://en.wikipedia.org/wiki/Occam%27s_razor">Occam's Razor</a> maladies (ie it usually is what it looks like it is and it usually is what everyone else has). 
			- Journalists, who do most of the writing about news, immediately focus on how it might affect their careers, and imho educators zoom past the purpose of education, to create more better-educated people. As a kid, I had a party the day my parents bought us an encyclopedia. That meant we could settle arguments by getting facts. We could've gotten them before but that would've meant a trip to the library. Better tools make for better information. ChatGPT is a revolutionary tool. Kind of like <a href="https://en.wikipedia.org/wiki/AltaVista">Alta Vista</a> was when the web first came out. I'm sure people screamed that it would screw up something. People always say that about change, esp people who are invested in the way things are. 
			- Maybe there will be negative consequences of ChatGPT, but I'm sure we're not in a position to see what they are now, based on experience with similar changes. And maybe we'll look back on this moment twenty years from now, and not be able to imagine what life was like before we had this fantastic tool. 
		- Pablo Picasso
			- <a href="https://en.wikipedia.org/wiki/Science_and_Charity">Science and Charity</a>, 1897.
	- February 12
		- The best new thing about "FeedLand" is the feed list. You can scan from top to bottom and see who updated, and by clicking on the wedge next to feed, you can see the five most recent posts. It's a new kind of feed reader. You can see how it works by <a href="http://feedland.org/?username=davewiner">clicking this link</a>. That's my feed list. You can view anyone's list. For example here's <a href="http://feedland.org/?username=ScottHansonDE">Scott Hanson's list</a>. You want to see a list of who has lists? <a href="http://feedland.org/?userslist">No problem</a>. All this without logging in. Unprecedented, goes far beyond feed readers. It's a group feed management system. New ground. Soon you'll be able to run your own server. It's getting close. 
		- Sandro Boticelli
			- <a href="https://www.thehistoryofart.org/sandro-botticelli/portrait-of-a-young-man-with-red-cap-i/">Portrait of a young man with red cap</a>, 1477.
	- February 11
		- Sounds like <a href="http://scripting.com/images/2023/02/11/beatlesWasteOfTime.png">what</a> pundits say about <a href="https://chat.openai.com/chat">Chatgpt</a> in 2023.
		- I was pulling my hair out trying to figure out why <a href="https://caddyserver.com/">Caddy</a> wasn't working with Drummer's <a href="http://docserver.scripting.com/drummer/instantOutlines.opml">websocket</a> code. I was writing a post for the Caddy repo, asking for help, when I noticed it was working. I changed absolutely nothing. Didn't reboot anything, or change any configuration settings. So now we're much closer to being able to redirect to the new site and let the users start checking it out for real. 
		- One of the funny things about <a href="http://scripting.com/2023/02/10.html#a020506">XML</a> is that they pitched developers saying "Now you can create your own formats!" I'm sure they meant it, but once "RSS" was established, they tried to replace it with an incompatible format. Luckily, the <a href="https://www.w3.org/">W3C</a> wasn't as powerful as Apple or Google, and their format didn't replace "RSS". But, imho, when you push an open tech and someone takes you up on it, you should help, not fight them, ie if you really meant it.
	- February 10
		- <a href="https://james.cridland.net/">James Cridland</a> of <a href="https://podnews.net/">Podnews</a> created a <a href="https://tradesecrets.archive.podnews.net/index.xml">modern feed</a> with the podcasts from Trade Secrets, the show <a href="https://www.google.com/search?q=site%3Ascripting.com+%22adam+curry%22">Adam Curry</a> and I did in 2004-2005 during in the first wave of podcasting. I've loaded it <a href="http://feedland.org/?river=https%3A%2F%2Ftradesecrets.archive.podnews.net%2Findex.xml">into FeedLand</a>. And James loaded it into <a href="https://web.podfriend.com/podcast/trade-secrets4">Podfriend</a>. It's great to have this stuff resurrected in a form that people interested in the formation of podcasting, journalists and historians we hope, can learn from. Thanks James! I hope he does the same with my <a href="http://morningcoffeenotes.com/">Morning Coffee Notes</a> podcast, which precedes Trade Secrets, and documents developments in the summer of 2004. 
		- "RSS 2.0" which was <a href="http://reallysimple.org/twentyYearsAgo.opml">20 years old</a> last year salutes its parent, <a href="https://en.wikipedia.org/wiki/XML">XML</a>, <a href="https://mastodon.social/@timbray@hachyderm.io/109841605319160447">25 years old</a> today. A powerful family of open technologies for <a href="http://scripting.com/2021/12/16/153331.html?title=myProductIsInterop">interop</a>.
		- Miguel's <a href="http://scripting.com/images/2023/02/10/elonEpitaph.png">epitaph</a> for Elon Musk <a href="https://twitter.com/migueldeicaza/status/1624230575274962946">fits</a> in 280 characters. Good work. 
		- A stressful week
			- This has been an incredibly stressful week for me. It was supposed to be the week we launched testing of feedlandInstall, enough of a stretch on its own, but it also simultaneously became the week that Drummer had to be converted to a new identity system and HTTPS, all happening at the same time, thanks to the implosion of the API at Twitter. It's okay, it is what it is. I went into it with my eyes open, I knew there could be a day when we had to quickly get out of TwitterVille. :smile:
			- This added some extra chaos to the feedlandInstall process because the products share a package called <a href="https://www.npmjs.com/package/daveappserver">daveappserver</a>, and I had to make changes to how it works to get Drummer working, and there was a risk of FeedLand breakage as a result, and some breakage has occurred.
			- We will get there. A new Drummer without Twitter for identity and a new open source release of FeedLand's server so a thousand instances can bloom. Everyone will want to be part of a FeedLand workgroup the same way they are joining Mastodon instances. Communities of feed readers serving larger communities of news users. 
	- February 9
		- Today's song: <a href="https://www.youtube.com/watch?v=zBMGovfHccI">So Far Away</a>. 
		- <a href="https://en.wikipedia.org/wiki/Amazon_Alexa">Alexa</a> responds to things you say when you didn't say "Alexa," which contradicts everything Amazon says about privacy. If it doesn't listen, then how does it wake up exactly? BTW, Google does this too. Sometimes I'm recording a voicemail or a podcast using my iPhone and my Pixel 6 starts responding to what I am saying. It's funny, even cute, until you realize <i>it wasn't supposed to hear any of that. </i>
		- Coming back from deep in the innards of FeedLand and Drummer, where both are learning HTTPS. Under development, not yet ready for users. But here's something cute. If FeedLand supports HTTPS in all its functionality, it will end up demanding that people with feeds support HTTPS too, and will fail for those who don't. If we continue down this path, I will be doing Google's work, helping them take ownership of the web. Here's the deal. Suppose you're displaying an item from a feed that includes an image. Suppose that image is served from an HTTP website, but your reader is running HTTPS. You won't see the image. The browser will refuse to load it. This came up when Scott Hanson tried to look at an <a href="http://scripting.com/2023/02/08/022722.html">item</a> from Scripting News that contained a painting from René Magritte. Here's a <a href="http://scripting.com/images/2023/02/09/magritteInFeedLand.png">screen shot</a>. I'm trying to think of a way I could <i>not</i> give aid and comfort to the enemy. There might be a way. I don't want to betray the open web. I might be willing to do a lot of work so I don't force the owner of that site to support HTTPS (which I know he won't do because he is me). The old moral of the story -- give an inch, they'll take a mile.
		- I did a quick review of <a href="https://twitter.com/TwitterDev/status/1623467615539859456">Twitter's new API pricing</a>, I can't spend a lot of time on it given that I'm paddling as fast as I can to get a new Drummer online that doesn't depend on Twitter logins. But the first problem I see is that they think (apparently) that each dev has a single app. Which for me is far from the truth. <a href="http://scripting.com/2015/05/12/whyIMovedOffHeroku.html">Heroku</a> made the same mistake, they came up with what they felt was a fair price, assuming the developer made one big app. The problem is with a free product running for so many years, we made lots of really small apps. Why build something huge if the idea is small. The cost of staying with Heroku would have been totally diseconomic when full servers could run all my apps for $10 a month. Why should I pay Heroku $500 for the same thing, even though I had to do a lot of work to dig out of the hole. Now with Twitter, I think I'll just bow out, and let other people find out if this is workable or not. I'll leave my servers running, and if they stop working, we'll figure out what if anything to do then. None of the apps I've made that depend on Twitter are worth $100 a month to keep running. That's another story, because the Twitter ecosystem for cool utilities was practically non-existent. All that energy from now on clearly is going to Mastodon where there is no vendor who can turn the cart over, at least not yet (don't rule it out, it could happen).
		- Diego Rivera
			- <a href="https://portlandartmuseum.org/wp-content/uploads/2016/09/Rivera-ES.pdf">Frutos de la Escuela</a>, 1932.
	- February 8
		- Today's song: <a href="https://www.youtube.com/watch?v=pWMyLDia6R0">Country Girl</a>.
		- We started testing the <a href="https://github.com/scripting/drummerSupport/issues/175">new release</a> of Drummer earlier today. There are features that used to work in Drummer that won't work in the new version. I am shipping the first open source version of FeedLand at the same time, working on both -- and this is really precarious work. Drummer will work as an outliner. The scripting features will mostly work, the Twitter verbs obviously will <i>not</i> work. Your public files will be at different addresses. As I've said before I'm one person, doing the best I can. I expect people to be appreciative and supportive, friendly. Thanks in advance. :smile:
		- One of my favorite things on Twitter are the <a href="https://twitter.com/i/lists/1389951899424677888">art channels</a>. The curators post reproductions of famous works of art. And occasionally RT another art channel they feel is related to their artist, that their viewers would enjoy. It's a way to broaden the art you get to see. When they talk about how horrible Twitter is they leave out stuff like this. However, without use of the API these channels can't exist, and since each is a labor of love, it's unreasonable to expect them to pay for it. 
		- René Magritte
			- <a href="https://www.wikiart.org/en/rene-magritte/the-lovers-1928">The Lovers</a>, 1928.
	- February 7
		- This <a href="https://mastodon.social/@davew/109801318368928754">Mastodon post</a> is getting a lot of looks. 
		- I'm rewatching the HBO series <a href="https://en.wikipedia.org/wiki/Silicon_Valley_(TV_series)">Silicon Valley</a> and <a href="http://bingeworthy.io/tv/?id=https%3A%2F%2Fwww.metacritic.com%2Ftv%2Fsilicon-valley">loving</a> it as <a href="https://www.metacritic.com/tv/silicon-valley">much</a> the second time as I did the first. They really do capture the insanity of the place. I swear I'm in a bunch of the episodes, or it feels that way.
		- The new version of Drummer will be ready for testing soon, maybe even later today. If you want to help, please sign up by <a href="https://github.com/scripting/drummerSupport/issues/175">replying to this item</a>, or watch <a href="http://scripting.com/">my blog</a>. As they say -- <i>still diggin!</i>
		- Mr Michegas is outlining
			- Mr Michegas is the name of my test server. 
			- This outline is running in the new version of Drummer that:. 
				- Does identity with an email address.
				- Runs under the warm secure Google-blessed blanket of HTTPS, thanks to <a href="https://caddyserver.com/">Caddy</a>. (Very <a href="https://github.com/scotthansonde/DrummerNotes/blob/main/caddy.md">easy way</a> to do HTTPS esp if you use "PagePark".)
			- Finally I can use it to write an outline.
			- This is an ugly job. The very top level of every app is the dirtiest part.
			- But I have something working, and that's something to celebrate.
			- Something is working.
	- February 6
		- A question for <a href="https://www.google.com/search?q=site%3Ascripting.com+%22brent+simmons%22">Brent Simmons</a>. If you are off Twitter, where are we supposed to meet? What's our common ground? Serious question. Maybe it's <a href="https://mastodon.social/@brentsimmons@indieweb.social/109815316574037279">Mastodon</a> for <a href="https://mastodon.social/@davew/109818552360089269">now</a>. Is that the best we can do, feature-wise and from a UI and open formats and protocols standpoint, in 2023? We've been at this for almost 30 years. :boom:
		- Brent and I both come from UserLand where we had excellent collaborative tools. Far in advance of what we're using on Mastodon. I've been using the <a href="http://docserver.scripting.com/drummer/instantOutlines.opml">instant outlines</a> feature of Drummer lately to organize my work on this complicated corner-turn I have to do because (as Brent points out) Twitter has become unreliable. I'd rather take care of this now than put it off for much longer. I'm asking this question in a lot of places. Why have we let the web stagnate? Why be preoccupied with the machinations of Musk et al. Why don't we take advantage of the new freedom we have in light of their chaos to build new stuff! Taking features out of products seems like giving up to me, or perhaps it's lightening the load. We'll see I guess. 
		- I changed my Twitter bio, removing the phrase "I'm not trying to get rich or famous." I felt that was a bit holier-than-thou. And at times I most definitely am thinking about that. So it's a matter of <a href="http://scripting.com/davenet/2001/01/08/whatIsIntegrity.html#3">integrity</a>. My rule is when what you appear to be is different from what you are, you should change one or the other or both. Here's a <a href="http://scripting.com/images/2023/02/06/partITookOut.png">screen shot</a> that highlights the part I took out. I am still dedicated to fixing things that are broken, but there's no unawkward way to say that, so I removed it too for now. 
		- A quick story
			- A little story I probably have written before. 
			- I once made an exciting product called Frontier just for the Mac, and this turned out to be a mistake, because while I was making the product, Apple changed, and they eventually attacked and destroyed my investment, which was considerable, and also set us back a long way, all of us, imho.
			- I'm typing this on a Mac because right now this is the best computer for me to use. But what Apple did to us was terrible. 
			- This is life. You have to deal with it. 
	- February 5
		- Today's song: <a href="https://www.youtube.com/watch?v=6W5pq4bIzIw">Boombastic</a>. 
		- <a href="https://www.youtube.com/watch?v=Cf2Gec_2fMY">Juno's dad</a> on the kind of person who's worth sticking with. 
		- Making good progress converting "Drummer" to email-based identity. I had all the pieces written, but I wasn't sure at first how they fit together. This morning I started down a path and everything clicked into place. Like a ski boot into a binding. When the pieces fit together like this I call it "clean living" -- we didn't cut any corners when doing this for FeedLand, and the two products share a <a href="https://www.npmjs.com/package/daveappserver">foundation</a>, the bits were already there for Drummer. I hadn't worked on Drummer in almost a year. It took a while for the cobwebs to shake off. Nice to see you my old friend, who I've been using all this time. Anyway, I think we'll have a test version of this ready in a day or two. To deploy shortly after, with fingers crossed, praise <a href="https://en.wikipedia.org/wiki/Murphy%27s_law">Murphy</a>.  
		- Update: I have been able to log on to "Radio3", so I crossed out the first part of the next post. 
		- <s style="opacity: 0.9">Note to people who read the <a href="http://scripting.com/?tab=links">linkblog tab</a> on Scripting News and in the nightly email. "Radio3", the tool I use for linkblogging, relies on Twitter identity. Twitter is not allowing me to log in. I see that's happening for other users too, but I've also heard of users who are able to log on to Radio3 via Twitter. Obviously I'm going to have to fix that app too. Until that happens, the linkblog will not be updating. Can't be helped.</s> I'm not against Twitter btw, I see it as something that stretches back in time, and likely has some kind of future. It's struggling now, that's for sure. Maybe it'll come back together. I am most definitely <i>not</i> rooting against it, and it bothers me to see other people doing it. This isn't a sport, it's a world-level communication system that we use. While Mastodon has taken the Twitter idea for its own, it is not in any way a replacement for Twitter. In the past few days it's become painfully obvious how much we depend on it, and how it's negatively impacting my work when it's in trouble. I don't see any victory really for anyone in this other than people who get a charge from of other people's misery.
	- February 4
		- I had to turn off <a href="http://drummer.scripting.com/">drummer.scripting.com</a> while I work on the new version that uses email for identity and is accessed through HTTPS. It would take too much time to try to keep both versions running at the same time. So I have redirected it to a <a href="http://drummer.lucky.wtf/">temporary placeholder site</a>, and when the new site is ready, it will redirect to that site. We will then have to figure out how to have your data meet you on the other side. So this will happen in several steps, of which this is the first. And in doing this I will learn how to do it for other sites such as Radio3, BingeWorthy, etc. If you have questions, <a href="https://github.com/scripting/drummerSupport/issues/174">see this thread</a>. Please don't ask when will it be ready. This is still seat-of-the-pants unfortunately due to the randomness of the changes at Twitter. Also, your data is safe.
		- I was getting "invalid token" errors from "Radio3", from Twitter. I tried logging off and logging back on and am not being allowed to. I see in the log that other users are getting that error as well. It could be Twitter's system has failed, or they turned us off.
		- <a href="https://github.com/scripting/Scripting-News/issues/252#issuecomment-1416776869">Thread</a>: Twitter was sitting on an AWS-size opportunity. I tried to clue Jack into this, but he was always dreaming of really cool shit, and all we want is a simple package of services that work and have no patience for science experiments. Identity and storage that the user pays for and grants access to our apps. We'll do the creative stuff. Storage and identity has to be boring and reliable, and not subject to having the rug pulled out from us. It's something we need to build on, at the very lowest level of the stack.
		- BTW, yesterday's <a href="http://scripting.com/2023/02/03.html#a020601">problem</a> with my Android phone was solved quickly by a number of readers. Thank you all very much. It was right there in the <a href="http://scripting.com/images/2023/02/03/androidscreen.png?nodialog">screen shot</a>. Somehow <i>Do Not Disturb</i> mode got turned on. I never would have done that on purpose. This is a phone I use mainly for listening to podcasts and audiobooks and for 2-factor identity. Why does it turn off media? What kind of sense does that make. And from a UI standpoint, there should be some clue somewhere near the slider as to why that it's disabled. I tried to find the answer on Google and ChatGPT before broadcasting the question. Neither had any good advice about this. 
		- Speaking of audiobooks, Amazon's service, <a href="https://www.google.com/search?q=site%3Ascripting.com+audible.com">audible.com</a>, which I used to subscribe to, is a huge ripoff. You have to be an active member to listen to the books you bought. So you can't, if you have too many unread books, suspend the service so you can start to catch up. For the most part Amazon is pretty good at not keeping money it isn't entitled to. If something goes wrong and you jump through all the hoops, they give you your money back. They want a long-term relationship, it seems. But this policy of Audible's seems to be the exception. As if they don't give a shit what you think of them. How very un-Amazon. 
		- I'm not a 'coder'
			- this started out as a mastodon post in this <a href="https://mastodon.social/@billseipel@fosstodon.org/109807807318592852">thread</a> but i went way over the 500 char limit, so I just posted it here instead.
			- i develop whole products as does marco.
			- a funny thing happens when people think you do much less than what you actually do, they hire people to replace you.
			- that's what happened with adam curry and myself back in 2005. he had no idea what i do, he and his partner ron bloom thought they could save some stock and they thought i was being "difficult" (I guess) by not taking orders from bloom, so they hired a couple of programmers to replace me, and guess what happened. nothing. they wasted $100 million in vc money, and barked up the wrong tree. if they had worked with me they wouldn't have done that, but they would have had to listen to a mere coder. 
			- same thing happened when RSS became a VC thing, none of them wanted to work with me, so they hired "software engineers" and they created products that somehow weren't up to the opportunity. all the companies failed. none of the VCs had the vision or just common sense to bet on the only developer who had proven he knew what was actually going on. 
			- all my career people have been minimizing what we do with disastrous results. go back to my first silicon valley gig, with personal software in 1980. the ceo of the company told me to my face he could do a better job writing the software i was doing, but was too busy to do it. he was full of shit. you had to be really motivated in ways few "coders" are to get a 256K program to run in 48K. (which is what the app turned into when we ported it from the apple ii to the ibm pc) Not to mention invent a new freaking category of software. (To his credit the CEO did think of doing outliners before he met me, though his idea of an outliner didn't amount to much more than a start down the path.)
			- you can't make things better by giving into the bullshit money people and marketing people and people who took a few college classes in comp sci impose on our craft. 
	- February 3
		- The first big project I'm undertaking in the transition away from Twitter is "Drummer". In the new world, Drummer will manage identity for itself using email addresses, and thus it will use HTTPS. So the first step in the conversion is getting rid of all the hard-coded http URLs in the app. I'm sure they're not all gone yet, but the app does boot up without errors now both on a test server (which uses HTTPS), and the same code runs on the current Drummer site (which uses HTTP). You can help test it out by using Drummer with the JavaScript console open, and note any errors that have to do with HTTP and HTTPS and <a href="https://github.com/scripting/drummerSupport/issues/173">report them here</a>. 
		- This is a <a href="http://scripting.com/images/2023/02/03/androidscreen.png">screen shot</a> of the Sounds panel of my Android phone. Note that the Media slider is disabled. This means that while the speakers work, I can't listen to any podcasts, audiobooks or music. How do I get the slider to be re-enabled? I've already tried restarting the phone a few times. 
		- Starting to do small things for the corner-turn away from Twitter. We no longer have RT icons on items on the Scripting News website. And there no longer is a button in the upper left corner that lets you log on and off of Twitter. Watch this space for more updates, and I'm also adding notes to the <a href="https://github.com/scripting/Scripting-News/issues/252">thread</a> about changes people are making. 
		- When you build on corporate APIs you have to know there's a fair chance the owner will pull the rug out on you, as twitter is doing now. The only APIs you can trust are open APIs that aren’t owned by anyone -- like the web -- http, html, rss. You have to watch out because the bigco’s will try to own those too. Journos are oblivious. Can’t get their attention. To a large extent Google <i><a href="http://this.how/googleAndHttp/">already</a></i> owns the web. And they are throwing their weight around in much more consequential ways than twitter. But Google is invisble to the press. That will end some day.
		- So journalists, there’s nothing surprising about twitter screwing with their api. But we should be nailing Google for trying to steal the open web.
		- Do you have an app that runs on the twitter api? What is your plan for next week? I started a <a href="https://github.com/scripting/Scripting-News/issues/252">thread</a> on the Scripting repo to gather comments. Let's not use Twitter for this one. 😀
	- February 2
		- In 2001 downloading an MP3 song <a href="http://scripting.com/images/jerrySingsForMe.gif?nodialog">took 328 seconds</a>. 
		- Twitter pulling the plug
			- Over night Twitter <a href="https://twitter.com/TwitterDev/status/1621026986784337922">announced</a> that they're <a href="https://www.techmeme.com/230202/p4#a230202p4">cutting off free access</a> to their API, which we depend on in all my products. They made the announcement in a vague way and with just seven days notice. I think there's a good chance they'll realize that this is a shitty way to do it, and will take it back, on one hand, but on the other hand, let's get out of here now. This is not a good place to develop products. I hoped they would leave this part of their API alone, and I expected more notice, but it didn't turn out that way. It is what it is. 
			- A disclaimer, all of what I write here today is seat-of-pants. I don't know how this is going to turn out, but right now I want you, if you use my products, to prepare for a complete shutdown, just in case. 
			- In some cases, esp for products that were designed only to enhance Twitter, they will not come back. For example, <a href="http://thread.center/">thread.center</a>. It only works with Twitter, so when the API is gone, I will just shut it down.
			- The two products I care about most are "Drummer" and "FeedLand". I will do everything I can to transition them.
			- "Little Outliner" which I have left running even though Drummer is a better version of the same product, will not transition. 
			- Both Drummer and Little Outliner have commands to download all your outlines. You should do that <i>now. </i>There's no excuse for you losing any data, and I will not help get your data after Twitter shuts off the API. Take care of yourself. Download your stuff. Now.
			- For FeedLand there's nothing to worry about. All your data is public, so even if for some reason you cannot log onto FeedLand, you will still be able to get your data because you don't need to log in to get it. 
			- Follow "Scripting News" for more notes about the transition. 
			- Finally, I am just one person. I won't stand for people treating me like a corporation with a staff of people working on this. I am not more powerful than you are, so remember that when you ask for help. There will no tolerance of abuse. 
			- And if you have questions, <a href="https://github.com/scripting/Scripting-News/issues/251">here's a place</a> to ask. 
		- Better to have loved and lost
			-  Re my experience as a Twitter developer, now coming to an end.
		- Finding yourself
			- <i>I wrote <a href="https://www.facebook.com/dave.winer.12/posts/pfbid02ufUtegdQ5bby9fc1fxP5GFDWTw7x8kLAAPho4SrhsizdUJEKZqPoUuNYuHYvJb9Wl">this</a> eight years ago. </i>
			- I have a friend who's going thru a familiar struggle. I have some advice that's imho worth sharing.
			- Go some place natural. Alone. Where no one knows you or who you know. Subtract everything that defines you as a pundit or friend of the rich and famous. No gadgets.
			- Swim. Get massaged. Try being quiet. Talk about your childhood. Find yourself, the person you've been hiding from.
			- Just be another random person, one of seven billion, because that is the truth. That is who you are. Who I am. Who everyone is. When you really feel it a weight comes off. None of this shit matters.
	- February 1
		- Introducing <a href="http://scripting.com/2023/02/01/availableWhereEverYouGetYourPodcasts.m4a">the  shortest podcast ever</a>. 
		- I can now settle the age-old debate about what is and isn't a podcast. If at the end of your show, and in promos, you say "Available where ever you get your podcasts," then it's a podcast! If you don't say it, then it ain't a podcast! To illustrate, here's the <a href="http://scripting.com/2023/02/01/availableWhereEverYouGetYourPodcasts.m4a">shortest podcast ever</a>.
		- Is this the <a href="https://www.youtube.com/watch?v=c3XX_z5wZn0">best moment</a> in Goodfellas?
		- End of month archive. Here's the <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2023/01.opml">backup</a> for January 2023. 
		- <a href="https://mastodon.social/@elipariser/109789953895104783">Eli Pariser</a>: "First thoughts on Artifact, the new news reader from the Instagram guys. Right now it feels like a slick, maybe more personalized rewrite of Apple News. But not much serendipity—it’s all pretty narrowly tailored to what I indicated as my tastes, and I haven’t discovered much that’s surprising or interesting there."
		- <a href="https://artifact.news/">Artifact</a> is like a new version of OS/2 after the web and Mosaic already existed. Kind of beside the point. We've moved beyond that.
		- This week's <a href="https://500songs.com/podcast/episode-162-daydream-believer-by-the-monkees/">500 songs podcast</a> is about <a href="https://en.wikipedia.org/wiki/The_Monkees">the Monkees</a>. I was right in the middle of their demographic when the <a href="https://en.wikipedia.org/wiki/The_Monkees_(TV_series)">TV show</a> aired between 1966 and and 1968. I watched every episode. I had all their records. There was kind of a stink around them, perceivable even to an 11-year-old. People would say they weren't musicians, they weren't playing the instruments, and they were the kind of act only teenie boppers (like me!) could like. But Andrew Hickey in this episode dispels all that, explaining how they were a really important good musical group. They were friends will all the musicians of the day who we <i>do</i> respect. All but <a href="https://en.wikipedia.org/wiki/Micky_Dolenz">one</a> of the Monkees is gone now. They were nice people apparently. It gives me a warm feeling to know they were better than who the cynics said they were. 
		- Today's song: <a href="https://www.youtube.com/watch?v=9ZiHjmE-5BI">Joanne</a>. 
		- Slavery is who we are
			- We must teach all American kids of all races about slavery the same way German kids learn about the Holocaust. 
			- I regret that we didn't learn about slavery in public school in NYC when I was a child in the 60s. 
			- I only found out by reading books about slavery, which I did over the last few years after listening to the <a href="https://podcasts.apple.com/us/podcast/1619/id1476928106">1619 Project podcasts</a>, which were eye-opening.
			- The new underground railroad.
		- The Monkees
			- The Monkees.
