- February 2018
	- February 28
		- Drag and drop doesn't need a target. If you want an app to handle drag and drop, if it can do things other than edit files, just be willing to accept a drop anywhere in the window. When the user lets up, confirm that's what they intended to do. Prior art is Google's <a href="https://images.google.com/">image search</a> page.  
		- Re the NRA. <a href="https://www.npr.org/sections/thetwo-way/2018/02/28/589436112/dicks-sporting-goods-ends-sale-of-assault-style-rifles-citing-florida-shooting">Dick's Sporting Goods</a> is no longer selling assault rifles. And won't sell guns to people under 21. This is a huge deal. We need more like this. But -- trying to get <a href="https://www.mediaite.com/online/roku-keeps-nratv-despite-pressure-to-drop-channel-we-dont-censor-based-on-viewpoint/">Roku</a> to drop NRA TV, that's not only not useful, it's very very very bad. The <a href="https://en.wikipedia.org/wiki/First_Amendment_to_the_United_States_Constitution">First Amendment</a> is super important, as is <a href="https://en.wikipedia.org/wiki/Golden_Rule">The Golden Rule</a>. Speech is a good thing, even if you detest what they're saying. And discounts to NRA members? Please that's harmless. NRA members are not the problem. Go to the source. Picket gun stores until they follow DSG's lead. <i>That</i> will save lives. Measure success for now as stopping sales of new weapons of war. 
		- Google is famous for its AI and machine learning. With that in mind, how much trouble would it be for Google to determine that "Little Card Editor" never asks for a credit card number, and they can stop lying to users saying that it might.
		- Bottom line, things that are free are not safe. You have to use your mind at all times when using the web (or Gmail for that matter). Google can if they want make a browser that's like Disneyland. But to try to turn the open web into Disneyland, that's a travesty.
		- RSS is <a href="https://twitter.com/kaytejudge/status/968758312295596032">everywhere</a>.
		- Making a browser out of Electron
			- An email from friend <a href="http://www.wirfs-brock.com/allen/">Allen Wirfs-Brock</a>, one of the most interesting emails I've ever received. Seriously.  
				- Dave, I saw your tweet about building a browser by using <a href="https://electronjs.org/">Electron</a> hosting Chromium.  You know, that is exactly how Brendan Eich’s <a href="https://brave.com/">Brave</a> browser is implemented.  I highly recommend it as an alternative to Chrome.
				- Brave very much thinks of itself as an “user agent” and that the user is the ultimate authority on what the browser does.  For example, all of their ad blocking and tracking protection (they call these shields)  mechanisms are  easily user enabled or disabled globally or  on a per site basis.
				- I suspect it wouldn’t be hard to define “shields” that instead of simply marking http sites as “insecure”did an alert on first user input to http sites or have other various levels of protection. It’s the sort of user control that I think they would be on-board with once they fully understood the user perspective.  (On the other hand they are immersed  in the Bay Area's HTTPS-should-be-used-everywhere culture so they might not immediately get it.)
				- In either case, their most likely immediate response would be “it's open source, do the work and submit a pull request”.  That is easier said then done, but you might want to take a look at what it would actually take.
			- It's exciting to know that it's possible to build a useful browser with Electron. Thanks Allen! DW
	- February 27
		- Finally the corruption of tech has <a href="https://twitter.com/nickconfessore/status/968519915228553216">reached</a> a reporter at the NYT.
		- I wasn't <a href="http://scripting.com/images/2018/02/27/notSecure.jpg.crdownload">aware</a> that Google is already <a href="https://twitter.com/davewiner/status/968603897945313285">marking</a> my sites as "not secure." This really pisses me off. I worked so hard on these apps. Not for money just to make people happy.
		- I just want a web browser that does its job. Browse the web. That means HTTP. You can add other protocols. But if you don't access HTTP it isn't a web browser. 
		- What is a web browser?
			- Being a web browser is simple:
				- What you do: Browse.
				- What you browse: The web.
			- The web consists of a format and a protocol:
				- Format: HTML.
				- Protocol: HTTP.
			- Everything else is extra.
		- Problem with nodeStorage
			- Found a problem with <a href="https://github.com/scripting/nodeStorage">nodeStorage</a>. I'm using this space to work it out. 
			- Here's the problem. If you go to a <a href="http://doc.blog/2018/02/21/aMorningMusicalDigression.html">story</a> on Doc Searls' 1999.io blog, it adds the port the server is running on, 1999, to the URL and redirects to it. That's because nodeStorage is not running on port 80. That's a recent thing. I used to have it running on port 80, but I needed to use "pagePark" for other apps running on the machine, so I moved nodeStorage to port 1999. 
			- What's going on. nodeStorage is doing something cool. Actually the URL that's generated by the CMS is <a href="http://my.1999.io/users/dsearls/2018/02/22/oneMoreReasonNotToSweatTheRobotTakeover.html">this</a>. When the request comes in for that address, it notices that there's a mapping from doc.blog to that sub-site, and redirects to it. It's pretty invisible, and a bit clever. I can't imagine someone else debugging this in the future and not being puzzled by it. (Hence this long comment.)
			- The answer. nodeStorage needs a bit more configuration. A boolean, say <i>flUsePortInRedirect. </i>If you don't need us to add the port to the URL we redirect to, set this to false. To maintain backward compatibility, it defaults true.
			- Now I have to implement it! I haven't updated nodeStorage in six months. I kind of don't like doing it, let a sleeping dog lie, etc. But I'm in the mood today to fix things. So here goes. 
			- Update: It worked the first time. Now to update the repository. <a href="https://github.com/scripting/nodeStorage#v095---22718-by-dw">Done</a>. 
	- February 26
		- BigCo's out of the web's driver seat
			- I've been writing a lot about <a href="http://this.how/googleAndHttp/">Google</a> and <a href="http://scripting.com/2018/02/23/174914.html">HTTP</a>, but getting them to ease up on the web is not the only option. We could change how we view Chrome and Firefox. Instead of thinking of them as web browsers, think of them as browsing a new thing that's a descendant of the web, a fork of the web but not the whole web.<i> </i>Which creates a need for web browsers, i.e. ones that include parts of the pre-2018 web that Google is deprecating. If they don't budge, and my guess is they won't, this will be our only recourse. But it may not be that bad.
			- Just putting that out there. I'm not going to create this web browser, at least not yet. I have an idea that it could be created using <a href="https://electronjs.org/">Electron</a>. Not sure. Ironic that the browser inside Electron is (drum roll) Chrome. What made me think of this was a documentary on Olympic snowboarding and how the racers sometimes improvise even if it means losing the competition. They interviewed leading snowboarders, and they emphatically said these are the values of the sport. I loved the way they talked about it and it struck a chord. Imho they are also the values of  web developers. 
			- So perhaps we are called on to improvise. It could be the best thing ever. The web might have more than one life. We don't know. But getting the BigCo's out of the <a href="https://www.youtube.com/watch?v=M30XXrrK3lY">driver's seat</a>, that alone would be worth trying out just to see what it feels like. It might be like 1995? :boom:
			- Another analogy. There's a concept of a pre-CBS Fender guitar. Back in the day, guitarists wanted the old <a href="https://en.wikipedia.org/wiki/Fender_Telecaster">Telecasters</a> and <a href="https://en.wikipedia.org/wiki/Fender_Stratocaster">Stratocasters</a>, not the new ones, made by Fender after they were <a href="https://reverb.com/news/fender-and-the-cbs-takeover">acquired</a> by CBS. In this analogy, you and I are guitarists, the web is <a href="https://twitter.com/xecretcode/status/968229861633470466">Fender</a>, and CBS is Google.
			- <b>More ideas...</b>
			- I'd like to tackle other problems having to do with the integrity of the web. If the issue is assuring that what you're looking at is the original content, I think there must be a less heavy-handed solution than replacing the web server. Why not store a checksum in some place you can only get to if you're authentic (use your Twitter or Facebook account, for example). Then the browser gets the checksum and compares it with the checksum it computed. Of course the location that stores the checksum is accessed over HTTPS. Goodbye man-in-the-middle attacks. (Obviously I haven't vetted this, I'm not by any means a security expert.)
			- Another idea I'd like to try is a new concept I call <i>retired domains.</i> I don't think it should be possible to buy gawker.com, for example, and put whatever you like there. Just as sports teams retire numbers, I'd like to make it possible to retire domains. Maybe you have to pay a comparatively large amount of money to retire a domain, say $10K. But at that point the content of the site is downloaded, stored on a hardened server, and the domain is automatically renewed every year, for perpetuity. Go ahead and make it work over HTTPS. I think this is technologically and financially doable. I would definitely pay $10K to freeze certain domains. I'd sign an agreement that survives me. 
			- I'm sure there are other things. Maybe the web will become an entrepreneurial space now that Chrome and Firefox are effectively withdrawing from it.
		- Eve Winer pic
			- Going through photos from Mom's house. There are lots. This picture struck me. She's probably in her 40s. Looks like she's in a school, on an important call, and someone took this candid unposed picture. My friends always said she was the prettiest mom. She was also smart, and worked tirelessly for kids. 
			- <img src="http://scripting.com/images/2018/02/26/eve.png">
	- February 25
		- Lots more work on the <a href="http://this.how/googleAndHttp/">Google and HTTP</a> faq.
	- February 24
		- Yesterday's rambling piece about Google and HTTP was good to write, but hard to understand. I'm working on a <a href="http://this.how/googleAndHttp/">FAQ page</a>, focusing on the reasons what they're doing is bad that have nothing to do with my specific situation. It's very much a work in progress.
		- BTW, we've been here before with Google, when they <a href="http://scripting.com/2014/06/27/thePressureOnBlogging.html">didn't fully support RSS</a> in Reader. Dominant product, removes features from important public format. I hope people notice this time, it's much bigger, removing HTTP from the web, maybe people won't. I'm okay with them knocking my sites off the web. It'll happen sooner or later anyway.
		- I updated my CV for a consulting job. Of course I put it <a href="http://this.how/davewiner/">on the web</a>.
	- February 23
		- Good morning sports fans!
		- HTTP still under attack
			- Lots of incoming challenges on Twitter from people who think all my sites should be converted from HTTP to HTTPS. 
			- They make three main points: 
				- Google is going to warn people about my site being "not secure." 
				- Something bad could happen to my pages in transit from a HTTP server to the user's web browser. 
				- It's not hard to convert and it doesn't cost a lot.
			- I think that covers it. I list them here to prove I've been listening and understand what they say, so hopefully someone doesn't try to explain it to me yet again.
			- The second reason, something bad could happen -- well lots of bad things could happen. I can't afford to protect against all of them. I wonder if they ever think about the human being who is supposed to do the work? We have lives, and priorities, we must make choices about how we spend time. Maybe our websites aren't our number one priority? Even if they were, I would much rather develop new stuff than invest in protecting archives of blogs and old docs against hypothetical problems. 
			- Nothing is going to happen to the pages themselves, btw -- they're worried about how people view the docs through their browser. If the web becomes so polluted with man-in-the-middle attacks, I can think of quicker workarounds. For example, I could send the reader a zipped archive of a website. That would be an easy place to add encryption. No need to transition all my sites. And if the problems never materialize, a possibility even Google must admit, we could make a new kind of web browser, that's another option. One which unlike Google's, will let you browse the full web, not just Google's limited idea of what the web is. I think this represents a good opportunity to get Google out of the way. If we get there it will be worth a try.
			- Re the third point, it's quick and easy -- it wouldn't be for me. I <a href="http://scripting.com/2017/11/08.html#a095905">experimented</a> for a few years with the idea that a domain could be the address of a document, or a shortened link. I have hundreds of such domains. 
			- One more thing before I get to the point. Some of the people Google thinks are going to convert to HTTP have moved on. There's no one there to do the thing Google wants them to do. What then?
			- <b>Why we must say no to Google</b>
			- The first reason, <a href="http://scripting.com/2018/02/23/174914.html#a174938">above</a>, is the most important one, by far. And the lack of thought and care on the part of Google illustrates exactly why it's so incredibly important.
			- The numbers they present are misleading, they talk about web traffic, not web sites. If you add up Amazon, Netflix, Wikipedia, Google, Wordpress, Facebook and a dozen more sites, I bet that's 99 percent of the traffic of the web. But that does not represent the size of the problem. Some sites get almost no traffic, yet the information they contain could be valuable to someone in the future. Does Google cite the wrong stat because they don't know how much of the web's content is served through HTTP? Or, more likely, they know and therefore understand how what they're trying to do, if they don't plan to leave anything behind, amounts to boiling the ocean. I don't see an alternative explanation.
			- Before the web, I spent a decade working on three corporate-owned platforms, the Apple II, IBM PC and Macintosh. I would say all companies tried reasonably hard to bring developers forward, most of the time, and for the most part I was able to make the transition. But, in all cases, I had a company behind me. Today I'm just one person. And in no case had I spent more than three years doing the work that required transitioning, so the job was relatively small by today's standards. Even so, given the short time, and the generally good intentions of the vendors, by the time we got to the Mac, they were already using breakage as a weapon against developers they didn't like, or who were occupying market segments they wanted to own. 
			- Before the web, I couldn't see a way to be an independent developer, as long as there was a platform vendor who ultimately would decide whether or not I would be allowed to continue. But the web changed all that. And it's why I can point to an <a href="http://scripting.com/autowebdocs/autoweb10docs_119.html">archive site</a> for a tool I created <i>in 1994</i> that still works. That's 24 years of compatibility. That's some kind of record in the tech world. 
			- BTW, it's not <i>my</i> accomplishment, all I had to do was assure that the files stayed where they were. The accomplishment is the social agreement not to break things that we call the World Wide Web. It's like the Grand Canyon. It's a big natural thing, a resource, an inspiration, and like the canyon it deserves our protection. 
			- So now Google points a gun at the web and says "Do as we say or we'll tell users your site is not secure." What they're saying doesn't stand up to a basic bullshit-test. There's nothing insecure about my site. Okay I suppose it's <i>possible</i> you could get hurt using it, I'll grant you that. But I could get hurt getting up out of my chair and going into the kitchen to refill my coffee cup. Life is insecure. When Google says my old site is insecure what they really mean is "This is our platform now, and you do as we say or your site won't work." I don't believe for a minute that Google's motivation is protecting users. They seem to believe they can confuse users (they can) and that means they can do anything to the web they like. I suppose they can do that too. But it doesn't mean the web will cooperate. Imho, it won't.
			- There was an old joke in the days of MS-DOS. A new version doesn't ship until Lotus 1-2-3 doesn't run. Probably wasn't true, but it did illustrate the extraordinary power Microsoft had over its then-chief competitor. This is the power Google thinks it has now over the web. 
			- I'm not going back to corporate platforms. And I have to admit, I <i>like</i> this kind of fight. All my career I've had my sandcastles knocked over by small people at big companies who envy me for my freedom. The web got them out of the way. And I'm determined to keep it that way, or I'll just let them knock my sites off the air. 
			- I saw <a href="https://en.wikipedia.org/wiki/Darkest_Hour_(film)">Darkest Hour</a> the other day. If you've seen it, you understand <a href="https://youtu.be/GRU9tUpPrfc?t=2m04s">what</a> I'm talking about. Even if I could convert the hundreds of domains I have on platforms that don't easily support HTTPS, even if it were just a matter of time, cost, volume of work, even if it were easy and quick as they say, <i>I still wouldn't do it. </i>I love the web. It gave me another 24 years as an independent software developer. What a gift. I'm not going to abandon it now. If this is where my 24-year run ends, so be it. There's no negotiating about this. Some things are absolute.
	- February 21
		- <a href="https://twitter.com/DuckDuckGo/status/966507815698284544">DuckDuckGo</a> does not discriminate against HTTP.
		- <a href="https://twitter.com/davewiner/status/966517403168399360">When</a> big companies try to force you to change your web site, say no. The web does not belong to them. Defend the web. The answer to Google is no.
		- Where do the kids get their <a href="https://twitter.com/davewiner/status/966505542154731522">clarity</a>? You see this happen in jury duty. But this so much more intense to have not just adjudicated a heinous crime, to have been a witness, but not just a witness, to have been a survivor, and not just that, they're grieving friends who didn't survive. 
		- PS: Wait till these kids take on climate change.
	- February 20
		- I don't drive often. Today I was driving in the Bay Area, noticed when near a school, the speed limit goes down to 25. Speed bumps. Lights flash if you're going too fast. We protect children from licensed drivers. I don't feel my liberties have been infringed. Common sense.
		- People act as if "liberty" is an absolute. It isn't. We're prohibited from behavior that unnecessarily risks other people's well-being. Gun users know this. The gun industry spreads lies.
		- I am pleased to report that Berkeley has not changed. A baseball discussion at Starbucks  reveals that I hate the Yankees. I am wearing a Mets hat of course. A patron says Ah ah don't hate. <i>How Berkeley. </i>Baseball is about strong opinion. We hate the Yankees, I say. He says I guess you're right, we hate the Red Sox, right? I say no. Mets fans <i>like</i> the Red Sox. All you have to do is smile. Since <a href="https://www.youtube.com/watch?v=Vv7LwhLKlCY">then</a>, and for the foreseeable future, the Mets really like the Red Sox. 
		- We did something bad in TechLand. We knew all about trolls 15 years ago. And we didn't carry forward that knowledge in subsequent generations of our systems. It's as if smallpox were allowed to return because a new generation of biologists didn't study the work of prior generations.
		- I'm visiting California, and it's good to be back. But it's freaking cold. Can't you guys turn on the heat or something??
	- February 18
		- America's greatness
			- I was riding the Long Island Railroad into Manhattan on Friday night listening to a quick podcast from NPR about the indictments announced earlier in the day, and I had a goosebumps feeling. It was easy to figure where it came from. Finally someone in charge in my country was fighting back against the Russians. The president wouldn't do it, the Republican-dominated Congress wouldn't. So a Republican Deputy Attorney General did. What Russia did was an act of war. We have their names. Now the government of the United States is going to fight back. I was proud of America in a way I had thought was gone. A few hours later Rachel Maddow described the same feeling. She was on her way out of town for the weekend, but turned around because she had something to say. Pride in America is what she wanted to say. Me too! 
			- It happened again yesterday, watching the <a href="https://twitter.com/CBSNews/status/964984929263243264">speeches</a> of the high school students in Florida declaring war on the weapons that had killed their classmates and teachers earlier in the week. Such power and determination. They weren't saving anyone's pride. The adults are full of shit. We're not going to take it. We will be famous, not a footnote. This will be the last mass-killing in a school in the United States. Well it may not be, but what an idea. We <i>can</i> get there. Eventually there will be a last mass-killing, but first we have to get rid of the NRA. They are an infestation. Vermin. A disease. They must be eradicated. 
			- We don't deserve <a href="https://twitter.com/axios/status/965262175433641985">these kids</a>, but there they are anyway. The spirit of the USA is alive, though some of them had to die. This is where our greatness lives. Not too far under the surface. When enough is enough, out it comes.
			- So twice in one weekend the enraged spirit of America re-emerged and is kicking ass, from suprising places. Surprisingly, it ain't over yet! :boom:
	- February 17
		- In 1992, my company, UserLand Software, shipped Frontier, a scripting environment and object database for the Mac. I came across a Frontier box the other day and took a picture of the front and back of the box, and <a href="http://scripting.com/2018/02/17/frontierBox.pdf">saved it as a PDF</a>. Hopefully we'll be able to find it in search engines in the future. 
		- This <a href="http://scripting.com/stories/2009/10/21/bruceSterlingAtReboot.html">talk</a> by Bruce Sterling at the Reboot conference in 2009 has new relevance for me, given the <a href="http://scripting.com/2018/02/11/152545.html">big event</a> at the beginning of the month. All of a sudden change seems very possible, as Sterling's theory predicts. It's remarkable to me how fixed-in-place you get until a <a href="http://scripting.com/davenet/1995/08/14/eatdrinkandbejerry.html">big tree falls</a>, and now there's new light shining on new life. Not surprising that I wrote that <a href="http://scripting.com/stories/2009/10/21/bruceSterlingAtReboot.html">blog post</a> a couple of weeks after <a href="http://scripting.com/stories/2009/10/03/fathersDay.html">Father's Day</a> in 2009. And it's pretty cool that my mind took me back to it at this moment, the bookend for Father's Day (which for some reason I'm not calling Mother's Day, probably because that doesn't do it justice, no matter how influential fathers are, mothers are where we came from).
		- A little free mentoring
			- Check out this <a href="https://work.qz.com/1209389/facebook-coo-sheryl-sandberg-and-her-lean-in-nonprofit-wants-men-to-mentor-more-women/">piece</a> in Quartz, which is ostensibly about encouraging men to mentor women, even though we might be afraid to be alone with women. Like many stories about #metoo, it's condescending, threatening, disrespectful even humiliating to men. 
			- This is one reason men are scared to be alone with women. I feel it, when I'm alone in an elevator with a woman I don't know. I move as far away as I can, and shrink my body to be as small as possible. I'm wary of making smalltalk with women I don't know. I have no idea how they'll interpret it. Or when I called the front desk of the hotel to ask for help with the TV and a woman shows up. You're trusting this person with your reputation, every time. Yes I know, you <i>want</i> me to experience it. You got it, I'm experiencing it. But the taunting? Taking about me masturbating and locking women in my office? That is exactly the problem. We're afraid you're giving every wrong deed done by all men to each of us, no matter how we, as individuals, actually relate to women. That's why it feels safer to follow <a href="https://duckduckgo.com/?q=Mike+Pence+rule&t=hg&ia=web">Mike Pence's rule</a>. 
			- Humiliating us isn't going to make us more comfortable, and as long as we have a choice, many will choose to stay safe. I get how this is unfair to women, so let's work together to lower the tension and to make a safe environment for everyone. A win-win doesn't begin by deliberately disadvantaging one group of people. 
			- So here's some free mentoring. The Golden Rule is a good place to start. You catch more flies with honey, is another good one. And a new one that might not have occurred to you -- men are people too, and we're not all that different from you.  Treat us like people you care about and you might be surprised at the result. 
	- February 15
		- I'm going through stuff from my mom's house. For example, here's an <a href="http://scripting.com/images/2018/02/15/eveLeonWeddingInvitation.png">invitation</a> to my parents' wedding on Christmas Day 1953 at the <a href="https://en.wikipedia.org/wiki/Park_Lane_Hotel_(Manhattan)">Park Lane Hotel</a> in NYC. Interestingly it's not far from where I live today. Of course I wasn't even a twinkle in my father's eye at the time (I was born in 1955). By posting it here I hope to be able to find it in the future. BTW, my grandfather's name is listed on the invite as "Rubin" but no one called him that. He was Rudy and was the superstar celebrity of the family. My grandmother, Lucy, was the real power. I bought a domain to commemorate him, appropriately named <a href="http://rudykiesler.com/">rudykiesler.com</a>. 
		- BTW, I think of it as "my mom's house" but in fact it's the house I grew up in. Weird how perceptions change. Until 2009 it was "my parents' house" and until 1976 it was "my house."
		- A <a href="http://scripting.com/images/2018/02/15/thinkTankAd1985.png">ThinkTank ad</a> that ran full page in PC Week some time in 1985. There's no date on the ad, or on the article on the other side of the page. The ad looks a lot better than the scan. And the fine print didn't make it on the scan, so I did another <a href="http://scripting.com/images/2018/02/15/fineprint.png">scan</a> with just that info. My signature, in 1985, had a lot of detail that's since been lost. Back then I did a lot more writing, so my handwriting was more important than it is now, where all my writing is done on a keyboard, and has been for decades. Also years of being a CEO and having to sign stacks of things did a number on my signature too. 
		- Stop. It's not about specific gun laws. The problem is the NRA. Make it unacceptable for a politician to take money from the NRA. Then, and only then, can the political discussion of mass-killing guns start to become rational. 
		- BYTE piece on laptops
			- In 1984, I wrote an <a href="http://scripting.com/2018/02/15/winerByteArticle.pdf">article</a> for BYTE about "laptop" computers, and the software you'd want to use on such a machine. Note that laptops didn't exist yet, but they were about to, and btw, I knew. I was non-disclosed and had a prototype of the <a href="https://en.wikipedia.org/wiki/Data_General-One">Data General One</a> which was more or less the first.  
			- I got credit in William Safire's NYT column for coining the term laptop, even though I didn't. It was already in use at the time. Friends said I shouldn't have been so honest, Safire's column on language was authoritative. But wtf, I have a hard time taking credit for other people's innovation. Go figure. 
			- Also here's a <a href="http://scripting.com/images/2018/02/15/byteCoverJanuary1984.png">scan of the cover</a> of the magazine.
			- Update: They have a scan of the whole issue on archive.org, in <a href="https://ia800609.us.archive.org/10/items/byte-magazine-1984-01/BYTE-1984-01.pdf">PDF format</a>. 
	- February 14
		- I'm not sure I ever knew this but the Library of Congress <a href="https://www.loc.gov/item/9fa93f49d64971da6d5740044d6b500a/">archived</a> a bunch of blogs that covered 9/11, including "Scripting News".    
		- I'm coming around to the idea of publishing certain ideas and news only, exclusively on my blog. If you don't read the blog you don't get the benefit. That might be a good way to help the open web. It certainly is consistent with "living my values."
		- Meanwhile here's <a href="https://twitter.com/davewiner/status/963804047085105158">another thread</a> I just posted on Twitter. Again, I apologize. I need to do this stuff here. Something about Twitter keeps sucking me in.  
	- February 13
		- I sat next to someone on the subway today who was reading a paper NY Times. I glanced over it and couldn't stop reading. The smell of the paper evoked memories. A nostalgic experience.
		- We should have a list of the features Chrome is deleting from the web. Kind of like the list @Amy_Siskind keeps for the norms Trump is destroying.
		- It's not good enough to invent something great and have it be adopted in the culture. You have to conserve it against a big company squeezing the life out of it for a few quarters of PE growth.
		- Steve Kerr's breakthrough idea
			- I wrote off the Warriors, too boring, what are they going to do, win <i>another</i> title? Seen that show. But Steve Kerr <a href="https://www.inc.com/justin-bariso/golden-state-warriors-coach-steve-kerr-unorthodox-move-brilliant-lesson-leadership-emotional-intelligence.html">found a way</a> to turn in a different direction, and it is brilliant, and makes me want to watch the Warriors again. Remarkable.
			- It's the same theory I have for conferences. When I tried out what Kerr is doing the result was "BloggerCon". It was amazing what happens when you turn the audience into speakers. But it only works with certain people. When they imported me into a conference in Nashville to do a session, it blew up. A bunch of Limbaughs showed up. Eventually I sat down and let the room go crazy. 
			- You need a strong respected central guy like Kerr to make it work. So it probably won't work for teams like the Pelicans or Kings, for example, and certainly not the Knicks! :boom:
			- And you need players like Andre Iguodala and David West and Draymond Green and on and on. Look at the intellectual talent they have. Unparalleled. And their minds will just get better as their bodies age.
			- They're really onto something.
		- Thread links
			- I got on a roll this morning on Twitter. Sorry. I should put all my best thinking on the blog. In the meantime here are links to the threads with summaries. 
			- About the art of <a href="https://twitter.com/davewiner/status/963422924605706241">linking</a> and how we're letting it go. It's not good enough to invent something, and drive adoption, you have to conserve it against monetization by private companies. 
				- Sidebar: <a href="http://bloggercon.scripting.com/ruleoflinks.html">The Rule of Links</a> from BloggerCon.
			- Steven Sinofski wrote a <a href="https://twitter.com/stevesi/status/963142502604779520">thread</a> about Apple, and the realities of supersize tech companies. He has experience as product lead at Microsoft through the 90s. I <a href="https://twitter.com/davewiner/status/963421412735225862">observed</a> that it might be nice if a leading web pub, with permission of course, adapted such threads to a more readable format, and added links. 
			- <a href="https://twitter.com/davewiner/status/963423711721291776">Also</a> while Steven was leading Microsoft, the web was booming and they were cross-purposes. MS denied it then, but they lost an antitrust case about it, so I think we know they were. Thing is we need both open and proprietary, or we'd all still be using Unix command lines (I do, but wouldn't want to force it on anyone). We also need rules to keep the behemoths from trying to ingest the commons.
	- February 12
		- The point of an open platform is to have choice. You believe in one way forward, I believe in another. We can both use the same web. Along comes Google and slashes it down the middle like a Berlin Wall. All of a sudden only they matter.
		- Back in the day (a phrase I seem to write a lot) I would encourage people to send real mail to their politicians instead of email, because email requires no effort, therefore doesn't carry much weight. These days that's the difference between posting something on Twitter or Facebook, or your blog. If you put it on your blog, you know fewer people will likely see it, but they are people who care enough that they either came to your site or subscribed to it in a feed reader. It's why I didn't post the <a href="http://scripting.com/2018/02/11/152545.html">piece</a> about my mom on Facebook, or link to it from Twitter. I don't want to mass-communicate something like that, I want to share it with people to want to know. 
		- Beating hearts
			- <i>I wrote this <a href="https://www.facebook.com/dave.winer.12/posts/206873102853436">on this day</a> in 2014 on Facebook. </i>
			- There's a chain of beating hearts connecting back in time from you to a fish that crawled onto land, one of your many ancestors (assuming you believe in evolution, I guess).
			- Actually, even if you don't believe. :-)
			- Except for you, maybe, they were all women.
	- February 11
		- Good morning sports fans!
		- Must-watch <a href="https://www.youtube.com/watch?v=Vo4whfUDPcU">video</a> with George Lakoff on Republican framing. 
		- I'm glad Isaiah Thomas is on <a href="https://www.si.com/nba/2018/02/11/isaiah-thomas-lakers-debut-cavaliers-trade-powers-back">the Lakers</a> and no longer with the Cavs. For him where's the upside. With Kyrie Irving as the point guard the Cavs made it to the <a href="https://en.wikipedia.org/wiki/NBA_Finals#2015%E2%80%93present:_Cavaliers%E2%80%93Warriors_rivalry">finals</a> three times and won one title. So if Thomas gets the Cavs to the finals, so what. Where's the upside. With the Celtics, they had a goal. Rise to new glory. A newly reborn franchise. A worthy cause. Now he's on a reboot, where he belongs, with tons of upside and a chance to shine as a team leader instead of LeBron's sidekick. Everyone who plays alongside LeBron will have the same problem. Makes you wonder what LeBron's next move will be after this season with Cleveland, win or lose.
		- Added a small feature to my CMS. Now story pages like <a href="http://scripting.com/2018/02/09/131842.html">this one</a>, have the publication date and time at the top of the page, just above the title. <a href="http://scripting.com/images/2018/02/11/storyPageTime.png">Screen shot</a>. It's one of my pet peeves, that it's hard to tell when a story was published. The info was on my story pages, but it was in the footer, and it was the last time the page was built. Not good enough. Now you can tell when a story was written, and it's up front where it belongs. 
		- A personal note
			- Something happened -- my <a href="http://www.legacy.com/obituaries/nytimes/obituary.aspx?page=lifestory&pid=188139452">mom</a> died on Monday.
			- I wish I never had to write those words. 
			- I wish I didn't have to click<i> Publish.</i>
			- To personal friends who are just finding out about this now, apologies. I got in touch with a few people personally in a very scattered way, this week. Her death was unexpected, a shock, but in a way not unexpected. She was 85, her health was in decline. She wanted to be in control of her death, and in the end she was. It didn't happen exactly the way she wanted, she died in a hospital, but it was quick, decisive, she didn't linger in decline. This was very important to her. 
			- My <a href="http://scripting.com/images/2018/02/11/eveWinerFullSize.png">mom</a> read this blog, probably every word, and I was always aware of it, so I stayed away from taboo subjects in my family. Now that my parents and uncles and grandparents are gone, it may free me up a bit. How will I use that freedom? Maybe not at all. But I can become a broader kind of writer. There <i>are</i> stories to tell! :heart:
			- I loved my <a href="http://scripting.com/images/2018/02/11/eveWinerFullSize.png">mom</a>, deeply. I'm finding that out now in new ways. We are very much the same kind of person, and we clashed often. She was a Mets fan too (of course). We came up with the idea of <i>Shea Stadium Rules,</i> to remind us that we were mostly on the same side, at least for what was important. 
			- I got my <a href="https://en.wikipedia.org/wiki/Righteous_indignation">righteous indignation</a> from her. You never wondered what her opinion was. My mom was a <a href="http://scripting.com/stories/2009/11/24/naturalbornBlogger.html">natural born blogger</a>. Before there were blogs she wrote Letters to the Editor of the New York Times.
			- She made her city better. She made childrens' lives better. She lived her values.
			- Anyway, <i>we're</i> still here, for now. Let's make the most of it!
			- PS: I thought about it more, my mom was't just an NBB, she was <i>the</i> NBB, as far as I was concerned. When I imagined a blogger, she was who I thought of. When I said <a href="http://scripting.com/stories/2009/11/24/naturalbornBlogger.html">Julia Child</a> would have been a great blogger, I was really thinking that my mom would be. I didn't want to make this stuff personal, and people already make condescending analogies about moms and tech, so I let Julia be the stand-in.
			- PPS: My mom was a blogger, but she was <i>terrible</i> at technology. She had a Mac early-on. She insisted her psychology interns and students use a computer. If they didn't she didn't want them. "Too stupid," she said. But still she never wanted to actually learn how to do it. I wanted her to take a class. Please learn how to use these tools, I said. Never happened. 
	- February 10
		- Read this <a href="https://www.tnhh.net/posts/google-maps-insane-backward-compatibility.html">blog post</a> about the insane amount of backward compatibility in Google Maps. Now ask the question of Chrome. How in god's name do you rationalize cutting off all of the open web? Go talk with the Google Maps people and tell them what you're doing. Backward compatibility isn't just a nice idea to do when you can, it's something you have to bend over backwards to do. It's respectful of your place in the world. Companies come and go, but the human race, <i>we hope</i> is constant. One company doesn't get to decide when we walk away from our past. That's one of the responsibilities that comes with having a market-dominant product. 
		- Back in the day, people complained about Microsoft, but I marveled that Windows NT and XP could run the outlining software I shipped in 1984. For all I know the version of Windows they ship today still can. I don't know why they did it, but I respect that they did. And for all the evil that Microsoft heaped on the web in the early days, how they tried to cut off its air supply, and turn it into a feature of Office, deep inside there was still the heart of responsible developer. That's universal, it isn't something that becoming the biggest baddest mofo on the planet absolves you of. You still have a heart, and your shit still stinks, and you're still going to die. So let's try, all of us, to leave something behind. If we keep destroying our archives, none of the good we do can last. 
	- February 9
		- McAfee security theater
			- In <a href="http://scripting.com/stories/2010/11/04/scriptingBlockedByMcafee.html">2010</a> people who read my blog told me all of a sudden McAfee corporate anti-virus software was saying my site was evil and wouldn't let people read it. I was curious why. It's just a blog. As far as I know, there never has been software on this site that justified such a label. 
			- Here's the story. One day, I had the whole site in a folder on a local disk, and thought, why not zip this up and make it a download on the site. Maybe someday in case there's a failure on my server, in the 23rd Century perhaps, it might be nice to have a few spare copies out there. Or someone might think of something neat to do with it today. I figured there weren't too many archives that linked-out as much as mine does, that go back as far as it does. 
				- There were actually a few of these files, and a DLL for "Frontier" and a zip file containing Frontier 4.2.3, a long-lived release for the Mac from the mid-90s. Widely deployed. Curiously Frontier and the DLL are the files I would have been most concerned about, but they gave them a low "annoyance level." The others, which <i>really</i> freaked them out, were zip files containing HTML and OPML files. Obviously harmless, but you'd have to look inside the archive to see that, I guess. Here's the <a href="http://scripting.com/stories/2010/11/04/scriptingBlockedByMcafee.html">writeup</a>.
			- McAfee, on crawling my site, saw a zip file, and without looking inside, figured I was doing something bad, and kept their customers out of the whole site. When I contacted them, they said basically what Google says about HTTPS, you can get rid of the problem by getting rid of the file. I said no no thanks. I am not going to let a mindless bot tell me what I can and can't write. What comes next? Will it be considered malware to criticize the government? And will Google, next year, consider criticism of Google to be "not secure?"
			- I'd rather not even take the first step down that slippery slope. We know how this goes. Feeling empowered, Google will want to exercise more control. AMP is a good example. I don't support that either. They took over RSS readers, and then dumped the users. Was that benign or malicious? It doesn't matter, the net-effect is the same. They are royalty and we are subjects. I know programmers get that way. I've seen it over and over. They know, without looking, better than everyone else, what's best for us. They don't. But that doesn't stop them from acting on the belief that they do.
			- My policy: When in doubt, basic 1990s web functionality is fine for me. If they don't want to let their users read my site, that's okay. The workaround is easy. Get a different browser. :rocket:
			- PS: McAfee apparently fixed the problem. They now <a href="http://www.siteadvisor.com/sitereport.html?url=scripting.com">say</a> scripting.com <a href="http://scripting.com/images/2018/02/09/mcafeeReport2018.png">looks</a> safe. That's right. They could have even said "It's even worse than it appears" and I would have been okay with that. Just don't say I'm malicious unless you can prove it (and you can't, I'm not).
	- February 8
		- If HTTPS is a such great idea, there's no need to force anyone to use it, it should sell itself. 
		- I chose to write software and create content for the web because there was no platform vendor who could break my software or writing. Even if HTTPS was a great idea, and worth the investment, if there was a company trying to <i>force</i> me to use it, I would resist. I'd rather let my software and writing disappear than submit to another corporate platform vendor. I was finished with that a long time ago. So as long as you can read "Scripting News" you know that the web is still basically an open and uncontrolled platform. The day you can't, you know it isn't (or Amazon S3 might be down, that's always a possibility).
		- I can even show you <a href="http://scripting.com/davenet/1994/10/18/billgatesvstheinternet.html">the moment</a> I made the choice to write software and content for the open web. And it's also a demo of the power of the web. I can show you something I was thinking in 1994. It's going to be there as long as I pay the bills, no matter what Google does to cripple its browser. Clearly my work has no value to Google, Mozilla and the EFF. But that's not the same as it having no value. :boom:
		- The openness of the open web is as important to free speech as the First Amendment. But we don't have the legal protection of the Constitution to keep the web open.
		- A fake news problem Facebook should address
			- A few days ago a Facebook friend posted a screen shot of a fake tweet. It made it appear as if Trump had said something that he had not. It had been debunked by Snopes. So I immediately posted a link to the Snopes piece, and asked my friend to remove the post. A few hours go by, another commenter says it's fake, and another says it's funny. It's already been shared a few times. I posted another comment. Please let's get this off Facebook. After a few days it's been shared more and it's still there.
			- It seems there ought to be a button that says <i>this has been debunked</i> on Snopes, and that ought to be enough to put the post in quarantine until the author shows up. And if they don't show up after a couple of days, just delete it (and all the shares please).
			- BTW, it's actually very easy to use a browser debugger to change the words of any tweet. For example, I can make it appear that <a href="http://scripting.com/images/2018/02/08/uncleJohnTrump.png">Trump is a deadhead</a>. I think we know for sure Trump has never sang <a href="https://www.youtube.com/watch?v=TSIajKGHZRk">Uncle John's Band</a> in a tweet. :rocket:
	- February 7
		- <a href="http://www.oregonlive.com/portland/index.ssf/2018/02/seniors_trying_cannabis_extrac.html">Jeff Sessions</a> is concerned that cannabis is <a href="https://greencamp.com/jeff-sessions-thinks-many-heroin-addictions-start-marijuana/">bad</a> for us, but I have to say never have I seen someone so much in need of a buzz. Chill out, maybe with a vape, munchies, a Netflix movie, maybe Big Lebowski. Comfortable shoes. Takeout Chinese.
		- I often complain about podcasts that hide their "RSS" feed. It's only fair to call out one for doing it well. Here's a new <a href="https://www.wnycstudios.org/shows/trumpinc">podcast</a> from WNYC. Over on <a href="http://scripting.com/images/2018/02/07/trumpIncHomePage.png">the left</a>, impossible to miss, is a Subscribe button. Click it, and see a <a href="http://scripting.com/images/2018/02/07/menu.png">list of choices</a>, one of which is <a href="http://feeds.wnyc.org/trumpinc">via RSS</a>. It links to the <a href="http://feeds.wnyc.org/trumpinc">podcast feed</a>, ready to subscribe to, which I have done in "podcatch.com".
		- One of the things I've learned is that contrary to popular belief you <i>can</i> make (some) people change -- if they were depending on you not changing. You have to change first. Then, too bad, they have to change too.
		- We need a <a href="https://en.wikipedia.org/wiki/Catnip">name</a> for a shiny new toy Trump gives us to take attention away from the serious damage. The military parade is just such a toy.
		- A massive bit-burning
			- Let's put <a href="https://blog.mozilla.org/security/2015/04/30/deprecating-non-secure-http/">this</a> in stark but realistic terms. The cost of what Mozilla et al are <a href="https://blog.mozilla.org/security/2018/01/15/secure-contexts-everywhere/">planning</a> is that we will lose almost all of the archives of the web. A massive <a href="https://medium.com/swlh/a-moment-for-all-of-our-data-lost-in-time-260a54fef86">bit-burning</a>, which is just as awful as it sounds. 
			- It's as if the pharma industry decided to delete all their records going back to the beginning of drug research. Except it isn't the industry doing it, it's a few large companies.
			- And the web doesn't even belong to the industry.  It belongs to no one.
			- There's an implicit public trust with having the dominant web browser. Except the public hasn't yet understood how important and valuable that trust is. And of course the companies will take whatever they can.
			- My friend <a href="https://twitter.com/blogdiva">blogdiva</a> calls this colonialism and I think she's right.
			- PS: What alerted to me how <a href="https://github.com/w3ctag/design-principles/pull/75">crazy</a> this has gotten, they're <a href="https://github.com/tc39/ecma262/issues/1093">talking</a> about how to break <i>JavaScript</i> on non-HTTPS connections. I use JS for plenty of stuff that never touches the net. 
	- February 6
		- I love how Google <a href="http://scripting.com/images/2018/02/06/notMobileFriendly.png">tells me</a> an archive <a href="http://scripting.com/2004/05.html">page</a> from 2004 is not mobile-friendly. There was very little <i>mobile</i> in 2004. 
		- Dries tries cross-posting
			- Dries Buytaert <a href="https://dri.es/to-pesos-or-to-posse">wrote</a> about how he wants to cross-post from his Drupal blog to Facebook. My experience with cross-posting to silos is that it doesn't work. I wrote a comment on his post relating my experience. (No fancy tech, just copy/paste.) 
				- Hi Dries -- I use Facebook and Twitter, and have no plans to stop either, but the primary place I write is my blog. I tried to make cross-posting work, for years, and finally realized it cant work, unless each of the silos want it to, and of course none of them do.
				- I also included Medium in my attempt to set up a cross-posting system.
				- I wrote this <a href="http://scripting.com/2016/09/04/endingAnExperiment.html">blog post</a> when I gave up. 
				- I do however mirror my linkblog to both Twitter and Facebook, and the <a href="http://scripting.com/?tab=links">Links tab</a> on my blog, and its own <a href="http://radio3.io/users/davewiner/rss.xml">RSS feed</a>. I guess that's a POSSE approach. I use my own linkblogging software, "Radio3".
				- That's about as good as you can get. Cross-posting blog posts imho doesn't and can't work. Links? That works.
	- February 4
		- The meaning of The Memo
			- Someone important in Trumpland worried about news that might make The Base worry about Trump. The purpose of <a href="https://www.memeorandum.com/#a180204p34">The Memo</a> was to send a huge blast of love to The Base. Everything else -- no matter.
			- PS: Being lied to brazenly is one of the features of Trump that The Base finds most appealing, which seems counterintuitive to non-basers.
	- February 3
		- <a href="https://twitter.com/amyklobuchar/status/958503796778270720">She</a> would make a good president.
	- February 2
		- Read the Wirecutter <a href="https://thewirecutter.com/reviews/what-is-alexa-what-is-the-amazon-echo-and-should-you-get-one/">review</a> of Amazon Echo. They dismiss the <a href="https://thewirecutter.com/reviews/what-is-alexa-what-is-the-amazon-echo-and-should-you-get-one/?utm_source=rss&utm_medium=feed&utm_campaign=RSS%20percent20Feed#is-your-echo-spying-on-you">privacy concerns</a> based on its current behavior. But things are changing in the US and around the world. Democracy is <a href="https://www.axios.com/democracy-in-decline-around-the-world-1517415821-515cccef-2b6f-439d-8738-ed0ccd846d95.html">on the decline</a>. They say Alexa isn't listening until you say the code word. How do they know? And if it isn't listening today, what about tomorrow? I'd rather not have an always-on networked microphone in my house. 
		- Speaking of Wirecutter, how about a review of online banking systems. I use a very mediocre system, one of the biggest banks. I would happily switch, but I have no idea if any of them are better. My biggest peeve is they throw away records of transactions after six months. Why? Why shouldn't they be able to give me a year-to-year report on what I spend on various things. Isn't money one of the easiest things to improve using computers? The current system is better than it was when we paid bills with handwritten mailed checks, but it hasn't improved in ten years. That's ridiculous. 
		- That said, I love <a href="https://thewirecutter.com/about/">Wirecutter</a>. I buy so many things they recommend and they're all good. Next time I move I'm going to buy a new TV based on their recommendation. I also love it because a few years ago if you told the NYT that they could support journalism by making money off the things they write about that you buy they would have said <i>Tut tut you don't understand our ethics would not permit it.</i> Now they <a href="https://www.nytimes.com/2016/10/25/business/media/new-york-times-company-buys-the-wirecutter.html">own Wirecutter</a>. Haha. It's a clear signal that creative thinking is all that stands in the way of news making a good living. (Wirecutter's business model is <a href="https://affiliate-program.amazon.com/">affiliate links</a> to the products they recommend.)
	- February 1
		- We need a new kind of domain, perhaps a <i>Historic Domain, </i>like a <a href="https://en.wikipedia.org/wiki/Retired_number">retired number</a> for a sports team. Should there ever be another <a href="http://gawker.com/">gawker.com</a>? I don't think so. The content that's there now should be there for the foreseeable future. I don't know what the criteria should be for preservation but Gawker is clearly a domain that should be around next year and the year after that. See this <a href="https://mobile.nytimes.com/2018/02/01/business/media/gawker-archives-press-freedom.html?smid=tw-nytimes&smtyp=cur&referer=http://m.facebook.com">NYT piece</a> for background.
		- Could someone other than me please correct the Wikipedia page about podcasting. Ben Hammersley is a great guy, for sure, but he did not name the medium. What he did is like coming up with the name "iPhone" before Apple named their phone that. The bootstrap of podcasting took a long time, a lot of work, started years before his Wired column, and it's simply not fair to give him creation credit.
		- I've been uploading the outlines for Scripting News, as I edit them, basically the source code for the blog, to a <a href="https://github.com/scripting/Scripting-News/tree/master/blog/opml">folder on GitHub</a> since <a href="https://github.com/scripting/Scripting-News/blob/master/blog/opml/2017/05.opml">May</a> of last year, typically at the month turn-over, or whenever I remember to do it. This part of my publishing system is not yet automated, it's a once-a-month ritual that seems just right the way it is. :boom:
		- This is why I can't live without Twitter, even though it's a silo. I find it's an ideation tool for me. Sometimes just entering a series of connected ideas w/o the ability to go back and edit, forces a certain kind of thinking to come out that might succumb to too much editing. Here's a <a href="https://twitter.com/davewiner/status/959094615373729792">thread</a> that expresses an idea, strongly, that I've been tiptoeing around now for far too long. I may make it a blog post, but for now, it's a Twitter thread. 
