- When to give away the technology
	- #title "When to give away the technology"
	- #postTime "1/2/02; 12:09:10 PM"
	- Good afternoon
		- Happy new year and good afternoon. Let's try taking the discussion about technology, the Internet, and developers in a different direction. 
		- There was a great article in the <a href="http://www.sfgate.com/cgi-bin/article.cgi?f=/c/a/2002/01/01/BU199088.DTL">SF Chronicle</a> yesterday about the post-dotcom venture capital industry, about the money they make, even when they aren't making investments, or when their investments aren't doing very well (like now). I come from the same place they do, but choose to create technology instead of investing in other people making technology. I don't make the kind of money they do. Not even close. 
		- Of course there's nothing wrong with financiers, we need them to get our stock public. But as a group they did something really stinky to the software industry in the last part of the last decade -- they helped promote the myth that programmers work for free. In their folklore we're so selfless that we're willing to write new software and fix bugs, without being paid to do so. Another way of looking at it -- they get to keep all the money and programmers get nothing. 
		- The software industry was wrecked by this idea, software development is expensive, many companies didn't weather the storm, and good software was lost. Now it's hard to compete on such a wrecked landscape, but we're doing better now that it's become clear with the customers that every software developer has to make money to grow or even exist. Today the venture capital industry is no longer investing in open source, and the companies they started in the 90s that still exist are transitioning to a mixed model, as fast as they possibly can. There's no more support for the "we'll figure out how to make money someday" model they were pursuing. For many, "someday" is in the past.
		- But along with the end of mythology, the pendulum is swinging too far. There <i>are</i> times when it's important to give away technology, not only for altruistic reasons, but also because it makes good business sense to do so. In this piece I offer some anecdotes from my own experience that explain why this is so. It's important that we not over-react to the ridiculous idea that all software must always be free. Let's find a moderate balance that works, and rebuild the industry and not make the mistake again. You can't give away everything and be in business, but you can't start up a new company without seeding the market with some of your brilliance.
	- My rule
		- Simply stated, here's my rule. Where you want competition, give away the technology. Where you want to be competitive, keep it to yourself.
	- Discussion
		- Now, I don't know if software is different from other kinds of technology. I've immersed myself in software, I admit that I don't know much about TV, or lawn mowers, or cars, or almost any other kind of technology. So I don't know if this philosophy applies to the others.
		- Let's say you're developing a new piece of software, something for which no prior art exists, or very little, or the prior art is very old (the world changed), or you can't find it on Google. If you're a small relatively unknown developer, you have a problem here. You have to create a big enough thing so that a BigCo can't come in and create a competitive product that's not compatible with yours. That's sure death for your product. Most people prefer the security that comes from a big brand name, esp when they're confused, and the Big's certainly can make things confusing, even when they don't necessarily want to. 
		- In other words, if you want to profit from your innovative ground-breaking work, you'd better create a big target, and plan in advance for the incursion of the Big's, and make sure when they arrive, their customers know that a standard format or protocol exists, even if they don't know that you or your product exists. If not, they'll invent their own format or protocol, and design it so that you need a multi-billion dollar R&D <a href="http://www.informationweek.com/story/IWK20010726S0016">budget</a> to implement it, and even then you'll find the slope quite slippery as they "innovate" you out of the market.
		- In other words, it's even harder to be successful when you're small than it seems it should be. It's not "build a better mousetrap and the world will beat a path to your door." Nope. First the customers have to get an idea that a market exists, and then it has to seem natural to them that your product is the best in this market. There are lots of ways to be best. Hopefully you can be best in <i>all</i> ways (except the Bigness of your company, which is not an option).
		- So what you do is pick some people or companies you want to compete with and entice them to adopt your format or protocol. This is quite hard. Usually they want to wait until a BigCo tells them it's cool. But if you're persistent, sometimes you can get updraft, and that's when your product has a chance. The best way I've found to do this, is to do something that power users understand, publicize it (having a popular weblog helps here), and entice them to nag your would-be competitiors until they give in and see that they can eat your lunch (heh) and go ahead and implement support for the open part of what you're doing. I've tried a lot of things that didn't work. Like enticing the search engine companies to support an XML-RPC interface so we could optimize indexing, and improve the timeliness of their service. My take on this is that there wasn't enough competitive juice to interest them. You have to find the right balance.
		- Somehow <a href="http://www.xmlrpc.com/">XML-RPC</a> itself <i>did</i> work. As did the <a href="http://plant.blogger.com/api/index.html">Blogger API</a>, an example of the fumes flying the other way. When I saw what Evan was doing I jumped on board right away. Not a moment's hesitation. Now that XML-RPC is an established protocol for distributed computing, our strategy is very clear. Be the open alternative to development environments that are built around complex and expensive alternatives to XML-RPC. And as a sub-strategy, we catch the curveballs that the Big's throw at the market, and also take a leading position in supporting their protocols. I like this position, that's why we invested in <a href="http://radiodiscuss.userland.com/soap">SOAP</a> in addition to XML-RPC. If the SOAP slope gets too slippery, no problem, we already have XML-RPC as a solid unconfusing simple way of doing what we need to do. That actually helps SOAP stay simple. It has to, if it wants to be competitive with XML-RPC. All of a sudden simplicity is an issue in the market. They can't ignore it, although I'm certain that they'd like to. ;->
		- Another thought -- when the open part is simple enough (it must be very simple) the work is almost all politics. I want the <a href="http://www.omnigroup.com/applications/omnioutliner/">Omni guys</a> to support <a href="http://www.opml.org/spec">OPML</a>. If they decide to do it at a strategic level, I want the programmer who does the work to be delighted with how easy it is, to be so excited that he wants to go all the way and make it their default format. This gives users choice, and it's been proven over and over that they don't move until they have choice (or believe they will get it). Omni is hardly a threat to my company, they're not much larger than we are, and their product is loved by many of the same people who love our software, so what the heck, let's be compatible. It just takes two. Once we're compatible, any other entry can compete by producing a better outliner, one that performs better, or runs on different platforms, or prints better, or you name it. The best scenario for users is one where the documents move between apps fluidly without glitches. This is when they will sing our praises and recommend us to their friends, which is a vital part of success in software, whether you're Big or not.
		- We got into this habit with HTML. It's a perfectly awful format, virtually impossible to make a wizzy editor for it, yet that's what all the users want. But no one, not even the biggest of the Big's felt they could ignore it. Even better, the users have gotten the message too. Formats that are closed and not accessible from other software are bad news. Yes they still adopt them, but they shouldn't, not if they want to use their power, and act in their own self-interest. I am an optimist. The maturation of this industry is measured in the power of the users to shape the software they use. I think many of them already can smell a locked-trunk before they hop in, enough to make a market for the Small's who want to run the software race, keeping users (i.e. customers) well-supplied with the features and fixes they want most.
		- I've been emailing with Shane McChesney, the author of the excellent <a href="http://www.skippingdot.net/">Skipping Dot Net</a> site. He says his <a href="http://www.fetchserver.com/">Fetch</a> product may compete with the aggregator that's built into Radio. No problemmo. I hope he does very well with his product. Our competition is based on an open standard that's brain-dead simple -- <a href="http://backend.userland.com/rss">RSS</a>. He's also got the right idea -- he's not pushing his software as much as he's pushing alternatives to Microsoft. We are totally aligned in that. I point to him and he points to me. Of course I'd like everyone who wants to read RSS-based news to use my product. But I consider it a victory if they use Shane's product and not a BigCo's. I can compete with Shane. If they like his product they might find out about mine and buy it too. 
		- So if we want to create innovative products, we need to have permission to innovate and compete, and be believed when we do it, and have the respect of other developers and our mutual customers. We can only get there if we help each other. And therein lies the reason I must give away some of the juice if I want to have a growing and prosperous software business. It's how I create a market to compete in. One little company selling a product does not make a market, no matter how unfair that seems.
		- Thanks for listening and have a happy 2002!
		- Dave Winer
		- PS: Congrats to NEA for being the example of high-road VC. The Chronicle piece explained how their compensation is related to performance. I bet they treat their entrepreneurs fairly too.
- Bet on the iDock
	- #title "Bet on the iDock"
	- #postTime "1/4/02; 9:37:58 AM"
	- Bet on the iDock
		- In the lottery to guess what Apple is announcing next week, I'm sticking with <a href="http://dave.editthispage.com/davidJacobs">Dave Jacobs</a>' prediction re the <a href="http://scriptingnews.userland.com/backissues/2002/01/02#l302a90cebae30a5c7a9cfc5efbaf7df9">iDock</a>. It's the smart move. I'll explain why.
		- First, why not a PDA? Unless they're buying Palm (there has been speculation about this), it's going to be hard for Apple to make much headway in this market. Palm is deeply entrenched. Microsoft is in a multi-year war of attrition with Palm, and they're getting somewhere. Apple could of course make a PDA that's specially compatible with the Macintosh. If they do a PDA and don't buy Palm, this is certainly the way they'll go.
		- Now, why the iDock concept? Apple was the <a href="http://davenet.userland.com/1999/07/21/applesAirport">pioneer</a> in 802.11b networking. They created the market. But they have not been able to capitalize on that as effectively as they should have. If I were CEO of Apple it would irk me that I made this market happen, but most of the money is going to Wintel companies. 
		- So the killer product for Apple is one that <i>every</i> 802.11b user would lust after, not just Mac users. That's the real market opportunity for Apple. If they have a squeaky clean product that inspires such lust, not only will they make a lot of money, and grab a premium spot in this high-growth market, they should be able to leverage that into more flow for the Mac OS, and more developers, more user choice, and all that leads to increased market share, and a booming stock. (And a Time and Newsweek cover.)
	- Tea-Leaves
		- Now, it's time to read the tea-leaves. In December, Apple rescheduled Steve Jobs' keynote, moving it up to Monday, causing some consternation among reporters, including Glenn Fleishman (who also is the <a href="http://80211b.weblogger.com">expert</a> on 802.11b in the weblog world). Speculation at the time was that this change was made so that Jobs could be at CES. The tea-leaves say that Jobs got wind of Bill Gates' keynote <a href="http://www.infoworld.com/articles/hn/xml/02/01/03/020103hnairpanel.xml">topic</a>, a demo of a wireless screen that connects to your PC over (ta-dahh) 802.11b. Ooops, says Steve, that's our market. "Better rev up the PR engine."
		- So my bet is squarely on the iDock, if only because it will make next week so interesting. Another faceoff betw Bill and Steve, with Steve not making any apologies for small market share. What great theater that would be. But only if the iDock works equally well with Wintel machines does Apple get the kind of rise in <a href="http://www.lowrisk.com/sp500pe.htm">PE</a> and PR that they deserve for leading the 802.11b market.
		- Dave Winer
		- PS: 802.11a was not a typo in Dave's explanation of iDock. It's a faster standard than 802.11b. Is it backward compatible? In other words will 802.11b devices work with 802.11a? I don't know but I'll find out. 
		- PPS: Tea-leaves are what are left in the bottom of a cup after the tea is gone. Fortune-tellers ignore the drink and go straight to the source. What's left behind tells the future of the soul who made the tea. When I say I'm reading tea-leaves, that means I'm speculating wildly with some basic belief of being correct.
		- PPPS: <a href="http://www.nea.com/Partners/Bios/Menlo/SAlsopBio">Stewart Alsop</a> on 802.11b and 802.11a: "They are not compatible, but there are plenty of vendors developing dual chip sets that can talk to either kind of access point. As always there's a mixed story: 802.11b is longer range but slower; 802.11a is shorter range and  faster. A is also in a different frequency (5GHz), also unregulated but less well developed than where B is (2.4GHz) so it's hard to tell exactly what the configuration issues will be for the new standard.  Just to complicate things, the official standards body just announced 802.11g which is faster <i>and</i> compatible with 802.11b, but won't be available for a while."
- If you like cool Internet software
	- #title "If you like cool Internet software"
	- #postTime "1/11/02; 8:42:30 PM"
	- A simple message
		- We shipped a new product tonight.
		- http://radio.userland.com/
		- If you like cool Internet software check it out.
		- Dave Winer
- DIY Web Services
	- #title "DIY Web Services"
	- #postTime "2/4/02; 10:43:26 AM"
	- Good morning!
		- It's been almost a month since I had the time to write a DaveNet essay. I'm out of practice. Even now, I don't have much time because things are moving so quickly. The reason I'm so busy is that on January 11, we shipped a new product called Radio 8. It's a personal weblog tool and news aggregator, runs on the desktop, taking advantage of <a href="http://www.nytimes.com/2002/02/04/technology/04CHIP.html">Moore's Law</a> that's put such powerful but poorly utilized machines on our desktops. It's fast and easy. Yesterday the product was favorably reviewed in the Washington Post. Our company had a record sales month in January, thousands of new users. The list of firsts has been incredible. Not only have we survived, we're thriving. Business is good.
	- Web Services
		- While Radio is doing well with users, it's also a developer's platform, at it's heart it's the Frontier database, scripting engine, debugger, outliner, verb set, HTTP, XML-RPC and SOAP stacks, etc. In a sense the weblog and news aggregator are just apps to seed the market, with luck, playing the same role that MacWrite and MacPaint played in starting up the Macintosh developer world. To be a strong platform you have to have users, and the users must have apps.
		- The core value of our development platform is the idea that you can build peer-to-peer apps that are easy to use. To make that work, we needed protocols, XML-RPC and SOAP, to connect machines to the community server and other users' machines. That's why we made the investment in these technologies, which are also known as Web Services.
		- While all the hooplah has been going on about Web Services I've been thinking to myself (and sometimes I've shared these thoughts on Scripting News) -- Couldn't this stuff be a lot simpler? I mean really, before most people even understand what we're talking about, they're thrown into an alphabet soup of confusing stuff that blows most peoples brains back to JavaScript and programming in the confined spaces of a Web browser, when the whole Internet is waiting for them.
		- I had to be patient. First we had to get Radio 8 out. Then we had to get some users. They needed to get to know each other and establish relationships (this is called blogrolling). Once all that had happened, then and only then could I begin to explain Web Services in a way that would make sense to <i>people.</i>
		- Well, all that has happened, and now we're ready..
		- But first a little story on how we got here.
	- Integrated software, APIs, networking
		- As I wrote my Web Services tutorial, I realized I've been working on it not for a few days, but almost 20 years. (I don't even want to know the actual number.)  
		- It began with a speech given by Microsoft's Bill Gates, in 1982. He was getting a lot of grief about Lotus 1-2-3, and in his brilliant and <a href="http://www.dictionary.com/cgi-bin/dict.pl?term=feisty">feisty</a> way, he said that integrated software was a crock, what you really need are modules of functionality glued together by scripting languages.  
		- I immediately recognized this as the spirit of Unix, but applied to user apps. Lotus was a spreadsheet. Its innovation, with the benefit of hindsight, was that it added a graph-drawing program to the spreadsheet idea pioneered by Visicalc.  
		- Integration without an API. Gates was saying this is a crock. And he was right.  (With a hat-tip to Mitch Kapor, Jon Sachs, Ray Ozzie, Bob Ramsdell, and all the early people at Lotus, it was a <i>beautiful</i> crock, a step on the path, a very important one.)  
		- Then comes the Internet, and networking is easy. It takes a few years for this to settle in, then we swing back to the desktop, and Gates is still right, but instead of just thinking about integration on the desktop, we're now working on integration on the World Wide Web.  
		- I've had as my goal, since starting UserLand, to turn the power of connecting apps over to the users. As a commercial developer, I learned that if a developer does the integration, users know that they're being steered into only one way of doing things, and the brightest and most interesting users, the people we like the most, want their minds to explode with infinite possibilities. 
		- My goal was to give them those possibilities in such a way that the power could never be taken back.  So inch by inch, we've built and rebuilt this idea, <a href="http://radio.userland.com/webServicesTutorial">here's the latest incarnation</a>. 
	- At the top of a tall cliff
		- So where are we now? Indulge me in an analogy.
		- You're standing at the top of a tall cliff looking down.
		- What do you see? 
		- A bunch of little furry animals with parachutes giggling with glee?
		- Or a scene of carnage and drowning?
		- This tutorial linked to above, for many people, gets them to the point of having some very big questions about how this stuff will work. Me too. The Internet has the power, but how do we want to use it? 
		- For people who are behind firewalls, you can create easy networks where your machines exchange information, and security will not be an issue because your firewall protects you. 
		- For people who are <a href="http://www.userland.com/whatIsAFullPeer">full peers</a>, your machines can have incredible new power on your behalf, and possibly for your friends and associates, but you must understand that power so you don't get hurt. A new culture of empowerment and awareness must go hand in hand. Security is the parachute. The height of the cliff is the fun. What a great ride we can have.
		- Anyway, a few facts have been established.
		- 1. If you use Radio, you're accumulating information that you very likely want to share with some people.
		- 2. There's nothing inherently hard about the technology. Creating and calling a Web Service is just like creating and calling a procedure in JavaScript or another scripting language like Python or Perl.
		- 3. And the chicken and egg problem has been solved by the Radio community. It's not a question of who you would like to communicate with, for many, that question has been answered -- they're the people on your blogrolling list. Web communities, like the one that's forming around Radio, create the human associations that drive this kind of technology.
		- At the same time questions come up.
		- 1. What role if any should UserLand play in helping the scripts find the Web Services of people you want to share information with? (We know how to do this, it's not hard to do, in fact we already have much of it working.)
		- <a name="q2">2</a>. What role should the Instant Messaging vendors play? They already have a big directory of users, we could tie into their networks, but would they like us to do this, or would they even let us?
		- 3. How much of the work should be done by the local machine and how much by the cloud? Perhaps some users who are full peers would like to try being a community server for their friends? This is the most revolutionary approach of all.
		- Now, with this tutorial behind us, on the record, with people DIYing Web Services, we'll have the new community we wanted to work on this stuff. It's like the band Jake <a href="http://radio.weblogs.com/0001000/2002/02/03.html#a262">describes</a>. Will you deny it, play along reluctantly, or support and build on the foundation? 
		- As the Radio 8 community has formed in the last three weeks, I really have no doubt that the community will choose the last option, with <a href="http://www.dictionary.com/cgi-bin/dict.pl?term=gusto">gusto</a>. ;->
		- Dave Winer
		- PS: DIY stands for Do It Yourself. It was a motto of the punk rockers. Later Nike offered a refinement. "Just Do It." I agree. It's time.
- Google is decentralizing
	- #title "Google is decentralizing"
	- #postTime "2/11/02; 10:29:15 AM"
	- Tea leaves
		- I love to read tea leaves.
		- A few weeks ago I read PC World <a href="http://www.pcworld.com/news/article/0,aid,81685,00.asp">interview</a> with Google CEO Eric Schmidt, I read it quickly, and a few hours later a <a href="http://scriptingnews.userland.com/backissues/2002/02/03">thought</a> popped into my head -- Google is moving to the desktop. 
		- Today there's an announcement. Google is <i>not</i> moving to the desktop, leaving an interesting void, but they are moving to the Local Area Network, with the <a href="http://www.google.com/appliance/">Google Appliance</a>. It's hardware and software, totally turnkey, configured through a Web browser, it does for local information what the centralized Google does for the World Wide Web.
	- Constant innovation
		- Google is on a roll. Last year they did a massive <a href="http://davenet.userland.com/2001/08/18/googleUpgradesTheWeb">upgrade</a>, and changed the way the Web worked, tapping into the news-gathering capabilities of the weblog community. Now by decentralizing, they can, for the enterprise, but not for individuals, eliminate the seam between information on the Internet and local information.
		- We see an obvious opportunity to connect our decentralized content management product, <a href="http://radio.userland.com/">Radio 8</a>, with Google's decentralized search, to bootstrap an even more responsive Internet, one where the search engine index instantaneously reflects what's going on in the world.
		- A hearty Bravo! to Google for continuing to push the envelope.
		- Dave Winer
- Our Back-Door Sell
	- #title "Our Back-Door Sell"
	- #postTime "3/8/02; 7:43:03 AM"
	- Good morning!
		- A quick catch-up. Thousands of people are using our new <a href="http://radio.userland.com/">Radio 8</a> software. They're writing weblogs and aggregating news. Exploring, questioning, learning, teaching, documenting, finding, innovating. It's a community. It's two-way. 
		- And get this, they're <i>using</i> XML -- a geeky thing that can work for users, if it's not in their way. Many of them ignore it, and that's totally okay, but some are busy using our DIY Web Services platform to create their own magic. Geeks, writers, designers, educators, librarians, business people, there's something for everyone. 
	- Radio Community Server
		- At the heart of the Radio community is a "community server" -- not unlike the one <a href="http://www.groove.net/products/?dd=t">Groove Networks</a> has for its users, or the one Microsoft plans called <a href="http://www.microsoft.com/myservices/services/userexperiences.asp">My Services</a> (formerly known as Hailstorm). 
		- Our centralized software is built on open formats and protocols and will be licensed as a commercial product, for less than $1K per network per year. The product, Radio Community Server, will ship on Monday, next week, Murphy-willing, for Windows NT, 2000, XP and Macintosh OS X.
	- The business model
		- It's a simple understandable (I hope) business model.
		- Our revenue goals are more modest than our larger competitors, and they can be because we don't have their overhead. With Radio at $39.95 per user, and Manila at $899 per server, and the community server at $XXX, I think we'll do pretty well. It's a basic time-proven business model. Sell boxes at a profitable price.
		- A loopback to the pre-boom software business model. Developers creating products for people and workgroups, this time using the networking technology popularized by the Internet, but otherwise seeing users as customers, not eyeballs, and insisting that technology has a pricetag, like all products that do what customers want them to do. 
	- Back-door sell
		- We've had a lot of discussions about whether we're a front-door or back-door sell, and we're decidedly a back-door sell. Our product is designed for users; they create the pull, they have the applications. As with personal computers, two generations ago, our application is not on the radar of many IT managers in corporations.  It's starting to show up, and we <i>will</i> have an offer for them. But first we want the hearts and minds of users, and propose to win them by giving them power they can use today, not someday in the future.
		- Further, by using open formats and protocols we're inviting competition, knowing that users move faster if they don't feel locked in. We're confident that we have a sustainable multi-year lead in this area.
	- Like everything, and nothing
		- First the normal disclaimer, what we're doing is like everything that's come before. Mail lists, instant messaging, search engines, the Web, etc.
		- At the same time it's like nothing that's come before, because technology has moved forward. A $2K machine today is over 1Ghz with 500MB of RAM, and has a good network connection. At the same time, users have moved forward, they're ready for something new. I'm sure that the dotcom bubble was created totally by user excitement about new technology. It crashed when we ran out of ideas that stimulated the minds of the users with money. 
		- There's nothing terribly wrong with the economy, says Greenspan, unemployment is down, things are getting better in the economy at large. All that's in the way of tech participating in the recovery are some new exciting ideas. We have a few of those coming down the pike. Seeya soon!
		- Dave Winer
		- PS: DIY stands for Do It Yourself.
- Scientology and Google
	- #title "Scientology and Google"
	- #postTime "3/21/02; 7:27:03 PM"
	- Scientology and Google
		- One of the hazards of the Digital Millenium Copyright Act, or DMCA, came home today, in a decision by the leading search engine, Google, to ban a site that's critical of the <a href="http://www.scientology.org/home.html">Church of Scientology</a>. The net-effect is that a <a href="http://www.google.com/search?q=scientology">search</a> for the term Scientology will only yield links to sites that are controlled by the church itself.
		- How it works. The DMCA has a provision for copyright violations. If a party believes its rights are being infringed, in this case the Scientologists, they can send a demand to an ISP anywhere in the chain of access for the offending material, in this case Google (a bit of a stretch, since Google is hardly an ISP), and if the ISP complies, they cannot be held liable for the infringement. 
		- The site that's being blocked, <a href="http://www.xenu.net/">xenu.net</a>, is in Norway, so they are not subject to the DMCA. The Scientologists can't shut the site itself down because it's outside the US. So they sent a demand to Google, which is based in California, and they complied with the request to remove the content from their index. Now, according to the DMCA, the accused infringer has the right to demand that Google reinstate the content, but there's a catch, if they do, they then would have to agree to the juristiction of the US courts. 
		- Now to the question of whether there's a copyright violation. I've reviewed the site. If there's an infringement it's not very easy to find, and it's clear that the purpose of the Xenu site is to present an alternate view of Scientology. There's no doubt that this is free speech. Yes, it's in Norway but the Internet is pretty seamless about national boundaries. It's written in English. It's got good data, and a point of view. People who want to know more about Scientology and look on Google won't find it. That's wrong. 
		- We're getting the first real demo of a nightmarish scenario, a constitutional one, set up by the DMCA. And it looks like it's going to get much worse before it gets better. See the next section.
	- Hollings wishes to repeal gravity
		- A bill was introduced today in the US Senate by Senator Ernest Hollings and five other senators that would rearchitect all computers so that one of the two basic things they do is controlled by Congress.
		- This is reminiscent of the <a href="http://www.inwit.com/inwit/writings/indianapilaw.html">state legislature</a> that decided that pi, the ratio of the circumference of a circle to its diameter should simply be three, instead of the endlessly fascinating irrational number that it actually is. The law didn't pass, and neither should the Hollings bill.
		- The Consumer Broadband and Digital Television Promotion Act would require rearchitecting all computer and software systems, and networks -- including the Internet -- so that every act of copying would be subject to what's known as Digital Rights Management, a brilliant spin on an old idea, copy protection. It failed in the 80s, in the software business and the movie business, because copying is so very basic. 
		- Computers do a lot of copying, all the time, and almost all of it is non-controversial. To insert a new controller into every bit of code and hardware that does copying would be like diverting the Mississippi River to irrigate the Great Plains, another idea the Congress contemplated at one time. You can't do it, it won't happen, there aren't enough dollars or programmers in the world to make it so. Even in these tough economic times, it would be hard to recruit capable programmers to perform an act as utterly idiotic as trying to disable copying on computers.
		- Now the law may pass, but the future it envisions will not. The government will eventually realize that it would cripple even their own computers, so at some point they must come to their senses, and stop listening to the industry execs (many of whom are in bed with the entertainment industry) and talk directly to some scientists and engineers and find out what's possible.
		- I suppose it's also possible that we could vote Hollings and his colleagues out of office. That would be something. And politicians could be opportunists now, but only if they know something about computers. Get on the talk shows and <a href="http://www.dictionary.com/search?q=strut">strut</a> your stuff. A reasonably informed Congressperson could really shine now. 
		- Dave Winer
		- PS: ISP stands for Internet Service Provider.
- Web Services are boring because..
	- #title "Web Services are boring because.."
	- #postTime "3/23/02; 4:48:12 PM"
	- Good afternoon
		- A few years ago I would be more casual about writing DaveNets, I'd just open my outliner and write for a couple of hours and edit with a light touch and send out a piece.
		- Lately, I've been doing that on the Web, on "Scripting News". Today I strung together a bunch of semi-related essays on the website, and thought what the heck, why not run it as a DaveNet. 
		- So here goes, a loop back to casualness and irreverence. This is the come as you are channel. We're all just folks here, set down and rest a spell, chew the fat and let's have fun.
	- Sympathy for Dvorak
		- Everyone's cutting Dvorak a new anal orifice for his <a href="http://www.pcmag.com/article/0,2997,s=1493&a=24087,00.asp">piece</a> about web services, but there's a perverted kind of courage to what he says that's worth defending.
		- Suppose Dvorak <i>doesn't know</i> that there are lots of independent developers doing cool stuff with XML-RPC and SOAP? It's quite possible especially if he reads the reports written by his colleagues in the other big pubs. 
		- Dvorak says the BigCo's don't know what they're doing. Of course! Any idiot can see that. People who say otherwise are lying. It's obvious on its face. If they knew what they were doing they would be selling products, not starting new consortiums to study interop. 
		- So give Dvorak a few points for having the guts to say what's obvious that so few are willing to say.
	- Web Services are boring because..
		- First, no users are asking for web services. That's as it should be. Web services are about how you implement things, not what you implement. Users care about choice, not being locked in, reliability, security -- so perhaps they <i>can</i> care about web services, <i>after</i> compelling apps ship. 
		- There isn't really much fun in web services unless you're a programmer who likes to play in different environments, or likes to work with other programmers who work in different environments, or thinks the Internet is cool, even if he or she can't totally explain why. Web services are plumbing, and therefore to most non-programmers, off-topic. 
		- The second reason Web Services are so boring is that the Big's send out suits to do the talking. So where there might be a spark of insight somewhere in the bowels of the Bigs, those people don't get a chance to speak, so the confusion is all you hear in the press reports because the people they talk to are confused. 
		- What the press is really saying is that Bill Gates told me this is important, which is pretty close to Bill Gates told me to write this, which is where the big pubs lose me and most other readers with minds.
	- Dan Gillmor
		- If I can have <a href="#sympathyForDvorak">sympathy</a> for John Dvorak, I should also be able to call up some sympathy for Dan Gillmor. A friend who talked with Dan recently told me how it's going at the SJ Merc. People walk the other way when they see Dan coming. I can only imagine how Dan really feels about the Merc tossing his archives in the bit bucket and crowding his copy with ads, and burying him three-deep in irrelevant structure. But he's said almost nothing about it on his weblog.
		- According to Knight-Ridder, Dan writes for Real Cities which is part of Silicon Valley Dot Com, neither of which are brands in any sense of the word. This is backwards. Knight-Ridder and its inventions are the overhead we tolerate to find out what Dan thinks. The structure exists to support the talent. Dan is the talent. 
		- So his conspicuous silence on the technological ineptness of his support team is perhaps somewhat understandable. After a time you get tired of fighting. Dan makes his living writing. So if he quit Real Cities or whatever it is he works for, where would he go? Who would pay him to write for Dan Gillmor Dot Com?
		- Dan Gillmor's column is <a href="http://www.prod.siliconvalley.com/mld/siliconvalley/business/columnists/dan_gillmor/ejournal/2916984.htm">currently here</a>, but that pointer, based on past experience, should rot before this day next year, no doubt about it.
	- Non-techies and HTML
		- I've been reading <a href="http://radio.weblogs.com/0100740/">Steve Pilgrim's weblog</a>, consistently, he's the designated HTML newbie of the Radio community. For Steve, I wish that HTML today were as simple and approachable as it was when I got on board, in 1994. Even then, for a guy like me, a commercial developer with a computer science degree, the leap wasn't easy. Today, it's so much harder, esp with all the confusing advice from techies over the basic stuff. 
		- Now, the thing that made it all come into focus for me was a simple mail-to-web app run by Ohio State University. I remember it so well. It was January 1, 1995. I knew how to use Eudora to send Internet mail (although that was a leap from AppleLink, which I had been using up till 1994). The rules were simple. Send a message to their mail server. It sends back a URL of a page containing the text in your email. So I sent it a simple message. Hello Dave. As I expected the page that it sent back a pointer to contained just that text. OK, so I went to HotWired's home page, did a view source, copied the text, pasted it into an email message and sent it to Ohio. Back came a URL. I went to the page. Wow. There was the HotWired home page with a few broken images. <i>Bing!</i>
		- For some reason that was the only impossibly difficult concept for me to <a href="http://www.dictionary.com/search?q=grasp">grasp</a>. A website was just a bunch of text somehow stored so that some piece of software (a Web server) could find the text and then shoot it out to a Web browser. The server wasn't doing anything very complex. The complex stuff was in the text that it was sending (and even that wasn't very complex).
		- So maybe the answer for the incurably inquisitive, like Steve, is for us oldbies to put up an app like the Ohio State app that shows them how the Web works at its most basic level. Interestingly, Steve and everyone else that uses Radio has exactly such an app, sitting on their desktop. It's called Radio. 
	- Breakage and new Web standards
		- Much of the confusion for newbies and oldbies alike comes from the idea that the standards of the Web are moving. But it's a dream. Something as installed as HTML won't change because that isn't how software works. If you want to move you must do it fluidly, especially when the installed base is as large as the Web. 
		- To a newbie like Steve, telling him that the font tag could disappear is like telling someone learning to drive that the volume control on the radio might disappear. It's weird enough to be confusing, but there are so many Web pages that use the font tag and other basic HTML stuff that's been targeted, that it's unthinkable that they could go away.
		- Just the other day one of the new standards advocates pointed to the major tools by Adobe, Macromedia, etc and said that none of them follow the new guidelines. A few weeks ago someone bothered to look at the home pages of the W3C members and found that almost none of them validate. 
		- So, is the font tag being phased out? It can't be, if it were it would break most websites. 
		- Dave Winer
		- PS: W3C stands for World Wide Web Consortium.
- My Long Bet with the NY Times
	- #title "My Long Bet with the NY Times"
	- #postTime "3/25/02; 8:45:41 AM"
	- Good morning
		- Late last year, <a href="http://paulboutin.weblogger.com/">Paul Boutin</a>, who was then at Wired Magazine, contacted me to see if I would be interested in participating in a project they were doing with The Long Now Foundation, started by Stewart Brand and Kevin Kelley among others. 
		- Of course I said yes, and we started to frame a question that would be settled five years from now. The question:   which will be more authoritative in 2007, weblogs or the New York Times? Perhaps surprisingly, Martin Nisenholtz, the CEO of New York Times Digital, went for it, and today the bet is public.
	- How it works
		- In 2007 we will ask an objective third party to tell us what were the top five stories of the year, each reduced to a single word or phrase. Then we will look up the phrases in Google. (Assuming Google is still here five years from now, and still high integrity.) If three or more of the top links point to the NY Times, Martin wins. If three or more point to weblogs, I win.
		- For example, in 2001, there's no doubt the top story would be September 11. In 2002, we'd be searching for Enron, the Olympics, and maybe Scientology.
	- My argument
		- They asked us to write an essay explaining our position. My essay follows. You can read Martin's on the <a href="http://www.longbets.org/bet/2">Long Bets website</a>. They will open a discussion group there in May so if you want to participate, you can.
		- Here is my argument..
		- "As with personal computing, the early days of Web publishing belonged to the hobbyists, reveling that it worked at all. But the Web is maturing, the tools are getting easy, as the understanding of the technology has become widespread. Serious professional journalists use the new tools, moonlighting, publishing the news they don't or can't sell to the big publications who employ them. 
		- "At the same time, we're returning to what I call amateur journalism, people writing for the public for the love of writing, without any expectation of financial compensation. This process is fed by the changing economics of the publishing industry which is employing fewer reporters, editors and writers. But the Web has taught us to expect more information, not less, and that's the sea-change that the NY Times and other big publications face -- how to remain relevant in the face of a population that can do for themselves what the BigPubs won't. 
		- "The pervasive big publishing philosophy of Dumb It Down, forces all stories through too narrow a channel to model the diverse and complex world we live in. When the Times covers my industry it seems they only know three stories -- Microsoft is evil, Java is the future (or open source or whatever the topic du jour is) and Apple is dead. All other stories are cast into one of those three. They're boring the readers into looking for alternatives, and because they are limited in the number of writers they employ, they can't branch out to cover other angles. 
		- "There's another fatal flaw in the bigpub approach to journalism, that the reporter doesn't really need to know anything about the topic he or she is covering. If the reader doesn't know the technical details, the writer doesn't need to know either. But when I see the Times cover areas I am expert in, and miss the point completely, I wonder how well they're informing me in areas where I am a neophyte. I'm not from Missouri, I'm from Queens, but I still need to be shown that they are doing their jobs responsibly. I'm not impressed, so I look elsewhere for real news, and soon most other people with minds will too. 
		- "My bet with Martin Nisenholtz at the Times says that the tide has turned, and in five years, the publishing world will have changed so thoroughly that informed people will look to amateurs they trust for the information they want."
		- Dave Winer
- Eisner made over $700 million in 5 years
	- #title "Eisner made over $700 million in 5 years"
	- #postTime "3/27/02; 9:45:19 AM"
	- Eisner on Financial Times
		- On Monday an op-ed <a href="http://news.ft.com/ft/gx.cgi/ftc?pagename=View&c=Article&cid=FT3H10TP8ZC&live=true&useoverridetemplate=ZZZFKOXOA0C&tagid=FTDDMJNIFEC">piece</a> ran in the Financial Times by Disney CEO Michael Eisner. It's a highly moralistic essay, about slavery and Abraham Lincoln. Eisner says Lincoln would have loved the Internet and hated the <a href="http://www.yil.com/columns/column.asp?columnist=ebert&date=020401&page=01">piracy</a>. It's a must-read for people who want to understand the faceoff between the entertainment industry and its users, with the technology industry caught in the middle. I have strong opinions about this both as a user of their product, and a member of the tech industry.
		- After reading his essay, I got interested in who Michael Eisner is. It didn't take much time to find out, for example, via <a href="http://www.forbes.com/2001/04/26/eisner.html">Forbes</a>, that he made over $700 million in five years. At the same time he argues the financial interest of creative people. So which creative people will speak for Eisner's position? They are conspicuously silent. How much money flowed to them while he was making all that money? 
		- We're in the post-Enron era. Arthur Andersen, one of the Big 8 accounting firms, is being shut down over ethical issues. When a CEO of Eisner's stature takes the philosophical stage, calling music fans pirates, he's going to get looked at, and when we maintain our self-respect, we find that he's not above reproach. 
		- In fact he's is dangerously out on a limb, but I doubt if he sees it. Napster wasn't a narrow thing. There were tens of millions of users. It was a cultural phenomenon, bigger than anything Hollywood has ever manufactured. People know what nirvana looks like, we got a great demo, and that's what we want. 
		- Business is simple, but Eisner makes it sound complex. Find a way to give the people what they want and you stay in business. Try to turn the clock back, and become a memory. They had a good thing going for a long time. The users got snookered into giving him all the money and none to the creative people. That's over. Imho, Eisner and his <a href="http://www.dictionary.com/search?q=ilk">ilk</a> were the pirates.
	- Links
		- I've linked to various web-based op-eds on the Eisner issue from Scripting News, <a href="http://scriptingnews.userland.com/backissues/2002/03/26">yesterday</a> and <a href="http://scriptingnews.userland.com/backissues/2002/03/27">today</a>, and likely tomorrow and the day after.
		- Dave Winer
		- PS: IMHO stands for In My Humble Opinion.
		- PPS: How quickly we've turned back to greed after the terrorism of 2001. For a while we were focused on improving communication and the value of freedom. Now we're back to defending freedom and open communication against pure and obvious greed. We're in deep trouble here in the US, imho.
- In rebuttal to Glenn Davis
	- #title "In rebuttal to Glenn Davis"
	- #postTime "3/29/02; 11:45:15 AM"
	- A brief piece
		- Yesterday the NY Times ran a <a href="http://www.nytimes.com/2002/03/28/technology/circuits/28WEBB.html?ex=1017982800&en=4fb1e77e45a5a52b&ei=5007&partner=USERLAND">story</a> that said the fun of the Web is over. They quoted Glenn Davis, who ran Cool Site of the Day in the early years of the boom. I knew Glenn then and we shared a lot of pointers in those days, and it's good to see he's still out there, the <a href="http://www.dictionary.com/search?q=agent+provocateur&r=2">agent provocateur</a> that he always was and probably always will be.
		- Davis says that the gee-whiz hello-world days of the Web are over. It's true it was fun (for a few minutes) to watch a fish tank on a webcam. But that was not the promise or purpose of the Web. Maybe he thought that's what it was. If so, he missed the point. It's about publishing without middlemen.
		- Dave Winer
- Jon Udell on Instant Outlining
	- #title "Jon Udell on Instant Outlining"
	- #postTime "4/2/02; 4:59:14 AM"
	- Scratching our own itch
		- In November of last year we started working on a new piece of software designed to facilitate internal communication at UserLand. We have people in the US and Canada, on both coasts, and were largely using email to narrate our work. 
		- <a href="http://radio.weblogs.com/0001015/images/2002/03/25/ioscreen.gif"><img src="http://radio.weblogs.com/0001015/images/2002/04/02/buddylistthumb.gif" width="90" height="65" border="0" align="right" hspace="25" vspace="5" alt="A picture named buddylistthumb.gif"></a>Like many groups who depend on email for communication, we were frustrated and inefficient, messages were lost, as were opportunities. It was hard for me as the manager of this group to know what people were doing, when they hit milestones, or dead-ends, when they needed help from me, and if they were in synch with the rest of the group. We desperately needed something to make our work flow more smoothly.
		- We've been using this tool, which we call an Instant Outliner, since November. We shipped Radio 8 with it. When we switched over, our workgroup's productivity soared. All of a sudden people could narrate their work. We've gotten very formal about how we use it. I can't imagine doing an engineering project without this tool. We decided that we had to make a product out of this. It's too good to keep to ourselves.
	- Bootstrapping the Instant Outliner
		- Over the New Year holiday we did the second revision, and in March the third, and we started deploying to users of Radio 8, which has a built-in outliner, in late March.  We've been working quietly with people who use and study workgroup tools, including Jon Udell, who writes for ComputerWorld, InfoWorld, Byte and O'Reilly. This morning O'Reilly published an essay by Udell, which we think will be definitive of this category of software. So without further ado, <a href="http://www.oreillynet.com/lpt/a//webservices/2002/04/01/outlining.html">here's Jon's piece</a>, courtesy of O'Reilly.
		- A quote: "It's been clear to me for a long while that the only thing that might displace email would be some kind of persistent IM. That's exactly what instant outlining is. If it catches on, and it's buzz-worthy enough to do that, we'll have a framework within which to innovate in ways that email never allowed."
	- A big direction
		- I hope you read Jon's observations. I will of course be writing more about it myself in the coming weeks. 
		- I believe Instant Outlining is to Instant Messaging as the spreadsheet is to a desktop calculator. A calculator can edit one number, a spreadsheet can express relationships between numbers. An Instant Messaging client can transmit a single idea, an Instant Outlining client can express relationships between ideas.
		- <a href="http://radio.outliners.com/beta">Instant Outlining in Radio</a> is still a beta and will be for a while. If you're an adventurous soul with high tolerance for user interface glitches, please give it a try. Everything Jon said is true, and what Tim said is true too. It's not for everyone. But it is for workgroups who want to get to the next level after email. 
		- Dave Winer
		- PS: To facilitate growth, the formats and protocols used in Instant Outlining are open, clonable and <a href="http://backend.userland.com/publishSubscribeWalkthrough">documented</a>.
- Four years of XML-RPC
	- #title "Four years of XML-RPC"
	- #postTime "4/4/02; 9:00:40 AM"
	- Four years of XML-RPC
		- Today is the fourth anniversary of <a href="http://www.xmlrpc.com/">XML-RPC</a>. On this day in 1998, after a brief collaboration with Microsoft, we opened a new protocol to Frontier developers that allowed applications running on Windows to communicate with apps running on Macintosh, and vice versa. What followed exceeded my wildest expectations. Today, four years later, XML-RPC is the defacto language for interapplication communication on the Internet, with support in all popular development environments and operating systems. 
		- XML-RPC evolved to become SOAP, which is more famous -- if you pay attention to the press and analysts and the execs at BigCo's. But if you listen to developers, they're choosing XML-RPC in droves, because of its simplicity, broad support, and lack of confusion about what it is and where it ends. 
		- XML-RPC remains simple because I've been a hardass about simplicity. At the same time I continued with the SOAP process, and am one of its parents, because I recognize that it's important to connect with systems created by big companies, even if I despise their greed and aspirations to lock developers and users into their systems, which I do, and they do. 
	- Realistic expectations
		- The breathless press reports say that this technology is revolutionary, and I believe it is, but not the way they say it is. 
		- XML-RPC, emphatically, does <i>not</i> enable new applications. Anything you can do with XML-RPC could be done with any of the previous technologies that allowed applications to be controlled externally: COM, Apple Events, CORBA or CGI. In their day, these protocols were revolutionary because they turned applications into toolkits. Spreadsheets and page layout programs became platforms because of these technologies, spawning new developer communities, and giving new power to application developers and their users. XML-RPC is revolutionary in this way too, but it's not a new revolution, it's a replay of a revolution of the late 80s and early 90s.
		- If you're looking for something new here, it's that XML-RPC turns the Internet itself into a scripting environment. It makes it safe to not use the programming tools and runtimes supplied by the operating system vendors. Unlike the previous technologies, you are not locked into Windows, Mac, Unix or Java. There's a good chance that your app can communicate with any other app, no matter where it runs. It also makes it safe to choose a minority platform and communicate on equal terms with apps that run on previously dominant platforms. It undermines the hegemony of any platform that seeks dominance. This is why it was so courageous for Microsoft to take the lead in this technology. It's also why Microsoft is second-guessing this vision by promoting a Common Language Runtime, which is totally contrary to the philosophy of SOAP and XML-RPC, and should be approached by developers who value independence with extreme caution.
		- If XML-RPC achieves its promise, it will probably not, on its own, deliver any new products or features to users that wouldn't have been possible with previous connective technology. However, it <i>will</i> create new opportunities for small independent developers to come out of left field and create new applications that the Big's would never be able to get through their <a href="http://www.dictionary.com/search?q=lugubrious">lugubrious</a> development processes. 
		- Yet the hype surrounding web services carries the opposite message, people who are supposedly experts in this area look to the Big's to produce the innovation, as if they have any track record of doing that. They don't, for good reason. I watched Microsoft's internal process chew up XML-RPC and spit out SOAP, a protocol full of second-guesses and hedged-bets; compromises that make it so complex you need to have a full-time engineer on board to keep up with the latest schema; where interop lasts months, instead of forever, as it must if the technology is to mean anything at all. The process of SOAP is sick, because it's dominated by conflicted big companies. Meanwhile XML-RPC keeps chuggin along, doing what they hope to do someday when they are finished, which seems can never happen.
	- Why is Sun late?
		- I understand why Sun stayed out as long as they did, because their strategy was to be the uber-operating system. Why do we need choice when the only choice (according to Sun) is Java? Its internal method of connecting apps over the Internet only works with Java. I could see that this strategy would fail, but I think Sun can be forgiven for not seeing that. 
		- The BigCo's, not just Sun, have a conflict of interest. They sell hundreds of millions of dollars of consulting work, that, with the advent of XML-RPC, can be bought for, at most, a few thousand dollars. They have a strong financial interest in clouding SOAP and XML-RPC in mystery. That's how they support themeselves, not by functionality, but through confusion. They have a conflict of interest that makes them bad husbands for open technology. Their interest forces them to push for confusion. 
	- The bootstrap continues
		- While the big companies fight over the rules of old and new consortia, and redefine SOAP every few months, the promise of XML-RPC <i>is</i> being delivered, in the wild free spaces of the Internet development environment, the platform with no platform vendor. No Senior VP's to be quoted, just independent developers working their butts off, creating new software; and users who are empowered and excited by the new applications they're delivering. Every day on <a href="http://www.scripting.com/">Scripting News</a> we report on this stuff. You probably won't find it in Infoworld, on News.Com or in the NY Times; no Forrester analyst will talk about it, because they haven't figured out yet that we can do it without any help from the BigCo's and we must, because they can't.
	- An end to uber-operating systems
		- <a href="http://davenet.userland.com/1999/09/12/anEndToTheUberoperatingSystem">In September 1999</a>, I wrote: "The purpose of XML-RPC is to end once and for all, the idea that there can or should be one operating system for all."
		- Today, more than ever, we need to reconstruct the software industry, not around the aspirations of big companies, but around new applications created by entrepreneurs. As XML-RPC enters its fifth year, there's much cause for hope that this will happen.
		- Dave Winer
- New York Times, UserLand and Weblogs
	- #title "New York Times, UserLand and Weblogs"
	- #postTime "4/10/02; 8:04:51 AM"
	- The New York Times and weblogs
		- In January I had a dinner in San Francisco with <a href="http://www.nytdigital.com/learn/management/martinn.html">Martin Nisenholtz</a>, the CEO of New York Times Digital, the company that produces the Times' website and other Web publications including Boston.Com. 
		- I proposed that we work with the Times to help bring their content into the weblog world and vice versa. I didn't expect him to go for it, I was surprised to find that he was thinking this way too. 
		- We shook hands and by mid-March we had our new XML-based <a href="http://radio.userland.com/newYorkTimes">technology</a> working. A few weeks later New York Times headlines are flowing reliably to Radio UserLand desktops through its News Aggregator, and from there to the minds of the people who write the weblogs.
		- Today, with pride, we are formally announcing this technology to Radio 8 users around the world. 
	- The announcement
		- NEW YORK, April 10, 2002 - NYTimes.com announced today that it had reached an agreement with UserLand Software to distribute content from NYTimes.com to the network of Radio UserLand 8.0 desktop content management users.  This new feature allows New York Times links to flow, with reader annotation, through the growing network of �Weblog� sites published with Radio 8.  
		- Weblogs are continuously updated news-oriented Web sites that are published by experts in technology, education, and in corporations.  This new form of publishing, also known as �microcontent,�  relies on Web services technology such as XML as well as other technologies pioneered by UserLand including RSS, XML-RPC, and SOAP.
		- �Weblogs are a new form of journalism, practiced by hundreds of thousands of individuals for small audiences, sometimes as small as a classroom or a corporate workgroup,� said Dave Winer, CEO of UserLand Software.  �The New York Times is a trusted source for news and analysis, and partnering with them will help our network to grow beyond early adopters and technology aficionados.�
		- The feeds from NYTimes.com will add to UserLand�s flow of content in business and technology news, and will develop important new areas including the arts, international news, national and New York regional news, science, politics, travel and education.
		- �We are pleased to offer Weblog creators the ability to post headlines from NYTimes.com with UserLand�s software,� said Martin Nisenholtz, CEO of New York Times Digital.  �Weblogs are an increasingly popular form of self-publishing within a highly influential community, and are therefore an important distribution channel for our high-quality content.�
- Google's SOAP API
	- #title "Google's SOAP API"
	- #postTime "4/11/02; 11:07:10 AM"
	- Good afternoon
		- A very quick piece today, a story, a question, an answer and a pointer.
		- The story -- 1995. A new release of Netscape. Can't get through to their servers. This thing is exploding. A mind bomb every minute. Wow. I love this. End of story.
		- The question: Can it happen again?
		- The answer..
	- Yes!
		- This afternoon Google <a href="http://www.google.com/apis/">opened</a> a public SOAP 1.1 interface.
		- Now, from scripts, we can call Google as if it were a script running locally.
		- What comes back? Data. 
		- What questions should we ask? 
		- That's where the mind bombs will come from.
	- In the loop
		- We've been in the loop with Google, privately, for the last few weeks, so we've had a chance to play with ideas and actually have some.
		- Yesterday, as a tease, I put a Google Box on <a href="http://www.weblogs.com/">Weblogs.Com</a>. Every hour it recalcs, showing the top 10 hits on Google for the term weblog. To my surprise, it changes, it's not constant. And it took me to  places I didn't know about. The serendipity of queries that run for a long time. That, imho, is where the juice is in the Google API; and probably many or most of the APIs that are sure to follow; because Google is so popular. 
		- Google hits the ball over the net, then we return the volley. Finally, once again, signs of life. Let's hope we learn from the past -- and keep the spark going -- welcoming competition and learning from it instead of snuffing it out. The intoxication of a new idea every day is too good to not want to be there once again.
		- Maybe the dark ages are over? I hope so.
	- Google is just the juice
		- It's happening in real time. As I write this I'm waiting for the embargo to lift. As soon as that happens, we'll start <a href="http://radio.userland.com/googleApi">releasing new parts</a> and samples for Radio and Frontier users that connect to Google's SOAP interface, with simple but geekish instructions for getting started. 
		- Later today <a href="http://radio.weblogs.com/0001015/2002/04/10.html#a1152">Google Boxes</a> will start showing up on Radio weblogs, which you can follow through Weblogs.Com. You'll see SOAP developers, on all platforms, getting to work, creating and publishing the glue that turns the Internet, finally, into a fantastic scripting environment. Google is just the juice we need. 
		- Dave Winer
- What does the Google API mean for regular folks?
	- #title "What does the Google API mean for regular folks?"
	- #postTime "4/12/02; 2:39:13 PM"
	- Dan's question
		- Dan Gillmor asks in an email: "For regular folks who use the Web, why is the Google API so exciting? Or is this just something that will give programmers the shivers?"
		- Dan, this is an important question, and the answer right now is we don't know. Certainly there's not a huge amount of juice for users immediately -- but scripting interfaces for search engines is a <a href="http://www.google.com/apis/">science</a> that's only existed in <a href="http://davenet.userland.com/2002/04/11/googleIsJustTheJuice">public</a> for about 24 hours. It's a little early to judge its impact. 
		- An example from Web history. When the &lt;table> element came out for HTML in 1995, it barely raised a blip for users, but within weeks, many websites had improved layout. Users noticed this, although very few had an idea why the Web experience had improved. 
		- We hope the Google API will evolve at Internet speed, and that it can become two-way, and thereby make search engines more current and more useful. We hope that other search engine vendors will adopt the Google API, and participate in its development. Now that everyone knows that professional developers and hobbyists like this <a href="http://www.soapware.org/directory/4/services/googleApi/implementations">stuff</a>, it's a good way to get people who create software interested in what you do. 
		- So the fun is just starting. Google's API may not be a scientific breakthrough like <a href="http://www.dictionary.com/search?q=penicillin">penicillin</a> or cold fusion, but it might be a step on the road to something as big as SMTP or POP, or even HTTP and HTML. That's pretty big stuff. 
		- Dave Winer
- What's next after the Google API?
	- #title "What's next after the Google API?"
	- #postTime "4/13/02; 8:32:14 AM"
	- My two cents
		- Here's why I think the release of the Google API is significant.
		- 1. It works. You can make a SOAP call to Google and get a response. 
		- 2. It didn't take very long for them to do it. There was no excruciating phase lasting years with hundreds of people getting their shot at fixing it and changing it. It stayed simple.
		- 3. It's compatible. Within hours <a href="http://www.soapware.org/directory/4/services/googleApi/implementations">samples</a> were available for AppleScript, C++, Frontier/Radio UserLand, Movable Type, Perl, PHP, Python, Ruby, Tcl and Visual Basic. Glue for Java, .Net and Perl were included in Google's developer package. No one hit any bumps or dead-ends, as far as I know. 
		- 4. Google is the leading search engine. When the Macintosh platform went through this layer of technology in the early 90s, a simple utility called Stuffit got it started. Then Pagemaker, Filemaker, Quark, the Finder; and from there, scripting interfaces became commonplace. Some may want an orderly deployment of common practices, but leaders can move more quickly, and they will, and that's good.
		- 5. Developers are interested. There are enough people who are willing to try out an idea, overlook its flaws, and believe. That says that other market leaders who provide a programmatic interface to their data will likely get attention from developers. Could Amazon implement a money-making SOAP interface? Without a doubt. Same for Yahoo and eBay.
		- 6. SOAP is good enough. It may not be perfect, it may not have all the answers, but there are useful things you can do with it. Google helped SOAP out of a tight corner.
		- 7. It opens a conversation. Before this release, from Google's point of view, we were all users. Now some of us are developers. We get another chance to define what that means, based on what we learned being developers for Apple, IBM, Apple again, Netscape, the Internet, Microsoft and now the Internet again. It's a good time for a fresh start.
	- Hello World
		- We're at the Hello World stage again. It's like the hobbyist period of personal computing, or MacWrite/MacPaint in 1984, or the early days of the Web when the blink tag was a minor miracle. Same idea. 
		- Yesterday I ran a <a href="http://www.userland.com/surveys/run/dave@userland.com/googleApiFirstLook">survey</a> on Scripting News asking if the Google API is useful. The number one answer was "Yes, there are lots of possibilities." The second most popular choice was "The lightning bolt hasn't hit me yet."
	- A tentative step
		- On the other hand, Google's first steps in SOAP are tentative. There are limits on the number of queries per day, the number of hits returned and on using the service commercially. And the most juicy services don't yet have interfaces. For example, it would be great to get a random picture of Tiny Tim to display on my weblog (yesterday would have been his 70th birthday) each time I update. Google can find it for me. Webloggers love <a href="http://www.dictionary.com/search?q=kitschy">kitschy</a> stuff like that. (OK, I admit it, I love that kind of stuff, can't speak for all the bloggers.)
		- Correcting the spelling of a phrase or sentence is also interesting, and Google is very good at it, but with the tentativeness, we can't build a commercial feature. (And it isn't the right interface. For spell-check, we need to pass a document to the engine and get back a list of misspelled words with suggestions for correct spellings. I'm sure I'm not telling the Google people anything they don't already know.)
	- Next steps
		- There are two sides to search -- crawling and queries. We now have a partial interface to the query side of search. An obvious next step is to complete the interface. But to really get the benefit of the connection between content management and search, the other side must have an API as well. When a website updates, it should be able to ping the search engine, saying "I just updated." The crawler doesn't have to believe the ping, it can verify for itself that the site has changed. And if, for some reason, its policies say that the site isn't one that the search engine considers important, it can ignore the ping. 
		- Today Google has a two-day turnaround for fast-changing sites. It seems that with a simple SOAP interface for update notification, for which there is <a href="http://newhome.weblogs.com/directory/11/howToPing">prior art</a>, the two-day turnaround could become an hour or less. The benefit is that Google's index would become more current, more just-in-time, more competitive, more valuable.
		- Also, put a pricetag on the service asap. $15 per year per user, for a maximum of 1000 queries per day. Instead of disallowing commercial apps, become one. Make money. This is essential if Google and its nascent developer community are to grow and survive to do more cool stuff with the Internet.
	- Longer term
		- Google belongs on my desktop. I have a sea of information here, accumulated over many years, and most of it is useless  because I can never find anything when I look for it.
		- When Google arrives on the desktop, it will have the same SOAP interface that the global Google has. All the tools that work with the centralized service will also work on the desktop.
	- Simplicity matters
		- But all this is secondary. As a consistent evangelist of Internet-based scripting, Google's move helps enormously. They got people thinking. If the Internet is anything, it's a collection of minds and wills. If the evidence is there, the minds believe. Web services can make you think, make you want more. The art and science of Internet scripting can be transparently simple. The new technology is for curious developers and hobbyists, for the motivated and the excitable, for people learning and exploring. At the start it has to be that simple so lots of people can get on board. 
		- Dave Winer
		- PS: API stands for Application Program Interface. Think of an API as a wire that connects a machine to an application. A gas nozzle at a gas station is like an API. The car is the app, driving is the platform, which has many APIs. Roads are one. An ignition key is another. They're all important.
- The Mind of Google
	- #title "The Mind of Google"
	- #postTime "4/21/02; 8:58:08 AM"
	- Carl Stork
		- I had a long telephone conversation yesterday with Microsoft's Carl Stork, who's on leave, after being the vice-president who worked with Micorosoft's hardware OEMs. Carl and I share a love for baseball, we both grew up in the NY metropolitan area, even though Carl is an American League fan, and my National League mind has never really understood the American League. But we get along really well, I always enjoy talking with Carl. 
		- We talked about a lot of things, music on the Internet, the state of independent software developers in 2002, and swung around to the state of DaveNet. Carl observed that I wasn't writing as many pieces as I used to. I explained that's because most of the action is on my <a href="http://www.scripting.com/">weblog</a> these days, it's a daily story, and to get the DaveNet group in the loop is something I rarely have the time to do these days.
		- But the Google-Meets-SOAP story is an exception. Since I was briefed well before-hand, I had time to get both flows ready, to explain the news, what it meant, and offer some insight into where I saw it going, through both channels. And today I'm pleased to report that we found what may be a killer app for the current Google-SOAP interface. I'm going to explain it briefly here, and offer pointers where you can experience it for yourself.
	- Outline browsers
		- First, this is very much like something I played around with in MORE in the 80s. We licensed a thesaurus. I wired it into the outliner. Type in a word. Double-click to see its synonyms. Repeat until the exploration is done. It was a great way to think up product names. 
		- Browsing Google in an outliner is similar, but also different, because Google's database has a different kind of content.
	- The Mind of Google
		- Open an outline window and enter the URL of a website that's the seed of my exploration.
		- Double-click. See the sites that are related to it. Pick one of its subs. Double-click. Invariably it loops back to the place I came from, but gives me nine other related sites.
		- It's a very simple way to crawl what I've come to think of as The Mind of Google. It's remarkably insightful for a piece of software. For example, I <a href="http://davenet.scripting.com/stories/storyReader$1076">crawled</a> my way to Dennis Ritchie's home page at Bell Labs. Ritchie is one of the inventors of the C programming language. Google relates his site to the sites of Bjarne Stroustrup, Don Knuth, Richard Stallman, Linus Torvalds, Andrew S. Tanenbaum, Steve Wozniak, Brian Kernighan and Ken Thompson. I'm not sure exactly what the common thread is, but they're all heroic developers who made significant contributions over many years to the technology and culture of computer programming.
		- I spent a couple of hours digging around. So many things to think about. So many puzzles. I came across the word telegraphy in dictionary.com as I was Google Outline Browsing, and found that many of the related pages were mine! Somehow it seems to have figured something out about me, or how I am perceived. It was at this point that I started to feel like I was interacting with something with a mind. Of course Google doesn't have one, but it does a fantastic job of tapping into our collective minds. In a sense Google is a global intellect, and I'm happy to report that the world has a good mind. Very interesting stuff.
		- Where the HTML interface for Google is a quick in-and-out, this is the contemplative side of Google, previously invisible, there was no user interface for it.
		- I announced this new way of browsing Google on Scripting News, and within a day, three other developers had similar <a href="http://www.soapware.org/directory/4/services/googleApi/applications">browsers</a> in HTML, and of course others are welcome to do it in an outliner, which is where the interface works best, imho.
		- Dave Winer
- How to be a revolution
	- #title "How to be a revolution"
	- #postTime "4/22/02; 10:02:52 AM"
	- Four years ago
		- On 4/22/98, I wrote a <a href="http://davenet.userland.com/1998/04/22/keepYourEyeOnThePrize">piece</a> that I re-read this morning, and thought to myself, I want to say this again, in the context of 2002, which is very different from the software world of 1998. 
		- The original story was written as Netscape was <a href="http://www.netscape.com/newsref/pr/newsrelease577.html">going</a> open source, while it was still the installed base leader, turning their browser into what's now known as <a href="http://www.mozilla.org/">Mozilla</a>. We were under intense pressure to release the Frontier source code. At the time, and at several times in the intervening four years, we considered following Netscape's lead. Instead we charted a different course, through XML-RPC, SOAP, RSS and OPML, creating open interfaces and sharing lots of code with our users, but managing the Frontier kernel, as best as we could, with paid employees and contractors.
		- This is an edited version of the original. I took out obvious <a href="http://www.dictionary.com/search?q=anachronisms">anachronisms</a>, and detours from the real point. It whittled down to just a few paragraphs. It's an offer of peace between generations of programmers. It's possible that today, the people I'm talking to -- young developers with big ambition, will be able to hear it in a different way. It's worth a try. I wouldn't say everything the same way today, but this is what I said four years ago.
	- How to be a revolution
		- At age 42, I hear much of the philosophy of open source coming from people who are younger. It truly is a generational thing. I've said before, if I were in my early 20s I would probably be part of the open source thing, but I'm not in my early 20s, I'm in my early 40s.
		- Middle-aged people seem to believe that younger people have a lot to learn. I look at them and I see myself at their age. I'm sure some part of this is real, but most of it is projection. They aren't me, they are them. They're throwing out some of our lessons and beliefs. That's inevitable, and therefore good. 
		- My advantage is deep experience. Their advantage is lack of experience. I really mean that. When I was young we threw out the ways of mainframes and discovered the power of minis and then micros. The older folk sniffed. "We did that years ago!" they said. But the seeds of their demise were already in the ground and we were the sprouts. The people of my generation, the two Steves at Apple, Bill Gates at Microsoft, and others, really did kick the legs out from under IBM, Sperry, DEC, etc. We know how it turned out.
		- But Compaq and Lotus had Ben Rosen and Apple had Mike Markkula. They were the "adult supervision," the teachers, they gave us the inside scoop on the opposition. They told us how the world worked, and we worked around that. They were our surrogate fathers, caring about our success, enjoying it <a href="http://www.dictionary.com/search?q=vicariously">vicariously</a>. I had my own angel, a man named Bill Jordan. When I was in my 20s and 30s, he was in his 50s and 60s. He taught me a lot. I owe much of my success to Bill. 
		- The best revolutions embrace all that was learned in past revolutions. Keep your eyes open, understand how the system you're trying to undermine really works. Bill Gates never said publicly that he was going to take IBM out of its strategic place in the software business. For all I know, he didn't even intend to do it. Gates had doubts about his ability to lead the industry as late as 1990.
		- It isn't about open source, it's about open minds. Drawing lines alienates people to you. Attacking Microsoft verbally causes Windows users to tune out. You can't undermine by trying to dictate the terms, you have to do it by invading at night, slipping in the back door unnoticed. Then when the old folks wake up, it's too damned late.
		- So, speaking as an old geezer to a bunch of young whippersnappers, let's really cause some trouble, keep your eyes and ears open and stop attacking so openly. 
		- A new slogan. It goes right along with the old slogans, Dig We Must, Let's Have Fun, Namaste Y'all.
		- Keep Your Eye on the Prize.
		- Know what you want, and get it.
		- Dave Winer
- Making friends with Hollywood
	- #title "Making friends with Hollywood"
	- #postTime "4/29/02; 9:44:16 AM"
	- Macromedia does weblogs
		- From the land of unrehearsed news, this morning a bunch of new weblogs showed up, from Macromedia marketing, to get the word out about a new product they announced today, Dreamweaver MX.
		- A quote from <a href="http://radio.weblogs.com/0106884/2002/04/29.html">Matt Brown</a> at Macromedia: "The idea is that we can get information back to the community more rapidly than a lot of other channels. We do a lot of that anyway, but we do that mostly on a 1-1 basis or spread through a lot of other venues. This way we can bring in the important info to one place and get that out to people."
		- One word of feedback: Bravo!
	- Growth of weblogs
		- Can there be any doubt that the world of weblogs is growing at a fantastic pace?
		- Yesterday, I discovered a new <a href="http://www.projo.com/technology/shenews/">weblog</a> from Sheila Lennon, a columnist at the Providence Journal. It's a great blog, covering technical news, with lots of pointers and comments.
		- At UserLand we're hosting weblogs for members of the .NET community, for people inside Microsoft, as well as for independent developers using .NET. Same with the Java community, and Web services developers working in all popular scripting languages, operating systems and environments. Something is bootstrapping here, every day there's a surprising development.
		- Today Macromedia joined the fray. I hope they keep updating and do more to make their tools relevant to people who create and run weblogs. They'll find that we left room for Dreamweaver and their server-side tools. The more we use the Web to connect products to the people who use them, the quicker we'll be able to move, with less confusion.
	- Making friends with Hollywood
		- At the same time, there's another industry we'd like to welcome to the world of weblogs.
		- Every day there's news of more attempts by the entertainment industry to shut down the computer industry, using the US Senate as a lever. Of course I abhor this, computers are here to stay, to think or act otherwise is counter-productive. Computers change the way we all do business. Computers also changed the entertainment industry (that's not big news), so we look to AOL, a product of our industry, one that now owns a big chunk of Hollywood, to make sense of the mess at the intersection between our industries.
		- Yesterday I sent a letter to Steve Case at AOL, outlining an opportunity to use the Web to market their entertainment products, much the way Macromedia is using their new weblogs to inform and learn from Web developers. The idea was initially outlined in a <a href="http://www.thetwowayweb.com/payloadsForRss">white paper</a> I wrote with the help of <a href="http://live.curry.com/">Adam Curry</a> early in 2001. It's still a relevant idea, and I hope the entertainment industry will give it serious consideration. Here's how it goes.
	- The click-wait system
		- When I started talking with Adam late in Y2K, he wanted me to think about high quality video on the Internet, and I totally didn't want to hear about it. Like a lot of people, I had tried it, and found it unsatisfying and frankly, exhausting. 
		- I thought that video on the Internet was a loser for three reasons, that build on each other:
		- 1. When I click on a link to view some video, I have to wait.
		- 2. The wait is longer than the video. (In other words I have to wait two minutes for ten seconds of video.)
		- 3. The quality is horrible.
		- All three effects are bad, but the first is the worst. The Internet lifestyle is frenetic. There's no time to wait. The remaining two negatives only make video less attractive, but the first is the killer.
		- But Adam persisted and showed me that if I was willing to change my point of view, it could work, without any waiting and with very high quality.
	- No click-wait
		- What if, in the middle of the night, while I'm not using my computer, it downloads huge video and audio stuff to my local hard drive. Then when I arrive in the morning there are fresh bits, news clips, movie trailers, a song of the day, whatever, provided by all kinds of content providers, from big TV networks like CNN and MSNBC, to a Dutch school where kids are taking a film class using inexpensive video recorders and Macs. 
		- Let's see what happens with 1, 2 and 3 in this scenario.
		- 1. When I click on a link to view some video, it starts playing immediately, because it is already on my local disk.
		- 2. The wait is zero.
		- 3. The quality is limited by the size of my local disk, not by the capacity of my connection.
	- We have the chicken
		- So here's the conundrum. How does your computer know which things to download?
		- For that we turn to The New York Times, an authority we trust, of course not to the exclusion of all other sources. Their integrity is something we depend on.
		- The Times runs regular movie reviews. This is the starting point, the chicken that begets the egg. Just link a movie trailer to every review, through the XML feeds we're already distributing. With the click-wait problem gone, resolution can improve. Voila, the Internet is a multimedia environment that can happen today, even if the people have relatively slow net connections.
		- From there, I'm sure there will be more ways to connect.
	- Turn it around
		- Can you imagine that someday, perhaps very soon, we will use the Internet this way?
		- We already get movie reviews from the Times, thanks to the deal we <a href="http://davenet.userland.com/2002/04/10/newYorkTimesAndUserland">announced</a> earlier this month. How much of a leap is it to link from the movie review to a trailer that's already resident on my hard drive, to eliminate the click-wait, and work around the slow deployment of broadband?
		- This is an example where the entertainment industry and the computer industry can and should collaborate. 
		- Dave Winer
- Coast vs Coast
	- #title "Coast vs Coast"
	- #postTime "5/1/02; 8:41:51 AM"
	- Us or Them?
		- JD Lasica sent a pointer to his <a href="http://www.ojr.org/ojr/lasica/1020203502.php">latest essay</a> to <a href="http://doc.weblogs.com/2002/05/01#worldWideWest">Doc Searls</a>, Dan Gillmor and myself. Like <a href="http://www.nickdenton.org/">Nick Denton</a> he would hand the victory trophy to the east coast, but not so fast guys.
		- Here's what I said in my email response to JD, cc'd to Doc and Dan: "I felt about [the article] the same way I feel about articles about SOAP that only talk about the BigCo's and ignore XML-RPC. The point of view is anachronistic. When we look at this a few years out, the Industry Standards, Slates, etc will be easily seen as horse-buggy manufacturers who tried to transition to automobiles and failed. There wasn't actually anything happening there. Hotwired was the only one that got it, and then only for a brief period."
		- It never was a fight between the coasts for the hearts of people with minds who use the Internet. Some people out here on the west coast (not me!) thought we should expand from being the heart of technology into publishing. Our answer to the NY Times, Washington Post and Time/Newsweek would be the Industry Standard, Salon, Slate and Wired. Heh. Fat chance. The Standard is gone and the rest are hanging by a thread, and these days, no one outside a <a href="http://www.dictionary.com/search?q=loony+bin&r=2">loony bin</a> is predicting that the New Economy will wipe out all that came before it. All those pubs did was try to clone the print model on the Web, and if you want be a revolution, you have to be more clever than that. (Clue: Let your readers write for you.)
		- But does that mean that the ink-stainers can breathe a sigh of relief and go back to their old ways? Well, hmmm, no I don't think so. When Silicon Valley refinds its purpose it will be the supplier of technology to ever larger numbers of people doing it for themselves, doing what they love, and writing about it, on the Internet of course. Here in Silicon Valley we never <i>really</i> lost this purpose, but the PR message is a little diluted after the ridiculous bluster of the mid-late 90s.
		- Hey instead of writing odes to the prowess of the BigPubs, let's look at this objectively. Are there some things the Bigs do better than the blogs? I don't know. When I read an article in one of the Bigs that covers something I know, I'm appalled at the number of mistakes that make it into print, when their supposed advantage is that they can do deep research and fact-checking that the people can't. The Time <a href="http://www.time.com/time/magazine/article/0,9171,1101020429-232589,00.html">article</a> about Mozilla was a great example. Easy to check factual errors made it into the lead paragraph. How does that happen? Do they care about quality? Their publishing methods don't allow readers to do the fact-checking before the article appears in millions of printed magazines. With the publishing industry in hard times, are they laying off fact-checkers before they lay off reporters?
		- Want to do another comparison? Do an industry conference and put some <a href="http://reiter.weblogger.com/2002/05/01">bloggers</a> and some pros in the audience. Who gets the story faster? The bloggers of course. Who gets a more accurate story? Let's check that out next chance we get. Was the wait worth it? 
		- As an aside, I'm getting calls for interviews on the meaning of the Google API. I can't get up for it. The excitement is already past. It was covered in great detail on the Web, in real-time. Will the pros find angles we didn't? Doubtful. And their articles are filled with blustery transcription errors, as their editorial processes dumb it down and remove all inspiration, and all context. 
		- Anyway, what's the moral of the story? Will weblogs replace professionals? I won't give the trite automatic answer that so many east coasters like. It might happen if they believe bedtime stories like JD's. A better answer is to blend the two approaches, to stage your journalism, test your ideas on weblogs before printing them. Provide deep background in real-time that only a few readers might find interesting, and take a chance on making a mistake and quickly correcting it, because you're going to make them anyway. Meet your readers, learn from them, and feed that back into your professional work. 
		- Dave Winer
		- PS: On May 7 I'm giving a presentation to John Markoff's journalism class at Stanford on this subject. I guess I just did my prep. ";->"
- The Role of Professional Journalists
	- #title "The Role of Professional Journalists"
	- #postTime "5/6/02; 6:41:55 AM"
	- It's early May
		- Last week we had a big outage on our network, so I could only write <a href="http://davenet.userland.com/2002/05/01/coastVsCoast">one</a> DaveNet, but I would have liked to write more because early May is a time when I'm allowed to self-indulge. I was born in early-May in the mid-1950's. Last week I turned 47. What a trip. Inside I still feel 22. But I'm wiser, and more experienced, and all that. I'd still like to have the body I had at 22. Oh la. Life goes on.
	- A great birthday present
		- On Friday, an important story appeared on WebMonkey.
		- A survey of  weblog tools. A category review. A very well-done piece.
		- http://hotwired.lycos.com/webmonkey/02/18/index3a.html
		- Hardly a day goes by that there isn't an article somewhere about the rising influence of people who write weblogs. This is a survey of the tools they use. Well-done.
	- Category reviews
		- I'm old enough to remember a time, in the 1980s, when the big software categories were all at least three-deep, and InfoWorld, PC Week, MacWEEK and PC Magazine periodically ran category reviews to survey the state of the art in word processing, spreadsheets, databases, graphics, communication and presentation software. They even reached into peripheral categories, like outlining, the one I was camped out in.
		- These category reviews were incredibly useful both to vendors and users. I've already read the WebMonkey survey three times, and I'll read it three more times. All of a sudden I have a much better idea of what my competition is doing and of course they have a better idea of what I'm doing.
		- In technology, the confusion of the dotcom years left a wrecked landscape, not just in the industry, but in journalism too. I welcome the WebMoneky survey. To get back on track, they should do it <i>again</i> in six months after the market reshapes because of their review. And again and again. 
		- For the last few years the pros just wrote about battles to the death. A category-level review celebrates competition. A big difference in philosophy.
	- Do It Yourself journalism
		- After reading yet-another Blogs-Don't-Matter <a href="http://www.nytimes.com/2002/05/05/books/review/05SHULEVT.html">piece</a> in yesterday's NY Times, I now can see the disconnect more clearly. Sorry I didn't see it sooner, but that's how it works sometimes.
		- If I ever said that the amateurs would certainly wipe out the professionals, let me now retract that statement. If I ever hinted that this would happen, I would like to retract the hint.
		- I would be very happy if professional journalists covered news in software in a serious way, without dismissing independent developers, based on the deep thought and research that they are so famous for. (A touch of sarcasm there.)
		- Look at how Joshua Allen researched his weblog tools survey. Please do more of that, and I will be happy and sing your praises. "Look what the pros add," says Dave. When done thoughtfully by people who cared about the categories they were covering, they helped everyone compete, and helped software move forward. 
		- Buf it the pros won't, we'll do it for ourselves, not just in technology journalism, but in all categories. We need journalism, if the pros won't supply it, amateurs can and I hope will.
	- The role of professional journalists
		- The VCs stopped funding technology in the Dotcom period. The BigCo's, Microsoft, IBM, Sun, Oracle, etc, are lost in Web Services Land, and in the meantime, a group of products few have heard of are making something new happen. Blogger, DiaryLand, Greymatter, Movable Type and our own Radio UserLand. Most of these products have XML-RPC <a href="http://www.xmlrpc.com/directory/1568/bloggingApis">interfaces</a> that work, and tools developers creating new interfaces for flowing content to weblogs. We have XML syndication formats that are supported by lots of publications, yet the technology press still covers the <a href="http://www.dictionary.com/search?q=minutia">minutia</a> of BigCo wranglings and ignores the bootstrap that's happening in DIY-Land.
		- The professional journalists have been asleep at the wheel, leaving a void. They hear irritation, and infer bluster. Wrong. We want help. And we want to help you get back on solid ground, reporting news in technology that matters to people, not the latest Boy Kills Boy story from Redmond or Mountain View.
		- There was a time when professional journalists anxiously awaited new versions of our software, and wrote about them, and compared and debated their merits. I want to see that happen again. Then the lights can come back on and we can move forward. Let's go!!
		- Dave Winer
- How To Start a Weblog (For Professional Journalists)
	- #title "How To Start a Weblog (For Professional Journalists)"
	- #postTime "5/7/02; 7:14:14 PM"
	- Good evening
		- This afternoon I had the pleasure of talking with John Markoff's journalism class at Stanford University about the kind of journalism we practice in weblog-land. Eventually the discussion turned to how a professional might start a weblog. I rattled off a list of get-started ideas, and on the drive home thought of a bunch more. Once you get started it's not that hard, but many pros might not know how to do it. So here's a brief how-to with some ideas to get you started.
	- Start
		- The hardest step in trying something new is to start. So just do it. ;->
		- Get some weblogging <a href="http://hotwired.lycos.com/webmonkey/02/18/index3a.html">software</a>, and create a new site. Start by posting something stupid like Hello World or This is my first post. Breaks the ice. Everyone does it. 
		- Don't worry about the URL, some of the most popular weblogs have the nuttiest addresses. It's not the URL that attracts people, it's who you are and what you think that matters.
		- Some people think every weblog has to look beautiful, but I don't agree. My philosophy is we're all just folks, and come as you are.
		- <a href="http://dogma2000.tk/">Dogma 2000</a>, a manifesto written by an Austrian blogger, sums it up beautifully. "If you have something to say, put in on the Web."
	- Links
		- The next step is to link to stories.
		- When a colleague or competitor writes an article that you find interesting, for any reason, link to it. You don't have to say why you find it interesting. It may seem strange to point to a competitor, but readers like it when you do. People who read weblogs are information junkies, they want all the angles. They may not even click on the link, but it's nice to see it there.
		- Another time to link is when one of the companies or people you cover does something, even if you don't write an article. By doing this you are creating an archive not just for your readers, but also for yourself. If you wrote one article about a company, there's a chance you'll write another. It'll be good to have a <a href="http://www.dictionary.com/search?q=dossier&r=2">dossier</a> then.
		- Also, every time you link you're helping the Internet because search engines will adjust the page's rank accordingly. Over time, as you develop a community, more people will point to your blog, and your choice of links will have more weight. 
	- Full transcript of interviews
		- It would be great if each reporter's weblog had the full transcript of interviews for readers who are interested.
	- List all stories written by the author
		- Probably in the right margin of the home page, a reverse-chronologic list of all major articles written by the author. No more than 20 or so, linked to a page where they're all listed.
	- The usual things
		- In the left margin, include a list of weblogs you read regularly or think are important. A reader can tell a lot about you by the sites you point to. It's okay when you're starting to have this list be small, but update it when you feel the time is right. 
		- If there's an XML feed that readers can subscribe to, link to it with the white-on-orange XML icon. You'll see an example on my <a href="http://www.scripting.com/">weblog</a>. For extra credit also include an <a href="http://radio.userland.com/xmlCoffeeMug">XML Coffee Mug</a> that lets readers subscribe to the XML with two clicks in some desktop news aggregators (including my own product, Radio UserLand).
	- Say who you are
		- I have a <a href="http://scriptingnews.userland.com/whatIsScriptingNews">page</a> linked to Scripting News with a picture of me, a brief history of the weblog with pointers, various mottos of the past, a disclaimer of Netscape 4 support, and other almanac-like homilies. It answers one of the first questions I have when I see a new blog -- who writes this and what is it about?
	- Write
		- After speaking with many professional reporters, this is probably the point where you hold back. After all, writing is what you get paid to do. No one is paying you to write for the weblog. But..
		- You're going to write anyway. Think of it this way. How many things do you observe that have nothing to do with your beat? You can't sell an article about a great movie if you write travel reviews. Every human being observes things just by living, and you're a writer, so write about it.
		- A great example is Glenn Fleishman's <a href="http://glennf.com/gmblog/index.php">weblog</a>. He's a freelancer who writes about technology, but he also has a lot to say about practically everything else. Weblog writing is writing you do for the sheer pleasure of expressing yourself.
	- Send me a pointer
		- If you're a professional reporter and start a weblog, that's newsworthy. 
		- Please send me a pointer, and I'll help you build flow. 
	- Conclusions
		- Weblog software is good for professional journalists, not just amateurs.
		- It's been cast as an Us versus Them thing, and that's incorrect. It's a new style of writing, made possible by the Web, and by the advancement of software. 
		- I can't speak for all amateurs who blog, but I would like to see more pros use the technology.
		- Dave Winer
- Adam Curry: The Big Lie
	- #title "Adam Curry: The Big Lie"
	- #postTime "5/9/02; 8:41:30 PM"
	- Intro by Dave Winer
		- From time to time I run guest essays, written by people who have an experience that relates to the topics we cover. On September 14 last year I ran a piece by Tamim Ansary on Afghanistan. I've run essays by Bill Gates and Esther Dyson. Today, permit me to introduce <a href="http://www.curry.com/stories/storyReader$27">Adam Curry</a>, who is a personal friend, and was in Amsterdam this week gathering first-hand reports about the assassination of Pim Fortuyn, a political candidate who Adam knew and supported. 
		- The first report I heard about the Fortuyn assassination, on KQED, the National Public Radio outlet in San Francisco, said that Fortuyn was a right-wing extremist, in the mode of France's Le Pen. Having visited the Netherlands four times in the last two years, I was shocked to hear that. The Netherlands is a singularly liberal and peaceful country. It didn't make sense. I put it out of my mind and went on with my day. Then I read on Adam's <a href="http://live.curry.com/">weblog</a> that this is not correct, that Fortuyn was not even conservative. 
		- As the days passed, Adam's site became central to a discussion that has reached into all corners of the weblog world. The wrong story continued to propogate. What is going on with the media, what kind of information are they distributing, and why?
		- I asked Adam for permission to run an essay that he wrote on Wednesday, and he graciously gave it. The rest of this piece was written by Adam Curry, adam@curry.com. 
	- Shockwave
		- Monday's killing of historian and politician Pim Fortuyn brought an entire nation to its feet. After the initial shockwave that was felt throughout all communities in this tiny trading nation near the North Sea, the public showed its true colors. That of a peaceful, tolerant society.
		- It was a feeling of disbelief. How could this happen, in the Netherlands of all places? This has never happened in modern Dutch politics. You hear it everywhere: This isn't Holland, Not the Dutch way. Many speak of "American drama on our shores." I'm pretty sure that statement is meant to reflect the shock, anger and sorrow of 9-11.
		- Everyone agrees that physical harm and violence are not to be tolerated. Like most modern cultures, opinion and speech are protected by the constitution. Ironically it is precisely this freedom of speech that killed Fortuyn.
	- Real Events
		- The tragedy struck outside the studios of Radio 3, which is the Dutch national Contemporary Hit (top 40) Radio station. As part of campaigning for the May 15th elections, ten of the top candidates were invited to be on the afternoon drive show with <a href="http://www.omroep.nl/bnn/ruuddewild.nl/">Ruud de Wild</a>. That is a <a href="http://www.omroep.nl/bnn/">BNN</a> show, and my Friday night co-host at BNN is also a player on that afternoon show. 
		- <a href="http://www.blognewsnetwork.com/members/0000016/">Jeroen Kijk in de Vegte</a> called me about 10 minutes after it happened, 15 minutes before ambulances and police arrived at the scene. He was describing facts to me as I was watching TV reporters spew out one mistake after another. 
		- It was a very confusing day, particularly because I was able to get first-hand information and was loyally passing that on to blog space, omitting some details out of respect for my friends caught in the middle of this drama.
		- But the TV painted a different picture. They were so out of control that the news desks were reporting anything that came in as fact and true. Disclaimed of course from time to time.
		- And when it's on the news, or in the paper, it's the truth. Right?
	- What is Truth
		- I've been in the public eye for more than 18 years, in Europe and the US. I've enjoyed fame and recognition, which comes at a price.
		- That price isn't privacy, as many would have you believe, the price is the cost of the truth.
		- I've been interviewed hundreds of times. By broadcasters, publications, newspapers, magazines, school papers. You name it, they's interviewed me.
		- Not once, ever, has the result been factually correct.
		- And that's the battle, you feel so violated and wronged when someone or something of authority states an untruth about you. It takes tremendous amount of effort to correct or re-direct the flow of the press.
		- And the only way you can do that is by doing more interviews to correct the mistakes, which in turn breeds more untruths and mistakes. A never ending vicous circle of fenzy feeding with reporters from all lines of media copying rumours, half truths and heresay without even bothering to check facts and background. Of course there's no time for all of that, we need to make a deadline, presses are rolling, or were about to lose our satellite window and most important of all:
		- We need to attract and keep the audience. For there is no better drama than real life itself.
	- The Truth about Pim Fortuyn
		- The bitter pill was yet to come for the Dutch. As the world's media started to report on the tragedy came more disbelief: Pim Fortuyn was being described by the world press as a "Hard Right Winger", "The Dutch Le Pen", "anti-muslim", "Racist". The only correct description I read or heard was "Populist". That Pim was indeed. 
		- It was stunning to read the New York Times report "Fortuyn's rise mirrored a right-wing resurgence in several European countries, lately highlighted by the anti-immigrant Jean Marie Le Pen's surprise showing in the first round of French presidential elections."
		- Was the Times talking about the same Pim that the Dutch endeared as he would appear on every talk show, always dressed to the nice with his sharp wit at hand. Was this the same Pim the country had enjoyed for ten years as a writer of many political books and weekly columns always aimed squarely at exposing the underbelly of Dutch politics, which is mostly played out behind closed doors in the Hague. All Dutch know it, but Pim wasn't afraid to say it. .
		- Morning news shows clips of foreign coverage. Most shocking was what I saw from the Bigs in the US. Without fail all three major networks, ABC, NBC, CBS labeled Pim Fortuyn as ultra right and/or racist. With phrases such as "running on an anti muslim platform" or "the Dutch Le Pen" .
		- It isn't hard to trace this back to quotes from <a href="http://www.minaz.nl/">Prime Minister Kok</a>, who positioned Fortuyn as "hard right" at the beginning of the campaign.
		- Furthermore there was the Volkskrant <a href="http://www.volkskrant.nl/nieuws/nederland/1013147690985.html">article</a> from several months ago. In that interview Pim was quoted saying that he feels Islam is a "backward culture" for ridiculing homosexuality and proclaiming homosexuals as "lower than pigs". Pim was openly gay.
		- In fact Pim Fortuyn never called for a ban on immigration or removal of Muslims. Unfortunately the memes were set, and the largest news organizations in the world are copying incorrect information and propagating it shamelessly.
		- What Pim did do, was start the public debate about immigration and standard of living in the Netherlands, which is the second most densely populated country in the world. 
		- The wave was unstoppable. Where France had marched on the streets in protest against Le Pen, the Dutch had gone a step further and just stopped the problem with bullets.
		- This is not the truth.
	- United
		- The Dutch were so outraged that something beautiful happened. Accross all ages, race and religion, people joined hands in unison. Thousands waiting hours in front of city halls throughout the country, so they could sign the makeshift condolence registers, tens of thousands more marching in peaceful demonstrations with the mayor of their city at the head of the procession. For that is the real Dutch way, the 'working together' Polder Model.
		- This country is still in a deep state of shock. That will pass, life will return to normal. It already has in many ways. 
	- Lessons to learn
		- The Pim Fortuyn controversey started right here. In a country with three public television stations and ten commercial stations all fighting for severly depressed market share and share of the evaporating advertising funds.
		- It's a tinderbox. Programming budgets are at an all time low, most programming wouldn't make it on the air without help of non-spot advertising, or product placement. Fact checking is just too expensive and any resources available are in the Middle East. 
		- Catching the wave of the day and getting the right soundbite is more important, because it means ratings, which means more money, means more budget, means.. better reporting?
	- Doubtful
		- And it all started with a newspaper interview.
		- A full day after the tragedy, the Times got back on track. At least one individual reporter did: Marlise Simons in the NY Times <a href="http://www.nytimes.com/2002/05/07/international/europe/07DUTC.html?ex=1021348800&en=ed8288e91b753095&ei=5007&partner=USERLAND">revealed</a> the kernel of what sparked the controversey over Pim Fortuyn. I checked her translation against the original <a href="http://www.volkskrant.nl/nieuws/nederland/1013147690985.html">article</a>. Spot on: "During the interview he was asked why he was so critical of Muslim immigrants. He said he found it shameful that foreign Islamic clergy here used offensive language against gays in this country, and that Muslim men tried to impose medieval rural customs in the Netherlands. "How can you respect a culture if the woman has to walk several steps behind her man, has to stay in the kitchen and keep her mouth shut," he said.
	- There Are no Secrets
		- This has been the tagline of my weblog for years.
		- Now that the Internet has empowered any man or woman to have a voice, the truth can be found.
		- I tried screaming at my TV, telling the news anchor he was wrong! I have first hand information! Yelling at the newspapers doesn't help much either. Writing on the Web does.
		- Pim Fortuyn will never be Prime Minister or take a seat in the Dutch parliament. He was poised to be the leader of the largest political party in this country.
		- But his work can and must continue. For Pim was all about truth. He wasn't afraid to speak his mind, which was directly connected to his heart. He spoke for many and was respected by even more. Only the misinformed could find fault.
		- Our task here is to ensure the truth remains openly exposed. 
		- We have the tools to do this. My weblog is already making a dent in the misperceptions of Pim and the political climate in the Netherlands. And that happens through collaboration and information flow.
	- Conclusion
		- The Big Lie is all around us. It lives in the sense of security we have about our lives and surroundings.
		- Just as the US was shaken to the bone over the possibility of attacks on US soil. Now nuclear threats loom.
		- But the Big Lie also lives at the office and in schools. The news reports we're out of a recesssion, yet thousands lose their jobs. The principal ensures your child is safe in the hallways of school.
		- The business community found the Big Lie in the Andersen and Enron scandals.
		- The Catholic church is in the middle of disaster recovery from The Big Lie.
		- You are safe to walk on the protected grounds of the national state broadcast facilities
		- Professional wrestling isn't real either
		- And the sky won't fall on our heads.
		- We clamor to media as our security blanket. We want to feel safe and secure.
		- Does the record breaking $43 million opening day of Spiderman not show that we are in desperate search of good feelings about our towns and cities. That Spidey will swoop down and save us from peril when the chips are really down?
		- I point once again to the Zen TV <a href="http://live.curry.com/stories/2002/02/19/bloggingTuneOutAndSwitchOn.html">experiment</a>. if you have not done this, please at least <a href="http://www.adbusters.org/campaigns/tvturnoff/toolbox/zentv.html">read about it</a>. The four hours you as an average citizen spend in front of the television is what keeps the general popualtion shackled to the teat of the beast. You are not relaxing when you watch, you are being fed. 
		- And the diet is not healthy.
		- Adam Curry
		- Postscript: Lance Knobel <a href="http://davenet.userland.com/2002/05/10/lanceKnobelidiosyncraticReactionaryPolitics">counterpoints</a> Adam.
- Lance Knobel: \"Idiosyncratic, reactionary politics\"
	- #title "Lance Knobel: \"Idiosyncratic, reactionary politics\""
	- #postTime "5/10/02; 11:29:42 AM"
	- Counter-point
		- <a href="http://www.davosnewbies.com/2002/05/10">Lance Knobel</a>: "Step away from the horror of the killing and look at Fortuyn's declared policies: halt immigration, integrate existing immigrants, re-erect Dutch border controls, sack 25% of civil servants, reduce Dutch payments to the EU, end the system of consensus politics. 
		- "This is idiosyncratic, reactionary politics. And however he dressed up his immigration policy, it appealed in part to some of the worst sentiments in the populace."
	- Comments
		- Like Adam, Lance is a personal friend; and also like Adam, is an American living in Europe, in London, where he works for the British government. I got to know him through Scripting News, when he was the editor of the World Economic Forum's WorldLink magazine.
		- While both my friends share the horror of the death of Mr. Fortuyn, they have opposing but balanced views, and between them, provide a framework for the truth. Fortuyn was both a person and a leader. Adam <a href="http://davenet.userland.com/2002/05/09/adamCurryTheBigLie">talks</a> about the person. Lance asks who he was leading Whoever they are, they are still there, the question is still open, as is the future of the Netherlands.
		- Dave Winer
- Monoculture, an Artifact of the 20th Century?
	- #title "Monoculture, an Artifact of the 20th Century?"
	- #postTime "5/13/02; 9:22:36 AM"
	- A lesson?
		- We got a vigorous and thoughtful response to the guest <a href="http://davenet.userland.com/2002/05/09/adamCurryTheBigLie">essay</a> from Adam Curry and the <a href="http://davenet.userland.com/2002/05/10/lanceKnobelidiosyncraticReactionaryPolitics">follow-up</a> from Lance Knobel, and that got me wondering why. One reader commented that much of what I write is over her head, but she understood what Adam was saying. Another said that there will be a rebellion against the "media," much like what happened to the tobacco industry. Lots of comments from the Netherlands, a country that rarely makes worldwide headlines. True to what I believe about the Netherlands, they were mostly thoughtful, although there were a few flames. Nothing like what you get from writing about the death penalty in the US (whose mere mention is likely to evoke a broiling response from a few people).
		- Why such a response to a piece written by another person? Is he a better writer than I am? I discarded that as self-centered. Is the subject more approachable? Hmmm. Perhaps. But on reflection I decided the reason was simpler, and more obvious. People have read me, they know how I think, but here's a new person, with new patterns, different experiences, a different way of expressing himself, a different set of issues, as Adam would say, different programming.
		- Now that thought led me back around the loop to the music and movie industries, news and television, all of which are, following the analogy of Adam and Dave, worn out, more of the same, a monoculture, too predictable, uninteresting, not taking us anywhere new.
		- Every day we're asked to pay a price to continue the existing centralized system of flowing information and creativity. What if we don't want to pay? Further, what if this system is now obsolete? Information and creativity used to be decentralized, before the 20th century, every town had a newspaper. If you wanted to enjoy music you either made it yourself or had a friend whose talent could entertain you. 
		- Perhaps the centralized system, that led to such a suffocating monoculture, was a historic anomaly, an <a href="http://www.dictionary.com/search?q=artifact">artifact</a>? The technology of the phonograph, radio and television demanded centralization. Distribution was expensive. To pay for distribution we needed financial entities who would be rewarded for risks. 
		- Who would be the next Beatles, the band that everyone listened to? Maybe in the future there won't be bands that everyone listens to. Maybe this wouldn't be so horrible as the <a href="http://news.ft.com/ft/gx.cgi/ftc?pagename=View&c=Article&cid=FT3H10TP8ZC&live=true&useoverridetemplate=ZZZFKOXOA0C&tagid=FTDDMJNIFEC">philosophers</a> of the centralized systems believe.
		- Perhaps monoculture has run its course. Maybe what's happening now, but it's hard to see, is that each of us is taking more responsibility for getting our own information, for creating our own entertainment, and not giving that power to the centralized entertainment and information industries. 
		- Dave Winer
- Real-time weblogs
	- #title "Real-time weblogs"
	- #postTime "5/23/02; 9:32:33 AM"
	- Worldwide conferences
		- Something new is happening, thanks to the development of <a href="http://80211b.weblogger.com">802.11b</a> networks at conferences, and easy to use weblog software. 
		- Here's the scenario. A traditional conference, with a stage, a speaker, panelists, and a moderator. People in the audience, with laptops, checking email, sending and receiving instant messages, and lately, posting publicly to their weblogs. 
		- Once we reached the last stage, where publishing could be instantaneous and easy, the whole notion of an audience changes. We no longer have to line up at the microphones, nor are we limited to asking questions. Instead we can relate what's happening on stage to the whole world, or at least that part of the world that cares, and they can help us develop the story. News travels much more quickly. And when a wired person is on stage, they can see what the former audience is saying about them, and respond. 
		- The old slow loop, and the old frustrations of being in the audience melts away. So many new ways of flowing ideas become possible when the audience members have voices. They cease to be an audience in any recognizable sense.
	- The trend
		- Last week I attended the O'Reilly Emerging Technology conference where there were dozens of bloggers, and many of the sessions were about doing weblogs, the future of the medium, and standards for making the products work more powerfully for users.
		- A couple of months ago at Esther Dyson's PC Forum conference, Dan Gillmor, Cory Doctorow and Doc Searls, all experienced webloggers, with the help of Buzz Bruggeman, a person who viewed the conference only through the Web, raised the awareness of this art to a much broader group of people. The epiphanies were very exciting. If you don't believe me, ask <a href="http://www.edventure.com/conversation/article.cfm?Counter=8648145">Esther</a>, Kevin Werbach, Dan, Cory, Doc and Buzz. 
		- In July, I will participate in the O'Reilly Open Source <a href="http://conferences.oreillynet.com/os2002/">conference</a> in San Diego. This may be the first conference in history to <i>premeditate</i> support for real-time publishing, doing simple things like providing power strips and good desks for people reporting the sessions on the Web. I'm anxious to help them any way I can. This is exciting new technology, very relevant for the art of conferences.
		- PopTech, a conference in Maine in October is going even further, according to <a href="http://radio.weblogs.com/0001011/2002/05/22.html#a1326">Robert Scoble</a>, who is participating in the planning of the conference. Sounds like I should plan to be there.
	- Ideas
		- In no more than a couple of years, probably a lot less, conferences will seek out people who write weblogs to broaden the reach of their conferences. The logic is simple. If I give a speech at a conference, in the old model, I can speak to a few hundred people for a few minutes, and convey a small bit of what I know, and influence them for a short time, until the next speaker takes the stage. However, if a discussion starts with my presentation, and a record is created on the public Web, and linked to by weblogs, and indexed by the major search engines, all of a sudden I have a chance to create news when I give a speech. This increases the value of the conference for everyone who participates.
		- For the next couple of years, the news coming out of conferences will be the new technology. We have a lot of catching up to do. People generally don't know that there are new tools, as fundamental and empowering as word processors were in the early 80s. And aggregation software that can merge many flows into one, so you never have to go looking for what's new. That point came home last week. The market is just waking up. The tools vendors, including my company, are way ahead of most users. 
		- I've said this many times before, but it bears repeating in this context. Press conferences should include users to report to other users, without middlemen. We've seen a bit of this in Macromedia's <a href="http://davenet.userland.com/2002/04/29/makingFriendsWithHollywood#macromediaDoesWeblogs">adoption</a> of weblog technology to create flow directly from internal Macromedia developers to users, but the flow must also work in the reverse direction. Include users in your idea of what the press is, listen, and tune your message, and your marketing automatically gets more efficient. There's not much time to waste, professional journalists are learning about and adopting the new <a href="http://davenet.userland.com/2002/05/07/howToStartAWeblogforProfessionalJournalists">technology</a>. Any technology vendor that isn't also using these techniques to market is going to wake up in a very strange world in a couple of quarters.
	- Next stops
		- We have a lot more work to do before we're finished. Here's a brief list.
		- 1. We have to protect free communication on the Internet. Hollywood and its allies in the US Congress are taking really deep shots at the Internet. This is not good. Emphatically, it's not a medium just like TV, music or film. I'd rather see other creative media become more like the Internet, rather than the other way around. 
		- 2. Return to our roots in the software business. Developers need support from users. The investment community has steered us away from this, let's go back there.
		- 3. Let's ask Microsoft to settle their lawsuit, and create more room for growth by creating separation between Microsoft's goals and the Web's. I strongly believe that if we can return to growth in user-oriented software, Microsoft will be the largest participant in this growth. Like the venture capital community, Microsoft is sitting on billions of uninvested dollars. Let's find ways for them to put this money to work.
		- 4. These are extrordinary times. Never before has the money of the technology business been so interested in new ideas. We have them. The trick is to use the technology to entice the investors, as users, to experience the excitement of the network, for what it's really good at, not tethered to the empty missions of the dotcom period. That's why having a conference in Silicon Valley, soon, interests me so much. 
		- 5. Let's restore a healthy respect for competition. Don't go into markets with the idea that it's going to be all yours. Patents destroy the competitive spirit as much as monopolies do.
		- 6. More voices. I'm encouraging people who have positive ideas to write guest DaveNets. The experience with Adam Curry's <a href="http://davenet.userland.com/2002/05/09/adamCurryTheBigLie">piece</a> two weeks ago was a reminder that <a href="http://davenet.userland.com/2002/05/13/monocultureAnArtifcactOfThe20thCentury">monoculture</a> is not my mission. I want to enable more voices. So if you have something to say, don't hide -- this channel is open to lots of new ideas, from all kinds of places.
	- Jake
		- Let's get started with #6 right now. ;->
		- One of my colleagues at UserLand, Jake Savin, said on his <a href="http://radio.weblogs.com/0001000/2002/05/18.html#a410">weblog</a>: "If we're too lazy, numb, frightened, or self-censored to ask the important questions and share what we learn with each other, we might as well sign over what's left of our civil rights right now. It will be a lot easier to lose them, than it will be to get them back."
		- Amen to that. Properly invested, the money and minds of Silicon Valley are perfectly aligned with the freedom the Internet offers. The idealistic story of the mid-90s was the correct one; the dotcom model, a detour. In the tech industry we make tools for artists, thinkers, journalists, academics, marketers, engineers, lawyers, to create and communicate. 
		- That's all we do. When we try to do more, we get lost. Let's find our way home.
		- Viewed another way, in the nineties we built a great global network. Our next challenge is to use it.
		- Dave Winer
		- PS: Alan Reiter has an excellent <a href="http://radio.weblogs.com/0001195/categories/wirelessBlogging/">weblog</a> devoted to wireless weblogs at conferences.
- Edward Cone: A Personal Look at Blogging
	- #title "Edward Cone: A Personal Look at Blogging"
	- #postTime "5/28/02; 7:38:18 AM"
	- Introduction by Dave Winer
		- Good morning. This DaveNet piece was written by Edward Cone, a senior writer for Ziff Davis Media�s <a href="http://www.baselinemag.com/">Baseline</a> magazine and a <a href="http://www.news-record.com/news/columnists/staff/cone0512.htm">columnist</a> for the Greensboro News and Record. He has been a contributing editor to Wired magazine, a staff writer at Forbes, and has freelanced from Paris, New York, and North Carolina for a wide variety of publications. 
		- I got to know Ed when he did a <a href="http://www.wired.com/wired/archive/9.05/winer.html">profile</a> of me that ran in Wired in 2001. As Ed knows, I felt the profile missed the "wired" angle. He wrote about the contents of my refrigerator, and the pollen that accumulates on my pool, but missed the revolution in perspective of the tools I was working on. I was openly critical of his piece, on my weblog of course, but the conversation continued. 
		- Talking with Ed over the weekend, I said that it's all about perspective. When a reader becomes a writer and a publisher, that's a major perspective shift. And the other way is too, when a professional writer goes solo, there can be a feeling of <a href="http://www.dictionary.com/search?q=exhilaration&r=2">exhilaration</a> and freedom, and of course the fear that comes with that.
		- Edward Cone is a professional journalist <i>and</i> a person with a <a href="http://radio.weblogs.com/0107946/">weblog</a>. His perspective is still rare, and therefore interesting. He wrote what I consider a milestone piece for the News and Record, it was the first weblog article (I had seen) by a professional that was respectful and had depth. So many stories are written by people who don't actually experience the medium, as if one could write a review of word processing software without choosing the New command from the File menu and typing "Now is the time for all good men to come to the aid of their country." 
		- So when Ed's piece ran, I wanted him to write for DaveNet, for two reasons. First, I want new voices. And second, he's a <a href="http://davenet.userland.com/2002/05/07/howToStartAWeblogforProfessionalJournalists">pro with a blog</a>. So here's Ed Cone's perspective on weblogs.
	- Edward Cone: A Personal Look at Blogging
		- The easiest answer to the question of why I blog is this: because I can. 
		- Write a sentence, click the mouse, and the words are published onto the Web. The cost and technical skill required to get started are low to nil. Any audience, universal or particular, is now within the potential reach of any writer. 
		- As a professional journalist, it may seem odd for me to write for free. In fact, it makes sense on several levels. When I profiled Dave Winer more than a year ago for Wired, he told me that the Web is a writer�s medium.  I appreciated his take then. Now that I blog, I understand it. 
		- Blogging is on the verge of becoming a mainstream fad, and that fad will be exploited and commercialized. But blogging will not fade away when its faddishness passes, because it is built on the powerful code of written language. 
		- Blogs have been getting a lot of attention in the press, in large part because of the blogging adventures of big-name journalists like <a href="http://andrewsullivan.com/">Andrew Sullivan</a> and <a href="http://www.msnbc.com/news/752664.asp">Eric Alterman</a>. Much of the coverage has been typical media navel-gazing about the impact of blogs on the practice and stature of professional journalism. 
		- These articles miss the point. Blogs are not going to replace magazines, newspapers, or online publications; I think Dave will lose his famous <a href="http://davenet.userland.com/2002/03/25/longBetWithTheNyTimes">bet</a>, made in the pages of Wired, that the top story of 2007 will attract more Google hits to a blog than to the New York Times site. There is tremendous value created by the resources available to a for-profit publication, including editing talent, access to sources, brand awareness, and time available for a reporter to spend on a single story. 
		- But when a journalist like Jonah Goldberg of the National Review Online <a href="http://www.washtimes.com/commentary/commentary-20025240923.htm">points out</a> in the Washington Times that major publications have bureaus in foreign capitals that can�t be matched by a lone blogger, he is merely stating the obvious. The key is that there will be bloggers in those cities, too, who will report first-hand both fact and opinion. This is part of blogging�s true power, the democratization of the distribution of information. Goldberg says that bloggers can only feed off the work of the mainstream press, but bloggers will lead, drive, and shape the news coverage of the major media, too. 
		- Another important element is blogging�s network effect-the tendency of bloggers to link to each other, providing a running conversation between interested parties that is available for anyone to read. One good example of this was the back-and-forth between <a href="http://davenet.userland.com/2002/05/09/adamCurryTheBigLie">Adam Curry</a> and <a href="http://davenet.userland.com/2002/05/10/lanceKnobelidiosyncraticReactionaryPolitics">Lance Knobel</a> on Dave�s own site about the assassination of Dutch politician Pym Fortuyn, which provided considerable insight into the man and his followers while the media was still settling for a more simplistic view.
		- Bloggers who link extensively to each other and to other sites also create useful filters for the overwhelming volume of Web content, creating what are essentially portal pages, virtual industry journals, and eclectic general-interest magazines. Not every blogger links, which is fine by me. Andrew Sullivan has gotten a lot of heat in the blogging community for his lack of links to other bloggers, but hey, he�s Andrew Sullivan, we�ll read him anyway. And there are many personal diaries, sexcapade recaps, and me-too reviews of �Attack of the Clones,� which exist to satisfy their authors and perhaps a few friends. 
		- At some level, though, not linking to other bloggers negates a certain part of the essence of blogging. Maybe those pages are less �blogs� than just frequently-updated personal Web pages, if such a distinction exists. Sullivan writes that he disdains the concept of �community,� but the blogging community and its subcultures are real. And on a practical level, links between bloggers are a critical way of getting readership for blogs. Blogging is more than the sum of its parts. 
		- Linking is part of blogging�s appeal to me as a writer. I think of it writing in 3-D, an addition to the toolkit for written expression. The ability to link to other sites means you can define or expand upon almost any topic you cover, with linking itself an art, since the particular link you provide for, say, intifada, will color your own work accordingly.
		- As a professional, I see other benefits to blogging. I found when I added a weekly opinion column in a regional daily to my full-time job as a magazine journalist that writing more makes me a better writer. The newspaper column itself is a loss leader for me-I could make more money selling the time I spend on it to higher bidders-but it hones my thinking and develops my style. Plus, it makes for good clips when I am pitching the kind of work that pays my bills, and it�s a way of taking an active role in the community in which I live. 
		- A weblog offers all that, minus the beer-money checks but with the possibility of a global audience. It is also a potential brand-builder for my journalistic career. I choose not to live in New York or San Francisco, but now my work is instantly available in the hotbeds of my profession. My chances of getting noticed by someone who might actually pay me for my work may be greatly increased. 
		- And blogging provides a forum for stuff I don�t have room for elsewhere-ephemera, short items, personal notes, my pet <a href="http://radio.weblogs.com/0107946/2002/05/15.html#a15">theory</a> that the Dwarves are Tolkien�s Jews-as well as a testing ground for work in progress. For me, this last category includes reflections on the impact of 9/11 on a small group of my closest college friends, including two who died-something I simply need to write about. 
		- I am still feeling my way with my blog, but I know that I want it to be a kind of  op-ed column, updated frequently, with original material and links to other parts of the Web, with a consistent tone that is intelligent, humane, and funny. Unlike much of the stuff I get paid to write, it�s my voice, singing my own song. I hope people read it, bookmark it, and create blogs of their own.
		- Edward Cone
- John Robb: The New Economy
	- #title "John Robb: The New Economy"
	- #postTime "5/29/02; 7:51:41 AM"
	- Introduction by Dave Winer
		- <a href="http://jrobb.userland.com/">John Robb</a> is the president of the company that I am chairman of, UserLand Software. Before joining UserLand, he was the president of <a href="http://www.gomezpro.com/public/aboutus.asp">Gomez</a>, and before that an Internet analyst at <a href="http://www.forrester.com/">Forrester</a>. We talk about little things, the details of running a small company struggling to stay afloat in a recession, and bigger things -- how did we get here, and what comes next.
		- A couple of weeks ago we were talking about the "New Economy" that drove the stock market boom of the late nineties. It didn't turn out the way the people hyping it said it would. John observed that there actually <i>was</i> a new economy, evidenced by the dramatic decline in profits for corporations, and went on to explain why it was happening. I said "Write me an essay!" and he did.
	- John Robb: The New Economy
		- Did the Internet enable a new economy?  I think the latest evidence says that it has.  But it isn't the new economy corporate America expected.
		- Since 1993, the economic statistics for the US economy have been wonderful.  Productivity is way up and accelerating, wages are up and increasing, and inflation is down and declining.  We are getting more competitive, more leveraged, and wealthier -- while the cost of goods has remained static.  The only "bad news" is in corporate profits.  
		- During this entire time, corporate profits have remained stagnant.  There is even reason to believe, given the current accounting scandals and strident calls for accounting reform, that corporations actually experienced a massive decline in profitability over the last 8 years.  <a href="http://www.standardandpoors.com/">Standard and Poor's</a> estimates that corporate profits would be 25 percent lower if currently popular accounting gimmicks where negated.  
		- So, what happened?  All previous booms handsomely compensated corporate America's managers and investors.  In fact, the expectation was that corporations would be able to leverage the Internet to make more money than ever before through a combination of lower costs and larger scale. The rapid gains in the markets during the late nineties reflected this logic. The dotcom mania reflected this logic.  It was all horribly wrong.
		- The reason is that the Internet isn't an extension of the past.  It is a new thing.  It leverages individuals in ways that go beyond old models.  It creates a new order of things where individuals, and not companies, can expect to control all the benefits of economic gains.  
		- Pretty impressive stuff.  But, how did individuals pull this off?  Control of the information flow.  Individuals within and outside of corporations have used their control of the information flow to make the markets for products, services, and labor increasingly competitive.  People have more providers to buy from, on a global scale, and more organizations to work for (the monster.com effect) than ever before. Corporations are caught in a vice between competitive pricing and higher labor costs.
		- In cruel turn of events (not from my perspective of course ;->, but from a corporate one), individuals are also starting to wake up to the excesses of corporate America. They know too much. <a href="http://live.curry.com/">Adam Curry</a> says that there are no secrets, and this is what he means.  Companies that have been able to hide behind copyrights (excessive in length) and patents (excessive in breadth) in order to charge excessive prices, are being challenged.   Their justifications for high prices aren't making headway either.  In music, people now know that artists aren't paid under the current system.  Why should people pay an oligopolist that distributes an artist's creative works without adequate compensation a premium price?  Napster, Morpheus, and Kazaa are just the start of the opposition to this.  There will be more, and they will be more aggressive.  
		- Additionally, corporations are also starting to lie with abandon.  In the new world enabled by the Internet, people find out about it fast.  Public trust in corporations is at an all time low.  Andersen, Enron, Schering-Plow, Adelphia, Stanley Tools, Global Crossing, Microsoft, WorldCom, and many more have crossed over the line.  All of them have been under intense profit pressure.  All have opted to break or bend the law for a short buck.  It won't help.  If the guys at the top of American corporations think that this is a recourse, they are sadly mistaken.  Information travels much too quickly.  There is no damage control.
		- Corporations aren't people, despite what the law says.  They are a means to an end.  If they end up barely producing a profit, but employee salaries rise and consumers get low prices, does that hurt us?  No.  Sure, the stock market will be a dog, but who cares?  The market is merely an abstraction of the wealth creation process and a playground of the wealthy that is often perveted to fleece gullible individual investors. 
		- Will companies continue to compete and invest in new technology?  Yes.  They can't stop.  Barriers to entry are dropping daily enabled by a <a href="http://www.dictionary.com/search?q=plethora">plethora</a> of new technologies.  Any weakness is immediately seen, globally via the Internet, by entrepreneurial individuals who will take action to provide competition.  If corporations stay static or look to the government for salvation they will die.  
		- What most of us care about is the ability to think, create, and enjoy.  The new economy makes that better, easier, and smoother for more people than ever.  Say goodbye to the tarriffs from the tolltakers of corporate America.  We won't miss them.
		- John Robb
- The Googlish way to do Directories
	- #title "The Googlish way to do Directories"
	- #postTime "6/2/02; 8:27:07 AM"
	- Nothing to see
		- Good morning sports fans. A Silicon Valley story. Went to the grocery store to get some coffee and food and wine. At the checkout counter the clerk says "Oh the tourists." I said "Tourists? I didn't know we got tourists here." It turns out we do. They stop in and ask if there's anything to see. She says "Oh yeah, there's Highway 280, go check it out."
		- I had the same experience when I came to Silicon Valley for the first time in the late 70s. I kept driving around looking for something to see. There's nothing to see. Lots of freeways, Denny's, and not a whole lot more. Stanford has a couple of museums. Winchester Mystery House. 
	- A trip to Google
		- The week before last I took a trip to Google. First I took the tour. Lots of geek toys. Lots of press clippings. A nice graph showing flow. Then we sat down and talked software. 
		- I pushed six things and gave them a heads-up on an seventh. Here they are. 1. Spell-checker web service. 2. Pings from CMSes for more currency. 3. Google On The Desktop. 4. An API to access page rank. 5. OPML and directories (instead of two or three directories, millions). 6. RSS feeds for their news flows. 7. Gnutella as a decentralized distribution method.
		- This article is about #5, the Googlish way to do Directories.
	- What is Googlish?
		- I heard someone say the other day that they don't use bookmarks anymore, they just go to Google and type the name of the site and it takes them there. (And gives them a few more ideas on the way.)
		- Driving in the car the other day I found myself wishing I had Google so I could complete a thought I was working on. Had to wait till I got to my friend's house. On arrival I asked if I could use his browser. A funny new social construct.
		- So why does Google work so well? Because it's open and fair and seems smart (it's just a computer of course). Its algorithms figure out what the Web has to say on a given subject. Collectively we believe in Google, it's our memory, it's the way we share. And it works very nicely with the tools we sell which are for creating things to share, and more often, every month, the sharing happens on Google.
		- So what does Googlish mean? Open, fair and smart. 
	- Today's directories
		- Yahoo started as a directory, before there was a Google, before Alta Vista even.
		- The directory has a top level, where the world is <a href="http://radio.weblogs.com/0001015/images/2002/06/02/yahootopdirectory.gif">divided</a> into categories, sub-categories, and so on. To find what you're looking for, pop in and out levels, and read. Each level in the directory has an editor, who works with other editors to build a hierarchic map of the Web. 
		- There are two main directories: Yahoo and DMOZ. Yahoo is maintained by employees and volunteers, although the editorial process is not publicly documented. DMOZ is all-volunteer, but both approaches centralize control of categories. 
		- They are not Googlish. The Web doesn't have two or three home pages. It has millions. The right way to do it is the same way Google's search engine does. Open, fair, and smart. Lots of competition. No gatekeepers.
	- OPML
		- Now I'm going to get technical.
		- Imagine a new format, like HTML, but for hierarchies.
		- It's called OPML, which stands for <a href="http://www.opml.org/">Outline Processor Markup Language</a>, an XML-based format I designed in Y2K.
		- You edit OPML files with an outliner. Several of them support the format now, including the one that UserLand includes in Radio. Eventually, I believe (and hope) all outliners and many other kinds of programs, ones that create and understand hierarchies, will support the format.
		- You can save OPML files to the Web, just like HTML files, and browse them in lots of interesting ways. Recently we came out with a <a href="http://radio.outliners.com/radioPointTool">tool</a> that turns an <a href="http://radio.weblogs.com/0001015/slides/outlines/infoworld.opml">outline</a> into a PowerPoint-like presentation, but in HTML so you can browse it. It's cool because weblogs are showing up at conferences, and of course so do presentations. Now people can use the same tool to edit both, and achieve interesting integration.
		- Another thing outlines are good for is authoring directories, like Yahoo and DMOZ. Everyone can edit their own outlines. The next step is for Google to understand them and browse them like directories.
	- A demo
		- Here's a <a href="http://www.soapware.org/">directory</a> that's <a href="http://scriptingnews.userland.com/stories/storyReader$2051">edited</a> with an outliner. To make a change to the directory, I open the outline, make the change, and save it.
		- Millions of people can use this tool. It's not hard. That's key, because what we want to do is enable people who have deep knowledge of important areas to gather resources, organize them, and reorganize, as the world changes. Teaching Google how to parse this information, and then present it to users of Google is an important next step for the Web, I'm sure of it.
		- I've sold hundreds of thousands of outliners. I've met hundreds of people who love them, and get emails every day from people who use them. They are smart people, but generally <i>not</i> the kinds of people who have been writing for the Web because writing for the Web has required so much technical knowledge.
		- So this little Web trick, that Google can help with, can bring more minds onto the Web faster, something we absolutely need if we're to meet the challenges from government and the entertainment industry. There's really no time to waste.
	- How Google can help
		- 1. When you encounter an OPML <a href="http://www.soapware.org/discuss/reader$4.opml">file</a>, index it.
		- 2. When an OPML file shows up in a search, offer to browse it as a directory.
	- Directories and inclusion
		- Now I get even more technical. Sorry, but it's important. ;->
		- OPML directories can link to other directories, they can even (theoretically) link <i>into</i> other directories. When this happens, the linked-to directory is "included" in the other. At the bottom of the page, the author's name is different, and the suggest-a-link feature sends an email to the included directory's author, but most readers won't notice. It's almost seamless.
		- Now, instead of having two or three all-encompassing directories, anyone with an outliner and some server space can compete to be the authority on any subject. That's how Web directories become Googlish.
		- Have a great Sunday!!
		- Dave Winer
		- PS: No patents. ;->
- Follow-up to today's piece
	- #title "Follow-up to today's piece"
	- #postTime "6/6/02; 3:53:22 PM"
	- Two follow-ups
		- As you might imagine, today's piece stirred quite a few pots, more than were necessary or appropriate. There's a suitable retraction and apology at the end.
	- First
		- <a href="http://www.thereisnocat.com/">Ralph Brandi</a> sent a <a href="http://www.siliconvalley.com/mld/siliconvalley/business/columnists/dan_gillmor/ejournal/2631449.htm">pointer</a> to a Dan Gillmor post with a partial explanation of the outage that was the example in the earlier piece. I still strongly believe that the outage should have been explained to readers, and had it been, I am sure it would have been corrected. In other words I stand by the story. But I should have included a link to Dan's post so readers could judge for themselves. 
		- I have more thoughts on this subject, but that can wait for another day. Thanks to everyone for the thoughtful comments. Learning a lot here.
	- Second
		- I had a long talk with Andrew Orlowski at The Register, re this statement: "The publication is dying because they've lost almost all of their advertising. Now they probably would be going through tough times now, no matter what, because the Internet advertising business is very troubled. But they're being hit harder. The theory is that advertisers, once they get pricked by an article they don't like, withdraw their advertising." 
		- Andrew called, and followed-up with an email in response. He said:
		- 1. There have never been more ads at The Register - click around the site. Most folk complain there's now too much advertising :)
		- 2. We've a lower head count than at any time since 1999. That's fewer mouths to feed
		- 3. We've never had a US sales operation before, thanks to our partnership with <a href="http://www.theregus.com/">Tom's Hardware Guide</a>. That's another stream of revenue.
		- 4. Non-ad revenue has never been higher - thanks to our recruitment pages, the research and shopping partnerships.
		- 5. Sales are going up not down, and they're substantially higher than last year. It's hard to find another publishing company that can say that. It's tough out there for sure, but we're prospering.
		- 6. Rumors of our demise aren't new - I've heard them from envious journalists since beofre I joined. And commercial rivals use this is as black propaganda. We're still here.
		- 7. You've met both me and John Lettice, but we must be pretty boring guys. That's OK. It's better than being called ugly, and you didn't mention my atrocious teeth :)
	- Glad to hear it
		- First, I'm glad to hear that The Register is doing so well.
		- Further, I apologize for saying that it wasn't, and retract the statement. 
		- I had two sources, but there's no excuse for not having checked with The Register. 
		- I screwed up, and I sincerely hope my piece did not hurt The Register.
		- Dave Winer
- Is it marketing or journalism?
	- #title "Is it marketing or journalism?"
	- #postTime "6/6/02; 7:27:14 AM"
	- Scoble and Mr X
		- A couple of weeks ago I had lunch with a friend, <a href="http://radio.weblogs.com/0001011/">Robert Scoble</a>. He worked for me for a few months, now he works somewhere else. We were friends before, and we're friends again. I like having Robert as a friend more than I liked having him work for me.
		- The conversation swung around to a professional journalist we both know. Let's call him Mr X, who is a columnist, not a reporter. He has strong opinions about companies in the industry he covers. He bashes with the best of them. He pulls no punches. Or does he?
		- X works for a big publishing conglomerate with lots of newspapers, call it Amalgamated Publications Inc, or API. Recently API did something, totally visible to everyone who cares, that clearly was in the area of interest of Mr X and his readers. Was it a bad thing? That's subject to debate. What does Mr X think? In his column, he has been silent on the issue. Privately, he hints that he's appalled, but doesn't come out and say it.
		- I spoke with X and pressed him on this. "Why haven't you said anything?" I asked. He said it wasn't his place. He works for API. The boss of API, Mr. K, could speak about it if he wanted to, said X, but it wasn't appropriate for him to. I wasn't sure if this was right, so I tried to fit this logic to my own experience. I considered situations where people who worked for me had taken stands that are contrary to the interest of my business. 
		- I had a good example -- Scoble, when he worked for me, would chase and <a href="http://www.dictionary.com/search?q=cajole">cajole</a> adversaries and partners of my company on his weblog. At first I didn't know what to say or do about this. Would these people understand that he was speaking only for himself, or consider his writing to be representative of UserLand, the company he worked for? I couldn't imagine that they would separate us from him because he was our Director of Marketing. With that title he had an <i>obligation</i> to carry the company's message. But he was expressing opinions contrary to the interest of the company, as defined by me, its CEO.
		- At UserLand, Scoble was our marketing guy. X presents himself as a journalist. There's the difference. X is paid to take on adversaries. Scoble was paid to represent our interests. A journalist who cringes at creating controversy is not doing journalism. A marketing person has no conflict of interest, as long as its disclosed that he's a marketing person. Few people would question that X is a journalist. I'm sure that X would consider it an affront to challenge him as a journalist. So what's the difference between a marketing person and a journalist?
		- We know that X won't challenge his employer. This has not been disclaimed in print or on the Web. Who else will he not challenge? If a company buys advertising in an API publication, is X allowed to challenge them? To criticize their products, service, company policy? Since there has been no disclaimer, there is no way to know. 
		- I conclude that Mr X is not a journalist.
	- Why bother with journalism?
		- If I blew the whistle and said who X is, and raised a challenge to API, and asked for a response from Mr K, people would say I wasn't being nice. But is that the point of having journalists? Emphatically, no. If everyone says a journalist is really nice, I take that as a clear warning that this supposed journalist is actually playing footsy and selling out his readers. As readers, we have gotten very complacent about this. 
		- There are lots of stories that aren't getting much coverage in the press. I wonder if the same thing is going on. For example, consider the efforts of the entertainment industry to shut down music sharing on the Internet. Are we getting balanced coverage of this? Is it just about piracy, as most of the stories say, or are there real uses for the technology that are not piracy? Do we have a good idea how far their ambitions go? Surely there must be sources inside the industry who would speak off the record or not for attribution. Where is the great reporting? Who's investigating? Who's taking chances on ruffling their feathers? The reporters we want to trust work for the people who require investigation. Think about that for a minute. How many of them, like X, won't challenge their employers, or even have the guts to put up a clear disclaimer on their site? These are not idle questions.
		- As our conversation continued, Scoble and I concluded that there may not be any journalism today. It's all about compromise and under-the-table deals between the reporters and their employers. No disclosures or disclaimers. Total disrespect for the intelligence of the readers. Lots of nice people playing footsy with the people they're supposed to be watching and when they try to grab stuff that doesn't belong to them, they don't blow the whistle.
		- Perhaps X is well-intentioned. But nothing seems to happen when he tries to rally his readers to action. Perhaps there's the price for appeasing the publisher who would employ someone as a journalist but not welcome criticism from the journalist. There is no better way to establish credibility than to go after the person who signs your paycheck, when they deserve it. I can't think of a professional journal, with the exception of the Register (see below) that I trust at this level. Sad situation.
		- This is the difference between a director of marketing and a professional journalist. The former accomodates the employer, and the latter must not. For some reason professional journalists only accept critiques from other pros. That doesn't mean we have to stay silent on this way of doing business. 
	- The Register
		- Over the years I've had many talks with professional journalists and publishers on this subject. It's no secret that there's lots of footsy gooing on, that you can't keep a professional job and write stories that your publisher doesn't want you to write. Somehow this story, so commonly understood, never gets written.
		- Recently I heard the story of <a href="http://www.theregister.co.uk/">The Register</a>, a publication I admire, for its courage, thoughtfulness, irreverence and good humor. The publication is dying because they've lost almost all of their advertising. (See <a href="http://davenet.userland.com/2002/06/06/followupToTodaysPiece#second">follow-up</a> for retraction and apology.) Now they probably would be going through tough times now, no matter what, because the Internet advertising business is very troubled. But they're being hit harder. The theory is that advertisers, once they get pricked by an article they don't like, withdraw their advertising. 
		- I told the story to Scoble, and he asks if it ever was different. I say for sure it was. In the 80s, I knew reporters at most of the industry publications. Some of them wrote articles that were critical of the major players, without regard to the business interests of their employers. I saw them do it, and get away with it. I also saw editors come to meetings with sales people. The editor goes to the bathroom. The sales guy levels with me. "If you buy an ad, he'll run the story." In my brief stint as a columnist at Wired, I was asked, indirectly, to write about advertisers. Wired was okay, because I was able to walk out of the conversation saying something rude to the advertiser about his product, and I kept my job.
		- Anyway, the Register is a breath of fresh air. If we want to keep the pressure on other journalists to report honestly, directly and courageously, it's in our interest to see that they survive. I have no other interest in The Register, I've never even met any of their reporters. I don't own any stock in their business, I've never written for them. But I have an interest in seeing them stay around because they are good for the environment. They challenge the industry elements that require watching. I've never seen them blink, and I don't think of them as "nice," and I like my journalism that way.
		- Dave Winer
		- PS: Mr X is Dan Gillmor. API is Knight-Ridder. Mr K is Tony Ridder. The event is <a href="http://scriptingnews.userland.com/backissues/2002/02/08#sjMercAndLinkrot">documented</a> on Scripting News. Doc Searls <a href="http://doc.weblogs.com/2002/02/09#rottenLinkage">said</a> "What they did to Barry, and to Dan, was blast tens of thousands of links into a fine mist of 404s." 
- What I'm learning about journalism
	- #title "What I'm learning about journalism"
	- #postTime "6/10/02; 10:45:54 AM"
	- Learning
		- I received dozens of emails from professional journalists in the last few days. Based on these conversations, I'd say that many, maybe even most, got into journalism for the same reason people start weblogs. Hoping to make a difference. To have an intellectual life. To be where the action is. Idealism. 
		- For many, becoming a reporter was a very positive thing -- but <i>being</i> a reporter meant understanding that the publisher must make money. Compromise. Conflicts. In the heart of such a reporter, the Web was a rallying point, a return to their beginning, it called up their inner true believer. But the Web created a conundrum. Try as hard as you can, it's very hard to make a buck selling the written word. Try to skirt the issue. It's in your face. 
		- As a software developer turned public writer, it's hard not to be sympathetic, even though many of the same people wrote us off, either because we were Mac developers when that was presumed to be a lost cause; or a Web developer when Java was presumed to rule the world; or a commercial developer during the open source mania. To have been ignored in our struggle, brings up bitterness -- these people didn't help <i>us</i> when our basic business model was challenged. Regardless, I am sympathetic. I want the pros to stay in business, and keep publishing to the Web, creating a trail of knowledge, so we can learn from our mistakes, and point to them, so perhaps we don't have to make them again. 
		- The Poynter Institute hosted a <a href="http://www.poynter.org/forum/default.asp?id=19768">discussion thread</a> on my last last piece, where a Knight Ridder system manager asked that we be gentle with their new content management system. Oh does that ring a bell. Of course I understand that. I make software for a living. A new software product is a fragile thing. If not properly cared for, it dies. When something new comes along, truly new, it should be cared for, not undermined; celebrated, not ignored. It's no surprise to me that a hard-working engineer wants his or her product to become something. That's natural, sensible, and right.
		- Back in the early 90s, before the Web became the thing, the talk of the industry was a concept called convergence. The media industry and the tech industry would become one. Today that's been realized, and what a mess it is. Now they know what it feels like to be on our side of the fence, and we're getting a taste of what it's like from their point of view. The hope is that this increases understanding. Perhaps we can find new ways to work together, don't just believe and repeat the hype, think, evaluate, let's take a different course this time. Remember the Golden Rule and practice it.
		- There's a new frankness and humility on all sides. Let's make the most of that. 
		- Dave Winer
		- PS: Today the New York Times ran a <a href="http://www.nytimes.com/2002/06/10/technology/10BLOG.html">story about weblogs</a> and used the word "journalist" to describe people who do what we do. That's a milestone worth noting and appreciating. Thanks!
- Newspapers and weblogs;  XML and academia
	- #title "Newspapers and weblogs;  XML and academia"
	- #postTime "6/13/02; 6:47:26 AM"
	- Newspapers and weblogs
		- It's a two-part DaveNet today. Two for the price of one. Yeah!
		- I was interviewed on Monday by a Japanese wire service. The reporter asked if weblogs spelled the end of newspapers. I said they didn't have to, if the professional news organizations adopted the technology. He asked how. It's worth posting. 
		- First, I would offer a copy of Radio UserLand to every person on the editorial staff (okay, I'm biased) and <a href="http://davenet.userland.com/2002/05/07/howToStartAWeblogforProfessionalJournalists">say</a> "Start a weblog now if you want." Then I'd make the same offer to the readers. Then I'd watch to see what happens. 
		- I'd say to the staff "Read the new weblogs, and for those of you who have your own, point to the articles you find interesting or useful." Let this run for a few months. My bet is that the community starts generating good news reports, on things like school boards, and city council meetings, the stuff that the organizations no longer cover. (Or medical care, or city workers who dump paint in the sewers.) Just what people see and what they think. Democrat weblogs that beget Republican weblogs.  
		- Elevate one of the staff weblogs to the main site (by then its flow would probably be almost as big as the rest of the publication). Go back to all the editorial people who haven't started weblogs, and invite them again. Wait a few more months. 
		- Now here's the New Economy bad news (sorry) -- cut the people who aren't participating in the new network. My bet is that the community gets energized by the new participatory journalism and the former reporters, who now are editors, talent scouts and teachers, are also energized, doing what they <a href="http://davenet.userland.com/2002/06/10/whatImLearningAboutJournalism">wanted to do</a> when they got into journalism. Now ask the community what they're willing to pay to keep the system working and growing. I know I'm naive and unrealistic, but this is how I think it will work. 
		- Another source of revenue. Charge local businesses to place their weblogs on your network. This is advertising turned around. No more interstitials and ads that interfere. If people aren't interested in your business, maybe it's time to find a new business. News drives interest. Minds, not eyeballs. Real issues not puffery. New products that meet people's needs and wants. No limits on where we go.
		- Editorial note: This is a revisit of an idea I wrote about in <a href="http://davenet.userland.com/2000/02/04/howToMakeMoneyOnTheInternet">2000</a> and <a href="http://davenet.userland.com/2001/02/13/howToMakeMoneyOnTheInternetV20">2001</a>, now there's new interest, as a handful of newspapers are starting weblogs. And a disclosure, my company is actually working on this stuff now, and expect to have an announcement in a few weeks; it's not so theoretical.
	- XML and academia
		- I had an interesting thought about XML, to me, at least -- but first a story.
		- I was a math major in college. It was kind of a fluke for me to be that, because I wasn't that good at math in high school. I was more of an English-major type, or Political Science or whatever, or truth be told, a dropout. But when I got serious about school in my senior year of high school (I saw what my options were, minimum wage in the Bronx wasn't too appealing) my only option for college was the City University of New York, which by law had to take you if you were a high school graduate in the City of New York.
		- I was accepted at Lehman College, across the street from my high school. I took a bunch of forgettable classes, but there was one life-changing class, a math class for people who never really got math in high school. My teacher Godfrey Isaacs, a Brit, was a gift from heaven. He taught so well and so patiently, I found that I could do it, and I did. For the 18-year-old Dave, this was a big deal. So when I transferred to Tulane in my sophomore year, I kept taking math classes, and eventually majored in math, but none of the teachers clicked like Isaacs did. I stuck with it and got my degree.
		- When I was a senior in college, I wanted to apply to grad school in math, like all the others were, but my advisor, Terry Lawson, told me not to do it. He said he wouldn't recommend me. This was a bit of a disappointment, so I asked what I should do, and he suggested that I go for some application of math, like statistics, or the then-nascent field of computer science. I didn't even know there was such a thing. I had taken a couple of computer classes at Tulane, and really liked it. So I applied to several universities, was accepted at Wisconsin, and went on to have a reasonably fruitful career as an applied mathematician, from Lawson's point of view. 
		- At the time, and probably still to some extent today, mathematicians looked down on computer science. In their mind, there was a hierarchy. The smartest minds work on pure math, manipulating symbols, and less powerful intellects apply it. As the power of computers was revealed, as I learned algorithms, data structures, Algol, C, Unix, compilers, operating systems; first as a user, then as an implementor and architect, I came to believe that the theoreticians had it wrong. It's <i>hard</i> to make mathematics work for the non-mathematical mind. Pure math is a solo thing, very introspective, it's wonderful to see what your mind is capable of -- but unlocking power in other people's minds is much more of a challenge, and imho more gratifying. In other words, if I could talk to Dr Lawson today, I'd tell him he got it wrong 26 years ago. Computer science was where the really big challenges were in 1976. I'm glad he recommended that course for me, even though I believe he did it for the wrong reason.
		- Anyway, this really is about XML. I finally figured out that we're having the same <a href="http://www.userland.com/whatIsStopEnergy">disconnect</a> in the XML world. There are a lot of pure mathematicians in our midst. They, like my advisor in 1976, believe they're at the top of the pyramid (I have no other explanation for how they behave), looking down on the lowly implementors. Like Dr Lawson, they are wrong. The hard work is unlocking the power for masses of people, people who couldn't care less about ontologies, or semantic webs, or even accessibility. If you want all that stuff, you have to learn how to make products that work for people, <i>and</i> accomplish your goals, if you can figure out how. I'm sure they're well-intentioned people, as my advisor was, but like him, they are wrong.
		- Dave Winer
		- PS: The bit about accessibility is deliberately provocative. Think about it. People with disabilities don't want accessibility, they want to <a href="http://diveintomark.org/archives/2002/06/13.html">use the Web</a>. Different perspective. 
- Newspapers and weblogs;  XML and academia
	- #title "Newspapers and weblogs;  XML and academia"
	- #postTime "6/13/02; 6:47:26 AM"
	- Newspapers and weblogs
		- It's a two-part DaveNet today. Two for the price of one. Yeah!
		- I was interviewed on Monday by a Japanese wire service. The reporter asked if weblogs spelled the end of newspapers. I said they didn't have to, if the professional news organizations adopted the technology. He asked how. It's worth posting. 
		- First, I would offer a copy of Radio UserLand to every person on the editorial staff (okay, I'm biased) and <a href="http://davenet.userland.com/2002/05/07/howToStartAWeblogforProfessionalJournalists">say</a> "Start a weblog now if you want." Then I'd make the same offer to the readers. Then I'd watch to see what happens. 
		- I'd say to the staff "Read the new weblogs, and for those of you who have your own, point to the articles you find interesting or useful." Let this run for a few months. My bet is that the community starts generating good news reports, on things like school boards, and city council meetings, the stuff that the organizations no longer cover. (Or medical care, or city workers who dump paint in the sewers.) Just what people see and what they think. Democrat weblogs that beget Republican weblogs.  
		- Elevate one of the staff weblogs to the main site (by then its flow would probably be almost as big as the rest of the publication). Go back to all the editorial people who haven't started weblogs, and invite them again. Wait a few more months. 
		- Now here's the New Economy bad news (sorry) -- cut the people who aren't participating in the new network. My bet is that the community gets energized by the new participatory journalism and the former reporters, who now are editors, talent scouts and teachers, are also energized, doing what they <a href="http://davenet.userland.com/2002/06/10/whatImLearningAboutJournalism">wanted to do</a> when they got into journalism. Now ask the community what they're willing to pay to keep the system working and growing. I know I'm naive and unrealistic, but this is how I think it will work. 
		- Another source of revenue. Charge local businesses to place their weblogs on your network. This is advertising turned around. No more interstitials and ads that interfere. If people aren't interested in your business, maybe it's time to find a new business. News drives interest. Minds, not eyeballs. Real issues not puffery. New products that meet people's needs and wants. No limits on where we go.
		- Editorial note: This is a revisit of an idea I wrote about in <a href="http://davenet.userland.com/2000/02/04/howToMakeMoneyOnTheInternet">2000</a> and <a href="http://davenet.userland.com/2001/02/13/howToMakeMoneyOnTheInternetV20">2001</a>, now there's new interest, as a handful of newspapers are starting weblogs. And a disclosure, my company is actually working on this stuff now, and expect to have an announcement in a few weeks; it's not so theoretical.
	- XML and academia
		- I had an interesting thought about XML, to me, at least -- but first a story.
		- I was a math major in college. It was kind of a fluke for me to be that, because I wasn't that good at math in high school. I was more of an English-major type, or Political Science or whatever, or truth be told, a dropout. But when I got serious about school in my senior year of high school (I saw what my options were, minimum wage in the Bronx wasn't too appealing) my only option for college was the City University of New York, which by law had to take you if you were a high school graduate in the City of New York.
		- I was accepted at Lehman College, across the street from my high school. I took a bunch of forgettable classes, but there was one life-changing class, a math class for people who never really got math in high school. My teacher Godfrey Isaacs, a Brit, was a gift from heaven. He taught so well and so patiently, I found that I could do it, and I did. For the 18-year-old Dave, this was a big deal. So when I transferred to Tulane in my sophomore year, I kept taking math classes, and eventually majored in math, but none of the teachers clicked like Isaacs did. I stuck with it and got my degree.
		- When I was a senior in college, I wanted to apply to grad school in math, like all the others were, but my advisor, Terry Lawson, told me not to do it. He said he wouldn't recommend me. This was a bit of a disappointment, so I asked what I should do, and he suggested that I go for some application of math, like statistics, or the then-nascent field of computer science. I didn't even know there was such a thing. I had taken a couple of computer classes at Tulane, and really liked it. So I applied to several universities, was accepted at Wisconsin, and went on to have a reasonably fruitful career as an applied mathematician, from Lawson's point of view. 
		- At the time, and probably still to some extent today, mathematicians looked down on computer science. In their mind, there was a hierarchy. The smartest minds work on pure math, manipulating symbols, and less powerful intellects apply it. As the power of computers was revealed, as I learned algorithms, data structures, Algol, C, Unix, compilers, operating systems; first as a user, then as an implementor and architect, I came to believe that the theoreticians had it wrong. It's <i>hard</i> to make mathematics work for the non-mathematical mind. Pure math is a solo thing, very introspective, it's wonderful to see what your mind is capable of -- but unlocking power in other people's minds is much more of a challenge, and imho more gratifying. In other words, if I could talk to Dr Lawson today, I'd tell him he got it wrong 26 years ago. Computer science was where the really big challenges were in 1976. I'm glad he recommended that course for me, even though I believe he did it for the wrong reason.
		- Anyway, this really is about XML. I finally figured out that we're having the same <a href="http://www.userland.com/whatIsStopEnergy">disconnect</a> in the XML world. There are a lot of pure mathematicians in our midst. They, like my advisor in 1976, believe they're at the top of the pyramid (I have no other explanation for how they behave), looking down on the lowly implementors. Like Dr Lawson, they are wrong. The hard work is unlocking the power for masses of people, people who couldn't care less about ontologies, or semantic webs, or even accessibility. If you want all that stuff, you have to learn how to make products that work for people, <i>and</i> accomplish your goals, if you can figure out how. I'm sure they're well-intentioned people, as my advisor was, but like him, they are wrong.
		- Dave Winer
		- PS: The bit about accessibility is deliberately provocative. Think about it. People with disabilities don't want accessibility, they want to <a href="http://diveintomark.org/archives/2002/06/13.html">use the Web</a>. Different perspective. 
- Checking In
	- #title "Checking In"
	- #postTime "7/7/02; 12:00:00 AM"
	- Good morning
		- Sorry for the infrequent DaveNet pieces this summer.
		- There's a long story behind the outage, and I may tell it at some point. There was a health scare, and surgery, I quit smoking three weeks ago, and am getting my strength back. I'm posting to my <a href="http://www.scripting.com/">weblog</a> on a daily basis, and expect to be recuperating, slowly, for the next couple of months. My mind and body are fine, and I am expected to make a full recovery. As my stamina returns, there may be more DaveNet essays.
		- In the meantime, here's a short and sweet article about weblogs in The Economist. 
		- http://www.economist.com/business/displayStory.cfm?story_id=1218702 
		- Keep on truckin!
		- Dave Winer
- Checking In
	- #title "Checking In"
	- #postTime "7/8/02; 12:00:00 AM"
	- Good morning
		- Sorry for the infrequent DaveNet pieces this summer.
		- There's a long story behind the outage, and I may tell it at some point. There was a health scare, and surgery, I quit smoking three weeks ago, and am getting my strength back. I'm posting to my <a href="http://www.scripting.com/">weblog</a> on a daily basis, and expect to be recuperating, slowly, for the next couple of months. My mind and body are fine, and I am expected to make a full recovery. As my stamina returns, there may be more DaveNet essays.
		- In the meantime, here's a short and sweet article about weblogs in The Economist. 
		- http://www.economist.com/business/displayStory.cfm?story_id=1218702 
		- Keep on truckin!
		- Dave Winer
- A new beginning
	- #title "A new beginning"
	- #postTime "7/19/02; 4:37:44 PM"
	- Good afternoon
		- Good afternoon and welcome to a mid-summer, pre-weekend DaveNet. 
		- It's been a while since I've written. There's no simple or easy way to say this, so I'm just going to say it. I had heart surgery in mid-June. It's been quite a process. I'm getting better, and should make a full recovery, and be back up to speed by mid-late August. Whether I go back to work in the same way I did before, or choose to chart a new course, remains to be seen. 
		- Also, I've taken this opportunity to quit smoking. It's been thirty-five days since I had a cigarette. I miss it sometimes, but I know I'll live longer, maybe a lot longer, as a non-smoker.
		- I started updating my <a href="http://www.scripting.com/">weblog</a> almost as soon as I was discharged from the hospital in late June. So if you want the details, you can read about it on the Web. Otherwise I'm content to stick to technology here, on DaveNet, at least for the immediate future. Thanks.
	- The stock market
		- The stock market is having heart surgey too, it seems. We're back to pre-dotcom-boom levels, in a sense it's as if none of the mania ever happened -- if only we could be so lucky. It would be the equivalent of my never having smoked. It doesn't work that way, unfortunately.
		- From this point we'll get much better information about how companies are doing. Stock options as we knew them, are over. Salaries and benefits matter. Transparent management. Time to ride the <a href="http://www.cluetrain.com/">Cluetrain</a>, for real. Companies must make identifiable products for real people that they communicate with honestly, directly and openly. You can't view your customers, shareholders or readers as fat, dumb and happy; or they'll take you down the Enron-WorldCom road. It's time for the philosophy of the Web to become the philosophy of business. View your constituents as people with minds, and treat them accordingly.
		- Somehow the information technology industry, which is still riding Moore's curve, should be able to make some lemonade out of this. We're learning about the pitiful information technology at the SEC and the FBI, and that's just the beginning. They desperately need the combo of weblogs and search engines. Their legacy systems are horribly out of date. 
		- Meanwhile the general stagnation in the software industry, which is the core of the western economy now, is a huge problem, and people aren't even talking about it. We're stuck behind a horribly inefficient system for trying out new ideas. A random Hollywood movie gets much more funding than a breakthrough software idea. That seems out of whack to me. The venture capital industry doesn't get money into the hands of the unemployed technologists in Silicon Valley. We could do so much better than we are doing. There are so many people who now would appreciate a good job with a steady salary and a health plan. OK, the VCs don't want to make that kind of investment. Who does??
		- These are just some thoughts to rekindle the discussion. There may be a lot of work to do, or nothing at all From my point of view, and maybe yours, it's a time for a new beginning. Let's have fun!
		- Dave
- Our Deal with Salon
	- #title "Our Deal with Salon"
	- #postTime "7/24/02; 7:13:59 AM"
	- Salon and weblogs
		- 1999 was a seminal year for weblogs. It was the year of Manila, Pitas and Blogger. It was the year we <a href="http://davenet.userland.com/1999/05/24/editThisPage">discovered</a> that the Web browser is the best and worst place to edit Web content. 
		- In May 1999, Scott Rosenberg at Salon wrote the first weblog <a href="http://www.salon.com/tech/col/rose/1999/05/28/weblogs/index.html">piece</a> outside the weblog community, and it rippled through the then-small world of weblogs. I pointed to it from <a href="http://scriptingnewsarchive.userland.com/1999/05/28">Scripting News</a>, in <a href="http://davenet.userland.com/1999/05/28/weblogs">DaveNet</a>, and later from <a href="http://newhome.weblogs.com/historyOfWeblogs">Weblogs.Com</a>. 
		- I said on Scripting News that day "Scott's article will probably be pointed to by lots of weblogs!" It was, and so were all the articles that followed. Writing about weblogs is and probably always will be a good way to get flow. 
	- Weblogs for the people
		- But I wished for more. I wanted Salon to open up to amateur authors. This made sense to me, because more than any other publication, Salon was "of" the Web, not of print. The value of a publication like Salon is its reputation, which can direct attention to people with something to say, even people who write for love, not money. Salon's editors could play different roles, scouts, curators, editors, and promoters of talent. New businesses could be spawned from the new weblogs, and therein, imho, lies the elusive business model for the Web. 
		- As a recent NY Times <a href="http://www.nytimes.com/2002/07/22/technology/22NET.html">article</a> pointed out, Wall Street may have fallen out of love with the Web, but Main Street hasn't. Perhaps Silicon Valley can't compete with Wal-Mart and USA Today; but Joe's Motor Shop can be enhanced by having a nice weblog to communicate with their customers and other people in their community. Joe can be an expert in his domain, a weblog helps him share what he knows, and builds his reputation. That translates into more business and more profits. It's not hard to see how new businesses will start. I've written about this at length over quite a few years.
	- Our deal with Salon
		- So, today we <a href="http://biz.yahoo.com/bw/020724/242036_1.html">announced</a> a new business relationship between Salon and UserLand. Salon is granting my wish -- they're <a href="http://www.salon.com/blogs/">opening</a> their site to amateur authors. Scott Rosenberg, now Salon's managing editor, is writing a <a href="http://rosenberg.salon.com/">weblog</a>, where he will follow the developments in their weblog community. As they often do, Salon is leading the way. They are the first publication to offer such a service to its community. We are proud to enable this innovation with our Radio UserLand software.
		- Both companies stand to grow economically from this. In the past such a service would have been free. Some free weblog services still exist, but more and more they are subsidized by customers who pay. Since we got a fresh start long after the end of the dotcom bubble, our weblog community doesn't have this kind of subsidy. People pay a reasonable price for what they use, and this makes it possible for us to operate the servers and add features and fix bugs. 
		- So from my sabbatical desktop, I'd like to thank my colleagues at UserLand for their excellent work; and to thank the people at Salon for choosing our software for their new weblog service. We hope to continue to deserve your trust for many years to come.
		- Dave Winer
- Hollywood wants the right to hack your computer
	- #title "Hollywood wants the right to hack your computer"
	- #postTime "7/26/02; 9:37:03 AM"
	- From the Associated Press
		- "A proposal by a California congressman would give the entertainment industry broad new powers to try to stop people from downloading pirated music and movies off the Internet.
		- "Rep. Howard L. Berman, D-Calif., formally proposed legislation that would give the industry unprecedented new authority to secretly hack into consumers' computers or knock them off-line entirely if they are caught downloading copyrighted material.
		- "Other sponsors of the measure include Reps. Howard Coble, R-N.C., Lamar Smith, R-Texas, and Robert Wexler, D-Fla. Coble has also received significant contributions from the entertainment industry."
		- The full story is here:
		- http://www.nytimes.com/aponline/technology/AP-Downloading-Music.html
		- This is so over the top. As a technical expert, I know there's no way to implement this without trampling on users' rights. It violates the US Constitution. But there's much more to say about it. 
	- A story
		- A couple of years ago, at the peak of the Napster boom,  I got an email from a music industry exec, not a friend, asking if it would be possible to design a virus that would seek out and destroy music downloaded from Napster on users' computers. 
		- As a computer professional, I expressed my disgust. We have strong ethics in this business. We look out for less technical users, like this executive. At a technical level it's impossible for software to tell the difference between a legal scan and one of questionable legality. Further, the question reveals an incredible and unrealistic selfishness, why should we allow him to hack our computers to protect his copyright? It would have been unethcial for me to say anything other than <b>don't</b> under any circumstances do that, and that is what I said.
		- Two years ago I never imagined that the US Congress would consider making it legal for Hollywood to spread viruses that hack our computers; that give us a disease to protect a right that's not clear that they have. But that's exactly what is happening in Washington, now, in 2002.
	- What do you do?
		- At the minimum, we must vote Representatives <a href="http://www.house.gov/berman/">Berman</a>, <a href="http://www.house.gov/coble/">Coble</a>, <a href="http://lamarsmith.house.gov/">Smith</a> and <a href="http://www.house.gov/wexler/">Wexler</a> out of office. Let's give cash to their opponents, if and only if they are willing to stand against this bill. Hit the politicians where they'll feel it, by killing their careers, for advocating such unsafe and unfair computing practices. 
		- Further, it's finally time to stop patronizing the entertainment industry. It's our money they use to buy the politicans who are destroying our creative environment. If we stop giving them the money, the shareholders will remove the executives, and we'll have a chance to get this corrupt industry serving our needs, instead of controlling us and destroying our future.
	- I am not a pirate
		- Here's what I have to say to the Congress, the music industry, and to you: 
		- 1. I am not a pirate. I've bought the music I use, first on vinyl, then on cassette, then on CD. I'll pay again, but I will use the music as I want to. I will encourage other computer users to pay for the music they use, not because I love the music industry (I hate them) but because it is the right thing to do.
		- 2. I will take measures to prevent you from hacking my computers and encourage other computer users to do the same. Hollywood will have trouble finding ethical technologists to implement their plans. It's one thing to find engineers to implement copy protection, but quite another to find people who will hack on your behalf. 
		- 3. I vote. Politicians who are <a href="http://www.opensecrets.org/industries/recips.asp?Ind=B02">openly corrupt</a> must pay the ultimate penalty, lose their jobs, so no government leader ever again dares go against the interests of his or her constituency, as these representatitves have.
		- Dave Winer
- Meg Hourihan: What We're Doing When We Blog
	- #title "Meg Hourihan: What We're Doing When We Blog"
	- #postTime "7/31/02; 8:30:59 AM"
	- Introduction by Dave Winer
		- Good morning. This is a guest DaveNet, written by Meg Hourihan, an independent Web consultant and freelance writer. She explains what a weblog is, from a technical standpoint, better than I had seen it explained before. I asked for permission to run this piece, from the author and from The O'Reilly Network, where it originally <a href="http://www.oreillynet.com/pub/a/javascript/2002/06/13/megnut.html">appeared</a>, and they generously granted permission. Thank you.
		- Ms. Hourihan is co-author of the upcoming <a href="http://www.amazon.com/exec/obidos/ASIN/0764549626/megnutcom/103-0776345-5467035">book</a>, We Blog: Publishing Online with Weblogs. She writes the popular Megnut <a href="http://www.megnut.com/">weblog</a>; and is co-founder of Pyra, the company that developed and operates the popular Blogger weblog publishing <a href="http://www.blogger.com/">service</a>. As one of the pioneers and leading writers in the weblog world, her view of weblogs is uniquely valuable.
	- What We're Doing When We Blog 
		- Every day it seems another article about weblogs appears in the press. At first, most of these stories seemed content to cover the personal nature of blogging. But more and more I'm seeing articles that attempt to examine the journalistic and punditry aspects of weblogs prominent in many of the so-called "warblogs," or sites that began in response to the events of September 11th.
		- The articles' authors are rarely webloggers themselves, which places them in the unenviable position of describing and defining weblogs based on observation, not experience. Given the vast number of blogs, it can be very difficult to understand the breadth and scope of blogging when an editor wants 750 words in 48 hours.
		- I've noticed this has resulted in a variety of ideas about and definitions of the weblogs -- from statements that blogs are personal journals filled with the (often dull or trivial) minutiae of daily life to a belief that blogs are right-wing responses to the liberal media establishment. Witness the recent article, <a href="http://www.ajr.org/Article.asp?id=2555">Online Uprising</a> by Catherine Seipp in the American Journalism Review: 
		- <i>"In general, 'blog' used to mean a personal online diary, typically concerned with boyfriend problems or techie news. But after September 11, a slew of new or refocused media junkie/political sites reshaped the entire Internet media landscape. Blog now refers to a Web journal that comments on the news -- often by criticizing the media and usually in rudely clever tones -- with links to stories that back up the commentary with evidence."</i>
		- In her article, Catherine forgoes the more traditional weblogs-are-links-plus-commentary definition to carve out a new meaning for the word, limited to the type of blogs she reads. But Catherine's analysis misses some of the very subtleties that distinguish weblogs from other writing. Rather than rant that Catherine just "doesn't get it," it seems to me that her article, and others that are similar, are perfect opportunities for the blogging community to talk about our own evolution.
	- Our Commonality
		- If we look beneath the content of weblogs, we can observe the common ground all bloggers share -- the format. The weblog format provides a framework for our universal blog experiences, enabling the social interactions we associate with blogging. Without it, there is no differentiation between the myriad content produced for the Web. 
		- Whether you're a warblogger who works by day as a professional journalist or you're a teenage high school student worried about your final exams, you do the same thing: you use your blog to link to your friends and rivals and comment on what they're doing. Blog posts are short, informal, sometimes controversial, and sometimes deeply personal, no matter what topic they approach. They can be characterized by their conversational tone and unlike a more formal essay or speech, a blog post is often an opening to a discussion, rather than a full-fledged argument already arrived at. 
		- As bloggers, we update our sites frequently on the content that matters to us. Depending on the blogger, the content varies. But because it's a weblog, formatted reverse-chronologically and time-stamped, a reader can expect it will be updated regularly. By placing our email addresses on our sites, or including features to allow readers to comment directly on a specific post, we allow our readers to join the conversation. Emails are often rapidly incorporated back into the site's content, creating a nearly real-time communication channel between the blog's primary author (its creator) and its secondary authors (the readers who email and comment). 
		- And we're united by tools, whether we use Blogger, LiveJournal, Radio UserLand, Movable Type, or a custom job that's a labor of love. Webloggers often use tools to facilitate the publication of their sites. These tools spit out our varied content in the same format -- archives, permalinks, time stamps, and date headers. 
	- A Native Format
		- When the Web began, the page was the de facto unit of measurement, and content was formatted accordingly. Online we don't need to produce content of a certain length to meet physical page-size requirements. And as the Web has matured, we've developed our own native format for writing online, a format that moves beyond the page paradigm: The weblog, with its smaller, more concise, unit of measurement; and the post, which utilizes the medium to its best advantage by proffering frequent updates and richly hyperlinked text. 
		- While a page usually contains one topic, or a portion of a single-topic item spans several pages (an opinion piece, an essay or column, a technical document, or press release), the weblog post is a self-contained topical unit. It can be as short as one sentence, or run for several paragraphs. And it's the amalgamation of multiple posts -- on varying topics -- on a single page that distinguishes the weblog from its online ancestor, the home page. 
		- Freed from the constraints of the printed page (or any concept of "page"), an author can now blog a short thought that previously would have gone unwritten. The weblog's post unit liberates the writer from word count. 
	- The Posts Collection
		- What distinguishes a collection of posts from a traditional home page or Web page? Primarily it's the reverse-chronological order in which posts appear. When a reader visits a weblog, she is always confronted with the newest information at the top of the page.
		- Having the freshest information at the top of the page does a few things: as readers, it gives a sense of immediacy with no effort on our part. We don't have to scan the page, looking for what's new or what's been changed. If content has been added since our last visit, it's easy to see as soon as the page loads. 
		- Additionally, the newest information at the top (coupled with its time stamps and sense of immediacy) sets the expectation of updates, an expectation reinforced by our return visits to see if there's something new. Weblogs demonstrate that time is important by the very nature in which they present their information. As weblog readers, we respond with frequent visits, and we are rewarded with fresh content. 
	- The Anatomy of a Post
		- A weblog post can be identified by the following distinguishing characteristics: a date header, a time stamp, and a permalink. Oftentimes the author's name appears beneath each post as well, especially if multiple authors are contributing to one blog. If commenting is enabled (giving the reader a form to respond to a specific post) a link to comment will also appear. 
		- Links, and the accompanying commentary, have often been hailed as the distinguishing characteristic of a weblog. The linking that happens through blogging creates the connections that bind us. Commentary alone is the province of journals, diaries, and editorial pieces. 
		- The Time Stamp. By its very presence, the time stamp connotes the sense of timely content; the implicit value of time to the weblog itself is apparent because the time is overtly stated on each post. Without the time stamp, the reader is unable to discern the author's update pattern, or experience a moment of shared experience. 
		- But if I visit your site at 4:02 p.m. and see you just updated at 3:55 p.m., it's as if our packets crossed in the ether. You, the author, and I, the reader, were "there" at the same time -- and this can create a powerful connection between us.
		- Moments of shared experience can be powerful connectors. They happen in the offline world when two strangers on the subway chuckle at the same funny billboard, and make eye contact as they do so. In the online world, they happen when I'm thinking about buying an iBook and I read on your blog that you've just bought one, at the same time. 
		- The Permalink (the link to the permanent location of the post in the blog's archive) plays a critical role in how authors participate in distributed conversations across weblogs. The permalink allows for precise references, creating a way for authors to link to the specific piece of information to which they're responding.
		- If your blog has ten current entries, four of which are about cats and only one of which is about the release of Mozilla 1.0, the permalink provides the means by which fellow Mozilla bloggers can reference the correct post, and in doing so, create a loosely-distributed Mozilla conversation. Without the permalink, the conversation is drowned out in a sea of irrelevant cat chatter. 
	- A Communication Evolution 
		- When we talk about weblogs, we're talking about a way of organizing information, independent of its topic. What we write about does not define us as bloggers; it's how we write about it (frequently, ad nauseam, peppered with links).
		- Weblogs simply provide the framework, as haiku imposes order on words. The structure of the documents we're creating enable us to build our social networks on top of it -- the distributed conversations, the blog-rolling lists, and the friendships that begin online and are solidified over a "bloggers dinner" in the real world. 
		- As bloggers, we're in the middle of, and enjoying, an evolution of communication. The traits of weblogs mentioned above will likely change and advance as our tools improve and our technology matures. What's important is that we've embraced a medium free of the physical limitations of pages, intrusions of editors, and delays of tedious publishing systems. As with free speech itself, what we say isn't as important as the system that enables us to say it. 
		- <a href="http://www.megnut.com/">Meg Hourihan</a>
- North Carolina Matters
	- #title "North Carolina Matters"
	- #postTime "8/11/02; 9:12:45 AM"
	- Good morning
		- In late July we <a href="http://davenet.userland.com/2002/07/26/hollywoodWantsTheRightToHackYourComputer">reported</a> on a bill proposed by US Representative Howard Berman and three others, that would give the entertainment industry legal authority to enter, search, and even damage the personal computers of people they suspect of "pirating" their copyrighted music or movies. 
		- This bill crosses many lines, giving powers previously reserved for the executive and judicial branches of government to private businesses. It isn't clear exactly where the lines are, and whether it would make it legal for individual citizens to access and control and even destroy the computers of the entertainment industry. 
		- One thing is clear, as a computer professional with a public voice, I had to say something about this, and luckily some of the right people were listening.
	- A bit of luck
		- Ed Cone, a technology writer based near Greensboro, North Carolina, runs a <a href="http://radio.weblogs.com/0107946/">weblog</a> and writes a column for the News & Record, a newspaper based in Greensboro. He also writes for <a href="http://www.wired.com/wired/">Wired</a> and <a href="http://www.baselinemag.com/">Baseline</a> magazines, which are national publications about computers and technology. Ed immediately understood the problems with the Berman bill.
		- Here's the bit of luck. The second sponsor of the bill, <a href="http://www.house.gov/coble/">Howard Coble</a>, is Ed's representative! Because Ed has a column in the local paper, he has access to Mr. Coble's staff, and voters in Coble's district. Ed understands the local community, which likes Representative Coble -- he is running unopposed in the November election.
		- Ed wrote a <a href="http://www.news-record.com/news/columnists/staff/cone04.htm">column</a> about the bill that ran in last Sunday's News & Record. It was respectful; if anything, I felt that Ed's piece didn't go far enough in explaining why the bill was such a violation of individual rights, and so blatantly un-American. 
	- Sears & Kmart
		- If I was disappointed that Ed's column didn't go far enough, yesterday, an editorial ran in the News & Record that exceeded all my hopes. 
		- <a href="http://www.news-record.com/news/opinions/ed1sat10.htm">They said</a> the rights the bill grants the entertainment industry are "tantamount to allowing Sears or Kmart to invade your home if they believe you have shoplifted merchandise from one of their stores. And if they should accidentally bang a door or shatter a window in the process, well, no harm, no foul."
		- Indeed, we don't let Kmart or Sears enter our houses at all, and we don't let the government in, without probable cause or due process. To do otherwise would abrogate the US Constitution. You don't have to be a lawyer to understand this.
		- Now, to be clear, I don't fully endorse the position of the News & Record, but we agree on a starting point, respect for law and the rights of creative people. I also think the entertainment industry must have respect for people who use their product, and offer them a reasonable way to program music using the Internet. Further I do not advocate people using creative work without paying for it, but so far the entertainment industry has not offered a system that works the way honest users want it to. That's the place to begin the discussion, not by hobbling, invading or hacking our computers to turn the clock back to a pre-Internet distribution system. The Berman-Coble bill is the product of an industry run amok, and elected representatives who appear to not be listening to the electorate. 
	- Why this is noteworthy
		- North Carolina Representative Coble appears to be a thoughtful person who was only hearing one side of the story. Even if he doesn't withdraw or qualify his support for the bill, we still have the satisfaction that the Internet community, which is international, has focused its frustration with the US Congress and brought it to a local community with special influence over the outcome, and respectfully and thoughtfully presented our point of view. In a medium that's good at expressing strong points of view, but in the past not so good at getting results, this is a milestone.
		- As <a href="http://www.twbookmark.com/books/4/0316260495/">Tip O'Neill</a> said, all politics are local, but finding the localities with a special interest requires thoughtfulness, creativity and breadth of coverage. It took a while for the weblog network to reach a locality in North Carolina that makes a difference, but now we're there. 
		- Dave Winer
- Lessons of 9-11
	- #title "Lessons of 9-11"
	- #postTime "9/6/02; 3:37:09 PM"
	- Happy New Year
		- For people of the Jewish faith, mazel tov, welcome to 5763, etc.
		- I'm still a no smoker. Today is the 12th week of No Smoking Dave. Feels good. I miss it less and less. Don't believe it's hard to quit. Just another commercial message from the tobacco industry. If I can do it, so can you.
		- Earlier this week the BBC <a href="http://radio.userland.com/bbc">announced</a> that they are providing RSS feeds that can be used with Radio UserLand's news aggregator. They join the <a href="http://radio.userland.com/newyorktimes">New York Times</a> and other leading publications, and thousands of personal weblogs, in supporting the network of news sites we envisioned three years ago in partnership with Netscape, and opposite Vignette. It's gratifying to see the model we bet on then take root so well now. 
		- Yesterday I dashed off some thoughts about Sept 11 on <a href="http://www.scripting.com/">Scripting News</a>, my weblog, and have been getting lots of email on the piece. So I'm running it through the email channel. Let me know what you think.
	- Lessons of 9-11
		- A week from yesterday is the one year anniversary of you know what. That day I'll be speaking at Seybold in Moscone Center in San Francisco, about Web Services and Publishing with people from Amazon, Apple, Google and my colleague Jake Savin from UserLand. 
		- I was going to try to watch no TV related to the one year anniversary, but last night I saw there was a Frontline <a href="http://www.pbs.org/wgbh/pages/frontline/shows/faith/">special</a> on the spirituality of the event, and given that Frontline is so excellent, I had to give it a chance. It was very stimulating, both emotionally and intellectually. Well worth a watch. 
		- A common theme -- what kind of God lets this happen? I answer that with another question. What kind of a country is so selfish that it doesn't see that 9-11 was tiniest big tragedy viewed from a global perspective. What about famine in Africa? What about AIDS? 
		- They wonder at the spiritual vision of a person who jumps from the World Trade Center to certain death, but don't wonder about the millions of people who do the same thing with tobacco? It's out of balance. We're out of balance. 
		- 9-11 was, imho, a small upheaval in getting to some kind of equilibrium in how the US participates in the world, both from the US perspective, and the world's perspective. That we got so much sympathy says how big the human heart is. That there wasn't more celebrating in the streets of world capitals says that they forgive us for our selfish attitude, which is back in force as if 9-11 never happened.
		- So what were the lessons of 9-11 that the US has failed to learn? I think it's that God doesn't think we're as important as we do. 
		- The concept of national security is obsolete. We can't close our borders. We live on this planet with everyone else. Global warming, AIDs, terrorism, all penetrate all borders. New York is a world city. 
		- The last gasps of isolationism will be snuffed out by more humiliation, until we get the truth, we aren't above the rest of the world, but we <i>are</i> part of it. 
		- Dave Winer
- What is a News Aggregator?
	- #title "What is a News Aggregator?"
	- #postTime "10/8/02; 11:35:10 AM"
	- A new category
		- Every once in a while a new category of software catches on. It may borrow features from previous categories, but in some way, it represents a new activity with a computer. Often the category existed for a while, even years, before it caught on. That was true of weblogs, and now it's true of another category, news aggregators. 
		- We did our first aggregator in 1999, a centralized application called My.UserLand. It was a contemporary of My.Netscape, which took the same information, in a format called <a href="http://backend.userland.com/rss">RSS</a>, and displayed it in a series of boxes, one for each source. Our software presented a stream of new items, the newest items at the top of the stream (most visible) and the older items towards the bottom. In Web terminology this form of presentation is called reverse-chronological.
		- Today, our aggregator is decentralized, it's a key part of our <a href="http://radio.userland.com/">Radio UserLand</a> software. We have competition, our software is not the only desktop news aggregator on the market. There's a lot more to say about the category, but first a definition.
	- What is a News Aggregator?
		- A news aggregator is "software that periodically reads a set of news sources, in one of several XML-based formats, finds the new bits, and displays them in reverse-chronological order on a single page."
	- How does a news aggregator work?
		- Every hour the aggregator reads the "feeds" you're subscribed to, as few as a half-dozen, or as many as you like. When you see an item that you want to amplify with your own comments, or pass on to others in your organization or interest group, with a couple of clicks you can "route" it to the home page of your weblog. Aggregators and weblog software are flip-sides of the same idea. Weblogs are for writing, aggregators for reading, and at the intersection is routing.
	- Amateurs and pros
		- I'm subscribed to quite a few sources, and the range of sources is significant. Consider that I get news from the New York Times, the BBC, and from weblogs like Sam Ruby (an expert programmer), Jon Udell (InfoWorld columnist), John Robb (he works with me at UserLand), Mike Chambers (works for Macromedia, writes about Flash), The Shifted Librarian, Ernie the Attorney, analyst Kevin Werbach, Ed Cone (North Carolina columnist), book author Christian Crumlish, my own weblog (Scripting News). I also subscribe to News.Com, The Motley Fool, The Register, Doc Searls, a local newspaper in South Carolina (Go Upstate), O'Reilly's Safari service and Patrick Logan (a developer). I am currently subscribed to 73 feeds, some people I know are subscribed to as many as 300!
		- The key point is that I don't have to visit each of these sites to find out what's new. My computer, running aggregator software, does it for me, every hour, automatically. The information is formatted in XML, but I am barely aware of that, as with all compelling apps, the technical details are tucked out of the way. Like all open formats, it's easy to figure out what's going on. Here's an <a href="http://www.scripting.com/rss.xml">example</a> of the XML behind news aggregators.
		- Not only am I getting news from professional news organizations, but I am also hearing from people and non-news organizations who make a difference to me. Rarely an hour goes by without something interesting happening, my mind is stimulated, I get new ideas, and of course I share them. It's all about choice, customization, and communication. No one has the same virtual newspaper as mine, and mine is changing all the time. 
		- Over the last few months it's been interesting to watch many of the smart people in weblog-land discover the convenience and power of news aggregators. In many ways it feels like aggregators are where weblogs were a couple of years ago, just about to be discovered by a much larger group of people. 
		- Dave Winer
	- See also
		- Jon Udell's BYTE <a href="http://www.byte.com/documents/s=7181/byt1022183228615/0527_udell.html">column</a> on personal RSS aggregators.
		- <a href="http://davenet.scripting.com/stories/storyReader$1068">Screen shot</a> of the aggregator built into Radio UserLand.
- 21st Century Thanksgiving
	- #title "21st Century Thanksgiving"
	- #postTime "11/28/02; 12:00:00 AM"
	- A tradition
		- My record on most things is mixed, but on this subject, Thanksgiving <a href="http://davenet.userland.com/directory/952/thanksgiving">essays</a>, it's perfect. I've never missed one, and while my writing frequency is down this year, I won't let this great holiday pass without marking it with a few stories and more gratitude than ever before.
	- The women of the Web
		- In November 1995, shortly after I started writing on the Web, I did a piece called <a href="http://davenet.userland.com/1995/11/02/newcaveneedscurtain#curtains">New Cave Needs Curtain</a>. The Web was filling with masculine energy, the essay was a request for more feminine energy. I said "Guys, let the women mess up your hair. You'll see, it's fun!" 
		- Like many of my pieces it was a bit of a metaphor. Male energy digs the hole, finds the cave. Female energy makes it work, makes it a nice place to live, and now seven years later, the curtains are going up. There are women everywhere, and that's so cool. In some ways, in some places, they act just like men. But elsewhere, in different contexts, a new balance is being created, and it really is new, because in cyberspace, women's bodies are just as strong as men's. Electronic strength is in the intellect, not in the muscles, on the Web it's the thought that counts. 
		- Today, the NY Times ran an <a href="http://www.nytimes.com/2002/11/28/technology/circuits/28blog.html">article</a> on the women of bloggerdom, and several of our friends, women and men, got recognition. Mazel tov, onward and upward. And since this is Thanksgiving, thank you.
		- The Times said that men tend not to write about themselves. I've been trying to change that. As it's safe on the Web for women to be strong, it's also safe for men to be themselves. Some of our traditions cross over into the new medium, and thankfully, some don't. Men's silence, a tradition that goes way back, may now be obsolete. We can only hope.
	- The US health care system
		- It's much-maligned, perhaps deservedly so, but this year I have deep personal gratitude to the American health care system for saving my life. 
		- I had a real big scare in June, in retrospect, there was a good chance that I would not have made it to July, but I got myself to the doctor in time and luckily they had a cure for the disease I have. They opened my chest, fixed the bug, closed me up and sent me home. Now over five months later, I have resumed my life almost as if it had never happened. This is the miracle of medicine in the early 21st century. My ancestors, who had the same artery-clogging genes, had to settle for dying young. This Thanksgiving, I'm thankful simply for being alive.
		- Meanwhile, my father, Dr Leon Winer, age 73, son of Sima, is fighting for his life at a hospital in NYC. We're thankful he's doing better now, and especially thankful to the people whose prayers have been with the professor and the family. Thank you. This has been a challenging year for our family. But we're better for it, no doubt about that.
	- Many other thanks
		- There are so many things and people to be thankful for and to. Let me list some of them here, knowing that I can't list them all.
		- Thanks to all the bloggers who inspired me in 2002. Many of them are in the left-edge on Scripting News, also know as the <a href="http://radio.weblogs.com/0001015/userland/scriptingNewsLeftLinks.opml">blogroll</a>. 
		- A special thanks to <a href="http://www.wired.com/news/culture/0,1284,52380,00.html">Macromedia</a> for getting on the weblog network as a company. 
		- Thanks to Murphy and his Law for being a universal constant.
		- Thanks to <a href="http://blogs.osafoundation.org/mitch/">Mitch Kapor</a>, for rejoining the software world in an active role designing new apps. 
		- Thanks to <a href="http://jrobb.userland.com/">John Robb</a>, <a href="http://jake.userland.com/">Jake Savin</a> and <a href="http://www.tomalak.org/">Lawrence Lee</a> for keeping UserLand running as a great cottage company.
		- Thanks to all the Frontier and Radio developers who keep pouring their creativity into my humble platform. Thanks to all ex-UserLanders who keep developing wonderful software where ever they may be.
		- Thanks to the San Francisco Giants for stealing my heart this year. Sixteen runs in one <a href="http://www.usatoday.com/sports/baseball/playoffs/2002-10-25-series-game5_x.htm">game</a>. Wow!
		- Thanks to <a href="http://philringnalda.com/">Phil Ringnalda</a>, <a href="http://www.intertwingly.net/blog/">Sam Ruby</a> and <a href="http://diveintomark.org">Mark Pilgrim</a> for their help with <a href="http://backend.userland.com/rss">RSS 2.0</a>.
		- Thanks to all the <a href="http://www.xmlrpc.com/">XML-RPC</a> and <a href="http://www.soapware.org/">SOAP</a> developers. Thanks to people who support <a href="http://www.opml.org/">OPML</a>. 
		- Thanks to <a href="http://radio.weblogs.com/0001103/">JY Stervinou</a> and <a href="http://halleyscomment.blogspot.com/">Halley Suitt</a> for speaking French to me.
		- Thanks to the US Department of Justice for letting Microsoft keep the browser monopoly they stole. I'm still looking for reasons why I'm thankful for this. ;->
		- Thanks to <a href="http://www.jerukabbal.com/">Jeru Kabbal</a> for teaching me that I survived my birth and am no longer a helpless infant, and for teaching me that the ability to express gratitude is something to be thankful for. 
		- Thanks to <a href="http://radio.weblogs.com/0107946/">Ed Cone</a> who discovered <a href="http://tarasue4u.com/">Tara Sue</a> and thanks to Tara Sue for having the guts to go against a deeply entrenched Republican who plays for pay for the RIAA.
		- Thanks to the surgeons, doctors, physicians assistants, nurses and everyone else at <a href="http://www.sequoiahospital.org/">Sequoia Hospital</a> for taking such great care of me this summer. Thanks to <a href="http://www.philipmorris.com/about_pm/brands/pm_usa_brands.asp">Phillip Morris</a> for letting me off the hook. 167 days smoke-free. Ain't never going back.
		- Thanks to my friends and family who cared of me in my hour of need. Thanks to my nieces and nephew, my brother and sister-in-law, my mother and father, for being patient and fun and friendly, most of the time. ;->
		- A special thanks to Dave Jacobs, my very good friend, a virtual brother. 
		- Thanks to my friends on the Web for the music-giving present of the iPod. I listen to it every day. It's changed how I use music forever. It also serves as a reminder that I am appreciated for what I do. That means so much to me. Thank you.
		- Dave
- How to revive AOL
	- #title "How to revive AOL"
	- #postTime "12/6/02; 10:29:39 AM"
	- If AOL were bold
		- After merging with Time-Warner, AOL seems to have lost its way. Earlier this week in New York, AOL execs met with analysts to explain their post-merger strategy. Where we hoped for something bold, interesting, synergistic, we got something vague that's hard to believe in. 
		- On <a href="http://www.scripting.com/">Scripting News</a>, on Wednesday, I played what if. What if I were Steve Case, and I had the support of the AOL-Time-Warner board to do something bold and innovative to challenge ourselves and our competitors, to get the users excited about logging on again. I didn't have to dig too hard to come up with the answer, and it got a strong response from my readers. Everyone seems to have liked the idea. In my dream here's what Steve Case would have said on Tuesday in NY.
		- "Hi my name is Steve Case. Remember me? I work for AOL-Time-Warner. We own a lot of music companies. I was talking with my friend and colleague <a href="http://www.time.com/time/special/moy/1991.html">Ted Turner</a>, while we were trying to figure out what to do with our online system, and he told me the story of how he bought <a href="http://www.mgm.com/">MGM</a> to establish Turner Classic Movies, and what a hit that channel is with cable subscribers. I asked Ted if we couldn't do the same thing for music with AOL. After all the people really seemed to like Napster. Why not give them what they want? 
		- "So today we're opening up the vaults of Time-Warner music, all kinds of great acts, for only $19.95 per month, for AOL subscribers only. A new version of the client software, version 8.1 will be available shortly with the new Music Manager app built-in, based on work done by the WinAmp folks. Guess what, it plays MP3s! We've done really clean scans of all the classics from Billy Joel to Boy George. 
		- "Welcome back to innovation and staying in tune with customers at AOL. And welcome to the world of convergence, where synergy is more than just lip movement, where we put weight behind the big ideas of our time." 
	- Napster done right
		- Wouldn't that be wonderful?
		- It's been two years since the summer of 2000, when Napster was the rage and ordinary people were talking about music in supermarkets and airports. We're still waiting for the killer app that only AOL can produce. They must have thought of it, but in its weakened state, AOL must not be able to persuade the entertainment companies inside AOL-Time-Warner to risk some of their archives on an experiment. But those archives aren't generating revenue, just as the MGM movie archive wasn't making money for the owners of MGM (they had positioned it as a hotel company) when Turner made his offer.
		- <a href="http://turnerclassicmovies.com/">Turner Classic Movies</a> is a great blueprint for the music business they could build out of AOL. The fans know what they want. We understand that we <a href="http://www.wired.com/news/technology/0,1282,42225,00.html">can't</a> have Napster in all its glory. We understand that we have to pay for the music we use. It's too bad that AOL didn't jump on this as soon as the merger with Time-Warner was complete. But it's still not too late. Done right, a plan to distribute music in MP3 format, over the Internet, in conjunction with hardware vendors like <a href="http://www.apple.com/ipod/">Apple</a>, would be a huge moneymaker, and would give AOL continued relevance. 
		- It's still an exciting idea, if they decided to do it, I'd work for them for $1 per year to see it through. In my humble opinion, the logjam over music on the Internet is a big reason that growth is so elusive today in the tech industry.
		- Dave Winer
- Weblogs in Meatspace
	- #title "Weblogs in Meatspace"
	- #postTime "12/11/02; 7:49:25 AM"
	- EFF
		- Last night I went to a party at the <a href="http://www.eff.org/">EFF</a> in SF. I saw my old friend <a href="http://www.eff.org/~barlow/barlow.html">John Perry Barlow</a>, he said I should write more essays, so I decided what the heck. Here's a new essay. 
		- It's not a huge pronouncement, just an idea that's been circulating, maybe its time has come. A weblog conference, for bloggers, about weblogs, itself a weblog, for learning, exploring, promoting and developing ideas about technology for the humanities. 
		- Not technology as a business process, but as a liberal art. A very different view.
	- Weblogs in Meatspace
		- I think I finally figured out how the Weblog conference, version 1.0, would work. It came from conversations with Kevin Werbach, Doc Searls, Dave Sifry, Halley Suitt, Glenn Fleishman, JD Lasica, Scott Rosenberg, Robert Scoble and Joi Ito in the last few days, from reading a <a href="http://www.aaronsw.com/weblog/000750">post</a> by Aaron Swartz on his weblog, and from many years of conference going. 
		- I talked with Joi about <a href="http://www.weforum.org/annualmeeting">Davos</a>, where he is a GLOT, or Global Leader Of Tomorrow. I attended Davos in Y2K, and made lots of notes about how they do it. A lot of what I propose for the Weblogs in Meatspace conference, below, is a straight ripoff of the way Davos works. Aaron talks about the Hackers Conference, which I have been invited to many times, but have never attended. The way Aaron explains it makes me think I should go. The person who designed that conference would have a lot to talk about with the person who designed Davos.
	- Adhocracy
		- The key is to decentralize so that every attendee has a good chance of meeting and talking with all the people they want to talk with, and so that stars can rise, so if the planners don't know who has the most interesting things to say, the users can still find them. There's got to be an element of <a href="http://www.wordspy.com/words/adhocracy.asp">adhocracy</a> to it.
	- Meals
		- Meals in Davos are a very important part of the conference. There are about a dozen restaurants in the town of Davos. Breakfasts are for organizations that spun out of Davos or are somehow related. My breakfasts were with editors and publishers of magazines and newspapers, and listening to people, like the President of Argentina, who wanted us to write about them. That was because I attended as a Media Leader. Had I been attending as a Global Technology Entrepreneur, presumably the breakfasts would have worked differently. If I were Bill Gates, everyone would want to come to my breakfast and listen to my schpeil about whatever it is he was talking about in Y2K. In other words if you're big enough, you can have your own breakfast and lots of people will come. 
		- Lunches and dinners are a different sort of affair. They get a huge table that can seat between 40-60 people, and there are four or five panelists, and everyone sits around the table; the panelists speak, but there is no audience, you're allowed to talk back to them, asking questions, challenging assumptions, calling them American pigs who know nothing (a favorite of French and German attendees). This is the innovation I want to copy. 
		- You have to sign up in advance, using a computer program, basically a Web application, that does it on a first come first serve basis. There's no telling which sessions are going to be best. The ones with the biggest names fill up fast. But there's room for everyone. And unlike most conferences in the computer industry, no one eats alone, and everyone has fantastic dinner conversation, even if you, like me, had never been there before. 
		- At the Weblogs In Meatspace conference you will be able to sign up for dinner with Doc Searls, or with Glenn Fleishman or Reynolds, and when you do, it'll be like reading their blog and posting comments, but much higher bandwidth.
	- Other obvious things
		- There must be 802.11b in the hotel. Everyone must have a room. The conference runs 24 hours a day for two or three days. The opening session (an idea stolen from <a href="http://www.machack.com/">MacHack</a>, thanks) is at midnight the first night, to stress that this is a weird conference, leave your expectations at the airport. It also levels the playing field for European bloggers, <i>everyone</i> is jetlagged. There are two ballrooms, one for speaking and one for blogging. There are twenty PCs (or Macs) in the blogging room, which is basically our press room. This is a noisy room. If you want quiet space, go write in your bedroom. 
		- Your schedule is on the Web. You implement policies. Can anyone make an appointment with you? Block out times you don't want to meet with anyone, or where you have set up meetings with other bloggers. Make sure to leave some time for sleeping. Sign up for dinners and lunches. In year one this app would be pretty primitive. But in year two and beyond it becomes, as with Davos, the desktop of the conference. People who master this app have a much richer experience than ones who don't. Believe me it's like that at Davos. 
		- Everyone who attends or speaks must have a weblog. No exceptions. So if Jimmy Carter wants to come and tell us what it's like to win the Nobel Peace Prize, he must first tell us on the Web. Same for George W Bush, Steve Jobs or Jack Valenti. But the conference has "normal" sessions, howtos for bloggers, panels for big issues, keynotes from megabloggers, and A-teamers. Awards. A technology track for developers. Perhaps even a session for people with products they want to promote through our blogs (a chance to pick up some cool new toys for free).
		- The conference would be cheap. Bloggers don't have much money. No sponsorship, at least not in year one. Sponsorship always influences what's said and done. In general, the goal is to mirror the Web in meatspace. The vast majority of weblogs are unsponsored. People disagree about this, but I'm a hardass. No sponsorship means no subsidies. So it's gotta be a no frills show, and that's okay, because it's the ideas and energy I want. I don't care if you have a lot of money.
		- Anyway, I would love to go to this conference. Lots more ideas. I'm going to talk some more with Scoble. Maybe start a mail list. Let's see what happens.
		- Dave Winer
		- PS: I call it "Davos" -- but the real name of the event is the World Economic Forum's Annual Meeting. 
		- PPS: Someone said (I forget who) that I can pull this off because I have the <a href="http://dictionary.reference.com/search?q=gravitas">gravitas</a>. That led me to call this WebGravitas in earlier versions of this piece. I decided that was too ballsy, so I went with WIM instead.
- Lott tripped by bloggers?
	- #title "Lott tripped by bloggers?"
	- #postTime "12/16/02; 4:22:23 PM"
	- Lott tripped
		- This CNN piece caught our eye at Scripting News.
		- http://www.cnn.com/2002/ALLPOLITICS/12/16/timep.lott.tm/
		- A quote: "If Lott didn't see the storm coming, it was in part because it was so slow in building. The papers did not make note of his comments until days after he had made them. But the stillness was broken by the hum of Internet 'bloggers' who were posting their outrage and compiling rap sheets of Lott's earlier comments. It took a few more days before Democrats denounced Lott and demanded a censure."
	- Top down
		- I thought weblogs would rewrite the rules of US politics, but I thought it would happen slowly, and come from the ground up: that one candidate, perhaps for local office, would use a weblog well, and others would follow, and in a few years a weblog would be an assumed part of a political presence, much as telephones and airplanes are today. 
		- This is a surprise. That weblogs would play a role in the toppling of a major US political leader, is growth from the top down, and it's happening very quickly. The medium is perfectly suited for this. All of a sudden punditry is open to everyone. 
		- I think somewhere, where ever he is, Thomas Jefferson is smiling. ";->"
		- Dave Winer
